#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 16: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 47: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 28: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 86: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QColor
      switch(to) {
        case 7: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 8:   //QContextMenuEvent
      switch(to) {
        case 8: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 16:   //QFrame
      switch(to) {
        case 47: return (void*)(QWidget*)(QFrame*)xptr;
        case 28: return (void*)(QObject*)(QFrame*)xptr;
        case 16: return (void*)(QFrame*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 86: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 18:   //QHideEvent
      switch(to) {
        case 18: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QIODevice
      switch(to) {
        case 28: return (void*)(QObject*)(QIODevice*)xptr;
        case 19: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 20:   //QImage
      switch(to) {
        case 20: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 21:   //QInputMethodEvent
      switch(to) {
        case 21: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QKeyEvent
      switch(to) {
        case 22: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QMenu
      switch(to) {
        case 23: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 24:   //QMetaObject
      switch(to) {
        case 24: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 25:   //QMimeData
      switch(to) {
        case 25: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 26:   //QMouseEvent
      switch(to) {
        case 26: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QMoveEvent
      switch(to) {
        case 27: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 28:   //QObject
      switch(to) {
        case 28: return (void*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 83: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 49: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 48: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 80: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 53: return (void*)(QsciLexer*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 86: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 84: return (void*)(QsciMacro*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 29:   //QPaintEngine
      switch(to) {
        case 29: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEvent
      switch(to) {
        case 30: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QPainter
      switch(to) {
        case 31: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 32:   //QPalette
      switch(to) {
        case 32: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 33:   //QPixmap
      switch(to) {
        case 33: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 34:   //QPoint
      switch(to) {
        case 34: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 35:   //QPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)xptr;
        case 85: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 36:   //QRect
      switch(to) {
        case 36: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 37:   //QRegExp
      switch(to) {
        case 37: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 38:   //QResizeEvent
      switch(to) {
        case 38: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QSettings
      switch(to) {
        case 39: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 40:   //QShowEvent
      switch(to) {
        case 40: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QSize
      switch(to) {
        case 41: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 42:   //QStyle
      switch(to) {
        case 42: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 43:   //QTabletEvent
      switch(to) {
        case 43: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QTimerEvent
      switch(to) {
        case 44: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QVariant
      switch(to) {
        case 45: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 46:   //QWheelEvent
      switch(to) {
        case 46: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QWidget
      switch(to) {
        case 28: return (void*)(QObject*)(QWidget*)xptr;
        case 47: return (void*)(QWidget*)xptr;
        case 87: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 86: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 48:   //QsciAPIs
      switch(to) {
        case 49: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 28: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 48: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 49:   //QsciAbstractAPIs
      switch(to) {
        case 28: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 49: return (void*)(QsciAbstractAPIs*)xptr;
        case 48: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 50:   //QsciCommand
      switch(to) {
        case 50: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 51:   //QsciCommandSet
      switch(to) {
        case 51: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 52:   //QsciDocument
      switch(to) {
        case 52: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexer
      switch(to) {
        case 28: return (void*)(QObject*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 83: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 80: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerBash
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 54: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerBatch
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 55: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerCMake
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 56: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerCPP
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 57: return (void*)(QsciLexerCPP*)xptr;
        case 66: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 67: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerCSS
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 58: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerCSharp
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 59: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerCustom
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 60: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerD
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 61: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerDiff
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 62: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerFortran
      switch(to) {
        case 64: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 63: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerFortran77
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 64: return (void*)(QsciLexerFortran77*)xptr;
        case 63: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerHTML
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 65: return (void*)(QsciLexerHTML*)xptr;
        case 82: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerIDL
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 66: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerJava
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 67: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerJavaScript
      switch(to) {
        case 57: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 68: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerLua
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 69: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerMakefile
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 70: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerPOV
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 71: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerPascal
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 72: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerPerl
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 73: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerPostScript
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 74: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerProperties
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 75: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerPython
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 76: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerRuby
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 77: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerSQL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 78: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerTCL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 79: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 80:   //QsciLexerTeX
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 80: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 81:   //QsciLexerVHDL
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 81: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 82:   //QsciLexerXML
      switch(to) {
        case 65: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 53: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 82: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 83:   //QsciLexerYAML
      switch(to) {
        case 53: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 83: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 84:   //QsciMacro
      switch(to) {
        case 28: return (void*)(QObject*)(QsciMacro*)xptr;
        case 84: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 85:   //QsciPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 85: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 86:   //QsciScintilla
      switch(to) {
        case 87: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 47: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 28: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 86: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 87:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 47: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 28: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 87: return (void*)(QsciScintillaBase*)xptr;
        case 86: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 88:   //QsciStyle
      switch(to) {
        case 88: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 89:   //QsciStyledText
      switch(to) {
        case 89: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    49, 0,	// 1: QsciAbstractAPIs
    28, 0,	// 3: QObject
    53, 0,	// 5: QsciLexer
    57, 0,	// 7: QsciLexerCPP
    64, 0,	// 9: QsciLexerFortran77
    65, 0,	// 11: QsciLexerHTML
    35, 0,	// 13: QPrinter
    87, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciCommand(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QColor", true, 0, 0, 0, 0, 0 },	//7
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QFrame", true, 0, 0, 0, 0, 0 },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//17
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//19
    { "QImage", true, 0, 0, 0, 0, 0 },	//20
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QMenu", true, 0, 0, 0, 0, 0 },	//23
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//24
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//25
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//27
    { "QObject", true, 0, 0, 0, 0, 0 },	//28
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QPainter", true, 0, 0, 0, 0, 0 },	//31
    { "QPalette", true, 0, 0, 0, 0, 0 },	//32
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//33
    { "QPoint", true, 0, 0, 0, 0, 0 },	//34
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//35
    { "QRect", true, 0, 0, 0, 0, 0 },	//36
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//37
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QSettings", true, 0, 0, 0, 0, 0 },	//39
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QSize", true, 0, 0, 0, 0, 0 },	//41
    { "QStyle", true, 0, 0, 0, 0, 0 },	//42
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QVariant", true, 0, 0, 0, 0, 0 },	//45
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QWidget", true, 0, 0, 0, 0, 0 },	//47
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//48
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//49
    { "QsciCommand", false, 0, xcall_QsciCommand, xenum_QsciCommand, 0, sizeof(QsciCommand) },	//50
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//51
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//52
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//53
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//54
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//55
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//56
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//57
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//58
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//59
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//60
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//61
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//62
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//63
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//64
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//65
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//66
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//67
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//68
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//69
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//70
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//71
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//72
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//73
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//74
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//75
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//76
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//77
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//78
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//79
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//80
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//81
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//82
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//83
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//84
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//85
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//86
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//87
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//88
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//89
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QColor", 7, Smoke::t_class|Smoke::tf_stack },	//6
    { "QContextMenuEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QFont", 15, Smoke::t_class|Smoke::tf_stack },	//14
    { "QHideEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QIODevice*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QInputMethodEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QKeyEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//21
    { "QMenu*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QMetaObject::Call", 24, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QMouseEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QMoveEvent*", 27, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QPaintEngine*", 29, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QPaintEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QPainter&", 31, Smoke::t_class|Smoke::tf_ref },	//31
    { "QPainter*", 31, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QPrinter::PrinterMode", 35, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QRect&", 36, Smoke::t_class|Smoke::tf_ref },	//34
    { "QRegExp&", 37, Smoke::t_class|Smoke::tf_ref },	//35
    { "QResizeEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QSettings&", 39, Smoke::t_class|Smoke::tf_ref },	//37
    { "QShowEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QSize", 41, Smoke::t_class|Smoke::tf_stack },	//39
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//41
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//42
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//43
    { "QStyle&", 42, Smoke::t_class|Smoke::tf_ref },	//44
    { "QTabletEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QTimerEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QVariant", 45, Smoke::t_class|Smoke::tf_stack },	//47
    { "QWheelEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QWidget*", 47, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QsciAPIs*", 48, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QsciAbstractAPIs*", 49, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QsciCommand*", 50, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QsciCommand::Command", 50, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QsciCommandSet*", 51, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QsciDocument", 52, Smoke::t_class|Smoke::tf_stack },	//55
    { "QsciDocument&", 52, Smoke::t_class|Smoke::tf_ref },	//56
    { "QsciDocument*", 52, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QsciLexer*", 53, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexerBash*", 54, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerBatch*", 55, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerCMake*", 56, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerCPP*", 57, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerCSS*", 58, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerCSharp*", 59, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerCustom*", 60, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerD*", 61, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerDiff*", 62, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerFortran*", 63, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerFortran77*", 64, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerHTML*", 65, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerIDL*", 66, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerJava*", 67, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerJavaScript*", 68, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerLua*", 69, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerMakefile*", 70, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerPOV*", 71, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QsciLexerPascal*", 72, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QsciLexerPerl*", 73, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerPostScript*", 74, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QsciLexerProperties*", 75, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerPython*", 76, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerPython::IndentationWarning", 76, Smoke::t_enum|Smoke::tf_stack },	//82
    { "QsciLexerRuby*", 77, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QsciLexerSQL*", 78, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciLexerTCL*", 79, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciLexerTeX*", 80, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciLexerVHDL*", 81, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QsciLexerXML*", 82, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QsciLexerYAML*", 83, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QsciMacro*", 84, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QsciPrinter*", 85, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QsciScintilla*", 86, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QsciScintilla::AnnotationDisplay", 86, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QsciScintilla::AutoCompletionSource", 86, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::AutoCompletionUseSingle", 86, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::BraceMatch", 86, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::CallTipsPosition", 86, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::CallTipsStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::EdgeMode", 86, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintilla::EolMode", 86, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QsciScintilla::FoldStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QsciScintilla::IndentState", 86, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QsciScintilla::IndicatorStyle", 86, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QsciScintilla::MarginType", 86, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QsciScintilla::MarkerSymbol", 86, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QsciScintilla::WhitespaceVisibility", 86, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QsciScintilla::WrapIndentMode", 86, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QsciScintilla::WrapMode", 86, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QsciScintilla::WrapVisualFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QsciScintillaBase*", 87, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QsciStyle*", 88, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QsciStyle::TextCase", 88, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QsciStyledText", 89, Smoke::t_class|Smoke::tf_stack },	//113
    { "QsciStyledText*", 89, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//155
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//188
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//189
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//190
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//191
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//192
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const QColor&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QImage&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QMetaObject&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QMetaObject*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//200
    { "const QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//201
    { "const QPalette&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QPixmap&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QPoint&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QRect&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QRegExp&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//209
    { "const QsciDocument&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QsciStyle&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QsciStyledText&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//213
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//214
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//215
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//216
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//217
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//218
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//219
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//220
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//221
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//222
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//223
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    12, 0,	//1  QEvent*
    48, 0,	//3  QWheelEvent*
    27, 12, 0,	//5  QObject*, QEvent*
    46, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    213, 0,	//12  const char*
    28, 0,	//14  QPaintDevice::PaintDeviceMetric
    189, 0,	//16  bool
    215, 0,	//18  int
    18, 0,	//20  QKeyEvent*
    26, 0,	//22  QMoveEvent*
    5, 0,	//24  QCloseEvent*
    45, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    38, 0,	//30  QShowEvent*
    15, 0,	//32  QHideEvent*
    188, 0,	//34  _XEvent*
    44, 0,	//36  QStyle&
    202, 0,	//38  const QPalette&
    195, 0,	//40  const QFont&
    213, 213, 0,	//42  const char*, const char*
    213, 213, 215, 0,	//45  const char*, const char*, int
    23, 215, 222, 0,	//49  QMetaObject::Call, int, void**
    58, 0,	//53  QsciLexer*
    207, 0,	//55  const QString&
    208, 42, 0,	//57  const QStringList&, QStringList&
    208, 215, 98, 21, 0,	//60  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    37, 213, 0,	//65  QSettings&, const char*
    53, 0,	//68  QsciCommand::Command
    37, 0,	//70  QSettings&
    210, 0,	//72  const QsciDocument&
    27, 0,	//74  QObject*
    217, 0,	//76  int*
    51, 0,	//78  QsciAbstractAPIs*
    194, 0,	//80  const QColor&
    92, 0,	//82  QsciScintilla*
    194, 215, 0,	//84  const QColor&, int
    189, 215, 0,	//87  bool, int
    195, 215, 0,	//90  const QFont&, int
    37, 207, 0,	//93  QSettings&, const QString&
    27, 189, 0,	//96  QObject*, bool
    215, 215, 0,	//99  int, int
    215, 211, 0,	//102  int, const QsciStyle&
    82, 0,	//105  QsciLexerPython::IndentationWarning
    207, 92, 0,	//107  const QString&, QsciScintilla*
    33, 0,	//110  QPrinter::PrinterMode
    31, 189, 34, 215, 0,	//112  QPainter&, bool, QRect&, int
    110, 215, 215, 0,	//117  QsciScintillaBase*, int, int
    108, 0,	//121  QsciScintilla::WrapMode
    110, 0,	//123  QsciScintillaBase*
    110, 215, 0,	//125  QsciScintillaBase*, int
    49, 0,	//128  QWidget*
    215, 216, 216, 0,	//130  int, int&, int&
    215, 207, 215, 0,	//134  int, const QString&, int
    215, 207, 211, 0,	//138  int, const QString&, const QsciStyle&
    215, 212, 0,	//142  int, const QsciStyledText&
    215, 197, 0,	//145  int, const QList<QsciStyledText>&
    215, 215, 215, 215, 215, 0,	//148  int, int, int, int, int
    100, 0,	//154  QsciScintilla::EolMode
    207, 189, 189, 189, 189, 189, 215, 215, 189, 189, 0,	//156  const QString&, bool, bool, bool, bool, bool, int, int, bool, bool
    207, 189, 189, 189, 189, 189, 189, 0,	//167  const QString&, bool, bool, bool, bool, bool, bool
    217, 217, 0,	//175  int*, int*
    217, 217, 217, 217, 0,	//178  int*, int*, int*, int*
    103, 215, 0,	//183  QsciScintilla::IndicatorStyle, int
    191, 0,	//186  char
    204, 0,	//188  const QPoint&
    215, 217, 217, 0,	//190  int, int*, int*
    105, 215, 0,	//194  QsciScintilla::MarkerSymbol, int
    191, 215, 0,	//197  char, int
    203, 215, 0,	//200  const QPixmap&, int
    196, 215, 0,	//203  const QImage&, int
    215, 219, 0,	//206  int, unsigned int
    16, 0,	//209  QIODevice*
    215, 203, 0,	//211  int, const QPixmap&
    215, 196, 0,	//214  int, const QImage&
    194, 194, 0,	//217  const QColor&, const QColor&
    93, 0,	//220  QsciScintilla::AnnotationDisplay
    208, 0,	//222  const QStringList&
    97, 0,	//224  QsciScintilla::CallTipsPosition
    98, 0,	//226  QsciScintilla::CallTipsStyle
    198, 0,	//228  const QList<int>&
    99, 0,	//230  QsciScintilla::EdgeMode
    215, 104, 0,	//232  int, QsciScintilla::MarginType
    109, 109, 215, 0,	//235  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    107, 0,	//239  QsciScintilla::WrapIndentMode
    215, 208, 0,	//241  int, const QStringList&
    207, 215, 215, 0,	//244  const QString&, int, int
    94, 0,	//248  QsciScintilla::AutoCompletionSource
    95, 0,	//250  QsciScintilla::AutoCompletionUseSingle
    96, 0,	//252  QsciScintilla::BraceMatch
    101, 215, 0,	//254  QsciScintilla::FoldStyle, int
    215, 189, 0,	//257  int, bool
    215, 207, 0,	//260  int, const QString&
    215, 215, 215, 215, 0,	//263  int, int, int, int
    106, 0,	//268  QsciScintilla::WhitespaceVisibility
    215, 215, 155, 0,	//270  int, int, Qt::KeyboardModifiers
    7, 0,	//274  QContextMenuEvent*
    207, 189, 189, 189, 189, 0,	//276  const QString&, bool, bool, bool, bool
    207, 189, 189, 189, 189, 189, 0,	//282  const QString&, bool, bool, bool, bool, bool
    207, 189, 189, 189, 189, 189, 215, 0,	//289  const QString&, bool, bool, bool, bool, bool, int
    207, 189, 189, 189, 189, 189, 215, 215, 0,	//297  const QString&, bool, bool, bool, bool, bool, int, int
    207, 189, 189, 189, 189, 189, 215, 215, 189, 0,	//306  const QString&, bool, bool, bool, bool, bool, int, int, bool
    207, 189, 189, 189, 0,	//316  const QString&, bool, bool, bool
    103, 0,	//321  QsciScintilla::IndicatorStyle
    105, 0,	//323  QsciScintilla::MarkerSymbol
    203, 0,	//325  const QPixmap&
    196, 0,	//327  const QImage&
    109, 0,	//329  QsciScintilla::WrapVisualFlag
    109, 109, 0,	//331  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    101, 0,	//334  QsciScintilla::FoldStyle
    219, 220, 218, 0,	//336  unsigned int, unsigned long, long
    219, 220, 221, 0,	//340  unsigned int, unsigned long, void*
    219, 220, 213, 0,	//344  unsigned int, unsigned long, const char*
    219, 213, 0,	//348  unsigned int, const char*
    219, 213, 213, 0,	//351  unsigned int, const char*, const char*
    219, 218, 0,	//355  unsigned int, long
    219, 215, 0,	//358  unsigned int, int
    219, 218, 218, 192, 0,	//361  unsigned int, long, long, char*
    219, 220, 194, 0,	//366  unsigned int, unsigned long, const QColor&
    219, 194, 0,	//370  unsigned int, const QColor&
    219, 220, 32, 205, 218, 218, 0,	//373  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    219, 220, 203, 0,	//380  unsigned int, unsigned long, const QPixmap&
    219, 220, 196, 0,	//384  unsigned int, unsigned long, const QImage&
    219, 0,	//388  unsigned int
    215, 216, 0,	//390  int, int&
    213, 215, 0,	//393  const char*, int
    215, 215, 215, 0,	//396  int, int, int
    215, 215, 213, 215, 215, 215, 215, 215, 215, 215, 0,	//400  int, int, const char*, int, int, int, int, int, int, int
    201, 0,	//411  const QMimeData*
    201, 190, 0,	//413  const QMimeData*, bool&
    193, 189, 0,	//416  const QByteArray&, bool
    8, 0,	//419  QDragEnterEvent*
    9, 0,	//421  QDragLeaveEvent*
    10, 0,	//423  QDragMoveEvent*
    11, 0,	//425  QDropEvent*
    13, 0,	//427  QFocusEvent*
    17, 0,	//429  QInputMethodEvent*
    149, 0,	//431  Qt::InputMethodQuery
    25, 0,	//433  QMouseEvent*
    30, 0,	//435  QPaintEvent*
    36, 0,	//437  QResizeEvent*
    219, 220, 0,	//439  unsigned int, unsigned long
    215, 207, 194, 194, 195, 189, 0,	//442  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    112, 0,	//449  QsciStyle::TextCase
    211, 0,	//451  const QsciStyle&
    215, 207, 194, 194, 195, 0,	//453  int, const QString&, const QColor&, const QColor&, const QFont&
    207, 215, 0,	//459  const QString&, int
    207, 211, 0,	//462  const QString&, const QsciStyle&
    212, 0,	//465  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AcusAlways",	//54
    "AcusExplicit",	//55
    "AcusNever",	//56
    "AllPages",	//57
    "AnnotationBoxed",	//58
    "AnnotationHidden",	//59
    "AnnotationIndented",	//60
    "AnnotationStandard",	//61
    "Array",	//62
    "ArrayParenthesis",	//63
    "Asm",	//64
    "Assignment",	//65
    "AtRule",	//66
    "Attribute",	//67
    "Auto",	//68
    "B0",	//69
    "B1",	//70
    "B10",	//71
    "B2",	//72
    "B3",	//73
    "B4",	//74
    "B5",	//75
    "B6",	//76
    "B7",	//77
    "B8",	//78
    "B9",	//79
    "Background",	//80
    "BackquoteString",	//81
    "Backtab",	//82
    "BacktickHereDocument",	//83
    "BacktickHereDocumentVar",	//84
    "Backticks",	//85
    "BackticksVar",	//86
    "BadDirective",	//87
    "BadStringCharacter",	//88
    "Base85String",	//89
    "BasicFunctions",	//90
    "BlockForeach",	//91
    "BlockIf",	//92
    "BlockMacro",	//93
    "BlockWhile",	//94
    "Bookmark",	//95
    "BottomLeftCorner",	//96
    "Box",	//97
    "BoxIndicator",	//98
    "BoxedFoldStyle",	//99
    "BoxedMinus",	//100
    "BoxedMinusConnected",	//101
    "BoxedPlus",	//102
    "BoxedPlusConnected",	//103
    "BoxedTreeFoldStyle",	//104
    "C5E",	//105
    "CDATA",	//106
    "CSS1Property",	//107
    "CSS2Property",	//108
    "CSS3Property",	//109
    "CallTipsAboveText",	//110
    "CallTipsBelowText",	//111
    "CallTipsContext",	//112
    "CallTipsNoAutoCompletionContext",	//113
    "CallTipsNoContext",	//114
    "CallTipsNone",	//115
    "Cancel",	//116
    "Cassette",	//117
    "CharLeft",	//118
    "CharLeftExtend",	//119
    "CharLeftRectExtend",	//120
    "CharRight",	//121
    "CharRightExtend",	//122
    "CharRightRectExtend",	//123
    "Character",	//124
    "Cicero",	//125
    "Circle",	//126
    "CircledFoldStyle",	//127
    "CircledMinus",	//128
    "CircledMinusConnected",	//129
    "CircledPlus",	//130
    "CircledPlusConnected",	//131
    "CircledTreeFoldStyle",	//132
    "ClassName",	//133
    "ClassSelector",	//134
    "ClassVariable",	//135
    "Color",	//136
    "Comm10E",	//137
    "Command",	//138
    "Comment",	//139
    "CommentBlock",	//140
    "CommentBox",	//141
    "CommentDoc",	//142
    "CommentDocKeyword",	//143
    "CommentDocKeywordError",	//144
    "CommentLine",	//145
    "CommentLineDoc",	//146
    "CommentLineHash",	//147
    "CommentNested",	//148
    "CommentParenthesis",	//149
    "Continuation",	//150
    "CoroutinesIOSystemFacilities",	//151
    "CurrentPage",	//152
    "Custom",	//153
    "DLE",	//154
    "DSCComment",	//155
    "DSCCommentValue",	//156
    "DashesIndicator",	//157
    "DataSection",	//158
    "Decorator",	//159
    "Default",	//160
    "DefaultValue",	//161
    "Delete",	//162
    "DeleteBack",	//163
    "DeleteBackNotLine",	//164
    "DeleteLineLeft",	//165
    "DeleteLineRight",	//166
    "DeleteWordLeft",	//167
    "DeleteWordRight",	//168
    "DeleteWordRightEnd",	//169
    "DemotedKeyword",	//170
    "DevicePixel",	//171
    "DiagonalIndicator",	//172
    "DictionaryParenthesis",	//173
    "Didot",	//174
    "Directive",	//175
    "DocumentDelimiter",	//176
    "DocumentEnd",	//177
    "DocumentEndExtend",	//178
    "DocumentStart",	//179
    "DocumentStartExtend",	//180
    "DotBoxIndicator",	//181
    "DotsIndicator",	//182
    "DottedOperator",	//183
    "DoubleQuotedHereDocument",	//184
    "DoubleQuotedHereDocumentVar",	//185
    "DoubleQuotedString",	//186
    "DoubleQuotedStringVar",	//187
    "DownTriangle",	//188
    "DrawChildren",	//189
    "DrawWindowBackground",	//190
    "DuplexAuto",	//191
    "DuplexLongSide",	//192
    "DuplexNone",	//193
    "DuplexShortSide",	//194
    "EdgeBackground",	//195
    "EdgeLine",	//196
    "EdgeNone",	//197
    "EditToggleOvertype",	//198
    "Entity",	//199
    "Envelope",	//200
    "EnvelopeManual",	//201
    "EolMac",	//202
    "EolUnix",	//203
    "EolWindows",	//204
    "Error",	//205
    "EscapeSequence",	//206
    "Executive",	//207
    "ExpandKeyword",	//208
    "ExtendedCSSProperty",	//209
    "ExtendedFunction",	//210
    "ExtendedPseudoClass",	//211
    "ExtendedPseudoElement",	//212
    "ExternalCommand",	//213
    "FirstPageFirst",	//214
    "Folio",	//215
    "FormSource",	//216
    "FormatBody",	//217
    "FormatIdentifier",	//218
    "Formfeed",	//219
    "FullBoxIndicator",	//220
    "FullRectangle",	//221
    "Function",	//222
    "FunctionMethodName",	//223
    "Global",	//224
    "GlobalClass",	//225
    "GrayScale",	//226
    "Group",	//227
    "HLine",	//228
    "HSSLanguage",	//229
    "HTMLComment",	//230
    "HTMLDoubleQuotedString",	//231
    "HTMLNumber",	//232
    "HTMLSingleQuotedString",	//233
    "HTMLValue",	//234
    "Hash",	//235
    "HashQuotedString",	//236
    "Header",	//237
    "HereDocument",	//238
    "HereDocumentDelimiter",	//239
    "HexNumber",	//240
    "HexString",	//241
    "HiddenIndicator",	//242
    "HideCommandChar",	//243
    "HighResolution",	//244
    "HighlightedIdentifier",	//245
    "Home",	//246
    "HomeDisplay",	//247
    "HomeDisplayExtend",	//248
    "HomeExtend",	//249
    "HomeRectExtend",	//250
    "HomeWrap",	//251
    "HomeWrapExtend",	//252
    "IDSelector",	//253
    "ITCLKeyword",	//254
    "Identifier",	//255
    "Idle",	//256
    "IgnoreMask",	//257
    "ImmediateEvalLiteral",	//258
    "Important",	//259
    "InactiveComment",	//260
    "InactiveCommentDoc",	//261
    "InactiveCommentDocKeyword",	//262
    "InactiveCommentDocKeywordError",	//263
    "InactiveCommentLine",	//264
    "InactiveCommentLineDoc",	//265
    "InactiveDefault",	//266
    "InactiveDoubleQuotedString",	//267
    "InactiveEscapeSequence",	//268
    "InactiveGlobalClass",	//269
    "InactiveHashQuotedString",	//270
    "InactiveIdentifier",	//271
    "InactiveKeyword",	//272
    "InactiveKeywordSet2",	//273
    "InactiveNumber",	//274
    "InactiveOperator",	//275
    "InactivePreProcessor",	//276
    "InactivePreProcessorComment",	//277
    "InactivePreProcessorCommentLineDoc",	//278
    "InactiveRawString",	//279
    "InactiveRegex",	//280
    "InactiveSingleQuotedString",	//281
    "InactiveTaskMarker",	//282
    "InactiveTripleQuotedVerbatimString",	//283
    "InactiveUUID",	//284
    "InactiveUnclosedString",	//285
    "InactiveUserLiteral",	//286
    "InactiveVerbatimString",	//287
    "Inch",	//288
    "Inconsistent",	//289
    "InstanceVariable",	//290
    "IntrinsicFunction",	//291
    "Invisible",	//292
    "JavaScriptComment",	//293
    "JavaScriptCommentDoc",	//294
    "JavaScriptCommentLine",	//295
    "JavaScriptDefault",	//296
    "JavaScriptDoubleQuotedString",	//297
    "JavaScriptKeyword",	//298
    "JavaScriptNumber",	//299
    "JavaScriptRegex",	//300
    "JavaScriptSingleQuotedString",	//301
    "JavaScriptStart",	//302
    "JavaScriptSymbol",	//303
    "JavaScriptUnclosedString",	//304
    "JavaScriptWord",	//305
    "Key",	//306
    "Keyword",	//307
    "KeywordDoc",	//308
    "KeywordSecondary",	//309
    "KeywordSet2",	//310
    "KeywordSet3",	//311
    "KeywordSet5",	//312
    "KeywordSet6",	//313
    "KeywordSet7",	//314
    "KeywordSet8",	//315
    "KeywordSet9",	//316
    "Label",	//317
    "Landscape",	//318
    "LargeCapacity",	//319
    "LargeFormat",	//320
    "LastPageFirst",	//321
    "Ledger",	//322
    "LeftRectangle",	//323
    "LeftSideRoundedSplitter",	//324
    "LeftSideSplitter",	//325
    "Legal",	//326
    "LessLanguage",	//327
    "Letter",	//328
    "LineAdded",	//329
    "LineChanged",	//330
    "LineComment",	//331
    "LineCopy",	//332
    "LineCut",	//333
    "LineDelete",	//334
    "LineDown",	//335
    "LineDownExtend",	//336
    "LineDownRectExtend",	//337
    "LineDuplicate",	//338
    "LineEnd",	//339
    "LineEndDisplay",	//340
    "LineEndDisplayExtend",	//341
    "LineEndExtend",	//342
    "LineEndRectExtend",	//343
    "LineEndWrap",	//344
    "LineEndWrapExtend",	//345
    "LineRemoved",	//346
    "LineScrollDown",	//347
    "LineScrollUp",	//348
    "LineTranspose",	//349
    "LineUp",	//350
    "LineUpExtend",	//351
    "LineUpRectExtend",	//352
    "Literal",	//353
    "LiteralString",	//354
    "Lower",	//355
    "LowerCase",	//356
    "Manual",	//357
    "MaxPageSource",	//358
    "MediaRule",	//359
    "Middle",	//360
    "Millimeter",	//361
    "Minus",	//362
    "MoNone",	//363
    "MoSublineSelect",	//364
    "Modifier",	//365
    "ModuleName",	//366
    "MoveSelectedLinesDown",	//367
    "MoveSelectedLinesUp",	//368
    "NPageSize",	//369
    "NPaperSize",	//370
    "Name",	//371
    "NativeFormat",	//372
    "Newline",	//373
    "NoBraceMatch",	//374
    "NoFoldStyle",	//375
    "NoFrame",	//376
    "NoWarning",	//377
    "Number",	//378
    "NumberMargin",	//379
    "ObjectsCSGAppearance",	//380
    "OnlyOne",	//381
    "Operator",	//382
    "OriginalCase",	//383
    "OtherInTag",	//384
    "PHPComment",	//385
    "PHPCommentLine",	//386
    "PHPDefault",	//387
    "PHPDoubleQuotedString",	//388
    "PHPDoubleQuotedVariable",	//389
    "PHPKeyword",	//390
    "PHPNumber",	//391
    "PHPOperator",	//392
    "PHPSingleQuotedString",	//393
    "PHPStart",	//394
    "PHPVariable",	//395
    "POD",	//396
    "PODVerbatim",	//397
    "PageDown",	//398
    "PageDownExtend",	//399
    "PageDownRectExtend",	//400
    "PageRange",	//401
    "PageUp",	//402
    "PageUpExtend",	//403
    "PageUpRectExtend",	//404
    "Panel",	//405
    "ParaDown",	//406
    "ParaDownExtend",	//407
    "ParaUp",	//408
    "ParaUpExtend",	//409
    "ParameterExpansion",	//410
    "Paste",	//411
    "PdfFormat",	//412
    "PercentStringQ",	//413
    "PercentStringq",	//414
    "PercentStringr",	//415
    "PercentStringw",	//416
    "PercentStringx",	//417
    "Pica",	//418
    "Plain",	//419
    "PlainFoldStyle",	//420
    "PlainIndicator",	//421
    "Plus",	//422
    "PlusComment",	//423
    "PlusKeyword",	//424
    "PlusPrompt",	//425
    "Point",	//426
    "Portrait",	//427
    "Position",	//428
    "PostScriptFormat",	//429
    "PreProcessor",	//430
    "PreProcessorComment",	//431
    "PreProcessorCommentLineDoc",	//432
    "PreProcessorParenthesis",	//433
    "PredefinedFunctions",	//434
    "PredefinedIdentifiers",	//435
    "Preprocessor",	//436
    "PrinterResolution",	//437
    "ProcedureParenthesis",	//438
    "PseudoClass",	//439
    "PseudoElement",	//440
    "PythonClassName",	//441
    "PythonComment",	//442
    "PythonDefault",	//443
    "PythonDoubleQuotedString",	//444
    "PythonFunctionMethodName",	//445
    "PythonIdentifier",	//446
    "PythonKeyword",	//447
    "PythonNumber",	//448
    "PythonOperator",	//449
    "PythonSingleQuotedString",	//450
    "PythonStart",	//451
    "PythonTripleDoubleQuotedString",	//452
    "PythonTripleSingleQuotedString",	//453
    "QSCN_SELCHANGED",	//454
    "QSCN_SELCHANGED$",	//455
    "QsciAPIs",	//456
    "QsciAPIs#",	//457
    "QsciAbstractAPIs",	//458
    "QsciAbstractAPIs#",	//459
    "QsciDocument",	//460
    "QsciDocument#",	//461
    "QsciLexer",	//462
    "QsciLexer#",	//463
    "QsciLexerBash",	//464
    "QsciLexerBash#",	//465
    "QsciLexerBatch",	//466
    "QsciLexerBatch#",	//467
    "QsciLexerCMake",	//468
    "QsciLexerCMake#",	//469
    "QsciLexerCPP",	//470
    "QsciLexerCPP#",	//471
    "QsciLexerCPP#$",	//472
    "QsciLexerCSS",	//473
    "QsciLexerCSS#",	//474
    "QsciLexerCSharp",	//475
    "QsciLexerCSharp#",	//476
    "QsciLexerCustom",	//477
    "QsciLexerCustom#",	//478
    "QsciLexerD",	//479
    "QsciLexerD#",	//480
    "QsciLexerDiff",	//481
    "QsciLexerDiff#",	//482
    "QsciLexerFortran",	//483
    "QsciLexerFortran#",	//484
    "QsciLexerFortran77",	//485
    "QsciLexerFortran77#",	//486
    "QsciLexerHTML",	//487
    "QsciLexerHTML#",	//488
    "QsciLexerIDL",	//489
    "QsciLexerIDL#",	//490
    "QsciLexerJava",	//491
    "QsciLexerJava#",	//492
    "QsciLexerJavaScript",	//493
    "QsciLexerJavaScript#",	//494
    "QsciLexerLua",	//495
    "QsciLexerLua#",	//496
    "QsciLexerMakefile",	//497
    "QsciLexerMakefile#",	//498
    "QsciLexerPOV",	//499
    "QsciLexerPOV#",	//500
    "QsciLexerPascal",	//501
    "QsciLexerPascal#",	//502
    "QsciLexerPerl",	//503
    "QsciLexerPerl#",	//504
    "QsciLexerPostScript",	//505
    "QsciLexerPostScript#",	//506
    "QsciLexerProperties",	//507
    "QsciLexerProperties#",	//508
    "QsciLexerPython",	//509
    "QsciLexerPython#",	//510
    "QsciLexerRuby",	//511
    "QsciLexerRuby#",	//512
    "QsciLexerSQL",	//513
    "QsciLexerSQL#",	//514
    "QsciLexerTCL",	//515
    "QsciLexerTCL#",	//516
    "QsciLexerTeX",	//517
    "QsciLexerTeX#",	//518
    "QsciLexerVHDL",	//519
    "QsciLexerVHDL#",	//520
    "QsciLexerXML",	//521
    "QsciLexerXML#",	//522
    "QsciLexerYAML",	//523
    "QsciLexerYAML#",	//524
    "QsciMacro",	//525
    "QsciMacro#",	//526
    "QsciMacro$#",	//527
    "QsciPrinter",	//528
    "QsciPrinter$",	//529
    "QsciScintilla",	//530
    "QsciScintilla#",	//531
    "QsciScintillaBase",	//532
    "QsciScintillaBase#",	//533
    "QsciStyle",	//534
    "QsciStyle#",	//535
    "QsciStyle$",	//536
    "QsciStyle$$###",	//537
    "QsciStyle$$###$",	//538
    "QsciStyledText",	//539
    "QsciStyledText#",	//540
    "QsciStyledText$#",	//541
    "QsciStyledText$$",	//542
    "QuotedIdentifier",	//543
    "QuotedKeyword",	//544
    "QuotedOperator",	//545
    "QuotedString",	//546
    "QuotedStringQ",	//547
    "QuotedStringQQ",	//548
    "QuotedStringQQVar",	//549
    "QuotedStringQR",	//550
    "QuotedStringQRVar",	//551
    "QuotedStringQW",	//552
    "QuotedStringQX",	//553
    "QuotedStringQXVar",	//554
    "Raised",	//555
    "RawString",	//556
    "Rectangle",	//557
    "Redo",	//558
    "Reference",	//559
    "Regex",	//560
    "RegexVar",	//561
    "RightArrow",	//562
    "RightTriangle",	//563
    "RoundBoxIndicator",	//564
    "RoundedBottomLeftCorner",	//565
    "SCEN_CHANGE",	//566
    "SCN_AUTOCCANCELLED",	//567
    "SCN_AUTOCCHARDELETED",	//568
    "SCN_AUTOCSELECTION",	//569
    "SCN_AUTOCSELECTION$$",	//570
    "SCN_CALLTIPCLICK",	//571
    "SCN_CALLTIPCLICK$",	//572
    "SCN_CHARADDED",	//573
    "SCN_CHARADDED$",	//574
    "SCN_DOUBLECLICK",	//575
    "SCN_DOUBLECLICK$$$",	//576
    "SCN_DWELLEND",	//577
    "SCN_DWELLEND$$$",	//578
    "SCN_DWELLSTART",	//579
    "SCN_DWELLSTART$$$",	//580
    "SCN_FOCUSIN",	//581
    "SCN_FOCUSOUT",	//582
    "SCN_HOTSPOTCLICK",	//583
    "SCN_HOTSPOTCLICK$$",	//584
    "SCN_HOTSPOTDOUBLECLICK",	//585
    "SCN_HOTSPOTDOUBLECLICK$$",	//586
    "SCN_HOTSPOTRELEASECLICK",	//587
    "SCN_HOTSPOTRELEASECLICK$$",	//588
    "SCN_INDICATORCLICK",	//589
    "SCN_INDICATORCLICK$$",	//590
    "SCN_INDICATORRELEASE",	//591
    "SCN_INDICATORRELEASE$$",	//592
    "SCN_MACRORECORD",	//593
    "SCN_MACRORECORD$$$",	//594
    "SCN_MARGINCLICK",	//595
    "SCN_MARGINCLICK$$$",	//596
    "SCN_MODIFIED",	//597
    "SCN_MODIFIED$$$$$$$$$$",	//598
    "SCN_MODIFYATTEMPTRO",	//599
    "SCN_NEEDSHOWN",	//600
    "SCN_NEEDSHOWN$$",	//601
    "SCN_PAINTED",	//602
    "SCN_SAVEPOINTLEFT",	//603
    "SCN_SAVEPOINTREACHED",	//604
    "SCN_STYLENEEDED",	//605
    "SCN_STYLENEEDED$",	//606
    "SCN_UPDATEUI",	//607
    "SCN_UPDATEUI$",	//608
    "SCN_USERLISTSELECTION",	//609
    "SCN_USERLISTSELECTION$$",	//610
    "SCN_ZOOM",	//611
    "SCSSLanguage",	//612
    "SC_ORDER_CUSTOM",	//613
    "SC_ORDER_PERFORMSORT",	//614
    "SC_ORDER_PRESORTED",	//615
    "SGMLBlockDefault",	//616
    "SGMLCommand",	//617
    "SGMLComment",	//618
    "SGMLDefault",	//619
    "SGMLDoubleQuotedString",	//620
    "SGMLEntity",	//621
    "SGMLError",	//622
    "SGMLParameter",	//623
    "SGMLParameterComment",	//624
    "SGMLSingleQuotedString",	//625
    "SGMLSpecial",	//626
    "Scalar",	//627
    "ScreenResolution",	//628
    "Script",	//629
    "ScrollToEnd",	//630
    "ScrollToStart",	//631
    "Section",	//632
    "SelectAll",	//633
    "Selection",	//634
    "SelectionCopy",	//635
    "SelectionCut",	//636
    "SelectionDuplicate",	//637
    "SelectionLowerCase",	//638
    "SelectionUpperCase",	//639
    "SendScintilla",	//640
    "SendScintilla$",	//641
    "SendScintilla$#",	//642
    "SendScintilla$$",	//643
    "SendScintilla$$#",	//644
    "SendScintilla$$##$$",	//645
    "SendScintilla$$$",	//646
    "SendScintilla$$$$",	//647
    "SendScintillaPtrResult",	//648
    "SendScintillaPtrResult$",	//649
    "Shadow_Mask",	//650
    "Shape_Mask",	//651
    "SingleQuotedHereDocument",	//652
    "SingleQuotedString",	//653
    "SloppyBraceMatch",	//654
    "SmallFormat",	//655
    "SmallRectangle",	//656
    "Spaces",	//657
    "Special",	//658
    "SquiggleIndicator",	//659
    "SquiggleLowIndicator",	//660
    "SquigglePixmapIndicator",	//661
    "StandardFunction",	//662
    "StandardOperator",	//663
    "StandardPackage",	//664
    "StandardType",	//665
    "Stderr",	//666
    "Stdin",	//667
    "Stdout",	//668
    "StraightBoxIndicator",	//669
    "StrictBraceMatch",	//670
    "StrikeIndicator",	//671
    "String",	//672
    "StringLeftQuote",	//673
    "StringRightQuote",	//674
    "StringTableMathsFunctions",	//675
    "StringVariable",	//676
    "StutteredPageDown",	//677
    "StutteredPageDownExtend",	//678
    "StutteredPageUp",	//679
    "StutteredPageUpExtend",	//680
    "StyledPanel",	//681
    "SubroutinePrototype",	//682
    "Substitution",	//683
    "SubstitutionBrace",	//684
    "SubstitutionVar",	//685
    "Sunken",	//686
    "Symbol",	//687
    "SymbolMargin",	//688
    "SymbolMarginDefaultBackgroundColor",	//689
    "SymbolMarginDefaultForegroundColor",	//690
    "SymbolTable",	//691
    "SyntaxErrorMarker",	//692
    "TCLKeyword",	//693
    "TTIndicator",	//694
    "Tab",	//695
    "Tabloid",	//696
    "Tabs",	//697
    "TabsAfterSpaces",	//698
    "Tag",	//699
    "Target",	//700
    "TaskMarker",	//701
    "Text",	//702
    "TextBlockMarker",	//703
    "TextColorIndicator",	//704
    "TextMargin",	//705
    "TextMarginRightJustified",	//706
    "ThickCompositionIndicator",	//707
    "ThinCompositionIndicator",	//708
    "ThreeDots",	//709
    "ThreeRightArrows",	//710
    "TkCommand",	//711
    "TkKeyword",	//712
    "Tractor",	//713
    "Translation",	//714
    "TripleDoubleQuotedString",	//715
    "TripleQuotedVerbatimString",	//716
    "TripleSingleQuotedString",	//717
    "Typedefs",	//718
    "TypesModifiersItems",	//719
    "UUID",	//720
    "UnclosedString",	//721
    "Underline",	//722
    "Undo",	//723
    "UnknownAttribute",	//724
    "UnknownProperty",	//725
    "UnknownPseudoClass",	//726
    "UnknownTag",	//727
    "UpperCase",	//728
    "UserLiteral",	//729
    "VBScriptComment",	//730
    "VBScriptDefault",	//731
    "VBScriptIdentifier",	//732
    "VBScriptKeyword",	//733
    "VBScriptNumber",	//734
    "VBScriptStart",	//735
    "VBScriptString",	//736
    "VBScriptUnclosedString",	//737
    "VCHome",	//738
    "VCHomeExtend",	//739
    "VCHomeRectExtend",	//740
    "VCHomeWrap",	//741
    "VCHomeWrapExtend",	//742
    "VLine",	//743
    "Value",	//744
    "Variable",	//745
    "VerbatimString",	//746
    "VerticalCentreCaret",	//747
    "VerticalLine",	//748
    "WinPanel",	//749
    "WordLeft",	//750
    "WordLeftEnd",	//751
    "WordLeftEndExtend",	//752
    "WordLeftExtend",	//753
    "WordPartLeft",	//754
    "WordPartLeftExtend",	//755
    "WordPartRight",	//756
    "WordPartRightExtend",	//757
    "WordRight",	//758
    "WordRightEnd",	//759
    "WordRightEndExtend",	//760
    "WordRightExtend",	//761
    "WrapCharacter",	//762
    "WrapFlagByBorder",	//763
    "WrapFlagByText",	//764
    "WrapFlagInMargin",	//765
    "WrapFlagNone",	//766
    "WrapIndentFixed",	//767
    "WrapIndentIndented",	//768
    "WrapIndentSame",	//769
    "WrapNone",	//770
    "WrapWhitespace",	//771
    "WrapWord",	//772
    "WsInvisible",	//773
    "WsVisible",	//774
    "WsVisibleAfterIndent",	//775
    "XMLEnd",	//776
    "XMLStart",	//777
    "XMLTagEnd",	//778
    "ZoomIn",	//779
    "ZoomOut",	//780
    "actionEvent",	//781
    "add",	//782
    "add$",	//783
    "alternateKey",	//784
    "annotate",	//785
    "annotate$#",	//786
    "annotate$$#",	//787
    "annotate$$$",	//788
    "annotate$?",	//789
    "annotation",	//790
    "annotation$",	//791
    "annotationDisplay",	//792
    "apiContext",	//793
    "apiContext$$$",	//794
    "apiPreparationCancelled",	//795
    "apiPreparationFinished",	//796
    "apiPreparationStarted",	//797
    "apis",	//798
    "append",	//799
    "append$",	//800
    "apply",	//801
    "apply#",	//802
    "autoCompleteFromAPIs",	//803
    "autoCompleteFromAll",	//804
    "autoCompleteFromDocument",	//805
    "autoCompletionCaseSensitivity",	//806
    "autoCompletionFillups",	//807
    "autoCompletionFillupsEnabled",	//808
    "autoCompletionReplaceWord",	//809
    "autoCompletionSelected",	//810
    "autoCompletionSelected$",	//811
    "autoCompletionShowSingle",	//812
    "autoCompletionSource",	//813
    "autoCompletionThreshold",	//814
    "autoCompletionUseSingle",	//815
    "autoCompletionWordSeparators",	//816
    "autoIndent",	//817
    "autoIndentStyle",	//818
    "backslashEscapes",	//819
    "backspaceUnindents",	//820
    "beginUndoAction",	//821
    "blockEnd",	//822
    "blockEnd$",	//823
    "blockLookback",	//824
    "blockStart",	//825
    "blockStart$",	//826
    "blockStartKeyword",	//827
    "blockStartKeyword$",	//828
    "boundTo",	//829
    "boundTo$",	//830
    "braceMatching",	//831
    "braceStyle",	//832
    "bytesAsText",	//833
    "bytesAsText$",	//834
    "callTip",	//835
    "callTips",	//836
    "callTips?$$?",	//837
    "callTipsPosition",	//838
    "callTipsStyle",	//839
    "callTipsVisible",	//840
    "canInsertFromMimeData",	//841
    "canInsertFromMimeData#",	//842
    "cancelList",	//843
    "cancelPreparation",	//844
    "caseSensitive",	//845
    "caseSensitiveTags",	//846
    "changeEvent",	//847
    "changeEvent#",	//848
    "changeable",	//849
    "childEvent",	//850
    "clear",	//851
    "clearAlternateKeys",	//852
    "clearAnnotations",	//853
    "clearAnnotations$",	//854
    "clearFolds",	//855
    "clearIndicatorRange",	//856
    "clearIndicatorRange$$$$$",	//857
    "clearKeys",	//858
    "clearMarginText",	//859
    "clearMarginText$",	//860
    "clearRegisteredImages",	//861
    "closeEvent",	//862
    "color",	//863
    "color$",	//864
    "colorChanged",	//865
    "colorChanged#$",	//866
    "command",	//867
    "commandKey",	//868
    "commandKey$$",	//869
    "commands",	//870
    "connectNotify",	//871
    "contextMenuEvent",	//872
    "contextMenuEvent#",	//873
    "contractedFolds",	//874
    "convertEols",	//875
    "convertEols$",	//876
    "copy",	//877
    "copyAvailable",	//878
    "copyAvailable$",	//879
    "createStandardContextMenu",	//880
    "cursorPositionChanged",	//881
    "cursorPositionChanged$$",	//882
    "customEvent",	//883
    "cut",	//884
    "defaultColor",	//885
    "defaultColor$",	//886
    "defaultEolFill",	//887
    "defaultEolFill$",	//888
    "defaultFont",	//889
    "defaultFont$",	//890
    "defaultPaper",	//891
    "defaultPaper$",	//892
    "defaultPreparedName",	//893
    "defaultStyle",	//894
    "description",	//895
    "description$",	//896
    "devType",	//897
    "disconnectNotify",	//898
    "djangoTemplates",	//899
    "document",	//900
    "dollarsAllowed",	//901
    "dottedWords",	//902
    "dragEnterEvent",	//903
    "dragEnterEvent#",	//904
    "dragLeaveEvent",	//905
    "dragLeaveEvent#",	//906
    "dragMoveEvent",	//907
    "dragMoveEvent#",	//908
    "dropEvent",	//909
    "dropEvent#",	//910
    "edgeColor",	//911
    "edgeColumn",	//912
    "edgeMode",	//913
    "editor",	//914
    "enabledChange",	//915
    "endRecording",	//916
    "endUndoAction",	//917
    "ensureCursorVisible",	//918
    "ensureLineVisible",	//919
    "ensureLineVisible$",	//920
    "enterEvent",	//921
    "eolFill",	//922
    "eolFill$",	//923
    "eolFillChanged",	//924
    "eolFillChanged$$",	//925
    "eolMode",	//926
    "eolVisibility",	//927
    "event",	//928
    "event#",	//929
    "eventFilter",	//930
    "execute",	//931
    "extraAscent",	//932
    "extraDescent",	//933
    "fillIndicatorRange",	//934
    "fillIndicatorRange$$$$$",	//935
    "find",	//936
    "find$",	//937
    "findFirst",	//938
    "findFirst$$$$$",	//939
    "findFirst$$$$$$",	//940
    "findFirst$$$$$$$",	//941
    "findFirst$$$$$$$$",	//942
    "findFirst$$$$$$$$$",	//943
    "findFirst$$$$$$$$$$",	//944
    "findFirstInSelection",	//945
    "findFirstInSelection$$$$",	//946
    "findFirstInSelection$$$$$",	//947
    "findFirstInSelection$$$$$$",	//948
    "findFirstInSelection$$$$$$$",	//949
    "findNext",	//950
    "firstVisibleLine",	//951
    "focusInEvent",	//952
    "focusInEvent#",	//953
    "focusNextPrevChild",	//954
    "focusNextPrevChild$",	//955
    "focusOutEvent",	//956
    "focusOutEvent#",	//957
    "foldAll",	//958
    "foldAll$",	//959
    "foldAtBegin",	//960
    "foldAtElse",	//961
    "foldAtParenthesis",	//962
    "foldComments",	//963
    "foldCompact",	//964
    "foldDirectives",	//965
    "foldLine",	//966
    "foldLine$",	//967
    "foldOnlyBegin",	//968
    "foldPODBlocks",	//969
    "foldPackages",	//970
    "foldPreprocessor",	//971
    "foldQuotes",	//972
    "foldScriptComments",	//973
    "foldScriptHeredocs",	//974
    "folding",	//975
    "font",	//976
    "font$",	//977
    "fontChange",	//978
    "fontChanged",	//979
    "fontChanged#$",	//980
    "formatPage",	//981
    "formatPage#$#$",	//982
    "fromMimeData",	//983
    "fromMimeData#$",	//984
    "getCursorPosition",	//985
    "getCursorPosition$$",	//986
    "getSelection",	//987
    "getSelection$$$$",	//988
    "hasSelectedText",	//989
    "hashComments",	//990
    "heightForWidth",	//991
    "hideEvent",	//992
    "highlightBackQuotedStrings",	//993
    "highlightEscapeSequences",	//994
    "highlightHashQuotedStrings",	//995
    "highlightSubidentifiers",	//996
    "highlightTripleQuotedStrings",	//997
    "hotspot",	//998
    "indent",	//999
    "indent$",	//1000
    "indentation",	//1001
    "indentation$",	//1002
    "indentationGuideView",	//1003
    "indentationGuides",	//1004
    "indentationWarning",	//1005
    "indentationWidth",	//1006
    "indentationsUseTabs",	//1007
    "indicatorClicked",	//1008
    "indicatorClicked$$$",	//1009
    "indicatorDefine",	//1010
    "indicatorDefine$",	//1011
    "indicatorDefine$$",	//1012
    "indicatorDrawUnder",	//1013
    "indicatorDrawUnder$",	//1014
    "indicatorReleased",	//1015
    "indicatorReleased$$$",	//1016
    "initialSpaces",	//1017
    "inputMethodEvent",	//1018
    "inputMethodEvent#",	//1019
    "inputMethodQuery",	//1020
    "inputMethodQuery$",	//1021
    "insert",	//1022
    "insert$",	//1023
    "insertAt",	//1024
    "insertAt$$$",	//1025
    "installedAPIFiles",	//1026
    "isCallTipActive",	//1027
    "isListActive",	//1028
    "isModified",	//1029
    "isPrepared",	//1030
    "isPrepared$",	//1031
    "isReadOnly",	//1032
    "isRedoAvailable",	//1033
    "isUndoAvailable",	//1034
    "isUtf8",	//1035
    "isWordCharacter",	//1036
    "isWordCharacter$",	//1037
    "key",	//1038
    "keyPressEvent",	//1039
    "keyPressEvent#",	//1040
    "keyReleaseEvent",	//1041
    "keywords",	//1042
    "keywords$",	//1043
    "language",	//1044
    "languageChange",	//1045
    "leaveEvent",	//1046
    "length",	//1047
    "level",	//1048
    "lexer",	//1049
    "lexerId",	//1050
    "lineAt",	//1051
    "lineAt#",	//1052
    "lineIndexFromPosition",	//1053
    "lineIndexFromPosition$$$",	//1054
    "lineLength",	//1055
    "lineLength$",	//1056
    "lines",	//1057
    "linesChanged",	//1058
    "load",	//1059
    "load$",	//1060
    "loadPrepared",	//1061
    "loadPrepared$",	//1062
    "magnification",	//1063
    "makoTemplates",	//1064
    "marginClicked",	//1065
    "marginClicked$$$",	//1066
    "marginLineNumbers",	//1067
    "marginLineNumbers$",	//1068
    "marginMarkerMask",	//1069
    "marginMarkerMask$",	//1070
    "marginOptions",	//1071
    "marginSensitivity",	//1072
    "marginSensitivity$",	//1073
    "marginType",	//1074
    "marginType$",	//1075
    "marginWidth",	//1076
    "marginWidth$",	//1077
    "markerAdd",	//1078
    "markerAdd$$",	//1079
    "markerDefine",	//1080
    "markerDefine#",	//1081
    "markerDefine#$",	//1082
    "markerDefine$",	//1083
    "markerDefine$$",	//1084
    "markerDelete",	//1085
    "markerDelete$",	//1086
    "markerDelete$$",	//1087
    "markerDeleteAll",	//1088
    "markerDeleteAll$",	//1089
    "markerDeleteHandle",	//1090
    "markerDeleteHandle$",	//1091
    "markerFindNext",	//1092
    "markerFindNext$$",	//1093
    "markerFindPrevious",	//1094
    "markerFindPrevious$$",	//1095
    "markerLine",	//1096
    "markerLine$",	//1097
    "markersAtLine",	//1098
    "markersAtLine$",	//1099
    "metaObject",	//1100
    "metric",	//1101
    "minimumSizeHint",	//1102
    "modificationAttempted",	//1103
    "modificationChanged",	//1104
    "modificationChanged$",	//1105
    "mouseDoubleClickEvent",	//1106
    "mouseDoubleClickEvent#",	//1107
    "mouseMoveEvent",	//1108
    "mouseMoveEvent#",	//1109
    "mousePressEvent",	//1110
    "mousePressEvent#",	//1111
    "mouseReleaseEvent",	//1112
    "mouseReleaseEvent#",	//1113
    "moveEvent",	//1114
    "moveToMatchingBrace",	//1115
    "operator=",	//1116
    "operator=#",	//1117
    "overwriteMode",	//1118
    "paintEngine",	//1119
    "paintEvent",	//1120
    "paintEvent#",	//1121
    "paletteChange",	//1122
    "paper",	//1123
    "paper$",	//1124
    "paperChanged",	//1125
    "paperChanged#$",	//1126
    "paste",	//1127
    "play",	//1128
    "pool",	//1129
    "positionFromLineIndex",	//1130
    "positionFromLineIndex$$",	//1131
    "prepare",	//1132
    "printRange",	//1133
    "printRange#",	//1134
    "printRange#$",	//1135
    "printRange#$$",	//1136
    "processComments",	//1137
    "processIf",	//1138
    "propertyChanged",	//1139
    "propertyChanged$$",	//1140
    "qt_metacall",	//1141
    "qt_metacall$$?",	//1142
    "qt_metacast",	//1143
    "qt_metacast$",	//1144
    "quotedIdentifiers",	//1145
    "read",	//1146
    "read#",	//1147
    "readProperties",	//1148
    "readProperties#$",	//1149
    "readSettings",	//1150
    "readSettings#",	//1151
    "readSettings#$",	//1152
    "recolor",	//1153
    "recolor$",	//1154
    "recolor$$",	//1155
    "redo",	//1156
    "refresh",	//1157
    "refreshProperties",	//1158
    "registerImage",	//1159
    "registerImage$#",	//1160
    "remove",	//1161
    "remove$",	//1162
    "removeSelectedText",	//1163
    "replace",	//1164
    "replace$",	//1165
    "replaceSelectedText",	//1166
    "replaceSelectedText$",	//1167
    "resetFoldMarginColors",	//1168
    "resetHotspotBackgroundColor",	//1169
    "resetHotspotForegroundColor",	//1170
    "resetMatchedBraceIndicator",	//1171
    "resetSelectionBackgroundColor",	//1172
    "resetSelectionForegroundColor",	//1173
    "resetUnmatchedBraceIndicator",	//1174
    "resizeEvent",	//1175
    "resizeEvent#",	//1176
    "save",	//1177
    "savePrepared",	//1178
    "savePrepared$",	//1179
    "scriptsStyled",	//1180
    "scrollContentsBy",	//1181
    "scrollContentsBy$$",	//1182
    "selectAll",	//1183
    "selectAll$",	//1184
    "selectToMatchingBrace",	//1185
    "selectedText",	//1186
    "selectionChanged",	//1187
    "selectionToEol",	//1188
    "setAPIs",	//1189
    "setAPIs#",	//1190
    "setAlternateKey",	//1191
    "setAlternateKey$",	//1192
    "setAnnotationDisplay",	//1193
    "setAnnotationDisplay$",	//1194
    "setAutoCompletionCaseSensitivity",	//1195
    "setAutoCompletionCaseSensitivity$",	//1196
    "setAutoCompletionFillups",	//1197
    "setAutoCompletionFillups$",	//1198
    "setAutoCompletionFillupsEnabled",	//1199
    "setAutoCompletionFillupsEnabled$",	//1200
    "setAutoCompletionReplaceWord",	//1201
    "setAutoCompletionReplaceWord$",	//1202
    "setAutoCompletionShowSingle",	//1203
    "setAutoCompletionShowSingle$",	//1204
    "setAutoCompletionSource",	//1205
    "setAutoCompletionSource$",	//1206
    "setAutoCompletionThreshold",	//1207
    "setAutoCompletionThreshold$",	//1208
    "setAutoCompletionUseSingle",	//1209
    "setAutoCompletionUseSingle$",	//1210
    "setAutoCompletionWordSeparators",	//1211
    "setAutoCompletionWordSeparators?",	//1212
    "setAutoIndent",	//1213
    "setAutoIndent$",	//1214
    "setAutoIndentStyle",	//1215
    "setAutoIndentStyle$",	//1216
    "setBackslashEscapes",	//1217
    "setBackslashEscapes$",	//1218
    "setBackspaceUnindents",	//1219
    "setBackspaceUnindents$",	//1220
    "setBraceMatching",	//1221
    "setBraceMatching$",	//1222
    "setCallTipsBackgroundColor",	//1223
    "setCallTipsBackgroundColor#",	//1224
    "setCallTipsForegroundColor",	//1225
    "setCallTipsForegroundColor#",	//1226
    "setCallTipsHighlightColor",	//1227
    "setCallTipsHighlightColor#",	//1228
    "setCallTipsPosition",	//1229
    "setCallTipsPosition$",	//1230
    "setCallTipsStyle",	//1231
    "setCallTipsStyle$",	//1232
    "setCallTipsVisible",	//1233
    "setCallTipsVisible$",	//1234
    "setCaretForegroundColor",	//1235
    "setCaretForegroundColor#",	//1236
    "setCaretLineBackgroundColor",	//1237
    "setCaretLineBackgroundColor#",	//1238
    "setCaretLineVisible",	//1239
    "setCaretLineVisible$",	//1240
    "setCaretWidth",	//1241
    "setCaretWidth$",	//1242
    "setCaseSensitiveTags",	//1243
    "setCaseSensitiveTags$",	//1244
    "setChangeable",	//1245
    "setChangeable$",	//1246
    "setColor",	//1247
    "setColor#",	//1248
    "setColor#$",	//1249
    "setContractedFolds",	//1250
    "setContractedFolds?",	//1251
    "setCursorPosition",	//1252
    "setCursorPosition$$",	//1253
    "setDefaultColor",	//1254
    "setDefaultColor#",	//1255
    "setDefaultFont",	//1256
    "setDefaultFont#",	//1257
    "setDefaultPaper",	//1258
    "setDefaultPaper#",	//1259
    "setDescription",	//1260
    "setDescription$",	//1261
    "setDjangoTemplates",	//1262
    "setDjangoTemplates$",	//1263
    "setDocument",	//1264
    "setDocument#",	//1265
    "setDollarsAllowed",	//1266
    "setDollarsAllowed$",	//1267
    "setDottedWords",	//1268
    "setDottedWords$",	//1269
    "setEdgeColor",	//1270
    "setEdgeColor#",	//1271
    "setEdgeColumn",	//1272
    "setEdgeColumn$",	//1273
    "setEdgeMode",	//1274
    "setEdgeMode$",	//1275
    "setEditor",	//1276
    "setEditor#",	//1277
    "setEolFill",	//1278
    "setEolFill$",	//1279
    "setEolFill$$",	//1280
    "setEolMode",	//1281
    "setEolMode$",	//1282
    "setEolVisibility",	//1283
    "setEolVisibility$",	//1284
    "setExtraAscent",	//1285
    "setExtraAscent$",	//1286
    "setExtraDescent",	//1287
    "setExtraDescent$",	//1288
    "setFirstVisibleLine",	//1289
    "setFirstVisibleLine$",	//1290
    "setFoldAtBegin",	//1291
    "setFoldAtBegin$",	//1292
    "setFoldAtElse",	//1293
    "setFoldAtElse$",	//1294
    "setFoldAtParenthesis",	//1295
    "setFoldAtParenthesis$",	//1296
    "setFoldComments",	//1297
    "setFoldComments$",	//1298
    "setFoldCompact",	//1299
    "setFoldCompact$",	//1300
    "setFoldDirectives",	//1301
    "setFoldDirectives$",	//1302
    "setFoldMarginColors",	//1303
    "setFoldMarginColors##",	//1304
    "setFoldOnlyBegin",	//1305
    "setFoldOnlyBegin$",	//1306
    "setFoldPODBlocks",	//1307
    "setFoldPODBlocks$",	//1308
    "setFoldPackages",	//1309
    "setFoldPackages$",	//1310
    "setFoldPreprocessor",	//1311
    "setFoldPreprocessor$",	//1312
    "setFoldQuotes",	//1313
    "setFoldQuotes$",	//1314
    "setFoldScriptComments",	//1315
    "setFoldScriptComments$",	//1316
    "setFoldScriptHeredocs",	//1317
    "setFoldScriptHeredocs$",	//1318
    "setFolding",	//1319
    "setFolding$",	//1320
    "setFolding$$",	//1321
    "setFont",	//1322
    "setFont#",	//1323
    "setFont#$",	//1324
    "setHSSLanguage",	//1325
    "setHSSLanguage$",	//1326
    "setHashComments",	//1327
    "setHashComments$",	//1328
    "setHighlightBackQuotedStrings",	//1329
    "setHighlightBackQuotedStrings$",	//1330
    "setHighlightEscapeSequences",	//1331
    "setHighlightEscapeSequences$",	//1332
    "setHighlightHashQuotedStrings",	//1333
    "setHighlightHashQuotedStrings$",	//1334
    "setHighlightSubidentifiers",	//1335
    "setHighlightSubidentifiers$",	//1336
    "setHighlightTripleQuotedStrings",	//1337
    "setHighlightTripleQuotedStrings$",	//1338
    "setHotspot",	//1339
    "setHotspot$",	//1340
    "setHotspotBackgroundColor",	//1341
    "setHotspotBackgroundColor#",	//1342
    "setHotspotForegroundColor",	//1343
    "setHotspotForegroundColor#",	//1344
    "setHotspotUnderline",	//1345
    "setHotspotUnderline$",	//1346
    "setHotspotWrap",	//1347
    "setHotspotWrap$",	//1348
    "setIndentation",	//1349
    "setIndentation$$",	//1350
    "setIndentationGuides",	//1351
    "setIndentationGuides$",	//1352
    "setIndentationGuidesBackgroundColor",	//1353
    "setIndentationGuidesBackgroundColor#",	//1354
    "setIndentationGuidesForegroundColor",	//1355
    "setIndentationGuidesForegroundColor#",	//1356
    "setIndentationWarning",	//1357
    "setIndentationWarning$",	//1358
    "setIndentationWidth",	//1359
    "setIndentationWidth$",	//1360
    "setIndentationsUseTabs",	//1361
    "setIndentationsUseTabs$",	//1362
    "setIndicatorDrawUnder",	//1363
    "setIndicatorDrawUnder$",	//1364
    "setIndicatorDrawUnder$$",	//1365
    "setIndicatorForegroundColor",	//1366
    "setIndicatorForegroundColor#",	//1367
    "setIndicatorForegroundColor#$",	//1368
    "setIndicatorHoverForegroundColor",	//1369
    "setIndicatorHoverForegroundColor#",	//1370
    "setIndicatorHoverForegroundColor#$",	//1371
    "setIndicatorHoverStyle",	//1372
    "setIndicatorHoverStyle$",	//1373
    "setIndicatorHoverStyle$$",	//1374
    "setIndicatorOutlineColor",	//1375
    "setIndicatorOutlineColor#",	//1376
    "setIndicatorOutlineColor#$",	//1377
    "setInitialSpaces",	//1378
    "setInitialSpaces$",	//1379
    "setKey",	//1380
    "setKey$",	//1381
    "setLessLanguage",	//1382
    "setLessLanguage$",	//1383
    "setLevel",	//1384
    "setLevel$",	//1385
    "setLexer",	//1386
    "setLexer#",	//1387
    "setMagnification",	//1388
    "setMagnification$",	//1389
    "setMakoTemplates",	//1390
    "setMakoTemplates$",	//1391
    "setMarginLineNumbers",	//1392
    "setMarginLineNumbers$$",	//1393
    "setMarginMarkerMask",	//1394
    "setMarginMarkerMask$$",	//1395
    "setMarginOptions",	//1396
    "setMarginOptions$",	//1397
    "setMarginSensitivity",	//1398
    "setMarginSensitivity$$",	//1399
    "setMarginText",	//1400
    "setMarginText$#",	//1401
    "setMarginText$$#",	//1402
    "setMarginText$$$",	//1403
    "setMarginText$?",	//1404
    "setMarginType",	//1405
    "setMarginType$$",	//1406
    "setMarginWidth",	//1407
    "setMarginWidth$$",	//1408
    "setMarginsBackgroundColor",	//1409
    "setMarginsBackgroundColor#",	//1410
    "setMarginsFont",	//1411
    "setMarginsFont#",	//1412
    "setMarginsForegroundColor",	//1413
    "setMarginsForegroundColor#",	//1414
    "setMarkerBackgroundColor",	//1415
    "setMarkerBackgroundColor#",	//1416
    "setMarkerBackgroundColor#$",	//1417
    "setMarkerForegroundColor",	//1418
    "setMarkerForegroundColor#",	//1419
    "setMarkerForegroundColor#$",	//1420
    "setMatchedBraceBackgroundColor",	//1421
    "setMatchedBraceBackgroundColor#",	//1422
    "setMatchedBraceForegroundColor",	//1423
    "setMatchedBraceForegroundColor#",	//1424
    "setMatchedBraceIndicator",	//1425
    "setMatchedBraceIndicator$",	//1426
    "setModified",	//1427
    "setModified$",	//1428
    "setOverwriteMode",	//1429
    "setOverwriteMode$",	//1430
    "setPaper",	//1431
    "setPaper#",	//1432
    "setPaper#$",	//1433
    "setProcessComments",	//1434
    "setProcessComments$",	//1435
    "setProcessIf",	//1436
    "setProcessIf$",	//1437
    "setQuotedIdentifiers",	//1438
    "setQuotedIdentifiers$",	//1439
    "setReadOnly",	//1440
    "setReadOnly$",	//1441
    "setSCSSLanguage",	//1442
    "setSCSSLanguage$",	//1443
    "setScriptsStyled",	//1444
    "setScriptsStyled$",	//1445
    "setScrollBars",	//1446
    "setSelection",	//1447
    "setSelection$$$$",	//1448
    "setSelectionBackgroundColor",	//1449
    "setSelectionBackgroundColor#",	//1450
    "setSelectionForegroundColor",	//1451
    "setSelectionForegroundColor#",	//1452
    "setSelectionToEol",	//1453
    "setSelectionToEol$",	//1454
    "setSmartHighlighting",	//1455
    "setSmartHighlighting$",	//1456
    "setStringsOverNewlineAllowed",	//1457
    "setStringsOverNewlineAllowed$",	//1458
    "setStylePreprocessor",	//1459
    "setStylePreprocessor$",	//1460
    "setStyling",	//1461
    "setStyling$#",	//1462
    "setStyling$$",	//1463
    "setTabIndents",	//1464
    "setTabIndents$",	//1465
    "setTabWidth",	//1466
    "setTabWidth$",	//1467
    "setText",	//1468
    "setText$",	//1469
    "setTextCase",	//1470
    "setTextCase$",	//1471
    "setTokenize",	//1472
    "setTokenize$",	//1473
    "setUnmatchedBraceBackgroundColor",	//1474
    "setUnmatchedBraceBackgroundColor#",	//1475
    "setUnmatchedBraceForegroundColor",	//1476
    "setUnmatchedBraceForegroundColor#",	//1477
    "setUnmatchedBraceIndicator",	//1478
    "setUnmatchedBraceIndicator$",	//1479
    "setUtf8",	//1480
    "setUtf8$",	//1481
    "setV2UnicodeAllowed",	//1482
    "setV2UnicodeAllowed$",	//1483
    "setV3BinaryOctalAllowed",	//1484
    "setV3BinaryOctalAllowed$",	//1485
    "setV3BytesAllowed",	//1486
    "setV3BytesAllowed$",	//1487
    "setVerbatimStringEscapeSequencesAllowed",	//1488
    "setVerbatimStringEscapeSequencesAllowed$",	//1489
    "setVisible",	//1490
    "setVisible$",	//1491
    "setWhitespaceBackgroundColor",	//1492
    "setWhitespaceBackgroundColor#",	//1493
    "setWhitespaceForegroundColor",	//1494
    "setWhitespaceForegroundColor#",	//1495
    "setWhitespaceSize",	//1496
    "setWhitespaceSize$",	//1497
    "setWhitespaceVisibility",	//1498
    "setWhitespaceVisibility$",	//1499
    "setWrapIndentMode",	//1500
    "setWrapIndentMode$",	//1501
    "setWrapMode",	//1502
    "setWrapMode$",	//1503
    "setWrapVisualFlags",	//1504
    "setWrapVisualFlags$",	//1505
    "setWrapVisualFlags$$",	//1506
    "setWrapVisualFlags$$$",	//1507
    "showEvent",	//1508
    "showUserList",	//1509
    "showUserList$?",	//1510
    "sizeHint",	//1511
    "smartHighlighting",	//1512
    "standardCommands",	//1513
    "startRecording",	//1514
    "startStyling",	//1515
    "startStyling$",	//1516
    "startStyling$$",	//1517
    "staticMetaObject",	//1518
    "stringsOverNewlineAllowed",	//1519
    "style",	//1520
    "styleBitsNeeded",	//1521
    "styleChange",	//1522
    "stylePreprocessor",	//1523
    "styleText",	//1524
    "styleText$$",	//1525
    "tabIndents",	//1526
    "tabWidth",	//1527
    "tabletEvent",	//1528
    "text",	//1529
    "text$",	//1530
    "textAsBytes",	//1531
    "textAsBytes$",	//1532
    "textCase",	//1533
    "textChanged",	//1534
    "textHeight",	//1535
    "textHeight$",	//1536
    "timerEvent",	//1537
    "toMimeData",	//1538
    "toMimeData#$",	//1539
    "tokenize",	//1540
    "tr",	//1541
    "tr$",	//1542
    "tr$$",	//1543
    "tr$$$",	//1544
    "trUtf8",	//1545
    "trUtf8$",	//1546
    "trUtf8$$",	//1547
    "trUtf8$$$",	//1548
    "undo",	//1549
    "unindent",	//1550
    "unindent$",	//1551
    "updateAutoCompletionList",	//1552
    "updateAutoCompletionList??",	//1553
    "userListActivated",	//1554
    "userListActivated$$",	//1555
    "v2UnicodeAllowed",	//1556
    "v3BinaryOctalAllowed",	//1557
    "v3BytesAllowed",	//1558
    "validKey",	//1559
    "validKey$",	//1560
    "verbatimStringEscapeSequencesAllowed",	//1561
    "viewportEvent",	//1562
    "visible",	//1563
    "wheelEvent",	//1564
    "whitespaceSize",	//1565
    "whitespaceVisibility",	//1566
    "windowActivationChange",	//1567
    "wordAtLineIndex",	//1568
    "wordAtLineIndex$$",	//1569
    "wordAtPoint",	//1570
    "wordAtPoint#",	//1571
    "wordCharacters",	//1572
    "wrapIndentMode",	//1573
    "wrapMode",	//1574
    "write",	//1575
    "write#",	//1576
    "writeProperties",	//1577
    "writeProperties#$",	//1578
    "writeSettings",	//1579
    "writeSettings#",	//1580
    "writeSettings#$",	//1581
    "x11Event",	//1582
    "zoomIn",	//1583
    "zoomIn$",	//1584
    "zoomOut",	//1585
    "zoomOut$",	//1586
    "zoomTo",	//1587
    "zoomTo$",	//1588
    "~QsciAPIs",	//1589
    "~QsciAbstractAPIs",	//1590
    "~QsciCommand",	//1591
    "~QsciDocument",	//1592
    "~QsciLexer",	//1593
    "~QsciLexerBash",	//1594
    "~QsciLexerBatch",	//1595
    "~QsciLexerCMake",	//1596
    "~QsciLexerCPP",	//1597
    "~QsciLexerCSS",	//1598
    "~QsciLexerCSharp",	//1599
    "~QsciLexerCustom",	//1600
    "~QsciLexerD",	//1601
    "~QsciLexerDiff",	//1602
    "~QsciLexerFortran",	//1603
    "~QsciLexerFortran77",	//1604
    "~QsciLexerHTML",	//1605
    "~QsciLexerIDL",	//1606
    "~QsciLexerJava",	//1607
    "~QsciLexerJavaScript",	//1608
    "~QsciLexerLua",	//1609
    "~QsciLexerMakefile",	//1610
    "~QsciLexerPOV",	//1611
    "~QsciLexerPascal",	//1612
    "~QsciLexerPerl",	//1613
    "~QsciLexerPostScript",	//1614
    "~QsciLexerProperties",	//1615
    "~QsciLexerPython",	//1616
    "~QsciLexerRuby",	//1617
    "~QsciLexerSQL",	//1618
    "~QsciLexerTCL",	//1619
    "~QsciLexerTeX",	//1620
    "~QsciLexerVHDL",	//1621
    "~QsciLexerXML",	//1622
    "~QsciLexerYAML",	//1623
    "~QsciMacro",	//1624
    "~QsciPrinter",	//1625
    "~QsciScintilla",	//1626
    "~QsciScintillaBase",	//1627
    "~QsciStyle",	//1628
    "~QsciStyledText",	//1629
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1102, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 39, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1511, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 39, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 928, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1562, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1564, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {16, 847, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {28, 928, 1, 1, Smoke::mf_virtual, 189, 0},	//7 QObject::event(QEvent*)
    {28, 930, 5, 2, Smoke::mf_virtual, 189, 0},	//8 QObject::eventFilter(QObject*, QEvent*)
    {28, 1537, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 QObject::timerEvent(QTimerEvent*)
    {28, 850, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 QObject::childEvent(QChildEvent*)
    {28, 883, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 QObject::customEvent(QEvent*)
    {28, 871, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 QObject::connectNotify(const char*)
    {28, 898, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 QObject::disconnectNotify(const char*)
    {35, 897, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 0},	//14 QPrinter::devType() const
    {35, 1119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//15 QPrinter::paintEngine() const
    {35, 1101, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 215, 0},	//16 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {35, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 4},	//17 QPrinter::ScreenResolution (enum)
    {35, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 5},	//18 QPrinter::PrinterResolution (enum)
    {35, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 6},	//19 QPrinter::HighResolution (enum)
    {47, 897, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 0},	//20 QWidget::devType() const
    {47, 1490, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//21 QWidget::setVisible(bool)
    {47, 991, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 0},	//22 QWidget::heightForWidth(int) const
    {47, 1119, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//23 QWidget::paintEngine() const
    {47, 1041, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//24 QWidget::keyReleaseEvent(QKeyEvent*)
    {47, 921, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//25 QWidget::enterEvent(QEvent*)
    {47, 1046, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//26 QWidget::leaveEvent(QEvent*)
    {47, 1114, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//27 QWidget::moveEvent(QMoveEvent*)
    {47, 862, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//28 QWidget::closeEvent(QCloseEvent*)
    {47, 1528, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//29 QWidget::tabletEvent(QTabletEvent*)
    {47, 781, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//30 QWidget::actionEvent(QActionEvent*)
    {47, 1508, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//31 QWidget::showEvent(QShowEvent*)
    {47, 992, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//32 QWidget::hideEvent(QHideEvent*)
    {47, 1582, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 0},	//33 QWidget::x11Event(_XEvent*)
    {47, 1101, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 215, 0},	//34 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {47, 1522, 36, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QWidget::styleChange(QStyle&)
    {47, 915, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QWidget::enabledChange(bool)
    {47, 1122, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QWidget::paletteChange(const QPalette&)
    {47, 978, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QWidget::fontChange(const QFont&)
    {47, 1567, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QWidget::windowActivationChange(bool)
    {47, 1045, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QWidget::languageChange()
    {48, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//41 QsciAPIs::metaObject() const
    {48, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//42 QsciAPIs::qt_metacast(const char*)
    {48, 1541, 42, 2, Smoke::mf_static, 40, 3},	//43 QsciAPIs::tr(const char*, const char*)
    {48, 1545, 42, 2, Smoke::mf_static, 40, 4},	//44 QsciAPIs::trUtf8(const char*, const char*)
    {48, 1541, 45, 3, Smoke::mf_static, 40, 5},	//45 QsciAPIs::tr(const char*, const char*, int)
    {48, 1545, 45, 3, Smoke::mf_static, 40, 6},	//46 QsciAPIs::trUtf8(const char*, const char*, int)
    {48, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//47 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {48, 456, 53, 1, Smoke::mf_ctor, 50, 8},	//48 QsciAPIs::QsciAPIs(QsciLexer*)
    {48, 782, 55, 1, 0, 0, 9},	//49 QsciAPIs::add(const QString&)
    {48, 851, 0, 0, 0, 0, 10},	//50 QsciAPIs::clear()
    {48, 1059, 55, 1, 0, 189, 11},	//51 QsciAPIs::load(const QString&)
    {48, 1161, 55, 1, 0, 0, 12},	//52 QsciAPIs::remove(const QString&)
    {48, 1132, 0, 0, 0, 0, 13},	//53 QsciAPIs::prepare()
    {48, 844, 0, 0, 0, 0, 14},	//54 QsciAPIs::cancelPreparation()
    {48, 893, 0, 0, Smoke::mf_const, 40, 15},	//55 QsciAPIs::defaultPreparedName() const
    {48, 1030, 55, 1, Smoke::mf_const, 189, 16},	//56 QsciAPIs::isPrepared(const QString&) const
    {48, 1061, 55, 1, 0, 189, 17},	//57 QsciAPIs::loadPrepared(const QString&)
    {48, 1178, 55, 1, Smoke::mf_const, 189, 18},	//58 QsciAPIs::savePrepared(const QString&) const
    {48, 1552, 57, 2, Smoke::mf_virtual, 0, 19},	//59 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {48, 810, 55, 1, Smoke::mf_virtual, 0, 20},	//60 QsciAPIs::autoCompletionSelected(const QString&)
    {48, 836, 60, 4, Smoke::mf_virtual, 41, 21},	//61 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {48, 928, 1, 1, Smoke::mf_virtual, 189, 22},	//62 QsciAPIs::event(QEvent*)
    {48, 1026, 0, 0, Smoke::mf_const, 41, 23},	//63 QsciAPIs::installedAPIFiles() const
    {48, 795, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//64 QsciAPIs::apiPreparationCancelled()
    {48, 797, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//65 QsciAPIs::apiPreparationStarted()
    {48, 796, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//66 QsciAPIs::apiPreparationFinished()
    {48, 1541, 12, 1, Smoke::mf_static, 40, 27},	//67 QsciAPIs::tr(const char*)
    {48, 1545, 12, 1, Smoke::mf_static, 40, 28},	//68 QsciAPIs::trUtf8(const char*)
    {48, 1030, 0, 0, Smoke::mf_const, 189, 29},	//69 QsciAPIs::isPrepared() const
    {48, 1061, 0, 0, 0, 189, 30},	//70 QsciAPIs::loadPrepared()
    {48, 1178, 0, 0, Smoke::mf_const, 189, 31},	//71 QsciAPIs::savePrepared() const
    {48, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 32},	//72 QsciAPIs::staticMetaObject() const
    {48, 1589, 0, 0, Smoke::mf_dtor, 0, 33 },	//73 QsciAPIs::~QsciAPIs()
    {49, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//74 QsciAbstractAPIs::metaObject() const
    {49, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//75 QsciAbstractAPIs::qt_metacast(const char*)
    {49, 1541, 42, 2, Smoke::mf_static, 40, 3},	//76 QsciAbstractAPIs::tr(const char*, const char*)
    {49, 1545, 42, 2, Smoke::mf_static, 40, 4},	//77 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {49, 1541, 45, 3, Smoke::mf_static, 40, 5},	//78 QsciAbstractAPIs::tr(const char*, const char*, int)
    {49, 1545, 45, 3, Smoke::mf_static, 40, 6},	//79 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {49, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//80 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {49, 458, 53, 1, Smoke::mf_ctor, 51, 8},	//81 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {49, 1049, 0, 0, Smoke::mf_const, 58, 9},	//82 QsciAbstractAPIs::lexer() const
    {49, 1552, 57, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//83 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {49, 810, 55, 1, Smoke::mf_virtual, 0, 11},	//84 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {49, 836, 60, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 41, 12},	//85 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {49, 1541, 12, 1, Smoke::mf_static, 40, 13},	//86 QsciAbstractAPIs::tr(const char*)
    {49, 1545, 12, 1, Smoke::mf_static, 40, 14},	//87 QsciAbstractAPIs::trUtf8(const char*)
    {49, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 15},	//88 QsciAbstractAPIs::staticMetaObject() const
    {49, 1590, 0, 0, Smoke::mf_dtor, 0, 16 },	//89 QsciAbstractAPIs::~QsciAbstractAPIs()
    {50, 867, 0, 0, Smoke::mf_const, 53, 1},	//90 QsciCommand::command() const
    {50, 931, 0, 0, 0, 0, 2},	//91 QsciCommand::execute()
    {50, 1380, 18, 1, 0, 0, 3},	//92 QsciCommand::setKey(int)
    {50, 1191, 18, 1, 0, 0, 4},	//93 QsciCommand::setAlternateKey(int)
    {50, 1038, 0, 0, Smoke::mf_const, 215, 5},	//94 QsciCommand::key() const
    {50, 784, 0, 0, Smoke::mf_const, 215, 6},	//95 QsciCommand::alternateKey() const
    {50, 1559, 18, 1, Smoke::mf_static, 189, 7},	//96 QsciCommand::validKey(int)
    {50, 895, 0, 0, Smoke::mf_const, 40, 8},	//97 QsciCommand::description() const
    {50, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 9},	//98 QsciCommand::LineDown (enum)
    {50, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 10},	//99 QsciCommand::LineDownExtend (enum)
    {50, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 11},	//100 QsciCommand::LineDownRectExtend (enum)
    {50, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 12},	//101 QsciCommand::LineScrollDown (enum)
    {50, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 13},	//102 QsciCommand::LineUp (enum)
    {50, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 14},	//103 QsciCommand::LineUpExtend (enum)
    {50, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 15},	//104 QsciCommand::LineUpRectExtend (enum)
    {50, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 16},	//105 QsciCommand::LineScrollUp (enum)
    {50, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 17},	//106 QsciCommand::ScrollToStart (enum)
    {50, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 18},	//107 QsciCommand::ScrollToEnd (enum)
    {50, 747, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 19},	//108 QsciCommand::VerticalCentreCaret (enum)
    {50, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 20},	//109 QsciCommand::ParaDown (enum)
    {50, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 21},	//110 QsciCommand::ParaDownExtend (enum)
    {50, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 22},	//111 QsciCommand::ParaUp (enum)
    {50, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 23},	//112 QsciCommand::ParaUpExtend (enum)
    {50, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 24},	//113 QsciCommand::CharLeft (enum)
    {50, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 25},	//114 QsciCommand::CharLeftExtend (enum)
    {50, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 26},	//115 QsciCommand::CharLeftRectExtend (enum)
    {50, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 27},	//116 QsciCommand::CharRight (enum)
    {50, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 28},	//117 QsciCommand::CharRightExtend (enum)
    {50, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 29},	//118 QsciCommand::CharRightRectExtend (enum)
    {50, 750, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 30},	//119 QsciCommand::WordLeft (enum)
    {50, 753, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 31},	//120 QsciCommand::WordLeftExtend (enum)
    {50, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 32},	//121 QsciCommand::WordRight (enum)
    {50, 761, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 33},	//122 QsciCommand::WordRightExtend (enum)
    {50, 751, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 34},	//123 QsciCommand::WordLeftEnd (enum)
    {50, 752, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 35},	//124 QsciCommand::WordLeftEndExtend (enum)
    {50, 759, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 36},	//125 QsciCommand::WordRightEnd (enum)
    {50, 760, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 37},	//126 QsciCommand::WordRightEndExtend (enum)
    {50, 754, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 38},	//127 QsciCommand::WordPartLeft (enum)
    {50, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 39},	//128 QsciCommand::WordPartLeftExtend (enum)
    {50, 756, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 40},	//129 QsciCommand::WordPartRight (enum)
    {50, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 41},	//130 QsciCommand::WordPartRightExtend (enum)
    {50, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 42},	//131 QsciCommand::Home (enum)
    {50, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 43},	//132 QsciCommand::HomeExtend (enum)
    {50, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 44},	//133 QsciCommand::HomeRectExtend (enum)
    {50, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 45},	//134 QsciCommand::HomeDisplay (enum)
    {50, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 46},	//135 QsciCommand::HomeDisplayExtend (enum)
    {50, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 47},	//136 QsciCommand::HomeWrap (enum)
    {50, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 48},	//137 QsciCommand::HomeWrapExtend (enum)
    {50, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 49},	//138 QsciCommand::VCHome (enum)
    {50, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 50},	//139 QsciCommand::VCHomeExtend (enum)
    {50, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 51},	//140 QsciCommand::VCHomeRectExtend (enum)
    {50, 741, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 52},	//141 QsciCommand::VCHomeWrap (enum)
    {50, 742, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 53},	//142 QsciCommand::VCHomeWrapExtend (enum)
    {50, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 54},	//143 QsciCommand::LineEnd (enum)
    {50, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 55},	//144 QsciCommand::LineEndExtend (enum)
    {50, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 56},	//145 QsciCommand::LineEndRectExtend (enum)
    {50, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 57},	//146 QsciCommand::LineEndDisplay (enum)
    {50, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 58},	//147 QsciCommand::LineEndDisplayExtend (enum)
    {50, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 59},	//148 QsciCommand::LineEndWrap (enum)
    {50, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 60},	//149 QsciCommand::LineEndWrapExtend (enum)
    {50, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 61},	//150 QsciCommand::DocumentStart (enum)
    {50, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 62},	//151 QsciCommand::DocumentStartExtend (enum)
    {50, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 63},	//152 QsciCommand::DocumentEnd (enum)
    {50, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 64},	//153 QsciCommand::DocumentEndExtend (enum)
    {50, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 65},	//154 QsciCommand::PageUp (enum)
    {50, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 66},	//155 QsciCommand::PageUpExtend (enum)
    {50, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 67},	//156 QsciCommand::PageUpRectExtend (enum)
    {50, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 68},	//157 QsciCommand::PageDown (enum)
    {50, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 69},	//158 QsciCommand::PageDownExtend (enum)
    {50, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 70},	//159 QsciCommand::PageDownRectExtend (enum)
    {50, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 71},	//160 QsciCommand::StutteredPageUp (enum)
    {50, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 72},	//161 QsciCommand::StutteredPageUpExtend (enum)
    {50, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 73},	//162 QsciCommand::StutteredPageDown (enum)
    {50, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 74},	//163 QsciCommand::StutteredPageDownExtend (enum)
    {50, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 75},	//164 QsciCommand::Delete (enum)
    {50, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 76},	//165 QsciCommand::DeleteBack (enum)
    {50, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 77},	//166 QsciCommand::DeleteBackNotLine (enum)
    {50, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 78},	//167 QsciCommand::DeleteWordLeft (enum)
    {50, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 79},	//168 QsciCommand::DeleteWordRight (enum)
    {50, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 80},	//169 QsciCommand::DeleteWordRightEnd (enum)
    {50, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 81},	//170 QsciCommand::DeleteLineLeft (enum)
    {50, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 82},	//171 QsciCommand::DeleteLineRight (enum)
    {50, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 83},	//172 QsciCommand::LineDelete (enum)
    {50, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 84},	//173 QsciCommand::LineCut (enum)
    {50, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 85},	//174 QsciCommand::LineCopy (enum)
    {50, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 86},	//175 QsciCommand::LineTranspose (enum)
    {50, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 87},	//176 QsciCommand::LineDuplicate (enum)
    {50, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 88},	//177 QsciCommand::SelectAll (enum)
    {50, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 89},	//178 QsciCommand::MoveSelectedLinesUp (enum)
    {50, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 90},	//179 QsciCommand::MoveSelectedLinesDown (enum)
    {50, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 91},	//180 QsciCommand::SelectionDuplicate (enum)
    {50, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 92},	//181 QsciCommand::SelectionLowerCase (enum)
    {50, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 93},	//182 QsciCommand::SelectionUpperCase (enum)
    {50, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 94},	//183 QsciCommand::SelectionCut (enum)
    {50, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 95},	//184 QsciCommand::SelectionCopy (enum)
    {50, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 96},	//185 QsciCommand::Paste (enum)
    {50, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 97},	//186 QsciCommand::EditToggleOvertype (enum)
    {50, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 98},	//187 QsciCommand::Newline (enum)
    {50, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 99},	//188 QsciCommand::Formfeed (enum)
    {50, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 100},	//189 QsciCommand::Tab (enum)
    {50, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 101},	//190 QsciCommand::Backtab (enum)
    {50, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 102},	//191 QsciCommand::Cancel (enum)
    {50, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 103},	//192 QsciCommand::Undo (enum)
    {50, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 104},	//193 QsciCommand::Redo (enum)
    {50, 779, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 105},	//194 QsciCommand::ZoomIn (enum)
    {50, 780, 0, 0, Smoke::mf_static|Smoke::mf_enum, 53, 106},	//195 QsciCommand::ZoomOut (enum)
    {50, 1591, 0, 0, Smoke::mf_dtor, 0, 107 },	//196 QsciCommand::~QsciCommand()
    {51, 1150, 65, 2, 0, 189, 1},	//197 QsciCommandSet::readSettings(QSettings&, const char*)
    {51, 1579, 65, 2, 0, 189, 2},	//198 QsciCommandSet::writeSettings(QSettings&, const char*)
    {51, 870, 0, 0, 0, 19, 3},	//199 QsciCommandSet::commands()
    {51, 858, 0, 0, 0, 0, 4},	//200 QsciCommandSet::clearKeys()
    {51, 852, 0, 0, 0, 0, 5},	//201 QsciCommandSet::clearAlternateKeys()
    {51, 829, 18, 1, Smoke::mf_const, 52, 6},	//202 QsciCommandSet::boundTo(int) const
    {51, 936, 68, 1, Smoke::mf_const, 52, 7},	//203 QsciCommandSet::find(QsciCommand::Command) const
    {51, 1150, 70, 1, 0, 189, 8},	//204 QsciCommandSet::readSettings(QSettings&)
    {51, 1579, 70, 1, 0, 189, 9},	//205 QsciCommandSet::writeSettings(QSettings&)
    {52, 460, 0, 0, Smoke::mf_ctor, 57, 1},	//206 QsciDocument::QsciDocument()
    {52, 460, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//207 QsciDocument::QsciDocument(const QsciDocument&)
    {52, 1116, 72, 1, 0, 56, 3},	//208 QsciDocument::operator=(const QsciDocument&)
    {52, 1592, 0, 0, Smoke::mf_dtor, 0, 4 },	//209 QsciDocument::~QsciDocument()
    {53, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//210 QsciLexer::metaObject() const
    {53, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//211 QsciLexer::qt_metacast(const char*)
    {53, 1541, 42, 2, Smoke::mf_static, 40, 3},	//212 QsciLexer::tr(const char*, const char*)
    {53, 1545, 42, 2, Smoke::mf_static, 40, 4},	//213 QsciLexer::trUtf8(const char*, const char*)
    {53, 1541, 45, 3, Smoke::mf_static, 40, 5},	//214 QsciLexer::tr(const char*, const char*, int)
    {53, 1545, 45, 3, Smoke::mf_static, 40, 6},	//215 QsciLexer::trUtf8(const char*, const char*, int)
    {53, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//216 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {53, 462, 74, 1, Smoke::mf_ctor, 58, 8},	//217 QsciLexer::QsciLexer(QObject*)
    {53, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 213, 9},	//218 QsciLexer::language() const [pure virtual]
    {53, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//219 QsciLexer::lexer() const
    {53, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//220 QsciLexer::lexerId() const
    {53, 798, 0, 0, Smoke::mf_const, 51, 12},	//221 QsciLexer::apis() const
    {53, 807, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//222 QsciLexer::autoCompletionFillups() const
    {53, 816, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 14},	//223 QsciLexer::autoCompletionWordSeparators() const
    {53, 818, 0, 0, 0, 215, 15},	//224 QsciLexer::autoIndentStyle()
    {53, 822, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//225 QsciLexer::blockEnd(int*) const
    {53, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 17},	//226 QsciLexer::blockLookback() const
    {53, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 18},	//227 QsciLexer::blockStart(int*) const
    {53, 827, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 19},	//228 QsciLexer::blockStartKeyword(int*) const
    {53, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 20},	//229 QsciLexer::braceStyle() const
    {53, 845, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 189, 21},	//230 QsciLexer::caseSensitive() const
    {53, 863, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 22},	//231 QsciLexer::color(int) const
    {53, 922, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 23},	//232 QsciLexer::eolFill(int) const
    {53, 976, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 24},	//233 QsciLexer::font(int) const
    {53, 1003, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 25},	//234 QsciLexer::indentationGuideView() const
    {53, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 26},	//235 QsciLexer::keywords(int) const
    {53, 894, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 27},	//236 QsciLexer::defaultStyle() const
    {53, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 40, 28},	//237 QsciLexer::description(int) const [pure virtual]
    {53, 1123, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 29},	//238 QsciLexer::paper(int) const
    {53, 885, 0, 0, Smoke::mf_const, 6, 30},	//239 QsciLexer::defaultColor() const
    {53, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 31},	//240 QsciLexer::defaultColor(int) const
    {53, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 32},	//241 QsciLexer::defaultEolFill(int) const
    {53, 889, 0, 0, Smoke::mf_const, 14, 33},	//242 QsciLexer::defaultFont() const
    {53, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 34},	//243 QsciLexer::defaultFont(int) const
    {53, 891, 0, 0, Smoke::mf_const, 6, 35},	//244 QsciLexer::defaultPaper() const
    {53, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 36},	//245 QsciLexer::defaultPaper(int) const
    {53, 914, 0, 0, Smoke::mf_const, 92, 37},	//246 QsciLexer::editor() const
    {53, 1189, 78, 1, 0, 0, 38},	//247 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {53, 1254, 80, 1, 0, 0, 39},	//248 QsciLexer::setDefaultColor(const QColor&)
    {53, 1256, 40, 1, 0, 0, 40},	//249 QsciLexer::setDefaultFont(const QFont&)
    {53, 1258, 80, 1, 0, 0, 41},	//250 QsciLexer::setDefaultPaper(const QColor&)
    {53, 1276, 82, 1, Smoke::mf_virtual, 0, 42},	//251 QsciLexer::setEditor(QsciScintilla*)
    {53, 1150, 65, 2, 0, 189, 43},	//252 QsciLexer::readSettings(QSettings&, const char*)
    {53, 1158, 0, 0, Smoke::mf_virtual, 0, 44},	//253 QsciLexer::refreshProperties()
    {53, 1521, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 45},	//254 QsciLexer::styleBitsNeeded() const
    {53, 1572, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 46},	//255 QsciLexer::wordCharacters() const
    {53, 1579, 65, 2, Smoke::mf_const, 189, 47},	//256 QsciLexer::writeSettings(QSettings&, const char*) const
    {53, 1215, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//257 QsciLexer::setAutoIndentStyle(int)
    {53, 1247, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//258 QsciLexer::setColor(const QColor&, int)
    {53, 1278, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//259 QsciLexer::setEolFill(bool, int)
    {53, 1322, 90, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//260 QsciLexer::setFont(const QFont&, int)
    {53, 1431, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//261 QsciLexer::setPaper(const QColor&, int)
    {53, 865, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//262 QsciLexer::colorChanged(const QColor&, int)
    {53, 924, 87, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//263 QsciLexer::eolFillChanged(bool, int)
    {53, 979, 90, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//264 QsciLexer::fontChanged(const QFont&, int)
    {53, 1125, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//265 QsciLexer::paperChanged(const QColor&, int)
    {53, 1139, 42, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//266 QsciLexer::propertyChanged(const char*, const char*)
    {53, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 58},	//267 QsciLexer::readProperties(QSettings&, const QString&)
    {53, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 59},	//268 QsciLexer::writeProperties(QSettings&, const QString&) const
    {53, 1541, 12, 1, Smoke::mf_static, 40, 60},	//269 QsciLexer::tr(const char*)
    {53, 1545, 12, 1, Smoke::mf_static, 40, 61},	//270 QsciLexer::trUtf8(const char*)
    {53, 462, 0, 0, Smoke::mf_ctor, 58, 62},	//271 QsciLexer::QsciLexer()
    {53, 822, 0, 0, Smoke::mf_const, 213, 63},	//272 QsciLexer::blockEnd() const
    {53, 825, 0, 0, Smoke::mf_const, 213, 64},	//273 QsciLexer::blockStart() const
    {53, 827, 0, 0, Smoke::mf_const, 213, 65},	//274 QsciLexer::blockStartKeyword() const
    {53, 1150, 70, 1, 0, 189, 66},	//275 QsciLexer::readSettings(QSettings&)
    {53, 1579, 70, 1, Smoke::mf_const, 189, 67},	//276 QsciLexer::writeSettings(QSettings&) const
    {53, 1247, 80, 1, Smoke::mf_slot, 0, 68},	//277 QsciLexer::setColor(const QColor&)
    {53, 1278, 16, 1, Smoke::mf_slot, 0, 69},	//278 QsciLexer::setEolFill(bool)
    {53, 1322, 40, 1, Smoke::mf_slot, 0, 70},	//279 QsciLexer::setFont(const QFont&)
    {53, 1431, 80, 1, Smoke::mf_slot, 0, 71},	//280 QsciLexer::setPaper(const QColor&)
    {53, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 72},	//281 QsciLexer::staticMetaObject() const
    {53, 1593, 0, 0, Smoke::mf_dtor, 0, 73 },	//282 QsciLexer::~QsciLexer()
    {54, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//283 QsciLexerBash::metaObject() const
    {54, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//284 QsciLexerBash::qt_metacast(const char*)
    {54, 1541, 42, 2, Smoke::mf_static, 40, 3},	//285 QsciLexerBash::tr(const char*, const char*)
    {54, 1545, 42, 2, Smoke::mf_static, 40, 4},	//286 QsciLexerBash::trUtf8(const char*, const char*)
    {54, 1541, 45, 3, Smoke::mf_static, 40, 5},	//287 QsciLexerBash::tr(const char*, const char*, int)
    {54, 1545, 45, 3, Smoke::mf_static, 40, 6},	//288 QsciLexerBash::trUtf8(const char*, const char*, int)
    {54, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//289 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {54, 464, 74, 1, Smoke::mf_ctor, 59, 8},	//290 QsciLexerBash::QsciLexerBash(QObject*)
    {54, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//291 QsciLexerBash::language() const
    {54, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//292 QsciLexerBash::lexer() const
    {54, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//293 QsciLexerBash::braceStyle() const
    {54, 1572, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//294 QsciLexerBash::wordCharacters() const
    {54, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//295 QsciLexerBash::defaultColor(int) const
    {54, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//296 QsciLexerBash::defaultEolFill(int) const
    {54, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//297 QsciLexerBash::defaultFont(int) const
    {54, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//298 QsciLexerBash::defaultPaper(int) const
    {54, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//299 QsciLexerBash::keywords(int) const
    {54, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//300 QsciLexerBash::description(int) const
    {54, 1158, 0, 0, Smoke::mf_virtual, 0, 19},	//301 QsciLexerBash::refreshProperties()
    {54, 963, 0, 0, Smoke::mf_const, 189, 20},	//302 QsciLexerBash::foldComments() const
    {54, 964, 0, 0, Smoke::mf_const, 189, 21},	//303 QsciLexerBash::foldCompact() const
    {54, 1297, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//304 QsciLexerBash::setFoldComments(bool)
    {54, 1299, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//305 QsciLexerBash::setFoldCompact(bool)
    {54, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 24},	//306 QsciLexerBash::readProperties(QSettings&, const QString&)
    {54, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 25},	//307 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {54, 1541, 12, 1, Smoke::mf_static, 40, 26},	//308 QsciLexerBash::tr(const char*)
    {54, 1545, 12, 1, Smoke::mf_static, 40, 27},	//309 QsciLexerBash::trUtf8(const char*)
    {54, 464, 0, 0, Smoke::mf_ctor, 59, 28},	//310 QsciLexerBash::QsciLexerBash()
    {54, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 29},	//311 QsciLexerBash::staticMetaObject() const
    {54, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//312 QsciLexerBash::Default (enum)
    {54, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//313 QsciLexerBash::Error (enum)
    {54, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//314 QsciLexerBash::Comment (enum)
    {54, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//315 QsciLexerBash::Number (enum)
    {54, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//316 QsciLexerBash::Keyword (enum)
    {54, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//317 QsciLexerBash::DoubleQuotedString (enum)
    {54, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//318 QsciLexerBash::SingleQuotedString (enum)
    {54, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//319 QsciLexerBash::Operator (enum)
    {54, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//320 QsciLexerBash::Identifier (enum)
    {54, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//321 QsciLexerBash::Scalar (enum)
    {54, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//322 QsciLexerBash::ParameterExpansion (enum)
    {54, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//323 QsciLexerBash::Backticks (enum)
    {54, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//324 QsciLexerBash::HereDocumentDelimiter (enum)
    {54, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//325 QsciLexerBash::SingleQuotedHereDocument (enum)
    {54, 1594, 0, 0, Smoke::mf_dtor, 0, 44 },	//326 QsciLexerBash::~QsciLexerBash()
    {55, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//327 QsciLexerBatch::metaObject() const
    {55, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//328 QsciLexerBatch::qt_metacast(const char*)
    {55, 1541, 42, 2, Smoke::mf_static, 40, 3},	//329 QsciLexerBatch::tr(const char*, const char*)
    {55, 1545, 42, 2, Smoke::mf_static, 40, 4},	//330 QsciLexerBatch::trUtf8(const char*, const char*)
    {55, 1541, 45, 3, Smoke::mf_static, 40, 5},	//331 QsciLexerBatch::tr(const char*, const char*, int)
    {55, 1545, 45, 3, Smoke::mf_static, 40, 6},	//332 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {55, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//333 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {55, 466, 74, 1, Smoke::mf_ctor, 60, 8},	//334 QsciLexerBatch::QsciLexerBatch(QObject*)
    {55, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//335 QsciLexerBatch::language() const
    {55, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//336 QsciLexerBatch::lexer() const
    {55, 1572, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//337 QsciLexerBatch::wordCharacters() const
    {55, 845, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 189, 12},	//338 QsciLexerBatch::caseSensitive() const
    {55, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//339 QsciLexerBatch::defaultColor(int) const
    {55, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//340 QsciLexerBatch::defaultEolFill(int) const
    {55, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//341 QsciLexerBatch::defaultFont(int) const
    {55, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//342 QsciLexerBatch::defaultPaper(int) const
    {55, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//343 QsciLexerBatch::keywords(int) const
    {55, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//344 QsciLexerBatch::description(int) const
    {55, 1541, 12, 1, Smoke::mf_static, 40, 19},	//345 QsciLexerBatch::tr(const char*)
    {55, 1545, 12, 1, Smoke::mf_static, 40, 20},	//346 QsciLexerBatch::trUtf8(const char*)
    {55, 466, 0, 0, Smoke::mf_ctor, 60, 21},	//347 QsciLexerBatch::QsciLexerBatch()
    {55, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 22},	//348 QsciLexerBatch::staticMetaObject() const
    {55, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 23},	//349 QsciLexerBatch::Default (enum)
    {55, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 24},	//350 QsciLexerBatch::Comment (enum)
    {55, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//351 QsciLexerBatch::Keyword (enum)
    {55, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//352 QsciLexerBatch::Label (enum)
    {55, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//353 QsciLexerBatch::HideCommandChar (enum)
    {55, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//354 QsciLexerBatch::ExternalCommand (enum)
    {55, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//355 QsciLexerBatch::Variable (enum)
    {55, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//356 QsciLexerBatch::Operator (enum)
    {55, 1595, 0, 0, Smoke::mf_dtor, 0, 31 },	//357 QsciLexerBatch::~QsciLexerBatch()
    {56, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//358 QsciLexerCMake::metaObject() const
    {56, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//359 QsciLexerCMake::qt_metacast(const char*)
    {56, 1541, 42, 2, Smoke::mf_static, 40, 3},	//360 QsciLexerCMake::tr(const char*, const char*)
    {56, 1545, 42, 2, Smoke::mf_static, 40, 4},	//361 QsciLexerCMake::trUtf8(const char*, const char*)
    {56, 1541, 45, 3, Smoke::mf_static, 40, 5},	//362 QsciLexerCMake::tr(const char*, const char*, int)
    {56, 1545, 45, 3, Smoke::mf_static, 40, 6},	//363 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {56, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//364 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {56, 468, 74, 1, Smoke::mf_ctor, 61, 8},	//365 QsciLexerCMake::QsciLexerCMake(QObject*)
    {56, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//366 QsciLexerCMake::language() const
    {56, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//367 QsciLexerCMake::lexer() const
    {56, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//368 QsciLexerCMake::defaultColor(int) const
    {56, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//369 QsciLexerCMake::defaultFont(int) const
    {56, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//370 QsciLexerCMake::defaultPaper(int) const
    {56, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//371 QsciLexerCMake::keywords(int) const
    {56, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//372 QsciLexerCMake::description(int) const
    {56, 1158, 0, 0, Smoke::mf_virtual, 0, 16},	//373 QsciLexerCMake::refreshProperties()
    {56, 961, 0, 0, Smoke::mf_const, 189, 17},	//374 QsciLexerCMake::foldAtElse() const
    {56, 1293, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//375 QsciLexerCMake::setFoldAtElse(bool)
    {56, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 19},	//376 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {56, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 20},	//377 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {56, 1541, 12, 1, Smoke::mf_static, 40, 21},	//378 QsciLexerCMake::tr(const char*)
    {56, 1545, 12, 1, Smoke::mf_static, 40, 22},	//379 QsciLexerCMake::trUtf8(const char*)
    {56, 468, 0, 0, Smoke::mf_ctor, 61, 23},	//380 QsciLexerCMake::QsciLexerCMake()
    {56, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 24},	//381 QsciLexerCMake::staticMetaObject() const
    {56, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//382 QsciLexerCMake::Default (enum)
    {56, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//383 QsciLexerCMake::Comment (enum)
    {56, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//384 QsciLexerCMake::String (enum)
    {56, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//385 QsciLexerCMake::StringLeftQuote (enum)
    {56, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//386 QsciLexerCMake::StringRightQuote (enum)
    {56, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//387 QsciLexerCMake::Function (enum)
    {56, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//388 QsciLexerCMake::Variable (enum)
    {56, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//389 QsciLexerCMake::Label (enum)
    {56, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//390 QsciLexerCMake::KeywordSet3 (enum)
    {56, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//391 QsciLexerCMake::BlockWhile (enum)
    {56, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//392 QsciLexerCMake::BlockForeach (enum)
    {56, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//393 QsciLexerCMake::BlockIf (enum)
    {56, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//394 QsciLexerCMake::BlockMacro (enum)
    {56, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//395 QsciLexerCMake::StringVariable (enum)
    {56, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//396 QsciLexerCMake::Number (enum)
    {56, 1596, 0, 0, Smoke::mf_dtor, 0, 40 },	//397 QsciLexerCMake::~QsciLexerCMake()
    {57, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//398 QsciLexerCPP::metaObject() const
    {57, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//399 QsciLexerCPP::qt_metacast(const char*)
    {57, 1541, 42, 2, Smoke::mf_static, 40, 3},	//400 QsciLexerCPP::tr(const char*, const char*)
    {57, 1545, 42, 2, Smoke::mf_static, 40, 4},	//401 QsciLexerCPP::trUtf8(const char*, const char*)
    {57, 1541, 45, 3, Smoke::mf_static, 40, 5},	//402 QsciLexerCPP::tr(const char*, const char*, int)
    {57, 1545, 45, 3, Smoke::mf_static, 40, 6},	//403 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {57, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//404 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {57, 470, 96, 2, Smoke::mf_ctor, 62, 8},	//405 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {57, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//406 QsciLexerCPP::language() const
    {57, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//407 QsciLexerCPP::lexer() const
    {57, 816, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//408 QsciLexerCPP::autoCompletionWordSeparators() const
    {57, 822, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//409 QsciLexerCPP::blockEnd(int*) const
    {57, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//410 QsciLexerCPP::blockStart(int*) const
    {57, 827, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//411 QsciLexerCPP::blockStartKeyword(int*) const
    {57, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//412 QsciLexerCPP::braceStyle() const
    {57, 1572, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//413 QsciLexerCPP::wordCharacters() const
    {57, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//414 QsciLexerCPP::defaultColor(int) const
    {57, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 18},	//415 QsciLexerCPP::defaultEolFill(int) const
    {57, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//416 QsciLexerCPP::defaultFont(int) const
    {57, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//417 QsciLexerCPP::defaultPaper(int) const
    {57, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 21},	//418 QsciLexerCPP::keywords(int) const
    {57, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 22},	//419 QsciLexerCPP::description(int) const
    {57, 1158, 0, 0, Smoke::mf_virtual, 0, 23},	//420 QsciLexerCPP::refreshProperties()
    {57, 961, 0, 0, Smoke::mf_const, 189, 24},	//421 QsciLexerCPP::foldAtElse() const
    {57, 963, 0, 0, Smoke::mf_const, 189, 25},	//422 QsciLexerCPP::foldComments() const
    {57, 964, 0, 0, Smoke::mf_const, 189, 26},	//423 QsciLexerCPP::foldCompact() const
    {57, 971, 0, 0, Smoke::mf_const, 189, 27},	//424 QsciLexerCPP::foldPreprocessor() const
    {57, 1523, 0, 0, Smoke::mf_const, 189, 28},	//425 QsciLexerCPP::stylePreprocessor() const
    {57, 1266, 16, 1, 0, 0, 29},	//426 QsciLexerCPP::setDollarsAllowed(bool)
    {57, 901, 0, 0, Smoke::mf_const, 189, 30},	//427 QsciLexerCPP::dollarsAllowed() const
    {57, 1337, 16, 1, 0, 0, 31},	//428 QsciLexerCPP::setHighlightTripleQuotedStrings(bool)
    {57, 997, 0, 0, Smoke::mf_const, 189, 32},	//429 QsciLexerCPP::highlightTripleQuotedStrings() const
    {57, 1333, 16, 1, 0, 0, 33},	//430 QsciLexerCPP::setHighlightHashQuotedStrings(bool)
    {57, 995, 0, 0, Smoke::mf_const, 189, 34},	//431 QsciLexerCPP::highlightHashQuotedStrings() const
    {57, 1329, 16, 1, 0, 0, 35},	//432 QsciLexerCPP::setHighlightBackQuotedStrings(bool)
    {57, 993, 0, 0, Smoke::mf_const, 189, 36},	//433 QsciLexerCPP::highlightBackQuotedStrings() const
    {57, 1331, 16, 1, 0, 0, 37},	//434 QsciLexerCPP::setHighlightEscapeSequences(bool)
    {57, 994, 0, 0, Smoke::mf_const, 189, 38},	//435 QsciLexerCPP::highlightEscapeSequences() const
    {57, 1488, 16, 1, 0, 0, 39},	//436 QsciLexerCPP::setVerbatimStringEscapeSequencesAllowed(bool)
    {57, 1561, 0, 0, Smoke::mf_const, 189, 40},	//437 QsciLexerCPP::verbatimStringEscapeSequencesAllowed() const
    {57, 1293, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 41},	//438 QsciLexerCPP::setFoldAtElse(bool)
    {57, 1297, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//439 QsciLexerCPP::setFoldComments(bool)
    {57, 1299, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//440 QsciLexerCPP::setFoldCompact(bool)
    {57, 1311, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 44},	//441 QsciLexerCPP::setFoldPreprocessor(bool)
    {57, 1459, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 45},	//442 QsciLexerCPP::setStylePreprocessor(bool)
    {57, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 46},	//443 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {57, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 47},	//444 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {57, 1541, 12, 1, Smoke::mf_static, 40, 48},	//445 QsciLexerCPP::tr(const char*)
    {57, 1545, 12, 1, Smoke::mf_static, 40, 49},	//446 QsciLexerCPP::trUtf8(const char*)
    {57, 470, 0, 0, Smoke::mf_ctor, 62, 50},	//447 QsciLexerCPP::QsciLexerCPP()
    {57, 470, 74, 1, Smoke::mf_ctor, 62, 51},	//448 QsciLexerCPP::QsciLexerCPP(QObject*)
    {57, 822, 0, 0, Smoke::mf_const, 213, 52},	//449 QsciLexerCPP::blockEnd() const
    {57, 825, 0, 0, Smoke::mf_const, 213, 53},	//450 QsciLexerCPP::blockStart() const
    {57, 827, 0, 0, Smoke::mf_const, 213, 54},	//451 QsciLexerCPP::blockStartKeyword() const
    {57, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 55},	//452 QsciLexerCPP::staticMetaObject() const
    {57, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//453 QsciLexerCPP::Default (enum)
    {57, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//454 QsciLexerCPP::InactiveDefault (enum)
    {57, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//455 QsciLexerCPP::Comment (enum)
    {57, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//456 QsciLexerCPP::InactiveComment (enum)
    {57, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//457 QsciLexerCPP::CommentLine (enum)
    {57, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//458 QsciLexerCPP::InactiveCommentLine (enum)
    {57, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//459 QsciLexerCPP::CommentDoc (enum)
    {57, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//460 QsciLexerCPP::InactiveCommentDoc (enum)
    {57, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//461 QsciLexerCPP::Number (enum)
    {57, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//462 QsciLexerCPP::InactiveNumber (enum)
    {57, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 66},	//463 QsciLexerCPP::Keyword (enum)
    {57, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 67},	//464 QsciLexerCPP::InactiveKeyword (enum)
    {57, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 68},	//465 QsciLexerCPP::DoubleQuotedString (enum)
    {57, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 69},	//466 QsciLexerCPP::InactiveDoubleQuotedString (enum)
    {57, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 70},	//467 QsciLexerCPP::SingleQuotedString (enum)
    {57, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 71},	//468 QsciLexerCPP::InactiveSingleQuotedString (enum)
    {57, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 72},	//469 QsciLexerCPP::UUID (enum)
    {57, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 73},	//470 QsciLexerCPP::InactiveUUID (enum)
    {57, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 74},	//471 QsciLexerCPP::PreProcessor (enum)
    {57, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 75},	//472 QsciLexerCPP::InactivePreProcessor (enum)
    {57, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 76},	//473 QsciLexerCPP::Operator (enum)
    {57, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 77},	//474 QsciLexerCPP::InactiveOperator (enum)
    {57, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 78},	//475 QsciLexerCPP::Identifier (enum)
    {57, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 79},	//476 QsciLexerCPP::InactiveIdentifier (enum)
    {57, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 80},	//477 QsciLexerCPP::UnclosedString (enum)
    {57, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 81},	//478 QsciLexerCPP::InactiveUnclosedString (enum)
    {57, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 82},	//479 QsciLexerCPP::VerbatimString (enum)
    {57, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 83},	//480 QsciLexerCPP::InactiveVerbatimString (enum)
    {57, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 84},	//481 QsciLexerCPP::Regex (enum)
    {57, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 85},	//482 QsciLexerCPP::InactiveRegex (enum)
    {57, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 86},	//483 QsciLexerCPP::CommentLineDoc (enum)
    {57, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 87},	//484 QsciLexerCPP::InactiveCommentLineDoc (enum)
    {57, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 88},	//485 QsciLexerCPP::KeywordSet2 (enum)
    {57, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 89},	//486 QsciLexerCPP::InactiveKeywordSet2 (enum)
    {57, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 90},	//487 QsciLexerCPP::CommentDocKeyword (enum)
    {57, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 91},	//488 QsciLexerCPP::InactiveCommentDocKeyword (enum)
    {57, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 92},	//489 QsciLexerCPP::CommentDocKeywordError (enum)
    {57, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 93},	//490 QsciLexerCPP::InactiveCommentDocKeywordError (enum)
    {57, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 94},	//491 QsciLexerCPP::GlobalClass (enum)
    {57, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 95},	//492 QsciLexerCPP::InactiveGlobalClass (enum)
    {57, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 96},	//493 QsciLexerCPP::RawString (enum)
    {57, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 97},	//494 QsciLexerCPP::InactiveRawString (enum)
    {57, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 98},	//495 QsciLexerCPP::TripleQuotedVerbatimString (enum)
    {57, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 99},	//496 QsciLexerCPP::InactiveTripleQuotedVerbatimString (enum)
    {57, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 100},	//497 QsciLexerCPP::HashQuotedString (enum)
    {57, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 101},	//498 QsciLexerCPP::InactiveHashQuotedString (enum)
    {57, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 102},	//499 QsciLexerCPP::PreProcessorComment (enum)
    {57, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 103},	//500 QsciLexerCPP::InactivePreProcessorComment (enum)
    {57, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 104},	//501 QsciLexerCPP::PreProcessorCommentLineDoc (enum)
    {57, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 105},	//502 QsciLexerCPP::InactivePreProcessorCommentLineDoc (enum)
    {57, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 106},	//503 QsciLexerCPP::UserLiteral (enum)
    {57, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 107},	//504 QsciLexerCPP::InactiveUserLiteral (enum)
    {57, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 108},	//505 QsciLexerCPP::TaskMarker (enum)
    {57, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 109},	//506 QsciLexerCPP::InactiveTaskMarker (enum)
    {57, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 110},	//507 QsciLexerCPP::EscapeSequence (enum)
    {57, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 111},	//508 QsciLexerCPP::InactiveEscapeSequence (enum)
    {57, 1597, 0, 0, Smoke::mf_dtor, 0, 112 },	//509 QsciLexerCPP::~QsciLexerCPP()
    {58, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//510 QsciLexerCSS::metaObject() const
    {58, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//511 QsciLexerCSS::qt_metacast(const char*)
    {58, 1541, 42, 2, Smoke::mf_static, 40, 3},	//512 QsciLexerCSS::tr(const char*, const char*)
    {58, 1545, 42, 2, Smoke::mf_static, 40, 4},	//513 QsciLexerCSS::trUtf8(const char*, const char*)
    {58, 1541, 45, 3, Smoke::mf_static, 40, 5},	//514 QsciLexerCSS::tr(const char*, const char*, int)
    {58, 1545, 45, 3, Smoke::mf_static, 40, 6},	//515 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {58, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//516 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {58, 473, 74, 1, Smoke::mf_ctor, 63, 8},	//517 QsciLexerCSS::QsciLexerCSS(QObject*)
    {58, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//518 QsciLexerCSS::language() const
    {58, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//519 QsciLexerCSS::lexer() const
    {58, 822, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//520 QsciLexerCSS::blockEnd(int*) const
    {58, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//521 QsciLexerCSS::blockStart(int*) const
    {58, 1572, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//522 QsciLexerCSS::wordCharacters() const
    {58, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//523 QsciLexerCSS::defaultColor(int) const
    {58, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//524 QsciLexerCSS::defaultFont(int) const
    {58, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//525 QsciLexerCSS::keywords(int) const
    {58, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//526 QsciLexerCSS::description(int) const
    {58, 1158, 0, 0, Smoke::mf_virtual, 0, 18},	//527 QsciLexerCSS::refreshProperties()
    {58, 963, 0, 0, Smoke::mf_const, 189, 19},	//528 QsciLexerCSS::foldComments() const
    {58, 964, 0, 0, Smoke::mf_const, 189, 20},	//529 QsciLexerCSS::foldCompact() const
    {58, 1325, 16, 1, 0, 0, 21},	//530 QsciLexerCSS::setHSSLanguage(bool)
    {58, 229, 0, 0, Smoke::mf_const, 189, 22},	//531 QsciLexerCSS::HSSLanguage() const
    {58, 1382, 16, 1, 0, 0, 23},	//532 QsciLexerCSS::setLessLanguage(bool)
    {58, 327, 0, 0, Smoke::mf_const, 189, 24},	//533 QsciLexerCSS::LessLanguage() const
    {58, 1442, 16, 1, 0, 0, 25},	//534 QsciLexerCSS::setSCSSLanguage(bool)
    {58, 612, 0, 0, Smoke::mf_const, 189, 26},	//535 QsciLexerCSS::SCSSLanguage() const
    {58, 1297, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//536 QsciLexerCSS::setFoldComments(bool)
    {58, 1299, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//537 QsciLexerCSS::setFoldCompact(bool)
    {58, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 29},	//538 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {58, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 30},	//539 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {58, 1541, 12, 1, Smoke::mf_static, 40, 31},	//540 QsciLexerCSS::tr(const char*)
    {58, 1545, 12, 1, Smoke::mf_static, 40, 32},	//541 QsciLexerCSS::trUtf8(const char*)
    {58, 473, 0, 0, Smoke::mf_ctor, 63, 33},	//542 QsciLexerCSS::QsciLexerCSS()
    {58, 822, 0, 0, Smoke::mf_const, 213, 34},	//543 QsciLexerCSS::blockEnd() const
    {58, 825, 0, 0, Smoke::mf_const, 213, 35},	//544 QsciLexerCSS::blockStart() const
    {58, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 36},	//545 QsciLexerCSS::staticMetaObject() const
    {58, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//546 QsciLexerCSS::Default (enum)
    {58, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//547 QsciLexerCSS::Tag (enum)
    {58, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//548 QsciLexerCSS::ClassSelector (enum)
    {58, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//549 QsciLexerCSS::PseudoClass (enum)
    {58, 726, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//550 QsciLexerCSS::UnknownPseudoClass (enum)
    {58, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//551 QsciLexerCSS::Operator (enum)
    {58, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//552 QsciLexerCSS::CSS1Property (enum)
    {58, 725, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//553 QsciLexerCSS::UnknownProperty (enum)
    {58, 744, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//554 QsciLexerCSS::Value (enum)
    {58, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//555 QsciLexerCSS::Comment (enum)
    {58, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//556 QsciLexerCSS::IDSelector (enum)
    {58, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//557 QsciLexerCSS::Important (enum)
    {58, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//558 QsciLexerCSS::AtRule (enum)
    {58, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//559 QsciLexerCSS::DoubleQuotedString (enum)
    {58, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//560 QsciLexerCSS::SingleQuotedString (enum)
    {58, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//561 QsciLexerCSS::CSS2Property (enum)
    {58, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//562 QsciLexerCSS::Attribute (enum)
    {58, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//563 QsciLexerCSS::CSS3Property (enum)
    {58, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//564 QsciLexerCSS::PseudoElement (enum)
    {58, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//565 QsciLexerCSS::ExtendedCSSProperty (enum)
    {58, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//566 QsciLexerCSS::ExtendedPseudoClass (enum)
    {58, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//567 QsciLexerCSS::ExtendedPseudoElement (enum)
    {58, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//568 QsciLexerCSS::MediaRule (enum)
    {58, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//569 QsciLexerCSS::Variable (enum)
    {58, 1598, 0, 0, Smoke::mf_dtor, 0, 61 },	//570 QsciLexerCSS::~QsciLexerCSS()
    {59, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//571 QsciLexerCSharp::metaObject() const
    {59, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//572 QsciLexerCSharp::qt_metacast(const char*)
    {59, 1541, 42, 2, Smoke::mf_static, 40, 3},	//573 QsciLexerCSharp::tr(const char*, const char*)
    {59, 1545, 42, 2, Smoke::mf_static, 40, 4},	//574 QsciLexerCSharp::trUtf8(const char*, const char*)
    {59, 1541, 45, 3, Smoke::mf_static, 40, 5},	//575 QsciLexerCSharp::tr(const char*, const char*, int)
    {59, 1545, 45, 3, Smoke::mf_static, 40, 6},	//576 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {59, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//577 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {59, 475, 74, 1, Smoke::mf_ctor, 64, 8},	//578 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {59, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//579 QsciLexerCSharp::language() const
    {59, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//580 QsciLexerCSharp::defaultColor(int) const
    {59, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 11},	//581 QsciLexerCSharp::defaultEolFill(int) const
    {59, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//582 QsciLexerCSharp::defaultFont(int) const
    {59, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//583 QsciLexerCSharp::defaultPaper(int) const
    {59, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//584 QsciLexerCSharp::keywords(int) const
    {59, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//585 QsciLexerCSharp::description(int) const
    {59, 1541, 12, 1, Smoke::mf_static, 40, 16},	//586 QsciLexerCSharp::tr(const char*)
    {59, 1545, 12, 1, Smoke::mf_static, 40, 17},	//587 QsciLexerCSharp::trUtf8(const char*)
    {59, 475, 0, 0, Smoke::mf_ctor, 64, 18},	//588 QsciLexerCSharp::QsciLexerCSharp()
    {59, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 19},	//589 QsciLexerCSharp::staticMetaObject() const
    {59, 1599, 0, 0, Smoke::mf_dtor, 0, 20 },	//590 QsciLexerCSharp::~QsciLexerCSharp()
    {60, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//591 QsciLexerCustom::metaObject() const
    {60, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//592 QsciLexerCustom::qt_metacast(const char*)
    {60, 1541, 42, 2, Smoke::mf_static, 40, 3},	//593 QsciLexerCustom::tr(const char*, const char*)
    {60, 1545, 42, 2, Smoke::mf_static, 40, 4},	//594 QsciLexerCustom::trUtf8(const char*, const char*)
    {60, 1541, 45, 3, Smoke::mf_static, 40, 5},	//595 QsciLexerCustom::tr(const char*, const char*, int)
    {60, 1545, 45, 3, Smoke::mf_static, 40, 6},	//596 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {60, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//597 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {60, 477, 74, 1, Smoke::mf_ctor, 65, 8},	//598 QsciLexerCustom::QsciLexerCustom(QObject*)
    {60, 1461, 99, 2, 0, 0, 9},	//599 QsciLexerCustom::setStyling(int, int)
    {60, 1461, 102, 2, 0, 0, 10},	//600 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {60, 1515, 99, 2, 0, 0, 11},	//601 QsciLexerCustom::startStyling(int, int)
    {60, 1524, 99, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//602 QsciLexerCustom::styleText(int, int) [pure virtual]
    {60, 1276, 82, 1, Smoke::mf_virtual, 0, 13},	//603 QsciLexerCustom::setEditor(QsciScintilla*)
    {60, 1521, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//604 QsciLexerCustom::styleBitsNeeded() const
    {60, 1541, 12, 1, Smoke::mf_static, 40, 15},	//605 QsciLexerCustom::tr(const char*)
    {60, 1545, 12, 1, Smoke::mf_static, 40, 16},	//606 QsciLexerCustom::trUtf8(const char*)
    {60, 477, 0, 0, Smoke::mf_ctor, 65, 17},	//607 QsciLexerCustom::QsciLexerCustom()
    {60, 1515, 18, 1, 0, 0, 18},	//608 QsciLexerCustom::startStyling(int)
    {60, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 19},	//609 QsciLexerCustom::staticMetaObject() const
    {60, 1600, 0, 0, Smoke::mf_dtor, 0, 20 },	//610 QsciLexerCustom::~QsciLexerCustom()
    {61, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//611 QsciLexerD::metaObject() const
    {61, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//612 QsciLexerD::qt_metacast(const char*)
    {61, 1541, 42, 2, Smoke::mf_static, 40, 3},	//613 QsciLexerD::tr(const char*, const char*)
    {61, 1545, 42, 2, Smoke::mf_static, 40, 4},	//614 QsciLexerD::trUtf8(const char*, const char*)
    {61, 1541, 45, 3, Smoke::mf_static, 40, 5},	//615 QsciLexerD::tr(const char*, const char*, int)
    {61, 1545, 45, 3, Smoke::mf_static, 40, 6},	//616 QsciLexerD::trUtf8(const char*, const char*, int)
    {61, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//617 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {61, 479, 74, 1, Smoke::mf_ctor, 66, 8},	//618 QsciLexerD::QsciLexerD(QObject*)
    {61, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//619 QsciLexerD::language() const
    {61, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//620 QsciLexerD::lexer() const
    {61, 816, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//621 QsciLexerD::autoCompletionWordSeparators() const
    {61, 822, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//622 QsciLexerD::blockEnd(int*) const
    {61, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//623 QsciLexerD::blockStart(int*) const
    {61, 827, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//624 QsciLexerD::blockStartKeyword(int*) const
    {61, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//625 QsciLexerD::braceStyle() const
    {61, 1572, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//626 QsciLexerD::wordCharacters() const
    {61, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//627 QsciLexerD::defaultColor(int) const
    {61, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 18},	//628 QsciLexerD::defaultEolFill(int) const
    {61, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//629 QsciLexerD::defaultFont(int) const
    {61, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//630 QsciLexerD::defaultPaper(int) const
    {61, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 21},	//631 QsciLexerD::keywords(int) const
    {61, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 22},	//632 QsciLexerD::description(int) const
    {61, 1158, 0, 0, Smoke::mf_virtual, 0, 23},	//633 QsciLexerD::refreshProperties()
    {61, 961, 0, 0, Smoke::mf_const, 189, 24},	//634 QsciLexerD::foldAtElse() const
    {61, 963, 0, 0, Smoke::mf_const, 189, 25},	//635 QsciLexerD::foldComments() const
    {61, 964, 0, 0, Smoke::mf_const, 189, 26},	//636 QsciLexerD::foldCompact() const
    {61, 1293, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//637 QsciLexerD::setFoldAtElse(bool)
    {61, 1297, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//638 QsciLexerD::setFoldComments(bool)
    {61, 1299, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//639 QsciLexerD::setFoldCompact(bool)
    {61, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 30},	//640 QsciLexerD::readProperties(QSettings&, const QString&)
    {61, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 31},	//641 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {61, 1541, 12, 1, Smoke::mf_static, 40, 32},	//642 QsciLexerD::tr(const char*)
    {61, 1545, 12, 1, Smoke::mf_static, 40, 33},	//643 QsciLexerD::trUtf8(const char*)
    {61, 479, 0, 0, Smoke::mf_ctor, 66, 34},	//644 QsciLexerD::QsciLexerD()
    {61, 822, 0, 0, Smoke::mf_const, 213, 35},	//645 QsciLexerD::blockEnd() const
    {61, 825, 0, 0, Smoke::mf_const, 213, 36},	//646 QsciLexerD::blockStart() const
    {61, 827, 0, 0, Smoke::mf_const, 213, 37},	//647 QsciLexerD::blockStartKeyword() const
    {61, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 38},	//648 QsciLexerD::staticMetaObject() const
    {61, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//649 QsciLexerD::Default (enum)
    {61, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//650 QsciLexerD::Comment (enum)
    {61, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//651 QsciLexerD::CommentLine (enum)
    {61, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//652 QsciLexerD::CommentDoc (enum)
    {61, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//653 QsciLexerD::CommentNested (enum)
    {61, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//654 QsciLexerD::Number (enum)
    {61, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//655 QsciLexerD::Keyword (enum)
    {61, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//656 QsciLexerD::KeywordSecondary (enum)
    {61, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//657 QsciLexerD::KeywordDoc (enum)
    {61, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//658 QsciLexerD::Typedefs (enum)
    {61, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//659 QsciLexerD::String (enum)
    {61, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//660 QsciLexerD::UnclosedString (enum)
    {61, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//661 QsciLexerD::Character (enum)
    {61, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//662 QsciLexerD::Operator (enum)
    {61, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//663 QsciLexerD::Identifier (enum)
    {61, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//664 QsciLexerD::CommentLineDoc (enum)
    {61, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//665 QsciLexerD::CommentDocKeyword (enum)
    {61, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//666 QsciLexerD::CommentDocKeywordError (enum)
    {61, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//667 QsciLexerD::BackquoteString (enum)
    {61, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//668 QsciLexerD::RawString (enum)
    {61, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//669 QsciLexerD::KeywordSet5 (enum)
    {61, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//670 QsciLexerD::KeywordSet6 (enum)
    {61, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//671 QsciLexerD::KeywordSet7 (enum)
    {61, 1601, 0, 0, Smoke::mf_dtor, 0, 62 },	//672 QsciLexerD::~QsciLexerD()
    {62, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//673 QsciLexerDiff::metaObject() const
    {62, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//674 QsciLexerDiff::qt_metacast(const char*)
    {62, 1541, 42, 2, Smoke::mf_static, 40, 3},	//675 QsciLexerDiff::tr(const char*, const char*)
    {62, 1545, 42, 2, Smoke::mf_static, 40, 4},	//676 QsciLexerDiff::trUtf8(const char*, const char*)
    {62, 1541, 45, 3, Smoke::mf_static, 40, 5},	//677 QsciLexerDiff::tr(const char*, const char*, int)
    {62, 1545, 45, 3, Smoke::mf_static, 40, 6},	//678 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {62, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//679 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {62, 481, 74, 1, Smoke::mf_ctor, 67, 8},	//680 QsciLexerDiff::QsciLexerDiff(QObject*)
    {62, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//681 QsciLexerDiff::language() const
    {62, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//682 QsciLexerDiff::lexer() const
    {62, 1572, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//683 QsciLexerDiff::wordCharacters() const
    {62, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//684 QsciLexerDiff::defaultColor(int) const
    {62, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 13},	//685 QsciLexerDiff::description(int) const
    {62, 1541, 12, 1, Smoke::mf_static, 40, 14},	//686 QsciLexerDiff::tr(const char*)
    {62, 1545, 12, 1, Smoke::mf_static, 40, 15},	//687 QsciLexerDiff::trUtf8(const char*)
    {62, 481, 0, 0, Smoke::mf_ctor, 67, 16},	//688 QsciLexerDiff::QsciLexerDiff()
    {62, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 17},	//689 QsciLexerDiff::staticMetaObject() const
    {62, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 18},	//690 QsciLexerDiff::Default (enum)
    {62, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 19},	//691 QsciLexerDiff::Comment (enum)
    {62, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 20},	//692 QsciLexerDiff::Command (enum)
    {62, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 21},	//693 QsciLexerDiff::Header (enum)
    {62, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 22},	//694 QsciLexerDiff::Position (enum)
    {62, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 23},	//695 QsciLexerDiff::LineRemoved (enum)
    {62, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 24},	//696 QsciLexerDiff::LineAdded (enum)
    {62, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//697 QsciLexerDiff::LineChanged (enum)
    {62, 1602, 0, 0, Smoke::mf_dtor, 0, 26 },	//698 QsciLexerDiff::~QsciLexerDiff()
    {63, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//699 QsciLexerFortran::metaObject() const
    {63, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//700 QsciLexerFortran::qt_metacast(const char*)
    {63, 1541, 42, 2, Smoke::mf_static, 40, 3},	//701 QsciLexerFortran::tr(const char*, const char*)
    {63, 1545, 42, 2, Smoke::mf_static, 40, 4},	//702 QsciLexerFortran::trUtf8(const char*, const char*)
    {63, 1541, 45, 3, Smoke::mf_static, 40, 5},	//703 QsciLexerFortran::tr(const char*, const char*, int)
    {63, 1545, 45, 3, Smoke::mf_static, 40, 6},	//704 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {63, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//705 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {63, 483, 74, 1, Smoke::mf_ctor, 68, 8},	//706 QsciLexerFortran::QsciLexerFortran(QObject*)
    {63, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//707 QsciLexerFortran::language() const
    {63, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//708 QsciLexerFortran::lexer() const
    {63, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//709 QsciLexerFortran::keywords(int) const
    {63, 1541, 12, 1, Smoke::mf_static, 40, 12},	//710 QsciLexerFortran::tr(const char*)
    {63, 1545, 12, 1, Smoke::mf_static, 40, 13},	//711 QsciLexerFortran::trUtf8(const char*)
    {63, 483, 0, 0, Smoke::mf_ctor, 68, 14},	//712 QsciLexerFortran::QsciLexerFortran()
    {63, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 15},	//713 QsciLexerFortran::staticMetaObject() const
    {63, 1603, 0, 0, Smoke::mf_dtor, 0, 16 },	//714 QsciLexerFortran::~QsciLexerFortran()
    {64, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//715 QsciLexerFortran77::metaObject() const
    {64, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//716 QsciLexerFortran77::qt_metacast(const char*)
    {64, 1541, 42, 2, Smoke::mf_static, 40, 3},	//717 QsciLexerFortran77::tr(const char*, const char*)
    {64, 1545, 42, 2, Smoke::mf_static, 40, 4},	//718 QsciLexerFortran77::trUtf8(const char*, const char*)
    {64, 1541, 45, 3, Smoke::mf_static, 40, 5},	//719 QsciLexerFortran77::tr(const char*, const char*, int)
    {64, 1545, 45, 3, Smoke::mf_static, 40, 6},	//720 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {64, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//721 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {64, 485, 74, 1, Smoke::mf_ctor, 69, 8},	//722 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {64, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//723 QsciLexerFortran77::language() const
    {64, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//724 QsciLexerFortran77::lexer() const
    {64, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//725 QsciLexerFortran77::braceStyle() const
    {64, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//726 QsciLexerFortran77::defaultColor(int) const
    {64, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//727 QsciLexerFortran77::defaultEolFill(int) const
    {64, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//728 QsciLexerFortran77::defaultFont(int) const
    {64, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//729 QsciLexerFortran77::defaultPaper(int) const
    {64, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//730 QsciLexerFortran77::keywords(int) const
    {64, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//731 QsciLexerFortran77::description(int) const
    {64, 1158, 0, 0, Smoke::mf_virtual, 0, 18},	//732 QsciLexerFortran77::refreshProperties()
    {64, 964, 0, 0, Smoke::mf_const, 189, 19},	//733 QsciLexerFortran77::foldCompact() const
    {64, 1299, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//734 QsciLexerFortran77::setFoldCompact(bool)
    {64, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 21},	//735 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {64, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 22},	//736 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {64, 1541, 12, 1, Smoke::mf_static, 40, 23},	//737 QsciLexerFortran77::tr(const char*)
    {64, 1545, 12, 1, Smoke::mf_static, 40, 24},	//738 QsciLexerFortran77::trUtf8(const char*)
    {64, 485, 0, 0, Smoke::mf_ctor, 69, 25},	//739 QsciLexerFortran77::QsciLexerFortran77()
    {64, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 26},	//740 QsciLexerFortran77::staticMetaObject() const
    {64, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//741 QsciLexerFortran77::Default (enum)
    {64, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//742 QsciLexerFortran77::Comment (enum)
    {64, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//743 QsciLexerFortran77::Number (enum)
    {64, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//744 QsciLexerFortran77::SingleQuotedString (enum)
    {64, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//745 QsciLexerFortran77::DoubleQuotedString (enum)
    {64, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//746 QsciLexerFortran77::UnclosedString (enum)
    {64, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//747 QsciLexerFortran77::Operator (enum)
    {64, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//748 QsciLexerFortran77::Identifier (enum)
    {64, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//749 QsciLexerFortran77::Keyword (enum)
    {64, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//750 QsciLexerFortran77::IntrinsicFunction (enum)
    {64, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//751 QsciLexerFortran77::ExtendedFunction (enum)
    {64, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//752 QsciLexerFortran77::PreProcessor (enum)
    {64, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//753 QsciLexerFortran77::DottedOperator (enum)
    {64, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//754 QsciLexerFortran77::Label (enum)
    {64, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//755 QsciLexerFortran77::Continuation (enum)
    {64, 1604, 0, 0, Smoke::mf_dtor, 0, 42 },	//756 QsciLexerFortran77::~QsciLexerFortran77()
    {65, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//757 QsciLexerHTML::metaObject() const
    {65, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//758 QsciLexerHTML::qt_metacast(const char*)
    {65, 1541, 42, 2, Smoke::mf_static, 40, 3},	//759 QsciLexerHTML::tr(const char*, const char*)
    {65, 1545, 42, 2, Smoke::mf_static, 40, 4},	//760 QsciLexerHTML::trUtf8(const char*, const char*)
    {65, 1541, 45, 3, Smoke::mf_static, 40, 5},	//761 QsciLexerHTML::tr(const char*, const char*, int)
    {65, 1545, 45, 3, Smoke::mf_static, 40, 6},	//762 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {65, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//763 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {65, 487, 74, 1, Smoke::mf_ctor, 70, 8},	//764 QsciLexerHTML::QsciLexerHTML(QObject*)
    {65, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//765 QsciLexerHTML::language() const
    {65, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//766 QsciLexerHTML::lexer() const
    {65, 807, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//767 QsciLexerHTML::autoCompletionFillups() const
    {65, 1572, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//768 QsciLexerHTML::wordCharacters() const
    {65, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//769 QsciLexerHTML::defaultColor(int) const
    {65, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//770 QsciLexerHTML::defaultEolFill(int) const
    {65, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//771 QsciLexerHTML::defaultFont(int) const
    {65, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//772 QsciLexerHTML::defaultPaper(int) const
    {65, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//773 QsciLexerHTML::keywords(int) const
    {65, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//774 QsciLexerHTML::description(int) const
    {65, 1158, 0, 0, Smoke::mf_virtual, 0, 19},	//775 QsciLexerHTML::refreshProperties()
    {65, 846, 0, 0, Smoke::mf_const, 189, 20},	//776 QsciLexerHTML::caseSensitiveTags() const
    {65, 1262, 16, 1, 0, 0, 21},	//777 QsciLexerHTML::setDjangoTemplates(bool)
    {65, 899, 0, 0, Smoke::mf_const, 189, 22},	//778 QsciLexerHTML::djangoTemplates() const
    {65, 964, 0, 0, Smoke::mf_const, 189, 23},	//779 QsciLexerHTML::foldCompact() const
    {65, 971, 0, 0, Smoke::mf_const, 189, 24},	//780 QsciLexerHTML::foldPreprocessor() const
    {65, 1315, 16, 1, 0, 0, 25},	//781 QsciLexerHTML::setFoldScriptComments(bool)
    {65, 973, 0, 0, Smoke::mf_const, 189, 26},	//782 QsciLexerHTML::foldScriptComments() const
    {65, 1317, 16, 1, 0, 0, 27},	//783 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {65, 974, 0, 0, Smoke::mf_const, 189, 28},	//784 QsciLexerHTML::foldScriptHeredocs() const
    {65, 1390, 16, 1, 0, 0, 29},	//785 QsciLexerHTML::setMakoTemplates(bool)
    {65, 1064, 0, 0, Smoke::mf_const, 189, 30},	//786 QsciLexerHTML::makoTemplates() const
    {65, 1299, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//787 QsciLexerHTML::setFoldCompact(bool)
    {65, 1311, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//788 QsciLexerHTML::setFoldPreprocessor(bool)
    {65, 1243, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//789 QsciLexerHTML::setCaseSensitiveTags(bool)
    {65, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 34},	//790 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {65, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 35},	//791 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {65, 1541, 12, 1, Smoke::mf_static, 40, 36},	//792 QsciLexerHTML::tr(const char*)
    {65, 1545, 12, 1, Smoke::mf_static, 40, 37},	//793 QsciLexerHTML::trUtf8(const char*)
    {65, 487, 0, 0, Smoke::mf_ctor, 70, 38},	//794 QsciLexerHTML::QsciLexerHTML()
    {65, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 39},	//795 QsciLexerHTML::staticMetaObject() const
    {65, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//796 QsciLexerHTML::Default (enum)
    {65, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//797 QsciLexerHTML::Tag (enum)
    {65, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//798 QsciLexerHTML::UnknownTag (enum)
    {65, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//799 QsciLexerHTML::Attribute (enum)
    {65, 724, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//800 QsciLexerHTML::UnknownAttribute (enum)
    {65, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//801 QsciLexerHTML::HTMLNumber (enum)
    {65, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//802 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {65, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//803 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {65, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//804 QsciLexerHTML::OtherInTag (enum)
    {65, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//805 QsciLexerHTML::HTMLComment (enum)
    {65, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//806 QsciLexerHTML::Entity (enum)
    {65, 778, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//807 QsciLexerHTML::XMLTagEnd (enum)
    {65, 777, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//808 QsciLexerHTML::XMLStart (enum)
    {65, 776, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//809 QsciLexerHTML::XMLEnd (enum)
    {65, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//810 QsciLexerHTML::Script (enum)
    {65, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//811 QsciLexerHTML::ASPAtStart (enum)
    {65, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//812 QsciLexerHTML::ASPStart (enum)
    {65, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//813 QsciLexerHTML::CDATA (enum)
    {65, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//814 QsciLexerHTML::PHPStart (enum)
    {65, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//815 QsciLexerHTML::HTMLValue (enum)
    {65, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//816 QsciLexerHTML::ASPXCComment (enum)
    {65, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//817 QsciLexerHTML::SGMLDefault (enum)
    {65, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//818 QsciLexerHTML::SGMLCommand (enum)
    {65, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//819 QsciLexerHTML::SGMLParameter (enum)
    {65, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//820 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {65, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//821 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {65, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 66},	//822 QsciLexerHTML::SGMLError (enum)
    {65, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 67},	//823 QsciLexerHTML::SGMLSpecial (enum)
    {65, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 68},	//824 QsciLexerHTML::SGMLEntity (enum)
    {65, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 69},	//825 QsciLexerHTML::SGMLComment (enum)
    {65, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 70},	//826 QsciLexerHTML::SGMLParameterComment (enum)
    {65, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 71},	//827 QsciLexerHTML::SGMLBlockDefault (enum)
    {65, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 72},	//828 QsciLexerHTML::JavaScriptStart (enum)
    {65, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 73},	//829 QsciLexerHTML::JavaScriptDefault (enum)
    {65, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 74},	//830 QsciLexerHTML::JavaScriptComment (enum)
    {65, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 75},	//831 QsciLexerHTML::JavaScriptCommentLine (enum)
    {65, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 76},	//832 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {65, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 77},	//833 QsciLexerHTML::JavaScriptNumber (enum)
    {65, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 78},	//834 QsciLexerHTML::JavaScriptWord (enum)
    {65, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 79},	//835 QsciLexerHTML::JavaScriptKeyword (enum)
    {65, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 80},	//836 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {65, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 81},	//837 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {65, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 82},	//838 QsciLexerHTML::JavaScriptSymbol (enum)
    {65, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 83},	//839 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {65, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 84},	//840 QsciLexerHTML::JavaScriptRegex (enum)
    {65, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 85},	//841 QsciLexerHTML::ASPJavaScriptStart (enum)
    {65, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 86},	//842 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {65, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 87},	//843 QsciLexerHTML::ASPJavaScriptComment (enum)
    {65, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 88},	//844 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {65, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 89},	//845 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {65, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 90},	//846 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {65, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 91},	//847 QsciLexerHTML::ASPJavaScriptWord (enum)
    {65, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 92},	//848 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {65, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 93},	//849 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {65, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 94},	//850 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {65, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 95},	//851 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {65, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 96},	//852 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {65, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 97},	//853 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {65, 735, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 98},	//854 QsciLexerHTML::VBScriptStart (enum)
    {65, 731, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 99},	//855 QsciLexerHTML::VBScriptDefault (enum)
    {65, 730, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 100},	//856 QsciLexerHTML::VBScriptComment (enum)
    {65, 734, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 101},	//857 QsciLexerHTML::VBScriptNumber (enum)
    {65, 733, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 102},	//858 QsciLexerHTML::VBScriptKeyword (enum)
    {65, 736, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 103},	//859 QsciLexerHTML::VBScriptString (enum)
    {65, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 104},	//860 QsciLexerHTML::VBScriptIdentifier (enum)
    {65, 737, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 105},	//861 QsciLexerHTML::VBScriptUnclosedString (enum)
    {65, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 106},	//862 QsciLexerHTML::ASPVBScriptStart (enum)
    {65, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 107},	//863 QsciLexerHTML::ASPVBScriptDefault (enum)
    {65, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 108},	//864 QsciLexerHTML::ASPVBScriptComment (enum)
    {65, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 109},	//865 QsciLexerHTML::ASPVBScriptNumber (enum)
    {65, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 110},	//866 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {65, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 111},	//867 QsciLexerHTML::ASPVBScriptString (enum)
    {65, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 112},	//868 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {65, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 113},	//869 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {65, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 114},	//870 QsciLexerHTML::PythonStart (enum)
    {65, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 115},	//871 QsciLexerHTML::PythonDefault (enum)
    {65, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 116},	//872 QsciLexerHTML::PythonComment (enum)
    {65, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 117},	//873 QsciLexerHTML::PythonNumber (enum)
    {65, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 118},	//874 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {65, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 119},	//875 QsciLexerHTML::PythonSingleQuotedString (enum)
    {65, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 120},	//876 QsciLexerHTML::PythonKeyword (enum)
    {65, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 121},	//877 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {65, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 122},	//878 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {65, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 123},	//879 QsciLexerHTML::PythonClassName (enum)
    {65, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 124},	//880 QsciLexerHTML::PythonFunctionMethodName (enum)
    {65, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 125},	//881 QsciLexerHTML::PythonOperator (enum)
    {65, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 126},	//882 QsciLexerHTML::PythonIdentifier (enum)
    {65, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 127},	//883 QsciLexerHTML::ASPPythonStart (enum)
    {65, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 128},	//884 QsciLexerHTML::ASPPythonDefault (enum)
    {65, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 129},	//885 QsciLexerHTML::ASPPythonComment (enum)
    {65, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 130},	//886 QsciLexerHTML::ASPPythonNumber (enum)
    {65, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 131},	//887 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {65, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 132},	//888 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {65, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 133},	//889 QsciLexerHTML::ASPPythonKeyword (enum)
    {65, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 134},	//890 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {65, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 135},	//891 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {65, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 136},	//892 QsciLexerHTML::ASPPythonClassName (enum)
    {65, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 137},	//893 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {65, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 138},	//894 QsciLexerHTML::ASPPythonOperator (enum)
    {65, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 139},	//895 QsciLexerHTML::ASPPythonIdentifier (enum)
    {65, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 140},	//896 QsciLexerHTML::PHPDefault (enum)
    {65, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 141},	//897 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {65, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 142},	//898 QsciLexerHTML::PHPSingleQuotedString (enum)
    {65, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 143},	//899 QsciLexerHTML::PHPKeyword (enum)
    {65, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 144},	//900 QsciLexerHTML::PHPNumber (enum)
    {65, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 145},	//901 QsciLexerHTML::PHPVariable (enum)
    {65, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 146},	//902 QsciLexerHTML::PHPComment (enum)
    {65, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 147},	//903 QsciLexerHTML::PHPCommentLine (enum)
    {65, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 148},	//904 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {65, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 149},	//905 QsciLexerHTML::PHPOperator (enum)
    {65, 1605, 0, 0, Smoke::mf_dtor, 0, 150 },	//906 QsciLexerHTML::~QsciLexerHTML()
    {66, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//907 QsciLexerIDL::metaObject() const
    {66, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//908 QsciLexerIDL::qt_metacast(const char*)
    {66, 1541, 42, 2, Smoke::mf_static, 40, 3},	//909 QsciLexerIDL::tr(const char*, const char*)
    {66, 1545, 42, 2, Smoke::mf_static, 40, 4},	//910 QsciLexerIDL::trUtf8(const char*, const char*)
    {66, 1541, 45, 3, Smoke::mf_static, 40, 5},	//911 QsciLexerIDL::tr(const char*, const char*, int)
    {66, 1545, 45, 3, Smoke::mf_static, 40, 6},	//912 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {66, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//913 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {66, 489, 74, 1, Smoke::mf_ctor, 71, 8},	//914 QsciLexerIDL::QsciLexerIDL(QObject*)
    {66, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//915 QsciLexerIDL::language() const
    {66, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//916 QsciLexerIDL::defaultColor(int) const
    {66, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//917 QsciLexerIDL::keywords(int) const
    {66, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 12},	//918 QsciLexerIDL::description(int) const
    {66, 1541, 12, 1, Smoke::mf_static, 40, 13},	//919 QsciLexerIDL::tr(const char*)
    {66, 1545, 12, 1, Smoke::mf_static, 40, 14},	//920 QsciLexerIDL::trUtf8(const char*)
    {66, 489, 0, 0, Smoke::mf_ctor, 71, 15},	//921 QsciLexerIDL::QsciLexerIDL()
    {66, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 16},	//922 QsciLexerIDL::staticMetaObject() const
    {66, 1606, 0, 0, Smoke::mf_dtor, 0, 17 },	//923 QsciLexerIDL::~QsciLexerIDL()
    {67, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//924 QsciLexerJava::metaObject() const
    {67, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//925 QsciLexerJava::qt_metacast(const char*)
    {67, 1541, 42, 2, Smoke::mf_static, 40, 3},	//926 QsciLexerJava::tr(const char*, const char*)
    {67, 1545, 42, 2, Smoke::mf_static, 40, 4},	//927 QsciLexerJava::trUtf8(const char*, const char*)
    {67, 1541, 45, 3, Smoke::mf_static, 40, 5},	//928 QsciLexerJava::tr(const char*, const char*, int)
    {67, 1545, 45, 3, Smoke::mf_static, 40, 6},	//929 QsciLexerJava::trUtf8(const char*, const char*, int)
    {67, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//930 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {67, 491, 74, 1, Smoke::mf_ctor, 72, 8},	//931 QsciLexerJava::QsciLexerJava(QObject*)
    {67, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//932 QsciLexerJava::language() const
    {67, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//933 QsciLexerJava::keywords(int) const
    {67, 1541, 12, 1, Smoke::mf_static, 40, 11},	//934 QsciLexerJava::tr(const char*)
    {67, 1545, 12, 1, Smoke::mf_static, 40, 12},	//935 QsciLexerJava::trUtf8(const char*)
    {67, 491, 0, 0, Smoke::mf_ctor, 72, 13},	//936 QsciLexerJava::QsciLexerJava()
    {67, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 14},	//937 QsciLexerJava::staticMetaObject() const
    {67, 1607, 0, 0, Smoke::mf_dtor, 0, 15 },	//938 QsciLexerJava::~QsciLexerJava()
    {68, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//939 QsciLexerJavaScript::metaObject() const
    {68, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//940 QsciLexerJavaScript::qt_metacast(const char*)
    {68, 1541, 42, 2, Smoke::mf_static, 40, 3},	//941 QsciLexerJavaScript::tr(const char*, const char*)
    {68, 1545, 42, 2, Smoke::mf_static, 40, 4},	//942 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {68, 1541, 45, 3, Smoke::mf_static, 40, 5},	//943 QsciLexerJavaScript::tr(const char*, const char*, int)
    {68, 1545, 45, 3, Smoke::mf_static, 40, 6},	//944 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {68, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//945 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {68, 493, 74, 1, Smoke::mf_ctor, 73, 8},	//946 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {68, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//947 QsciLexerJavaScript::language() const
    {68, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//948 QsciLexerJavaScript::defaultColor(int) const
    {68, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 11},	//949 QsciLexerJavaScript::defaultEolFill(int) const
    {68, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//950 QsciLexerJavaScript::defaultFont(int) const
    {68, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//951 QsciLexerJavaScript::defaultPaper(int) const
    {68, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//952 QsciLexerJavaScript::keywords(int) const
    {68, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 15},	//953 QsciLexerJavaScript::description(int) const
    {68, 1541, 12, 1, Smoke::mf_static, 40, 16},	//954 QsciLexerJavaScript::tr(const char*)
    {68, 1545, 12, 1, Smoke::mf_static, 40, 17},	//955 QsciLexerJavaScript::trUtf8(const char*)
    {68, 493, 0, 0, Smoke::mf_ctor, 73, 18},	//956 QsciLexerJavaScript::QsciLexerJavaScript()
    {68, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 19},	//957 QsciLexerJavaScript::staticMetaObject() const
    {68, 1608, 0, 0, Smoke::mf_dtor, 0, 20 },	//958 QsciLexerJavaScript::~QsciLexerJavaScript()
    {69, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//959 QsciLexerLua::metaObject() const
    {69, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//960 QsciLexerLua::qt_metacast(const char*)
    {69, 1541, 42, 2, Smoke::mf_static, 40, 3},	//961 QsciLexerLua::tr(const char*, const char*)
    {69, 1545, 42, 2, Smoke::mf_static, 40, 4},	//962 QsciLexerLua::trUtf8(const char*, const char*)
    {69, 1541, 45, 3, Smoke::mf_static, 40, 5},	//963 QsciLexerLua::tr(const char*, const char*, int)
    {69, 1545, 45, 3, Smoke::mf_static, 40, 6},	//964 QsciLexerLua::trUtf8(const char*, const char*, int)
    {69, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//965 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {69, 495, 74, 1, Smoke::mf_ctor, 74, 8},	//966 QsciLexerLua::QsciLexerLua(QObject*)
    {69, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//967 QsciLexerLua::language() const
    {69, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//968 QsciLexerLua::lexer() const
    {69, 816, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//969 QsciLexerLua::autoCompletionWordSeparators() const
    {69, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//970 QsciLexerLua::blockStart(int*) const
    {69, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//971 QsciLexerLua::braceStyle() const
    {69, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//972 QsciLexerLua::defaultColor(int) const
    {69, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 15},	//973 QsciLexerLua::defaultEolFill(int) const
    {69, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 16},	//974 QsciLexerLua::defaultFont(int) const
    {69, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//975 QsciLexerLua::defaultPaper(int) const
    {69, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 18},	//976 QsciLexerLua::keywords(int) const
    {69, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 19},	//977 QsciLexerLua::description(int) const
    {69, 1158, 0, 0, Smoke::mf_virtual, 0, 20},	//978 QsciLexerLua::refreshProperties()
    {69, 964, 0, 0, Smoke::mf_const, 189, 21},	//979 QsciLexerLua::foldCompact() const
    {69, 1299, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//980 QsciLexerLua::setFoldCompact(bool)
    {69, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 23},	//981 QsciLexerLua::readProperties(QSettings&, const QString&)
    {69, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 24},	//982 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {69, 1541, 12, 1, Smoke::mf_static, 40, 25},	//983 QsciLexerLua::tr(const char*)
    {69, 1545, 12, 1, Smoke::mf_static, 40, 26},	//984 QsciLexerLua::trUtf8(const char*)
    {69, 495, 0, 0, Smoke::mf_ctor, 74, 27},	//985 QsciLexerLua::QsciLexerLua()
    {69, 825, 0, 0, Smoke::mf_const, 213, 28},	//986 QsciLexerLua::blockStart() const
    {69, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 29},	//987 QsciLexerLua::staticMetaObject() const
    {69, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//988 QsciLexerLua::Default (enum)
    {69, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//989 QsciLexerLua::Comment (enum)
    {69, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//990 QsciLexerLua::LineComment (enum)
    {69, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//991 QsciLexerLua::Number (enum)
    {69, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//992 QsciLexerLua::Keyword (enum)
    {69, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//993 QsciLexerLua::String (enum)
    {69, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//994 QsciLexerLua::Character (enum)
    {69, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//995 QsciLexerLua::LiteralString (enum)
    {69, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//996 QsciLexerLua::Preprocessor (enum)
    {69, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//997 QsciLexerLua::Operator (enum)
    {69, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//998 QsciLexerLua::Identifier (enum)
    {69, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//999 QsciLexerLua::UnclosedString (enum)
    {69, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1000 QsciLexerLua::BasicFunctions (enum)
    {69, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1001 QsciLexerLua::StringTableMathsFunctions (enum)
    {69, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1002 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {69, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1003 QsciLexerLua::KeywordSet5 (enum)
    {69, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1004 QsciLexerLua::KeywordSet6 (enum)
    {69, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1005 QsciLexerLua::KeywordSet7 (enum)
    {69, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1006 QsciLexerLua::KeywordSet8 (enum)
    {69, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1007 QsciLexerLua::Label (enum)
    {69, 1609, 0, 0, Smoke::mf_dtor, 0, 50 },	//1008 QsciLexerLua::~QsciLexerLua()
    {70, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1009 QsciLexerMakefile::metaObject() const
    {70, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1010 QsciLexerMakefile::qt_metacast(const char*)
    {70, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1011 QsciLexerMakefile::tr(const char*, const char*)
    {70, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1012 QsciLexerMakefile::trUtf8(const char*, const char*)
    {70, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1013 QsciLexerMakefile::tr(const char*, const char*, int)
    {70, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1014 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {70, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1015 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {70, 497, 74, 1, Smoke::mf_ctor, 75, 8},	//1016 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {70, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1017 QsciLexerMakefile::language() const
    {70, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1018 QsciLexerMakefile::lexer() const
    {70, 1572, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1019 QsciLexerMakefile::wordCharacters() const
    {70, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1020 QsciLexerMakefile::defaultColor(int) const
    {70, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1021 QsciLexerMakefile::defaultEolFill(int) const
    {70, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1022 QsciLexerMakefile::defaultFont(int) const
    {70, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1023 QsciLexerMakefile::defaultPaper(int) const
    {70, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1024 QsciLexerMakefile::description(int) const
    {70, 1541, 12, 1, Smoke::mf_static, 40, 17},	//1025 QsciLexerMakefile::tr(const char*)
    {70, 1545, 12, 1, Smoke::mf_static, 40, 18},	//1026 QsciLexerMakefile::trUtf8(const char*)
    {70, 497, 0, 0, Smoke::mf_ctor, 75, 19},	//1027 QsciLexerMakefile::QsciLexerMakefile()
    {70, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 20},	//1028 QsciLexerMakefile::staticMetaObject() const
    {70, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 21},	//1029 QsciLexerMakefile::Default (enum)
    {70, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 22},	//1030 QsciLexerMakefile::Comment (enum)
    {70, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 23},	//1031 QsciLexerMakefile::Preprocessor (enum)
    {70, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 24},	//1032 QsciLexerMakefile::Variable (enum)
    {70, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 25},	//1033 QsciLexerMakefile::Operator (enum)
    {70, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//1034 QsciLexerMakefile::Target (enum)
    {70, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//1035 QsciLexerMakefile::Error (enum)
    {70, 1610, 0, 0, Smoke::mf_dtor, 0, 28 },	//1036 QsciLexerMakefile::~QsciLexerMakefile()
    {71, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1037 QsciLexerPOV::metaObject() const
    {71, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1038 QsciLexerPOV::qt_metacast(const char*)
    {71, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1039 QsciLexerPOV::tr(const char*, const char*)
    {71, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1040 QsciLexerPOV::trUtf8(const char*, const char*)
    {71, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1041 QsciLexerPOV::tr(const char*, const char*, int)
    {71, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1042 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {71, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1043 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {71, 499, 74, 1, Smoke::mf_ctor, 76, 8},	//1044 QsciLexerPOV::QsciLexerPOV(QObject*)
    {71, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1045 QsciLexerPOV::language() const
    {71, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1046 QsciLexerPOV::lexer() const
    {71, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1047 QsciLexerPOV::braceStyle() const
    {71, 1572, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//1048 QsciLexerPOV::wordCharacters() const
    {71, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//1049 QsciLexerPOV::defaultColor(int) const
    {71, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 14},	//1050 QsciLexerPOV::defaultEolFill(int) const
    {71, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//1051 QsciLexerPOV::defaultFont(int) const
    {71, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1052 QsciLexerPOV::defaultPaper(int) const
    {71, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 17},	//1053 QsciLexerPOV::keywords(int) const
    {71, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 18},	//1054 QsciLexerPOV::description(int) const
    {71, 1158, 0, 0, Smoke::mf_virtual, 0, 19},	//1055 QsciLexerPOV::refreshProperties()
    {71, 963, 0, 0, Smoke::mf_const, 189, 20},	//1056 QsciLexerPOV::foldComments() const
    {71, 964, 0, 0, Smoke::mf_const, 189, 21},	//1057 QsciLexerPOV::foldCompact() const
    {71, 965, 0, 0, Smoke::mf_const, 189, 22},	//1058 QsciLexerPOV::foldDirectives() const
    {71, 1297, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1059 QsciLexerPOV::setFoldComments(bool)
    {71, 1299, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1060 QsciLexerPOV::setFoldCompact(bool)
    {71, 1301, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1061 QsciLexerPOV::setFoldDirectives(bool)
    {71, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 26},	//1062 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {71, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 27},	//1063 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {71, 1541, 12, 1, Smoke::mf_static, 40, 28},	//1064 QsciLexerPOV::tr(const char*)
    {71, 1545, 12, 1, Smoke::mf_static, 40, 29},	//1065 QsciLexerPOV::trUtf8(const char*)
    {71, 499, 0, 0, Smoke::mf_ctor, 76, 30},	//1066 QsciLexerPOV::QsciLexerPOV()
    {71, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 31},	//1067 QsciLexerPOV::staticMetaObject() const
    {71, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1068 QsciLexerPOV::Default (enum)
    {71, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1069 QsciLexerPOV::Comment (enum)
    {71, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1070 QsciLexerPOV::CommentLine (enum)
    {71, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1071 QsciLexerPOV::Number (enum)
    {71, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1072 QsciLexerPOV::Operator (enum)
    {71, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1073 QsciLexerPOV::Identifier (enum)
    {71, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1074 QsciLexerPOV::String (enum)
    {71, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1075 QsciLexerPOV::UnclosedString (enum)
    {71, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1076 QsciLexerPOV::Directive (enum)
    {71, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1077 QsciLexerPOV::BadDirective (enum)
    {71, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1078 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {71, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1079 QsciLexerPOV::TypesModifiersItems (enum)
    {71, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1080 QsciLexerPOV::PredefinedIdentifiers (enum)
    {71, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1081 QsciLexerPOV::PredefinedFunctions (enum)
    {71, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1082 QsciLexerPOV::KeywordSet6 (enum)
    {71, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1083 QsciLexerPOV::KeywordSet7 (enum)
    {71, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1084 QsciLexerPOV::KeywordSet8 (enum)
    {71, 1611, 0, 0, Smoke::mf_dtor, 0, 49 },	//1085 QsciLexerPOV::~QsciLexerPOV()
    {72, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1086 QsciLexerPascal::metaObject() const
    {72, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1087 QsciLexerPascal::qt_metacast(const char*)
    {72, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1088 QsciLexerPascal::tr(const char*, const char*)
    {72, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1089 QsciLexerPascal::trUtf8(const char*, const char*)
    {72, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1090 QsciLexerPascal::tr(const char*, const char*, int)
    {72, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1091 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {72, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1092 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {72, 501, 74, 1, Smoke::mf_ctor, 77, 8},	//1093 QsciLexerPascal::QsciLexerPascal(QObject*)
    {72, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1094 QsciLexerPascal::language() const
    {72, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1095 QsciLexerPascal::lexer() const
    {72, 816, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1096 QsciLexerPascal::autoCompletionWordSeparators() const
    {72, 822, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//1097 QsciLexerPascal::blockEnd(int*) const
    {72, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1098 QsciLexerPascal::blockStart(int*) const
    {72, 827, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 14},	//1099 QsciLexerPascal::blockStartKeyword(int*) const
    {72, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//1100 QsciLexerPascal::braceStyle() const
    {72, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1101 QsciLexerPascal::defaultColor(int) const
    {72, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 17},	//1102 QsciLexerPascal::defaultEolFill(int) const
    {72, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//1103 QsciLexerPascal::defaultFont(int) const
    {72, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1104 QsciLexerPascal::defaultPaper(int) const
    {72, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 20},	//1105 QsciLexerPascal::keywords(int) const
    {72, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1106 QsciLexerPascal::description(int) const
    {72, 1158, 0, 0, Smoke::mf_virtual, 0, 22},	//1107 QsciLexerPascal::refreshProperties()
    {72, 963, 0, 0, Smoke::mf_const, 189, 23},	//1108 QsciLexerPascal::foldComments() const
    {72, 964, 0, 0, Smoke::mf_const, 189, 24},	//1109 QsciLexerPascal::foldCompact() const
    {72, 971, 0, 0, Smoke::mf_const, 189, 25},	//1110 QsciLexerPascal::foldPreprocessor() const
    {72, 1455, 16, 1, 0, 0, 26},	//1111 QsciLexerPascal::setSmartHighlighting(bool)
    {72, 1512, 0, 0, Smoke::mf_const, 189, 27},	//1112 QsciLexerPascal::smartHighlighting() const
    {72, 1297, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1113 QsciLexerPascal::setFoldComments(bool)
    {72, 1299, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1114 QsciLexerPascal::setFoldCompact(bool)
    {72, 1311, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//1115 QsciLexerPascal::setFoldPreprocessor(bool)
    {72, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 31},	//1116 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {72, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 32},	//1117 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {72, 1541, 12, 1, Smoke::mf_static, 40, 33},	//1118 QsciLexerPascal::tr(const char*)
    {72, 1545, 12, 1, Smoke::mf_static, 40, 34},	//1119 QsciLexerPascal::trUtf8(const char*)
    {72, 501, 0, 0, Smoke::mf_ctor, 77, 35},	//1120 QsciLexerPascal::QsciLexerPascal()
    {72, 822, 0, 0, Smoke::mf_const, 213, 36},	//1121 QsciLexerPascal::blockEnd() const
    {72, 825, 0, 0, Smoke::mf_const, 213, 37},	//1122 QsciLexerPascal::blockStart() const
    {72, 827, 0, 0, Smoke::mf_const, 213, 38},	//1123 QsciLexerPascal::blockStartKeyword() const
    {72, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 39},	//1124 QsciLexerPascal::staticMetaObject() const
    {72, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1125 QsciLexerPascal::Default (enum)
    {72, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1126 QsciLexerPascal::Identifier (enum)
    {72, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1127 QsciLexerPascal::Comment (enum)
    {72, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1128 QsciLexerPascal::CommentParenthesis (enum)
    {72, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1129 QsciLexerPascal::CommentLine (enum)
    {72, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1130 QsciLexerPascal::PreProcessor (enum)
    {72, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1131 QsciLexerPascal::PreProcessorParenthesis (enum)
    {72, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1132 QsciLexerPascal::Number (enum)
    {72, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1133 QsciLexerPascal::HexNumber (enum)
    {72, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1134 QsciLexerPascal::Keyword (enum)
    {72, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1135 QsciLexerPascal::SingleQuotedString (enum)
    {72, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1136 QsciLexerPascal::UnclosedString (enum)
    {72, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1137 QsciLexerPascal::Character (enum)
    {72, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1138 QsciLexerPascal::Operator (enum)
    {72, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1139 QsciLexerPascal::Asm (enum)
    {72, 1612, 0, 0, Smoke::mf_dtor, 0, 55 },	//1140 QsciLexerPascal::~QsciLexerPascal()
    {73, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1141 QsciLexerPerl::metaObject() const
    {73, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1142 QsciLexerPerl::qt_metacast(const char*)
    {73, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1143 QsciLexerPerl::tr(const char*, const char*)
    {73, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1144 QsciLexerPerl::trUtf8(const char*, const char*)
    {73, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1145 QsciLexerPerl::tr(const char*, const char*, int)
    {73, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1146 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {73, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1147 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {73, 503, 74, 1, Smoke::mf_ctor, 78, 8},	//1148 QsciLexerPerl::QsciLexerPerl(QObject*)
    {73, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1149 QsciLexerPerl::language() const
    {73, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1150 QsciLexerPerl::lexer() const
    {73, 816, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1151 QsciLexerPerl::autoCompletionWordSeparators() const
    {73, 822, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//1152 QsciLexerPerl::blockEnd(int*) const
    {73, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1153 QsciLexerPerl::blockStart(int*) const
    {73, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1154 QsciLexerPerl::braceStyle() const
    {73, 1572, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 15},	//1155 QsciLexerPerl::wordCharacters() const
    {73, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1156 QsciLexerPerl::defaultColor(int) const
    {73, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 17},	//1157 QsciLexerPerl::defaultEolFill(int) const
    {73, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//1158 QsciLexerPerl::defaultFont(int) const
    {73, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1159 QsciLexerPerl::defaultPaper(int) const
    {73, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 20},	//1160 QsciLexerPerl::keywords(int) const
    {73, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1161 QsciLexerPerl::description(int) const
    {73, 1158, 0, 0, Smoke::mf_virtual, 0, 22},	//1162 QsciLexerPerl::refreshProperties()
    {73, 1293, 16, 1, 0, 0, 23},	//1163 QsciLexerPerl::setFoldAtElse(bool)
    {73, 961, 0, 0, Smoke::mf_const, 189, 24},	//1164 QsciLexerPerl::foldAtElse() const
    {73, 963, 0, 0, Smoke::mf_const, 189, 25},	//1165 QsciLexerPerl::foldComments() const
    {73, 964, 0, 0, Smoke::mf_const, 189, 26},	//1166 QsciLexerPerl::foldCompact() const
    {73, 1309, 16, 1, 0, 0, 27},	//1167 QsciLexerPerl::setFoldPackages(bool)
    {73, 970, 0, 0, Smoke::mf_const, 189, 28},	//1168 QsciLexerPerl::foldPackages() const
    {73, 1307, 16, 1, 0, 0, 29},	//1169 QsciLexerPerl::setFoldPODBlocks(bool)
    {73, 969, 0, 0, Smoke::mf_const, 189, 30},	//1170 QsciLexerPerl::foldPODBlocks() const
    {73, 1297, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//1171 QsciLexerPerl::setFoldComments(bool)
    {73, 1299, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1172 QsciLexerPerl::setFoldCompact(bool)
    {73, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 33},	//1173 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {73, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 34},	//1174 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {73, 1541, 12, 1, Smoke::mf_static, 40, 35},	//1175 QsciLexerPerl::tr(const char*)
    {73, 1545, 12, 1, Smoke::mf_static, 40, 36},	//1176 QsciLexerPerl::trUtf8(const char*)
    {73, 503, 0, 0, Smoke::mf_ctor, 78, 37},	//1177 QsciLexerPerl::QsciLexerPerl()
    {73, 822, 0, 0, Smoke::mf_const, 213, 38},	//1178 QsciLexerPerl::blockEnd() const
    {73, 825, 0, 0, Smoke::mf_const, 213, 39},	//1179 QsciLexerPerl::blockStart() const
    {73, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 40},	//1180 QsciLexerPerl::staticMetaObject() const
    {73, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1181 QsciLexerPerl::Default (enum)
    {73, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1182 QsciLexerPerl::Error (enum)
    {73, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1183 QsciLexerPerl::Comment (enum)
    {73, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1184 QsciLexerPerl::POD (enum)
    {73, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1185 QsciLexerPerl::Number (enum)
    {73, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1186 QsciLexerPerl::Keyword (enum)
    {73, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1187 QsciLexerPerl::DoubleQuotedString (enum)
    {73, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1188 QsciLexerPerl::SingleQuotedString (enum)
    {73, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1189 QsciLexerPerl::Operator (enum)
    {73, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1190 QsciLexerPerl::Identifier (enum)
    {73, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1191 QsciLexerPerl::Scalar (enum)
    {73, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1192 QsciLexerPerl::Array (enum)
    {73, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1193 QsciLexerPerl::Hash (enum)
    {73, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1194 QsciLexerPerl::SymbolTable (enum)
    {73, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1195 QsciLexerPerl::Regex (enum)
    {73, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1196 QsciLexerPerl::Substitution (enum)
    {73, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1197 QsciLexerPerl::Backticks (enum)
    {73, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1198 QsciLexerPerl::DataSection (enum)
    {73, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1199 QsciLexerPerl::HereDocumentDelimiter (enum)
    {73, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1200 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {73, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1201 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {73, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//1202 QsciLexerPerl::BacktickHereDocument (enum)
    {73, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//1203 QsciLexerPerl::QuotedStringQ (enum)
    {73, 548, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//1204 QsciLexerPerl::QuotedStringQQ (enum)
    {73, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//1205 QsciLexerPerl::QuotedStringQX (enum)
    {73, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 66},	//1206 QsciLexerPerl::QuotedStringQR (enum)
    {73, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 67},	//1207 QsciLexerPerl::QuotedStringQW (enum)
    {73, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 68},	//1208 QsciLexerPerl::PODVerbatim (enum)
    {73, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 69},	//1209 QsciLexerPerl::SubroutinePrototype (enum)
    {73, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 70},	//1210 QsciLexerPerl::FormatIdentifier (enum)
    {73, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 71},	//1211 QsciLexerPerl::FormatBody (enum)
    {73, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 72},	//1212 QsciLexerPerl::DoubleQuotedStringVar (enum)
    {73, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 73},	//1213 QsciLexerPerl::Translation (enum)
    {73, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 74},	//1214 QsciLexerPerl::RegexVar (enum)
    {73, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 75},	//1215 QsciLexerPerl::SubstitutionVar (enum)
    {73, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 76},	//1216 QsciLexerPerl::BackticksVar (enum)
    {73, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 77},	//1217 QsciLexerPerl::DoubleQuotedHereDocumentVar (enum)
    {73, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 78},	//1218 QsciLexerPerl::BacktickHereDocumentVar (enum)
    {73, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 79},	//1219 QsciLexerPerl::QuotedStringQQVar (enum)
    {73, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 80},	//1220 QsciLexerPerl::QuotedStringQXVar (enum)
    {73, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 81},	//1221 QsciLexerPerl::QuotedStringQRVar (enum)
    {73, 1613, 0, 0, Smoke::mf_dtor, 0, 82 },	//1222 QsciLexerPerl::~QsciLexerPerl()
    {74, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1223 QsciLexerPostScript::metaObject() const
    {74, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1224 QsciLexerPostScript::qt_metacast(const char*)
    {74, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1225 QsciLexerPostScript::tr(const char*, const char*)
    {74, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1226 QsciLexerPostScript::trUtf8(const char*, const char*)
    {74, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1227 QsciLexerPostScript::tr(const char*, const char*, int)
    {74, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1228 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {74, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1229 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {74, 505, 74, 1, Smoke::mf_ctor, 79, 8},	//1230 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {74, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1231 QsciLexerPostScript::language() const
    {74, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1232 QsciLexerPostScript::lexer() const
    {74, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1233 QsciLexerPostScript::braceStyle() const
    {74, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1234 QsciLexerPostScript::defaultColor(int) const
    {74, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1235 QsciLexerPostScript::defaultFont(int) const
    {74, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1236 QsciLexerPostScript::defaultPaper(int) const
    {74, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 15},	//1237 QsciLexerPostScript::keywords(int) const
    {74, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1238 QsciLexerPostScript::description(int) const
    {74, 1158, 0, 0, Smoke::mf_virtual, 0, 17},	//1239 QsciLexerPostScript::refreshProperties()
    {74, 1540, 0, 0, Smoke::mf_const, 189, 18},	//1240 QsciLexerPostScript::tokenize() const
    {74, 1048, 0, 0, Smoke::mf_const, 215, 19},	//1241 QsciLexerPostScript::level() const
    {74, 964, 0, 0, Smoke::mf_const, 189, 20},	//1242 QsciLexerPostScript::foldCompact() const
    {74, 961, 0, 0, Smoke::mf_const, 189, 21},	//1243 QsciLexerPostScript::foldAtElse() const
    {74, 1472, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1244 QsciLexerPostScript::setTokenize(bool)
    {74, 1384, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1245 QsciLexerPostScript::setLevel(int)
    {74, 1299, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1246 QsciLexerPostScript::setFoldCompact(bool)
    {74, 1293, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1247 QsciLexerPostScript::setFoldAtElse(bool)
    {74, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 26},	//1248 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {74, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 27},	//1249 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {74, 1541, 12, 1, Smoke::mf_static, 40, 28},	//1250 QsciLexerPostScript::tr(const char*)
    {74, 1545, 12, 1, Smoke::mf_static, 40, 29},	//1251 QsciLexerPostScript::trUtf8(const char*)
    {74, 505, 0, 0, Smoke::mf_ctor, 79, 30},	//1252 QsciLexerPostScript::QsciLexerPostScript()
    {74, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 31},	//1253 QsciLexerPostScript::staticMetaObject() const
    {74, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1254 QsciLexerPostScript::Default (enum)
    {74, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1255 QsciLexerPostScript::Comment (enum)
    {74, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1256 QsciLexerPostScript::DSCComment (enum)
    {74, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1257 QsciLexerPostScript::DSCCommentValue (enum)
    {74, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1258 QsciLexerPostScript::Number (enum)
    {74, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1259 QsciLexerPostScript::Name (enum)
    {74, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1260 QsciLexerPostScript::Keyword (enum)
    {74, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1261 QsciLexerPostScript::Literal (enum)
    {74, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1262 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {74, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1263 QsciLexerPostScript::ArrayParenthesis (enum)
    {74, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1264 QsciLexerPostScript::DictionaryParenthesis (enum)
    {74, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1265 QsciLexerPostScript::ProcedureParenthesis (enum)
    {74, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1266 QsciLexerPostScript::Text (enum)
    {74, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1267 QsciLexerPostScript::HexString (enum)
    {74, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1268 QsciLexerPostScript::Base85String (enum)
    {74, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1269 QsciLexerPostScript::BadStringCharacter (enum)
    {74, 1614, 0, 0, Smoke::mf_dtor, 0, 48 },	//1270 QsciLexerPostScript::~QsciLexerPostScript()
    {75, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1271 QsciLexerProperties::metaObject() const
    {75, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1272 QsciLexerProperties::qt_metacast(const char*)
    {75, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1273 QsciLexerProperties::tr(const char*, const char*)
    {75, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1274 QsciLexerProperties::trUtf8(const char*, const char*)
    {75, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1275 QsciLexerProperties::tr(const char*, const char*, int)
    {75, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1276 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {75, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1277 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {75, 507, 74, 1, Smoke::mf_ctor, 80, 8},	//1278 QsciLexerProperties::QsciLexerProperties(QObject*)
    {75, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1279 QsciLexerProperties::language() const
    {75, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1280 QsciLexerProperties::lexer() const
    {75, 1572, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1281 QsciLexerProperties::wordCharacters() const
    {75, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1282 QsciLexerProperties::defaultColor(int) const
    {75, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1283 QsciLexerProperties::defaultEolFill(int) const
    {75, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1284 QsciLexerProperties::defaultFont(int) const
    {75, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1285 QsciLexerProperties::defaultPaper(int) const
    {75, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1286 QsciLexerProperties::description(int) const
    {75, 1158, 0, 0, Smoke::mf_virtual, 0, 17},	//1287 QsciLexerProperties::refreshProperties()
    {75, 964, 0, 0, Smoke::mf_const, 189, 18},	//1288 QsciLexerProperties::foldCompact() const
    {75, 1378, 16, 1, 0, 0, 19},	//1289 QsciLexerProperties::setInitialSpaces(bool)
    {75, 1017, 0, 0, Smoke::mf_const, 189, 20},	//1290 QsciLexerProperties::initialSpaces() const
    {75, 1299, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1291 QsciLexerProperties::setFoldCompact(bool)
    {75, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 22},	//1292 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {75, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 23},	//1293 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {75, 1541, 12, 1, Smoke::mf_static, 40, 24},	//1294 QsciLexerProperties::tr(const char*)
    {75, 1545, 12, 1, Smoke::mf_static, 40, 25},	//1295 QsciLexerProperties::trUtf8(const char*)
    {75, 507, 0, 0, Smoke::mf_ctor, 80, 26},	//1296 QsciLexerProperties::QsciLexerProperties()
    {75, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 27},	//1297 QsciLexerProperties::staticMetaObject() const
    {75, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//1298 QsciLexerProperties::Default (enum)
    {75, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//1299 QsciLexerProperties::Comment (enum)
    {75, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1300 QsciLexerProperties::Section (enum)
    {75, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1301 QsciLexerProperties::Assignment (enum)
    {75, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1302 QsciLexerProperties::DefaultValue (enum)
    {75, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1303 QsciLexerProperties::Key (enum)
    {75, 1615, 0, 0, Smoke::mf_dtor, 0, 34 },	//1304 QsciLexerProperties::~QsciLexerProperties()
    {76, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1305 QsciLexerPython::metaObject() const
    {76, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1306 QsciLexerPython::qt_metacast(const char*)
    {76, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1307 QsciLexerPython::tr(const char*, const char*)
    {76, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1308 QsciLexerPython::trUtf8(const char*, const char*)
    {76, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1309 QsciLexerPython::tr(const char*, const char*, int)
    {76, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1310 QsciLexerPython::trUtf8(const char*, const char*, int)
    {76, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1311 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {76, 509, 74, 1, Smoke::mf_ctor, 81, 8},	//1312 QsciLexerPython::QsciLexerPython(QObject*)
    {76, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1313 QsciLexerPython::language() const
    {76, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1314 QsciLexerPython::lexer() const
    {76, 816, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 11},	//1315 QsciLexerPython::autoCompletionWordSeparators() const
    {76, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1316 QsciLexerPython::blockLookback() const
    {76, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1317 QsciLexerPython::blockStart(int*) const
    {76, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1318 QsciLexerPython::braceStyle() const
    {76, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1319 QsciLexerPython::defaultColor(int) const
    {76, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 16},	//1320 QsciLexerPython::defaultEolFill(int) const
    {76, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1321 QsciLexerPython::defaultFont(int) const
    {76, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1322 QsciLexerPython::defaultPaper(int) const
    {76, 1003, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 19},	//1323 QsciLexerPython::indentationGuideView() const
    {76, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 20},	//1324 QsciLexerPython::keywords(int) const
    {76, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 21},	//1325 QsciLexerPython::description(int) const
    {76, 1158, 0, 0, Smoke::mf_virtual, 0, 22},	//1326 QsciLexerPython::refreshProperties()
    {76, 963, 0, 0, Smoke::mf_const, 189, 23},	//1327 QsciLexerPython::foldComments() const
    {76, 1299, 16, 1, 0, 0, 24},	//1328 QsciLexerPython::setFoldCompact(bool)
    {76, 964, 0, 0, Smoke::mf_const, 189, 25},	//1329 QsciLexerPython::foldCompact() const
    {76, 972, 0, 0, Smoke::mf_const, 189, 26},	//1330 QsciLexerPython::foldQuotes() const
    {76, 1005, 0, 0, Smoke::mf_const, 82, 27},	//1331 QsciLexerPython::indentationWarning() const
    {76, 1335, 16, 1, 0, 0, 28},	//1332 QsciLexerPython::setHighlightSubidentifiers(bool)
    {76, 996, 0, 0, Smoke::mf_const, 189, 29},	//1333 QsciLexerPython::highlightSubidentifiers() const
    {76, 1457, 16, 1, 0, 0, 30},	//1334 QsciLexerPython::setStringsOverNewlineAllowed(bool)
    {76, 1519, 0, 0, Smoke::mf_const, 189, 31},	//1335 QsciLexerPython::stringsOverNewlineAllowed() const
    {76, 1482, 16, 1, 0, 0, 32},	//1336 QsciLexerPython::setV2UnicodeAllowed(bool)
    {76, 1556, 0, 0, Smoke::mf_const, 189, 33},	//1337 QsciLexerPython::v2UnicodeAllowed() const
    {76, 1484, 16, 1, 0, 0, 34},	//1338 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {76, 1557, 0, 0, Smoke::mf_const, 189, 35},	//1339 QsciLexerPython::v3BinaryOctalAllowed() const
    {76, 1486, 16, 1, 0, 0, 36},	//1340 QsciLexerPython::setV3BytesAllowed(bool)
    {76, 1558, 0, 0, Smoke::mf_const, 189, 37},	//1341 QsciLexerPython::v3BytesAllowed() const
    {76, 1297, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 38},	//1342 QsciLexerPython::setFoldComments(bool)
    {76, 1313, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 39},	//1343 QsciLexerPython::setFoldQuotes(bool)
    {76, 1357, 105, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 40},	//1344 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {76, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 41},	//1345 QsciLexerPython::readProperties(QSettings&, const QString&)
    {76, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 42},	//1346 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {76, 1541, 12, 1, Smoke::mf_static, 40, 43},	//1347 QsciLexerPython::tr(const char*)
    {76, 1545, 12, 1, Smoke::mf_static, 40, 44},	//1348 QsciLexerPython::trUtf8(const char*)
    {76, 509, 0, 0, Smoke::mf_ctor, 81, 45},	//1349 QsciLexerPython::QsciLexerPython()
    {76, 825, 0, 0, Smoke::mf_const, 213, 46},	//1350 QsciLexerPython::blockStart() const
    {76, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 47},	//1351 QsciLexerPython::staticMetaObject() const
    {76, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1352 QsciLexerPython::Default (enum)
    {76, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1353 QsciLexerPython::Comment (enum)
    {76, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1354 QsciLexerPython::Number (enum)
    {76, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1355 QsciLexerPython::DoubleQuotedString (enum)
    {76, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1356 QsciLexerPython::SingleQuotedString (enum)
    {76, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1357 QsciLexerPython::Keyword (enum)
    {76, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1358 QsciLexerPython::TripleSingleQuotedString (enum)
    {76, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1359 QsciLexerPython::TripleDoubleQuotedString (enum)
    {76, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1360 QsciLexerPython::ClassName (enum)
    {76, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1361 QsciLexerPython::FunctionMethodName (enum)
    {76, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1362 QsciLexerPython::Operator (enum)
    {76, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1363 QsciLexerPython::Identifier (enum)
    {76, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1364 QsciLexerPython::CommentBlock (enum)
    {76, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1365 QsciLexerPython::UnclosedString (enum)
    {76, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//1366 QsciLexerPython::HighlightedIdentifier (enum)
    {76, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//1367 QsciLexerPython::Decorator (enum)
    {76, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 64},	//1368 QsciLexerPython::NoWarning (enum)
    {76, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 65},	//1369 QsciLexerPython::Inconsistent (enum)
    {76, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 66},	//1370 QsciLexerPython::TabsAfterSpaces (enum)
    {76, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 67},	//1371 QsciLexerPython::Spaces (enum)
    {76, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 68},	//1372 QsciLexerPython::Tabs (enum)
    {76, 1616, 0, 0, Smoke::mf_dtor, 0, 69 },	//1373 QsciLexerPython::~QsciLexerPython()
    {77, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1374 QsciLexerRuby::metaObject() const
    {77, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1375 QsciLexerRuby::qt_metacast(const char*)
    {77, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1376 QsciLexerRuby::tr(const char*, const char*)
    {77, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1377 QsciLexerRuby::trUtf8(const char*, const char*)
    {77, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1378 QsciLexerRuby::tr(const char*, const char*, int)
    {77, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1379 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {77, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1380 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {77, 511, 74, 1, Smoke::mf_ctor, 83, 8},	//1381 QsciLexerRuby::QsciLexerRuby(QObject*)
    {77, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1382 QsciLexerRuby::language() const
    {77, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1383 QsciLexerRuby::lexer() const
    {77, 822, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1384 QsciLexerRuby::blockEnd(int*) const
    {77, 825, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 12},	//1385 QsciLexerRuby::blockStart(int*) const
    {77, 827, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1386 QsciLexerRuby::blockStartKeyword(int*) const
    {77, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1387 QsciLexerRuby::braceStyle() const
    {77, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1388 QsciLexerRuby::defaultColor(int) const
    {77, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 16},	//1389 QsciLexerRuby::defaultEolFill(int) const
    {77, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1390 QsciLexerRuby::defaultFont(int) const
    {77, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1391 QsciLexerRuby::defaultPaper(int) const
    {77, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 19},	//1392 QsciLexerRuby::keywords(int) const
    {77, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 20},	//1393 QsciLexerRuby::description(int) const
    {77, 1158, 0, 0, Smoke::mf_virtual, 0, 21},	//1394 QsciLexerRuby::refreshProperties()
    {77, 1297, 16, 1, 0, 0, 22},	//1395 QsciLexerRuby::setFoldComments(bool)
    {77, 963, 0, 0, Smoke::mf_const, 189, 23},	//1396 QsciLexerRuby::foldComments() const
    {77, 1299, 16, 1, 0, 0, 24},	//1397 QsciLexerRuby::setFoldCompact(bool)
    {77, 964, 0, 0, Smoke::mf_const, 189, 25},	//1398 QsciLexerRuby::foldCompact() const
    {77, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 26},	//1399 QsciLexerRuby::readProperties(QSettings&, const QString&)
    {77, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 27},	//1400 QsciLexerRuby::writeProperties(QSettings&, const QString&) const
    {77, 1541, 12, 1, Smoke::mf_static, 40, 28},	//1401 QsciLexerRuby::tr(const char*)
    {77, 1545, 12, 1, Smoke::mf_static, 40, 29},	//1402 QsciLexerRuby::trUtf8(const char*)
    {77, 511, 0, 0, Smoke::mf_ctor, 83, 30},	//1403 QsciLexerRuby::QsciLexerRuby()
    {77, 822, 0, 0, Smoke::mf_const, 213, 31},	//1404 QsciLexerRuby::blockEnd() const
    {77, 825, 0, 0, Smoke::mf_const, 213, 32},	//1405 QsciLexerRuby::blockStart() const
    {77, 827, 0, 0, Smoke::mf_const, 213, 33},	//1406 QsciLexerRuby::blockStartKeyword() const
    {77, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 34},	//1407 QsciLexerRuby::staticMetaObject() const
    {77, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1408 QsciLexerRuby::Default (enum)
    {77, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1409 QsciLexerRuby::Error (enum)
    {77, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1410 QsciLexerRuby::Comment (enum)
    {77, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1411 QsciLexerRuby::POD (enum)
    {77, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1412 QsciLexerRuby::Number (enum)
    {77, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1413 QsciLexerRuby::Keyword (enum)
    {77, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1414 QsciLexerRuby::DoubleQuotedString (enum)
    {77, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1415 QsciLexerRuby::SingleQuotedString (enum)
    {77, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1416 QsciLexerRuby::ClassName (enum)
    {77, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1417 QsciLexerRuby::FunctionMethodName (enum)
    {77, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1418 QsciLexerRuby::Operator (enum)
    {77, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1419 QsciLexerRuby::Identifier (enum)
    {77, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1420 QsciLexerRuby::Regex (enum)
    {77, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1421 QsciLexerRuby::Global (enum)
    {77, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1422 QsciLexerRuby::Symbol (enum)
    {77, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1423 QsciLexerRuby::ModuleName (enum)
    {77, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1424 QsciLexerRuby::InstanceVariable (enum)
    {77, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1425 QsciLexerRuby::ClassVariable (enum)
    {77, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1426 QsciLexerRuby::Backticks (enum)
    {77, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1427 QsciLexerRuby::DataSection (enum)
    {77, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1428 QsciLexerRuby::HereDocumentDelimiter (enum)
    {77, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1429 QsciLexerRuby::HereDocument (enum)
    {77, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1430 QsciLexerRuby::PercentStringq (enum)
    {77, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1431 QsciLexerRuby::PercentStringQ (enum)
    {77, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1432 QsciLexerRuby::PercentStringx (enum)
    {77, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1433 QsciLexerRuby::PercentStringr (enum)
    {77, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1434 QsciLexerRuby::PercentStringw (enum)
    {77, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//1435 QsciLexerRuby::DemotedKeyword (enum)
    {77, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 63},	//1436 QsciLexerRuby::Stdin (enum)
    {77, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 64},	//1437 QsciLexerRuby::Stdout (enum)
    {77, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 65},	//1438 QsciLexerRuby::Stderr (enum)
    {77, 1617, 0, 0, Smoke::mf_dtor, 0, 66 },	//1439 QsciLexerRuby::~QsciLexerRuby()
    {78, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1440 QsciLexerSQL::metaObject() const
    {78, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1441 QsciLexerSQL::qt_metacast(const char*)
    {78, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1442 QsciLexerSQL::tr(const char*, const char*)
    {78, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1443 QsciLexerSQL::trUtf8(const char*, const char*)
    {78, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1444 QsciLexerSQL::tr(const char*, const char*, int)
    {78, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1445 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {78, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1446 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {78, 513, 74, 1, Smoke::mf_ctor, 84, 8},	//1447 QsciLexerSQL::QsciLexerSQL(QObject*)
    {78, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1448 QsciLexerSQL::language() const
    {78, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1449 QsciLexerSQL::lexer() const
    {78, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1450 QsciLexerSQL::braceStyle() const
    {78, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1451 QsciLexerSQL::defaultColor(int) const
    {78, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1452 QsciLexerSQL::defaultEolFill(int) const
    {78, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1453 QsciLexerSQL::defaultFont(int) const
    {78, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1454 QsciLexerSQL::defaultPaper(int) const
    {78, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//1455 QsciLexerSQL::keywords(int) const
    {78, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1456 QsciLexerSQL::description(int) const
    {78, 1158, 0, 0, Smoke::mf_virtual, 0, 18},	//1457 QsciLexerSQL::refreshProperties()
    {78, 819, 0, 0, Smoke::mf_const, 189, 19},	//1458 QsciLexerSQL::backslashEscapes() const
    {78, 1268, 16, 1, 0, 0, 20},	//1459 QsciLexerSQL::setDottedWords(bool)
    {78, 902, 0, 0, Smoke::mf_const, 189, 21},	//1460 QsciLexerSQL::dottedWords() const
    {78, 1293, 16, 1, 0, 0, 22},	//1461 QsciLexerSQL::setFoldAtElse(bool)
    {78, 961, 0, 0, Smoke::mf_const, 189, 23},	//1462 QsciLexerSQL::foldAtElse() const
    {78, 963, 0, 0, Smoke::mf_const, 189, 24},	//1463 QsciLexerSQL::foldComments() const
    {78, 964, 0, 0, Smoke::mf_const, 189, 25},	//1464 QsciLexerSQL::foldCompact() const
    {78, 1305, 16, 1, 0, 0, 26},	//1465 QsciLexerSQL::setFoldOnlyBegin(bool)
    {78, 968, 0, 0, Smoke::mf_const, 189, 27},	//1466 QsciLexerSQL::foldOnlyBegin() const
    {78, 1327, 16, 1, 0, 0, 28},	//1467 QsciLexerSQL::setHashComments(bool)
    {78, 990, 0, 0, Smoke::mf_const, 189, 29},	//1468 QsciLexerSQL::hashComments() const
    {78, 1438, 16, 1, 0, 0, 30},	//1469 QsciLexerSQL::setQuotedIdentifiers(bool)
    {78, 1145, 0, 0, Smoke::mf_const, 189, 31},	//1470 QsciLexerSQL::quotedIdentifiers() const
    {78, 1217, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1471 QsciLexerSQL::setBackslashEscapes(bool)
    {78, 1297, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1472 QsciLexerSQL::setFoldComments(bool)
    {78, 1299, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1473 QsciLexerSQL::setFoldCompact(bool)
    {78, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 35},	//1474 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {78, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 36},	//1475 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {78, 1541, 12, 1, Smoke::mf_static, 40, 37},	//1476 QsciLexerSQL::tr(const char*)
    {78, 1545, 12, 1, Smoke::mf_static, 40, 38},	//1477 QsciLexerSQL::trUtf8(const char*)
    {78, 513, 0, 0, Smoke::mf_ctor, 84, 39},	//1478 QsciLexerSQL::QsciLexerSQL()
    {78, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 40},	//1479 QsciLexerSQL::staticMetaObject() const
    {78, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1480 QsciLexerSQL::Default (enum)
    {78, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1481 QsciLexerSQL::Comment (enum)
    {78, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1482 QsciLexerSQL::CommentLine (enum)
    {78, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1483 QsciLexerSQL::CommentDoc (enum)
    {78, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1484 QsciLexerSQL::Number (enum)
    {78, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1485 QsciLexerSQL::Keyword (enum)
    {78, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1486 QsciLexerSQL::DoubleQuotedString (enum)
    {78, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1487 QsciLexerSQL::SingleQuotedString (enum)
    {78, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1488 QsciLexerSQL::PlusKeyword (enum)
    {78, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1489 QsciLexerSQL::PlusPrompt (enum)
    {78, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 51},	//1490 QsciLexerSQL::Operator (enum)
    {78, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 52},	//1491 QsciLexerSQL::Identifier (enum)
    {78, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 53},	//1492 QsciLexerSQL::PlusComment (enum)
    {78, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 54},	//1493 QsciLexerSQL::CommentLineHash (enum)
    {78, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 55},	//1494 QsciLexerSQL::CommentDocKeyword (enum)
    {78, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 56},	//1495 QsciLexerSQL::CommentDocKeywordError (enum)
    {78, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 57},	//1496 QsciLexerSQL::KeywordSet5 (enum)
    {78, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 58},	//1497 QsciLexerSQL::KeywordSet6 (enum)
    {78, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 59},	//1498 QsciLexerSQL::KeywordSet7 (enum)
    {78, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 60},	//1499 QsciLexerSQL::KeywordSet8 (enum)
    {78, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 61},	//1500 QsciLexerSQL::QuotedIdentifier (enum)
    {78, 545, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 62},	//1501 QsciLexerSQL::QuotedOperator (enum)
    {78, 1618, 0, 0, Smoke::mf_dtor, 0, 63 },	//1502 QsciLexerSQL::~QsciLexerSQL()
    {79, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1503 QsciLexerTCL::metaObject() const
    {79, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1504 QsciLexerTCL::qt_metacast(const char*)
    {79, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1505 QsciLexerTCL::tr(const char*, const char*)
    {79, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1506 QsciLexerTCL::trUtf8(const char*, const char*)
    {79, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1507 QsciLexerTCL::tr(const char*, const char*, int)
    {79, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1508 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {79, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1509 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {79, 515, 74, 1, Smoke::mf_ctor, 85, 8},	//1510 QsciLexerTCL::QsciLexerTCL(QObject*)
    {79, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1511 QsciLexerTCL::language() const
    {79, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1512 QsciLexerTCL::lexer() const
    {79, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1513 QsciLexerTCL::braceStyle() const
    {79, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1514 QsciLexerTCL::defaultColor(int) const
    {79, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1515 QsciLexerTCL::defaultEolFill(int) const
    {79, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1516 QsciLexerTCL::defaultFont(int) const
    {79, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1517 QsciLexerTCL::defaultPaper(int) const
    {79, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//1518 QsciLexerTCL::keywords(int) const
    {79, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1519 QsciLexerTCL::description(int) const
    {79, 1158, 0, 0, Smoke::mf_virtual, 0, 18},	//1520 QsciLexerTCL::refreshProperties()
    {79, 1297, 16, 1, 0, 0, 19},	//1521 QsciLexerTCL::setFoldComments(bool)
    {79, 963, 0, 0, Smoke::mf_const, 189, 20},	//1522 QsciLexerTCL::foldComments() const
    {79, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 21},	//1523 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {79, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 22},	//1524 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {79, 1541, 12, 1, Smoke::mf_static, 40, 23},	//1525 QsciLexerTCL::tr(const char*)
    {79, 1545, 12, 1, Smoke::mf_static, 40, 24},	//1526 QsciLexerTCL::trUtf8(const char*)
    {79, 515, 0, 0, Smoke::mf_ctor, 85, 25},	//1527 QsciLexerTCL::QsciLexerTCL()
    {79, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 26},	//1528 QsciLexerTCL::staticMetaObject() const
    {79, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//1529 QsciLexerTCL::Default (enum)
    {79, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//1530 QsciLexerTCL::Comment (enum)
    {79, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//1531 QsciLexerTCL::CommentLine (enum)
    {79, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1532 QsciLexerTCL::Number (enum)
    {79, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1533 QsciLexerTCL::QuotedKeyword (enum)
    {79, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1534 QsciLexerTCL::QuotedString (enum)
    {79, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1535 QsciLexerTCL::Operator (enum)
    {79, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1536 QsciLexerTCL::Identifier (enum)
    {79, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1537 QsciLexerTCL::Substitution (enum)
    {79, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1538 QsciLexerTCL::SubstitutionBrace (enum)
    {79, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1539 QsciLexerTCL::Modifier (enum)
    {79, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1540 QsciLexerTCL::ExpandKeyword (enum)
    {79, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1541 QsciLexerTCL::TCLKeyword (enum)
    {79, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1542 QsciLexerTCL::TkKeyword (enum)
    {79, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1543 QsciLexerTCL::ITCLKeyword (enum)
    {79, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1544 QsciLexerTCL::TkCommand (enum)
    {79, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1545 QsciLexerTCL::KeywordSet6 (enum)
    {79, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1546 QsciLexerTCL::KeywordSet7 (enum)
    {79, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1547 QsciLexerTCL::KeywordSet8 (enum)
    {79, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1548 QsciLexerTCL::KeywordSet9 (enum)
    {79, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1549 QsciLexerTCL::CommentBox (enum)
    {79, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1550 QsciLexerTCL::CommentBlock (enum)
    {79, 1619, 0, 0, Smoke::mf_dtor, 0, 49 },	//1551 QsciLexerTCL::~QsciLexerTCL()
    {80, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1552 QsciLexerTeX::metaObject() const
    {80, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1553 QsciLexerTeX::qt_metacast(const char*)
    {80, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1554 QsciLexerTeX::tr(const char*, const char*)
    {80, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1555 QsciLexerTeX::trUtf8(const char*, const char*)
    {80, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1556 QsciLexerTeX::tr(const char*, const char*, int)
    {80, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1557 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {80, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1558 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {80, 517, 74, 1, Smoke::mf_ctor, 86, 8},	//1559 QsciLexerTeX::QsciLexerTeX(QObject*)
    {80, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1560 QsciLexerTeX::language() const
    {80, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1561 QsciLexerTeX::lexer() const
    {80, 1572, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1562 QsciLexerTeX::wordCharacters() const
    {80, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1563 QsciLexerTeX::defaultColor(int) const
    {80, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//1564 QsciLexerTeX::keywords(int) const
    {80, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 14},	//1565 QsciLexerTeX::description(int) const
    {80, 1158, 0, 0, Smoke::mf_virtual, 0, 15},	//1566 QsciLexerTeX::refreshProperties()
    {80, 1297, 16, 1, 0, 0, 16},	//1567 QsciLexerTeX::setFoldComments(bool)
    {80, 963, 0, 0, Smoke::mf_const, 189, 17},	//1568 QsciLexerTeX::foldComments() const
    {80, 1299, 16, 1, 0, 0, 18},	//1569 QsciLexerTeX::setFoldCompact(bool)
    {80, 964, 0, 0, Smoke::mf_const, 189, 19},	//1570 QsciLexerTeX::foldCompact() const
    {80, 1434, 16, 1, 0, 0, 20},	//1571 QsciLexerTeX::setProcessComments(bool)
    {80, 1137, 0, 0, Smoke::mf_const, 189, 21},	//1572 QsciLexerTeX::processComments() const
    {80, 1436, 16, 1, 0, 0, 22},	//1573 QsciLexerTeX::setProcessIf(bool)
    {80, 1138, 0, 0, Smoke::mf_const, 189, 23},	//1574 QsciLexerTeX::processIf() const
    {80, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 24},	//1575 QsciLexerTeX::readProperties(QSettings&, const QString&)
    {80, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 25},	//1576 QsciLexerTeX::writeProperties(QSettings&, const QString&) const
    {80, 1541, 12, 1, Smoke::mf_static, 40, 26},	//1577 QsciLexerTeX::tr(const char*)
    {80, 1545, 12, 1, Smoke::mf_static, 40, 27},	//1578 QsciLexerTeX::trUtf8(const char*)
    {80, 517, 0, 0, Smoke::mf_ctor, 86, 28},	//1579 QsciLexerTeX::QsciLexerTeX()
    {80, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 29},	//1580 QsciLexerTeX::staticMetaObject() const
    {80, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1581 QsciLexerTeX::Default (enum)
    {80, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1582 QsciLexerTeX::Special (enum)
    {80, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1583 QsciLexerTeX::Group (enum)
    {80, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1584 QsciLexerTeX::Symbol (enum)
    {80, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1585 QsciLexerTeX::Command (enum)
    {80, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1586 QsciLexerTeX::Text (enum)
    {80, 1620, 0, 0, Smoke::mf_dtor, 0, 36 },	//1587 QsciLexerTeX::~QsciLexerTeX()
    {81, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1588 QsciLexerVHDL::metaObject() const
    {81, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1589 QsciLexerVHDL::qt_metacast(const char*)
    {81, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1590 QsciLexerVHDL::tr(const char*, const char*)
    {81, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1591 QsciLexerVHDL::trUtf8(const char*, const char*)
    {81, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1592 QsciLexerVHDL::tr(const char*, const char*, int)
    {81, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1593 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {81, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1594 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {81, 519, 74, 1, Smoke::mf_ctor, 87, 8},	//1595 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {81, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1596 QsciLexerVHDL::language() const
    {81, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1597 QsciLexerVHDL::lexer() const
    {81, 832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1598 QsciLexerVHDL::braceStyle() const
    {81, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1599 QsciLexerVHDL::defaultColor(int) const
    {81, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 13},	//1600 QsciLexerVHDL::defaultEolFill(int) const
    {81, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1601 QsciLexerVHDL::defaultFont(int) const
    {81, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1602 QsciLexerVHDL::defaultPaper(int) const
    {81, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 16},	//1603 QsciLexerVHDL::keywords(int) const
    {81, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 17},	//1604 QsciLexerVHDL::description(int) const
    {81, 1158, 0, 0, Smoke::mf_virtual, 0, 18},	//1605 QsciLexerVHDL::refreshProperties()
    {81, 963, 0, 0, Smoke::mf_const, 189, 19},	//1606 QsciLexerVHDL::foldComments() const
    {81, 964, 0, 0, Smoke::mf_const, 189, 20},	//1607 QsciLexerVHDL::foldCompact() const
    {81, 961, 0, 0, Smoke::mf_const, 189, 21},	//1608 QsciLexerVHDL::foldAtElse() const
    {81, 960, 0, 0, Smoke::mf_const, 189, 22},	//1609 QsciLexerVHDL::foldAtBegin() const
    {81, 962, 0, 0, Smoke::mf_const, 189, 23},	//1610 QsciLexerVHDL::foldAtParenthesis() const
    {81, 1297, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1611 QsciLexerVHDL::setFoldComments(bool)
    {81, 1299, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1612 QsciLexerVHDL::setFoldCompact(bool)
    {81, 1293, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1613 QsciLexerVHDL::setFoldAtElse(bool)
    {81, 1291, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1614 QsciLexerVHDL::setFoldAtBegin(bool)
    {81, 1295, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1615 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {81, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 29},	//1616 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {81, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 30},	//1617 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {81, 1541, 12, 1, Smoke::mf_static, 40, 31},	//1618 QsciLexerVHDL::tr(const char*)
    {81, 1545, 12, 1, Smoke::mf_static, 40, 32},	//1619 QsciLexerVHDL::trUtf8(const char*)
    {81, 519, 0, 0, Smoke::mf_ctor, 87, 33},	//1620 QsciLexerVHDL::QsciLexerVHDL()
    {81, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 34},	//1621 QsciLexerVHDL::staticMetaObject() const
    {81, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1622 QsciLexerVHDL::Default (enum)
    {81, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1623 QsciLexerVHDL::Comment (enum)
    {81, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 37},	//1624 QsciLexerVHDL::CommentLine (enum)
    {81, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 38},	//1625 QsciLexerVHDL::Number (enum)
    {81, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 39},	//1626 QsciLexerVHDL::String (enum)
    {81, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 40},	//1627 QsciLexerVHDL::Operator (enum)
    {81, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 41},	//1628 QsciLexerVHDL::Identifier (enum)
    {81, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 42},	//1629 QsciLexerVHDL::UnclosedString (enum)
    {81, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 43},	//1630 QsciLexerVHDL::Keyword (enum)
    {81, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 44},	//1631 QsciLexerVHDL::StandardOperator (enum)
    {81, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 45},	//1632 QsciLexerVHDL::Attribute (enum)
    {81, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 46},	//1633 QsciLexerVHDL::StandardFunction (enum)
    {81, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 47},	//1634 QsciLexerVHDL::StandardPackage (enum)
    {81, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 48},	//1635 QsciLexerVHDL::StandardType (enum)
    {81, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 49},	//1636 QsciLexerVHDL::KeywordSet7 (enum)
    {81, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 50},	//1637 QsciLexerVHDL::CommentBlock (enum)
    {81, 1621, 0, 0, Smoke::mf_dtor, 0, 51 },	//1638 QsciLexerVHDL::~QsciLexerVHDL()
    {82, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1639 QsciLexerXML::metaObject() const
    {82, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1640 QsciLexerXML::qt_metacast(const char*)
    {82, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1641 QsciLexerXML::tr(const char*, const char*)
    {82, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1642 QsciLexerXML::trUtf8(const char*, const char*)
    {82, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1643 QsciLexerXML::tr(const char*, const char*, int)
    {82, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1644 QsciLexerXML::trUtf8(const char*, const char*, int)
    {82, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1645 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {82, 521, 74, 1, Smoke::mf_ctor, 88, 8},	//1646 QsciLexerXML::QsciLexerXML(QObject*)
    {82, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1647 QsciLexerXML::language() const
    {82, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1648 QsciLexerXML::lexer() const
    {82, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1649 QsciLexerXML::defaultColor(int) const
    {82, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 12},	//1650 QsciLexerXML::defaultEolFill(int) const
    {82, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1651 QsciLexerXML::defaultFont(int) const
    {82, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1652 QsciLexerXML::defaultPaper(int) const
    {82, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 15},	//1653 QsciLexerXML::keywords(int) const
    {82, 1158, 0, 0, Smoke::mf_virtual, 0, 16},	//1654 QsciLexerXML::refreshProperties()
    {82, 1444, 16, 1, 0, 0, 17},	//1655 QsciLexerXML::setScriptsStyled(bool)
    {82, 1180, 0, 0, Smoke::mf_const, 189, 18},	//1656 QsciLexerXML::scriptsStyled() const
    {82, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 19},	//1657 QsciLexerXML::readProperties(QSettings&, const QString&)
    {82, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 20},	//1658 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {82, 1541, 12, 1, Smoke::mf_static, 40, 21},	//1659 QsciLexerXML::tr(const char*)
    {82, 1545, 12, 1, Smoke::mf_static, 40, 22},	//1660 QsciLexerXML::trUtf8(const char*)
    {82, 521, 0, 0, Smoke::mf_ctor, 88, 23},	//1661 QsciLexerXML::QsciLexerXML()
    {82, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 24},	//1662 QsciLexerXML::staticMetaObject() const
    {82, 1622, 0, 0, Smoke::mf_dtor, 0, 25 },	//1663 QsciLexerXML::~QsciLexerXML()
    {83, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1664 QsciLexerYAML::metaObject() const
    {83, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1665 QsciLexerYAML::qt_metacast(const char*)
    {83, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1666 QsciLexerYAML::tr(const char*, const char*)
    {83, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1667 QsciLexerYAML::trUtf8(const char*, const char*)
    {83, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1668 QsciLexerYAML::tr(const char*, const char*, int)
    {83, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1669 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {83, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1670 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {83, 523, 74, 1, Smoke::mf_ctor, 89, 8},	//1671 QsciLexerYAML::QsciLexerYAML(QObject*)
    {83, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 9},	//1672 QsciLexerYAML::language() const
    {83, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 10},	//1673 QsciLexerYAML::lexer() const
    {83, 885, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1674 QsciLexerYAML::defaultColor(int) const
    {83, 887, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 189, 12},	//1675 QsciLexerYAML::defaultEolFill(int) const
    {83, 889, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1676 QsciLexerYAML::defaultFont(int) const
    {83, 891, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1677 QsciLexerYAML::defaultPaper(int) const
    {83, 1042, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 15},	//1678 QsciLexerYAML::keywords(int) const
    {83, 895, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 40, 16},	//1679 QsciLexerYAML::description(int) const
    {83, 1158, 0, 0, Smoke::mf_virtual, 0, 17},	//1680 QsciLexerYAML::refreshProperties()
    {83, 963, 0, 0, Smoke::mf_const, 189, 18},	//1681 QsciLexerYAML::foldComments() const
    {83, 1297, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1682 QsciLexerYAML::setFoldComments(bool)
    {83, 1148, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 189, 20},	//1683 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {83, 1577, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 21},	//1684 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {83, 1541, 12, 1, Smoke::mf_static, 40, 22},	//1685 QsciLexerYAML::tr(const char*)
    {83, 1545, 12, 1, Smoke::mf_static, 40, 23},	//1686 QsciLexerYAML::trUtf8(const char*)
    {83, 523, 0, 0, Smoke::mf_ctor, 89, 24},	//1687 QsciLexerYAML::QsciLexerYAML()
    {83, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 25},	//1688 QsciLexerYAML::staticMetaObject() const
    {83, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 26},	//1689 QsciLexerYAML::Default (enum)
    {83, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 27},	//1690 QsciLexerYAML::Comment (enum)
    {83, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 28},	//1691 QsciLexerYAML::Identifier (enum)
    {83, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 29},	//1692 QsciLexerYAML::Keyword (enum)
    {83, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 30},	//1693 QsciLexerYAML::Number (enum)
    {83, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 31},	//1694 QsciLexerYAML::Reference (enum)
    {83, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 32},	//1695 QsciLexerYAML::DocumentDelimiter (enum)
    {83, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 33},	//1696 QsciLexerYAML::TextBlockMarker (enum)
    {83, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1697 QsciLexerYAML::SyntaxErrorMarker (enum)
    {83, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1698 QsciLexerYAML::Operator (enum)
    {83, 1623, 0, 0, Smoke::mf_dtor, 0, 36 },	//1699 QsciLexerYAML::~QsciLexerYAML()
    {84, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1700 QsciMacro::metaObject() const
    {84, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1701 QsciMacro::qt_metacast(const char*)
    {84, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1702 QsciMacro::tr(const char*, const char*)
    {84, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1703 QsciMacro::trUtf8(const char*, const char*)
    {84, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1704 QsciMacro::tr(const char*, const char*, int)
    {84, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1705 QsciMacro::trUtf8(const char*, const char*, int)
    {84, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1706 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {84, 525, 82, 1, Smoke::mf_ctor, 90, 8},	//1707 QsciMacro::QsciMacro(QsciScintilla*)
    {84, 525, 107, 2, Smoke::mf_ctor, 90, 9},	//1708 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {84, 851, 0, 0, 0, 0, 10},	//1709 QsciMacro::clear()
    {84, 1059, 55, 1, 0, 189, 11},	//1710 QsciMacro::load(const QString&)
    {84, 1177, 0, 0, Smoke::mf_const, 40, 12},	//1711 QsciMacro::save() const
    {84, 1128, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1712 QsciMacro::play()
    {84, 1514, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1713 QsciMacro::startRecording()
    {84, 916, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1714 QsciMacro::endRecording()
    {84, 1541, 12, 1, Smoke::mf_static, 40, 16},	//1715 QsciMacro::tr(const char*)
    {84, 1545, 12, 1, Smoke::mf_static, 40, 17},	//1716 QsciMacro::trUtf8(const char*)
    {84, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 18},	//1717 QsciMacro::staticMetaObject() const
    {84, 1624, 0, 0, Smoke::mf_dtor, 0, 19 },	//1718 QsciMacro::~QsciMacro()
    {85, 528, 110, 1, Smoke::mf_ctor, 91, 1},	//1719 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {85, 981, 112, 4, Smoke::mf_virtual, 0, 2},	//1720 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {85, 1063, 0, 0, Smoke::mf_const, 215, 3},	//1721 QsciPrinter::magnification() const
    {85, 1388, 18, 1, Smoke::mf_virtual, 0, 4},	//1722 QsciPrinter::setMagnification(int)
    {85, 1133, 117, 3, Smoke::mf_virtual, 215, 5},	//1723 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {85, 1574, 0, 0, Smoke::mf_const, 108, 6},	//1724 QsciPrinter::wrapMode() const
    {85, 1502, 121, 1, Smoke::mf_virtual, 0, 7},	//1725 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {85, 528, 0, 0, Smoke::mf_ctor, 91, 8},	//1726 QsciPrinter::QsciPrinter()
    {85, 1133, 123, 1, 0, 215, 9},	//1727 QsciPrinter::printRange(QsciScintillaBase*)
    {85, 1133, 125, 2, 0, 215, 10},	//1728 QsciPrinter::printRange(QsciScintillaBase*, int)
    {85, 1625, 0, 0, Smoke::mf_dtor, 0, 11 },	//1729 QsciPrinter::~QsciPrinter()
    {86, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1730 QsciScintilla::metaObject() const
    {86, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//1731 QsciScintilla::qt_metacast(const char*)
    {86, 1541, 42, 2, Smoke::mf_static, 40, 3},	//1732 QsciScintilla::tr(const char*, const char*)
    {86, 1545, 42, 2, Smoke::mf_static, 40, 4},	//1733 QsciScintilla::trUtf8(const char*, const char*)
    {86, 1541, 45, 3, Smoke::mf_static, 40, 5},	//1734 QsciScintilla::tr(const char*, const char*, int)
    {86, 1545, 45, 3, Smoke::mf_static, 40, 6},	//1735 QsciScintilla::trUtf8(const char*, const char*, int)
    {86, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//1736 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {86, 530, 128, 1, Smoke::mf_ctor, 92, 8},	//1737 QsciScintilla::QsciScintilla(QWidget*)
    {86, 793, 130, 3, Smoke::mf_virtual, 41, 9},	//1738 QsciScintilla::apiContext(int, int&, int&)
    {86, 785, 134, 3, 0, 0, 10},	//1739 QsciScintilla::annotate(int, const QString&, int)
    {86, 785, 138, 3, 0, 0, 11},	//1740 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {86, 785, 142, 2, 0, 0, 12},	//1741 QsciScintilla::annotate(int, const QsciStyledText&)
    {86, 785, 145, 2, 0, 0, 13},	//1742 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {86, 790, 18, 1, Smoke::mf_const, 40, 14},	//1743 QsciScintilla::annotation(int) const
    {86, 792, 0, 0, Smoke::mf_const, 93, 15},	//1744 QsciScintilla::annotationDisplay() const
    {86, 853, 18, 1, 0, 0, 16},	//1745 QsciScintilla::clearAnnotations(int)
    {86, 806, 0, 0, Smoke::mf_const, 189, 17},	//1746 QsciScintilla::autoCompletionCaseSensitivity() const
    {86, 808, 0, 0, Smoke::mf_const, 189, 18},	//1747 QsciScintilla::autoCompletionFillupsEnabled() const
    {86, 809, 0, 0, Smoke::mf_const, 189, 19},	//1748 QsciScintilla::autoCompletionReplaceWord() const
    {86, 812, 0, 0, Smoke::mf_const, 189, 20},	//1749 QsciScintilla::autoCompletionShowSingle() const
    {86, 813, 0, 0, Smoke::mf_const, 94, 21},	//1750 QsciScintilla::autoCompletionSource() const
    {86, 814, 0, 0, Smoke::mf_const, 215, 22},	//1751 QsciScintilla::autoCompletionThreshold() const
    {86, 815, 0, 0, Smoke::mf_const, 95, 23},	//1752 QsciScintilla::autoCompletionUseSingle() const
    {86, 817, 0, 0, Smoke::mf_const, 189, 24},	//1753 QsciScintilla::autoIndent() const
    {86, 820, 0, 0, Smoke::mf_const, 189, 25},	//1754 QsciScintilla::backspaceUnindents() const
    {86, 821, 0, 0, 0, 0, 26},	//1755 QsciScintilla::beginUndoAction()
    {86, 831, 0, 0, Smoke::mf_const, 96, 27},	//1756 QsciScintilla::braceMatching() const
    {86, 838, 0, 0, Smoke::mf_const, 97, 28},	//1757 QsciScintilla::callTipsPosition() const
    {86, 839, 0, 0, Smoke::mf_const, 98, 29},	//1758 QsciScintilla::callTipsStyle() const
    {86, 840, 0, 0, Smoke::mf_const, 215, 30},	//1759 QsciScintilla::callTipsVisible() const
    {86, 843, 0, 0, 0, 0, 31},	//1760 QsciScintilla::cancelList()
    {86, 845, 0, 0, Smoke::mf_const, 189, 32},	//1761 QsciScintilla::caseSensitive() const
    {86, 855, 0, 0, 0, 0, 33},	//1762 QsciScintilla::clearFolds()
    {86, 856, 148, 5, 0, 0, 34},	//1763 QsciScintilla::clearIndicatorRange(int, int, int, int, int)
    {86, 861, 0, 0, 0, 0, 35},	//1764 QsciScintilla::clearRegisteredImages()
    {86, 863, 0, 0, Smoke::mf_const, 6, 36},	//1765 QsciScintilla::color() const
    {86, 874, 0, 0, Smoke::mf_const, 20, 37},	//1766 QsciScintilla::contractedFolds() const
    {86, 875, 154, 1, 0, 0, 38},	//1767 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {86, 880, 0, 0, 0, 22, 39},	//1768 QsciScintilla::createStandardContextMenu()
    {86, 900, 0, 0, Smoke::mf_const, 55, 40},	//1769 QsciScintilla::document() const
    {86, 917, 0, 0, 0, 0, 41},	//1770 QsciScintilla::endUndoAction()
    {86, 911, 0, 0, Smoke::mf_const, 6, 42},	//1771 QsciScintilla::edgeColor() const
    {86, 912, 0, 0, Smoke::mf_const, 215, 43},	//1772 QsciScintilla::edgeColumn() const
    {86, 913, 0, 0, Smoke::mf_const, 99, 44},	//1773 QsciScintilla::edgeMode() const
    {86, 1322, 40, 1, 0, 0, 45},	//1774 QsciScintilla::setFont(const QFont&)
    {86, 926, 0, 0, Smoke::mf_const, 100, 46},	//1775 QsciScintilla::eolMode() const
    {86, 927, 0, 0, Smoke::mf_const, 189, 47},	//1776 QsciScintilla::eolVisibility() const
    {86, 932, 0, 0, Smoke::mf_const, 215, 48},	//1777 QsciScintilla::extraAscent() const
    {86, 933, 0, 0, Smoke::mf_const, 215, 49},	//1778 QsciScintilla::extraDescent() const
    {86, 934, 148, 5, 0, 0, 50},	//1779 QsciScintilla::fillIndicatorRange(int, int, int, int, int)
    {86, 938, 156, 10, Smoke::mf_virtual, 189, 51},	//1780 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool, bool)
    {86, 945, 167, 7, Smoke::mf_virtual, 189, 52},	//1781 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool, bool, bool)
    {86, 950, 0, 0, Smoke::mf_virtual, 189, 53},	//1782 QsciScintilla::findNext()
    {86, 951, 0, 0, Smoke::mf_const, 215, 54},	//1783 QsciScintilla::firstVisibleLine() const
    {86, 975, 0, 0, Smoke::mf_const, 101, 55},	//1784 QsciScintilla::folding() const
    {86, 985, 175, 2, Smoke::mf_const, 0, 56},	//1785 QsciScintilla::getCursorPosition(int*, int*) const
    {86, 987, 178, 4, Smoke::mf_const, 0, 57},	//1786 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {86, 989, 0, 0, Smoke::mf_const, 189, 58},	//1787 QsciScintilla::hasSelectedText() const
    {86, 1001, 18, 1, Smoke::mf_const, 215, 59},	//1788 QsciScintilla::indentation(int) const
    {86, 1004, 0, 0, Smoke::mf_const, 189, 60},	//1789 QsciScintilla::indentationGuides() const
    {86, 1007, 0, 0, Smoke::mf_const, 189, 61},	//1790 QsciScintilla::indentationsUseTabs() const
    {86, 1006, 0, 0, Smoke::mf_const, 215, 62},	//1791 QsciScintilla::indentationWidth() const
    {86, 1010, 183, 2, 0, 215, 63},	//1792 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle, int)
    {86, 1013, 18, 1, Smoke::mf_const, 189, 64},	//1793 QsciScintilla::indicatorDrawUnder(int) const
    {86, 1027, 0, 0, Smoke::mf_const, 189, 65},	//1794 QsciScintilla::isCallTipActive() const
    {86, 1028, 0, 0, Smoke::mf_const, 189, 66},	//1795 QsciScintilla::isListActive() const
    {86, 1029, 0, 0, Smoke::mf_const, 189, 67},	//1796 QsciScintilla::isModified() const
    {86, 1032, 0, 0, Smoke::mf_const, 189, 68},	//1797 QsciScintilla::isReadOnly() const
    {86, 1033, 0, 0, Smoke::mf_const, 189, 69},	//1798 QsciScintilla::isRedoAvailable() const
    {86, 1034, 0, 0, Smoke::mf_const, 189, 70},	//1799 QsciScintilla::isUndoAvailable() const
    {86, 1035, 0, 0, Smoke::mf_const, 189, 71},	//1800 QsciScintilla::isUtf8() const
    {86, 1036, 186, 1, Smoke::mf_const, 189, 72},	//1801 QsciScintilla::isWordCharacter(char) const
    {86, 1051, 188, 1, Smoke::mf_const, 215, 73},	//1802 QsciScintilla::lineAt(const QPoint&) const
    {86, 1053, 190, 3, Smoke::mf_const, 0, 74},	//1803 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {86, 1055, 18, 1, Smoke::mf_const, 215, 75},	//1804 QsciScintilla::lineLength(int) const
    {86, 1057, 0, 0, Smoke::mf_const, 215, 76},	//1805 QsciScintilla::lines() const
    {86, 1047, 0, 0, Smoke::mf_const, 215, 77},	//1806 QsciScintilla::length() const
    {86, 1049, 0, 0, Smoke::mf_const, 58, 78},	//1807 QsciScintilla::lexer() const
    {86, 1067, 18, 1, Smoke::mf_const, 189, 79},	//1808 QsciScintilla::marginLineNumbers(int) const
    {86, 1069, 18, 1, Smoke::mf_const, 215, 80},	//1809 QsciScintilla::marginMarkerMask(int) const
    {86, 1071, 0, 0, Smoke::mf_const, 215, 81},	//1810 QsciScintilla::marginOptions() const
    {86, 1072, 18, 1, Smoke::mf_const, 189, 82},	//1811 QsciScintilla::marginSensitivity(int) const
    {86, 1074, 18, 1, Smoke::mf_const, 104, 83},	//1812 QsciScintilla::marginType(int) const
    {86, 1076, 18, 1, Smoke::mf_const, 215, 84},	//1813 QsciScintilla::marginWidth(int) const
    {86, 1080, 194, 2, 0, 215, 85},	//1814 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {86, 1080, 197, 2, 0, 215, 86},	//1815 QsciScintilla::markerDefine(char, int)
    {86, 1080, 200, 2, 0, 215, 87},	//1816 QsciScintilla::markerDefine(const QPixmap&, int)
    {86, 1080, 203, 2, 0, 215, 88},	//1817 QsciScintilla::markerDefine(const QImage&, int)
    {86, 1078, 99, 2, 0, 215, 89},	//1818 QsciScintilla::markerAdd(int, int)
    {86, 1098, 18, 1, Smoke::mf_const, 219, 90},	//1819 QsciScintilla::markersAtLine(int) const
    {86, 1085, 99, 2, 0, 0, 91},	//1820 QsciScintilla::markerDelete(int, int)
    {86, 1088, 18, 1, 0, 0, 92},	//1821 QsciScintilla::markerDeleteAll(int)
    {86, 1090, 18, 1, 0, 0, 93},	//1822 QsciScintilla::markerDeleteHandle(int)
    {86, 1096, 18, 1, Smoke::mf_const, 215, 94},	//1823 QsciScintilla::markerLine(int) const
    {86, 1092, 206, 2, Smoke::mf_const, 215, 95},	//1824 QsciScintilla::markerFindNext(int, unsigned int) const
    {86, 1094, 206, 2, Smoke::mf_const, 215, 96},	//1825 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {86, 1118, 0, 0, Smoke::mf_const, 189, 97},	//1826 QsciScintilla::overwriteMode() const
    {86, 1123, 0, 0, Smoke::mf_const, 6, 98},	//1827 QsciScintilla::paper() const
    {86, 1130, 99, 2, Smoke::mf_const, 215, 99},	//1828 QsciScintilla::positionFromLineIndex(int, int) const
    {86, 1146, 209, 1, 0, 189, 100},	//1829 QsciScintilla::read(QIODevice*)
    {86, 1153, 99, 2, Smoke::mf_virtual, 0, 101},	//1830 QsciScintilla::recolor(int, int)
    {86, 1159, 211, 2, 0, 0, 102},	//1831 QsciScintilla::registerImage(int, const QPixmap&)
    {86, 1159, 214, 2, 0, 0, 103},	//1832 QsciScintilla::registerImage(int, const QImage&)
    {86, 1164, 55, 1, Smoke::mf_virtual, 0, 104},	//1833 QsciScintilla::replace(const QString&)
    {86, 1168, 0, 0, 0, 0, 105},	//1834 QsciScintilla::resetFoldMarginColors()
    {86, 1169, 0, 0, 0, 0, 106},	//1835 QsciScintilla::resetHotspotBackgroundColor()
    {86, 1170, 0, 0, 0, 0, 107},	//1836 QsciScintilla::resetHotspotForegroundColor()
    {86, 1303, 217, 2, 0, 0, 108},	//1837 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {86, 1193, 220, 1, 0, 0, 109},	//1838 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {86, 1199, 16, 1, 0, 0, 110},	//1839 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {86, 1197, 12, 1, 0, 0, 111},	//1840 QsciScintilla::setAutoCompletionFillups(const char*)
    {86, 1211, 222, 1, 0, 0, 112},	//1841 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {86, 1223, 80, 1, 0, 0, 113},	//1842 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {86, 1225, 80, 1, 0, 0, 114},	//1843 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {86, 1227, 80, 1, 0, 0, 115},	//1844 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {86, 1229, 224, 1, 0, 0, 116},	//1845 QsciScintilla::setCallTipsPosition(QsciScintilla::CallTipsPosition)
    {86, 1231, 226, 1, 0, 0, 117},	//1846 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {86, 1233, 18, 1, 0, 0, 118},	//1847 QsciScintilla::setCallTipsVisible(int)
    {86, 1250, 228, 1, 0, 0, 119},	//1848 QsciScintilla::setContractedFolds(const QList<int>&)
    {86, 1264, 72, 1, 0, 0, 120},	//1849 QsciScintilla::setDocument(const QsciDocument&)
    {86, 1270, 80, 1, 0, 0, 121},	//1850 QsciScintilla::setEdgeColor(const QColor&)
    {86, 1272, 18, 1, 0, 0, 122},	//1851 QsciScintilla::setEdgeColumn(int)
    {86, 1274, 230, 1, 0, 0, 123},	//1852 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {86, 1289, 18, 1, 0, 0, 124},	//1853 QsciScintilla::setFirstVisibleLine(int)
    {86, 1363, 87, 2, 0, 0, 125},	//1854 QsciScintilla::setIndicatorDrawUnder(bool, int)
    {86, 1366, 84, 2, 0, 0, 126},	//1855 QsciScintilla::setIndicatorForegroundColor(const QColor&, int)
    {86, 1369, 84, 2, 0, 0, 127},	//1856 QsciScintilla::setIndicatorHoverForegroundColor(const QColor&, int)
    {86, 1372, 183, 2, 0, 0, 128},	//1857 QsciScintilla::setIndicatorHoverStyle(QsciScintilla::IndicatorStyle, int)
    {86, 1375, 84, 2, 0, 0, 129},	//1858 QsciScintilla::setIndicatorOutlineColor(const QColor&, int)
    {86, 1396, 18, 1, 0, 0, 130},	//1859 QsciScintilla::setMarginOptions(int)
    {86, 1400, 134, 3, 0, 0, 131},	//1860 QsciScintilla::setMarginText(int, const QString&, int)
    {86, 1400, 138, 3, 0, 0, 132},	//1861 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {86, 1400, 142, 2, 0, 0, 133},	//1862 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {86, 1400, 145, 2, 0, 0, 134},	//1863 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {86, 1405, 232, 2, 0, 0, 135},	//1864 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {86, 859, 18, 1, 0, 0, 136},	//1865 QsciScintilla::clearMarginText(int)
    {86, 1415, 84, 2, 0, 0, 137},	//1866 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {86, 1418, 84, 2, 0, 0, 138},	//1867 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {86, 1421, 80, 1, 0, 0, 139},	//1868 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {86, 1423, 80, 1, 0, 0, 140},	//1869 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {86, 1425, 18, 1, 0, 0, 141},	//1870 QsciScintilla::setMatchedBraceIndicator(int)
    {86, 1171, 0, 0, 0, 0, 142},	//1871 QsciScintilla::resetMatchedBraceIndicator()
    {86, 1474, 80, 1, 0, 0, 143},	//1872 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {86, 1476, 80, 1, 0, 0, 144},	//1873 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {86, 1478, 18, 1, 0, 0, 145},	//1874 QsciScintilla::setUnmatchedBraceIndicator(int)
    {86, 1174, 0, 0, 0, 0, 146},	//1875 QsciScintilla::resetUnmatchedBraceIndicator()
    {86, 1504, 235, 3, 0, 0, 147},	//1876 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {86, 1186, 0, 0, Smoke::mf_const, 40, 148},	//1877 QsciScintilla::selectedText() const
    {86, 1188, 0, 0, Smoke::mf_const, 189, 149},	//1878 QsciScintilla::selectionToEol() const
    {86, 1341, 80, 1, 0, 0, 150},	//1879 QsciScintilla::setHotspotBackgroundColor(const QColor&)
    {86, 1343, 80, 1, 0, 0, 151},	//1880 QsciScintilla::setHotspotForegroundColor(const QColor&)
    {86, 1345, 16, 1, 0, 0, 152},	//1881 QsciScintilla::setHotspotUnderline(bool)
    {86, 1347, 16, 1, 0, 0, 153},	//1882 QsciScintilla::setHotspotWrap(bool)
    {86, 1453, 16, 1, 0, 0, 154},	//1883 QsciScintilla::setSelectionToEol(bool)
    {86, 1285, 18, 1, 0, 0, 155},	//1884 QsciScintilla::setExtraAscent(int)
    {86, 1287, 18, 1, 0, 0, 156},	//1885 QsciScintilla::setExtraDescent(int)
    {86, 1429, 16, 1, 0, 0, 157},	//1886 QsciScintilla::setOverwriteMode(bool)
    {86, 1492, 80, 1, 0, 0, 158},	//1887 QsciScintilla::setWhitespaceBackgroundColor(const QColor&)
    {86, 1494, 80, 1, 0, 0, 159},	//1888 QsciScintilla::setWhitespaceForegroundColor(const QColor&)
    {86, 1496, 18, 1, 0, 0, 160},	//1889 QsciScintilla::setWhitespaceSize(int)
    {86, 1500, 239, 1, 0, 0, 161},	//1890 QsciScintilla::setWrapIndentMode(QsciScintilla::WrapIndentMode)
    {86, 1509, 241, 2, 0, 0, 162},	//1891 QsciScintilla::showUserList(int, const QStringList&)
    {86, 1513, 0, 0, Smoke::mf_const, 54, 163},	//1892 QsciScintilla::standardCommands() const
    {86, 1526, 0, 0, Smoke::mf_const, 189, 164},	//1893 QsciScintilla::tabIndents() const
    {86, 1527, 0, 0, Smoke::mf_const, 215, 165},	//1894 QsciScintilla::tabWidth() const
    {86, 1529, 0, 0, Smoke::mf_const, 40, 166},	//1895 QsciScintilla::text() const
    {86, 1529, 18, 1, Smoke::mf_const, 40, 167},	//1896 QsciScintilla::text(int) const
    {86, 1535, 18, 1, Smoke::mf_const, 215, 168},	//1897 QsciScintilla::textHeight(int) const
    {86, 1565, 0, 0, Smoke::mf_const, 215, 169},	//1898 QsciScintilla::whitespaceSize() const
    {86, 1566, 0, 0, Smoke::mf_const, 106, 170},	//1899 QsciScintilla::whitespaceVisibility() const
    {86, 1568, 99, 2, Smoke::mf_const, 40, 171},	//1900 QsciScintilla::wordAtLineIndex(int, int) const
    {86, 1570, 188, 1, Smoke::mf_const, 40, 172},	//1901 QsciScintilla::wordAtPoint(const QPoint&) const
    {86, 1572, 0, 0, Smoke::mf_const, 213, 173},	//1902 QsciScintilla::wordCharacters() const
    {86, 1574, 0, 0, Smoke::mf_const, 108, 174},	//1903 QsciScintilla::wrapMode() const
    {86, 1573, 0, 0, Smoke::mf_const, 107, 175},	//1904 QsciScintilla::wrapIndentMode() const
    {86, 1575, 209, 1, Smoke::mf_const, 189, 176},	//1905 QsciScintilla::write(QIODevice*) const
    {86, 799, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 177},	//1906 QsciScintilla::append(const QString&)
    {86, 804, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 178},	//1907 QsciScintilla::autoCompleteFromAll()
    {86, 803, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 179},	//1908 QsciScintilla::autoCompleteFromAPIs()
    {86, 805, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 180},	//1909 QsciScintilla::autoCompleteFromDocument()
    {86, 835, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 181},	//1910 QsciScintilla::callTip()
    {86, 851, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 182},	//1911 QsciScintilla::clear()
    {86, 877, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 183},	//1912 QsciScintilla::copy()
    {86, 884, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 184},	//1913 QsciScintilla::cut()
    {86, 918, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 185},	//1914 QsciScintilla::ensureCursorVisible()
    {86, 919, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 186},	//1915 QsciScintilla::ensureLineVisible(int)
    {86, 958, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 187},	//1916 QsciScintilla::foldAll(bool)
    {86, 966, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 188},	//1917 QsciScintilla::foldLine(int)
    {86, 999, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 189},	//1918 QsciScintilla::indent(int)
    {86, 1022, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 190},	//1919 QsciScintilla::insert(const QString&)
    {86, 1024, 244, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1920 QsciScintilla::insertAt(const QString&, int, int)
    {86, 1115, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1921 QsciScintilla::moveToMatchingBrace()
    {86, 1127, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1922 QsciScintilla::paste()
    {86, 1156, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1923 QsciScintilla::redo()
    {86, 1163, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1924 QsciScintilla::removeSelectedText()
    {86, 1166, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1925 QsciScintilla::replaceSelectedText(const QString&)
    {86, 1172, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1926 QsciScintilla::resetSelectionBackgroundColor()
    {86, 1173, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1927 QsciScintilla::resetSelectionForegroundColor()
    {86, 1183, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1928 QsciScintilla::selectAll(bool)
    {86, 1185, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1929 QsciScintilla::selectToMatchingBrace()
    {86, 1195, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1930 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {86, 1201, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1931 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {86, 1203, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1932 QsciScintilla::setAutoCompletionShowSingle(bool)
    {86, 1205, 248, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1933 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {86, 1207, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1934 QsciScintilla::setAutoCompletionThreshold(int)
    {86, 1209, 250, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1935 QsciScintilla::setAutoCompletionUseSingle(QsciScintilla::AutoCompletionUseSingle)
    {86, 1213, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 207},	//1936 QsciScintilla::setAutoIndent(bool)
    {86, 1221, 252, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 208},	//1937 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {86, 1219, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 209},	//1938 QsciScintilla::setBackspaceUnindents(bool)
    {86, 1235, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 210},	//1939 QsciScintilla::setCaretForegroundColor(const QColor&)
    {86, 1237, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 211},	//1940 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {86, 1239, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 212},	//1941 QsciScintilla::setCaretLineVisible(bool)
    {86, 1241, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 213},	//1942 QsciScintilla::setCaretWidth(int)
    {86, 1247, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 214},	//1943 QsciScintilla::setColor(const QColor&)
    {86, 1252, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 215},	//1944 QsciScintilla::setCursorPosition(int, int)
    {86, 1281, 154, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 216},	//1945 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {86, 1283, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 217},	//1946 QsciScintilla::setEolVisibility(bool)
    {86, 1319, 254, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 218},	//1947 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {86, 1349, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 219},	//1948 QsciScintilla::setIndentation(int, int)
    {86, 1351, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 220},	//1949 QsciScintilla::setIndentationGuides(bool)
    {86, 1353, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 221},	//1950 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {86, 1355, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 222},	//1951 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {86, 1361, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 223},	//1952 QsciScintilla::setIndentationsUseTabs(bool)
    {86, 1359, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 224},	//1953 QsciScintilla::setIndentationWidth(int)
    {86, 1386, 53, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 225},	//1954 QsciScintilla::setLexer(QsciLexer*)
    {86, 1409, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 226},	//1955 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {86, 1411, 40, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 227},	//1956 QsciScintilla::setMarginsFont(const QFont&)
    {86, 1413, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 228},	//1957 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {86, 1392, 257, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 229},	//1958 QsciScintilla::setMarginLineNumbers(int, bool)
    {86, 1394, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 230},	//1959 QsciScintilla::setMarginMarkerMask(int, int)
    {86, 1398, 257, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 231},	//1960 QsciScintilla::setMarginSensitivity(int, bool)
    {86, 1407, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 232},	//1961 QsciScintilla::setMarginWidth(int, int)
    {86, 1407, 260, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 233},	//1962 QsciScintilla::setMarginWidth(int, const QString&)
    {86, 1427, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 234},	//1963 QsciScintilla::setModified(bool)
    {86, 1431, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 235},	//1964 QsciScintilla::setPaper(const QColor&)
    {86, 1440, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 236},	//1965 QsciScintilla::setReadOnly(bool)
    {86, 1447, 263, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 237},	//1966 QsciScintilla::setSelection(int, int, int, int)
    {86, 1449, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 238},	//1967 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {86, 1451, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 239},	//1968 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {86, 1464, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 240},	//1969 QsciScintilla::setTabIndents(bool)
    {86, 1466, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 241},	//1970 QsciScintilla::setTabWidth(int)
    {86, 1468, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 242},	//1971 QsciScintilla::setText(const QString&)
    {86, 1480, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 243},	//1972 QsciScintilla::setUtf8(bool)
    {86, 1498, 268, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 244},	//1973 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {86, 1502, 121, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 245},	//1974 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {86, 1549, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 246},	//1975 QsciScintilla::undo()
    {86, 1550, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 247},	//1976 QsciScintilla::unindent(int)
    {86, 1583, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 248},	//1977 QsciScintilla::zoomIn(int)
    {86, 1583, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 249},	//1978 QsciScintilla::zoomIn()
    {86, 1585, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 250},	//1979 QsciScintilla::zoomOut(int)
    {86, 1585, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 251},	//1980 QsciScintilla::zoomOut()
    {86, 1587, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 252},	//1981 QsciScintilla::zoomTo(int)
    {86, 881, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 253},	//1982 QsciScintilla::cursorPositionChanged(int, int)
    {86, 878, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 254},	//1983 QsciScintilla::copyAvailable(bool)
    {86, 1008, 270, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 255},	//1984 QsciScintilla::indicatorClicked(int, int, Qt::KeyboardModifiers)
    {86, 1015, 270, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 256},	//1985 QsciScintilla::indicatorReleased(int, int, Qt::KeyboardModifiers)
    {86, 1058, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 257},	//1986 QsciScintilla::linesChanged()
    {86, 1065, 270, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 258},	//1987 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {86, 1103, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 259},	//1988 QsciScintilla::modificationAttempted()
    {86, 1104, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 260},	//1989 QsciScintilla::modificationChanged(bool)
    {86, 1187, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 261},	//1990 QsciScintilla::selectionChanged()
    {86, 1534, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 262},	//1991 QsciScintilla::textChanged()
    {86, 1554, 260, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 263},	//1992 QsciScintilla::userListActivated(int, const QString&)
    {86, 928, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 264},	//1993 QsciScintilla::event(QEvent*)
    {86, 847, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 265},	//1994 QsciScintilla::changeEvent(QEvent*)
    {86, 872, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 266},	//1995 QsciScintilla::contextMenuEvent(QContextMenuEvent*)
    {86, 1541, 12, 1, Smoke::mf_static, 40, 267},	//1996 QsciScintilla::tr(const char*)
    {86, 1545, 12, 1, Smoke::mf_static, 40, 268},	//1997 QsciScintilla::trUtf8(const char*)
    {86, 530, 0, 0, Smoke::mf_ctor, 92, 269},	//1998 QsciScintilla::QsciScintilla()
    {86, 853, 0, 0, 0, 0, 270},	//1999 QsciScintilla::clearAnnotations()
    {86, 938, 276, 5, 0, 189, 271},	//2000 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {86, 938, 282, 6, 0, 189, 272},	//2001 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {86, 938, 289, 7, 0, 189, 273},	//2002 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {86, 938, 297, 8, 0, 189, 274},	//2003 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {86, 938, 306, 9, 0, 189, 275},	//2004 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {86, 945, 316, 4, 0, 189, 276},	//2005 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool)
    {86, 945, 276, 5, 0, 189, 277},	//2006 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool)
    {86, 945, 282, 6, 0, 189, 278},	//2007 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool, bool)
    {86, 1010, 321, 1, 0, 215, 279},	//2008 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle)
    {86, 1080, 323, 1, 0, 215, 280},	//2009 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {86, 1080, 186, 1, 0, 215, 281},	//2010 QsciScintilla::markerDefine(char)
    {86, 1080, 325, 1, 0, 215, 282},	//2011 QsciScintilla::markerDefine(const QPixmap&)
    {86, 1080, 327, 1, 0, 215, 283},	//2012 QsciScintilla::markerDefine(const QImage&)
    {86, 1085, 18, 1, 0, 0, 284},	//2013 QsciScintilla::markerDelete(int)
    {86, 1088, 0, 0, 0, 0, 285},	//2014 QsciScintilla::markerDeleteAll()
    {86, 1153, 0, 0, 0, 0, 286},	//2015 QsciScintilla::recolor()
    {86, 1153, 18, 1, 0, 0, 287},	//2016 QsciScintilla::recolor(int)
    {86, 1363, 16, 1, 0, 0, 288},	//2017 QsciScintilla::setIndicatorDrawUnder(bool)
    {86, 1366, 80, 1, 0, 0, 289},	//2018 QsciScintilla::setIndicatorForegroundColor(const QColor&)
    {86, 1369, 80, 1, 0, 0, 290},	//2019 QsciScintilla::setIndicatorHoverForegroundColor(const QColor&)
    {86, 1372, 321, 1, 0, 0, 291},	//2020 QsciScintilla::setIndicatorHoverStyle(QsciScintilla::IndicatorStyle)
    {86, 1375, 80, 1, 0, 0, 292},	//2021 QsciScintilla::setIndicatorOutlineColor(const QColor&)
    {86, 859, 0, 0, 0, 0, 293},	//2022 QsciScintilla::clearMarginText()
    {86, 1415, 80, 1, 0, 0, 294},	//2023 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {86, 1418, 80, 1, 0, 0, 295},	//2024 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {86, 1504, 329, 1, 0, 0, 296},	//2025 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {86, 1504, 331, 2, 0, 0, 297},	//2026 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {86, 958, 0, 0, Smoke::mf_slot, 0, 298},	//2027 QsciScintilla::foldAll()
    {86, 1183, 0, 0, Smoke::mf_slot, 0, 299},	//2028 QsciScintilla::selectAll()
    {86, 1319, 334, 1, Smoke::mf_slot, 0, 300},	//2029 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {86, 1386, 0, 0, Smoke::mf_slot, 0, 301},	//2030 QsciScintilla::setLexer()
    {86, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 302},	//2031 QsciScintilla::staticMetaObject() const
    {86, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 303},	//2032 QsciScintilla::MoNone (enum)
    {86, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 304},	//2033 QsciScintilla::MoSublineSelect (enum)
    {86, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 305},	//2034 QsciScintilla::AnnotationHidden (enum)
    {86, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 306},	//2035 QsciScintilla::AnnotationStandard (enum)
    {86, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 307},	//2036 QsciScintilla::AnnotationBoxed (enum)
    {86, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 308},	//2037 QsciScintilla::AnnotationIndented (enum)
    {86, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 309},	//2038 QsciScintilla::AcusNever (enum)
    {86, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 310},	//2039 QsciScintilla::AcusExplicit (enum)
    {86, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 311},	//2040 QsciScintilla::AcusAlways (enum)
    {86, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 312},	//2041 QsciScintilla::AcsNone (enum)
    {86, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 313},	//2042 QsciScintilla::AcsAll (enum)
    {86, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 314},	//2043 QsciScintilla::AcsDocument (enum)
    {86, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 315},	//2044 QsciScintilla::AcsAPIs (enum)
    {86, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 316},	//2045 QsciScintilla::NoBraceMatch (enum)
    {86, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 317},	//2046 QsciScintilla::StrictBraceMatch (enum)
    {86, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 318},	//2047 QsciScintilla::SloppyBraceMatch (enum)
    {86, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 319},	//2048 QsciScintilla::CallTipsBelowText (enum)
    {86, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 320},	//2049 QsciScintilla::CallTipsAboveText (enum)
    {86, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 321},	//2050 QsciScintilla::CallTipsNone (enum)
    {86, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 322},	//2051 QsciScintilla::CallTipsNoContext (enum)
    {86, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 323},	//2052 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {86, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 324},	//2053 QsciScintilla::CallTipsContext (enum)
    {86, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 325},	//2054 QsciScintilla::EdgeNone (enum)
    {86, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 326},	//2055 QsciScintilla::EdgeLine (enum)
    {86, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 327},	//2056 QsciScintilla::EdgeBackground (enum)
    {86, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 328},	//2057 QsciScintilla::EolWindows (enum)
    {86, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 329},	//2058 QsciScintilla::EolUnix (enum)
    {86, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 330},	//2059 QsciScintilla::EolMac (enum)
    {86, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 331},	//2060 QsciScintilla::NoFoldStyle (enum)
    {86, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 332},	//2061 QsciScintilla::PlainFoldStyle (enum)
    {86, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 333},	//2062 QsciScintilla::CircledFoldStyle (enum)
    {86, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 334},	//2063 QsciScintilla::BoxedFoldStyle (enum)
    {86, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 335},	//2064 QsciScintilla::CircledTreeFoldStyle (enum)
    {86, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 336},	//2065 QsciScintilla::BoxedTreeFoldStyle (enum)
    {86, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 337},	//2066 QsciScintilla::PlainIndicator (enum)
    {86, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 338},	//2067 QsciScintilla::SquiggleIndicator (enum)
    {86, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 339},	//2068 QsciScintilla::TTIndicator (enum)
    {86, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 340},	//2069 QsciScintilla::DiagonalIndicator (enum)
    {86, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 341},	//2070 QsciScintilla::StrikeIndicator (enum)
    {86, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 342},	//2071 QsciScintilla::HiddenIndicator (enum)
    {86, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 343},	//2072 QsciScintilla::BoxIndicator (enum)
    {86, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 344},	//2073 QsciScintilla::RoundBoxIndicator (enum)
    {86, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 345},	//2074 QsciScintilla::StraightBoxIndicator (enum)
    {86, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 346},	//2075 QsciScintilla::FullBoxIndicator (enum)
    {86, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 347},	//2076 QsciScintilla::DashesIndicator (enum)
    {86, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 348},	//2077 QsciScintilla::DotsIndicator (enum)
    {86, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 349},	//2078 QsciScintilla::SquiggleLowIndicator (enum)
    {86, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 350},	//2079 QsciScintilla::DotBoxIndicator (enum)
    {86, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 351},	//2080 QsciScintilla::SquigglePixmapIndicator (enum)
    {86, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 352},	//2081 QsciScintilla::ThickCompositionIndicator (enum)
    {86, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 353},	//2082 QsciScintilla::ThinCompositionIndicator (enum)
    {86, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 354},	//2083 QsciScintilla::TextColorIndicator (enum)
    {86, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 355},	//2084 QsciScintilla::MoNone (enum)
    {86, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 356},	//2085 QsciScintilla::MoSublineSelect (enum)
    {86, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 357},	//2086 QsciScintilla::SymbolMargin (enum)
    {86, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 358},	//2087 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {86, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 359},	//2088 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {86, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 360},	//2089 QsciScintilla::NumberMargin (enum)
    {86, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 361},	//2090 QsciScintilla::TextMargin (enum)
    {86, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 362},	//2091 QsciScintilla::TextMarginRightJustified (enum)
    {86, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 363},	//2092 QsciScintilla::Circle (enum)
    {86, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 364},	//2093 QsciScintilla::Rectangle (enum)
    {86, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 365},	//2094 QsciScintilla::RightTriangle (enum)
    {86, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 366},	//2095 QsciScintilla::SmallRectangle (enum)
    {86, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 367},	//2096 QsciScintilla::RightArrow (enum)
    {86, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 368},	//2097 QsciScintilla::Invisible (enum)
    {86, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 369},	//2098 QsciScintilla::DownTriangle (enum)
    {86, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 370},	//2099 QsciScintilla::Minus (enum)
    {86, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 371},	//2100 QsciScintilla::Plus (enum)
    {86, 748, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 372},	//2101 QsciScintilla::VerticalLine (enum)
    {86, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 373},	//2102 QsciScintilla::BottomLeftCorner (enum)
    {86, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 374},	//2103 QsciScintilla::LeftSideSplitter (enum)
    {86, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 375},	//2104 QsciScintilla::BoxedPlus (enum)
    {86, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 376},	//2105 QsciScintilla::BoxedPlusConnected (enum)
    {86, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 377},	//2106 QsciScintilla::BoxedMinus (enum)
    {86, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 378},	//2107 QsciScintilla::BoxedMinusConnected (enum)
    {86, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 379},	//2108 QsciScintilla::RoundedBottomLeftCorner (enum)
    {86, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 380},	//2109 QsciScintilla::LeftSideRoundedSplitter (enum)
    {86, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 381},	//2110 QsciScintilla::CircledPlus (enum)
    {86, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 382},	//2111 QsciScintilla::CircledPlusConnected (enum)
    {86, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 383},	//2112 QsciScintilla::CircledMinus (enum)
    {86, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 384},	//2113 QsciScintilla::CircledMinusConnected (enum)
    {86, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 385},	//2114 QsciScintilla::Background (enum)
    {86, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 386},	//2115 QsciScintilla::ThreeDots (enum)
    {86, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 387},	//2116 QsciScintilla::ThreeRightArrows (enum)
    {86, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 388},	//2117 QsciScintilla::FullRectangle (enum)
    {86, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 389},	//2118 QsciScintilla::LeftRectangle (enum)
    {86, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 390},	//2119 QsciScintilla::Underline (enum)
    {86, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 391},	//2120 QsciScintilla::Bookmark (enum)
    {86, 773, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 392},	//2121 QsciScintilla::WsInvisible (enum)
    {86, 774, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 393},	//2122 QsciScintilla::WsVisible (enum)
    {86, 775, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 394},	//2123 QsciScintilla::WsVisibleAfterIndent (enum)
    {86, 770, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 395},	//2124 QsciScintilla::WrapNone (enum)
    {86, 772, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 396},	//2125 QsciScintilla::WrapWord (enum)
    {86, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 397},	//2126 QsciScintilla::WrapCharacter (enum)
    {86, 771, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 398},	//2127 QsciScintilla::WrapWhitespace (enum)
    {86, 766, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 399},	//2128 QsciScintilla::WrapFlagNone (enum)
    {86, 764, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 400},	//2129 QsciScintilla::WrapFlagByText (enum)
    {86, 763, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 401},	//2130 QsciScintilla::WrapFlagByBorder (enum)
    {86, 765, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 402},	//2131 QsciScintilla::WrapFlagInMargin (enum)
    {86, 767, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 403},	//2132 QsciScintilla::WrapIndentFixed (enum)
    {86, 769, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 404},	//2133 QsciScintilla::WrapIndentSame (enum)
    {86, 768, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 405},	//2134 QsciScintilla::WrapIndentIndented (enum)
    {86, 1626, 0, 0, Smoke::mf_dtor, 0, 406 },	//2135 QsciScintilla::~QsciScintilla()
    {87, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//2136 QsciScintillaBase::metaObject() const
    {87, 1143, 12, 1, Smoke::mf_virtual, 221, 2},	//2137 QsciScintillaBase::qt_metacast(const char*)
    {87, 1541, 42, 2, Smoke::mf_static, 40, 3},	//2138 QsciScintillaBase::tr(const char*, const char*)
    {87, 1545, 42, 2, Smoke::mf_static, 40, 4},	//2139 QsciScintillaBase::trUtf8(const char*, const char*)
    {87, 1541, 45, 3, Smoke::mf_static, 40, 5},	//2140 QsciScintillaBase::tr(const char*, const char*, int)
    {87, 1545, 45, 3, Smoke::mf_static, 40, 6},	//2141 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {87, 1141, 49, 3, Smoke::mf_virtual, 215, 7},	//2142 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {87, 532, 128, 1, Smoke::mf_ctor, 110, 8},	//2143 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {87, 1129, 0, 0, Smoke::mf_static, 110, 9},	//2144 QsciScintillaBase::pool()
    {87, 640, 336, 3, Smoke::mf_const, 218, 10},	//2145 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {87, 640, 340, 3, Smoke::mf_const, 218, 11},	//2146 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {87, 640, 344, 3, Smoke::mf_const, 218, 12},	//2147 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {87, 640, 348, 2, Smoke::mf_const, 218, 13},	//2148 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {87, 640, 351, 3, Smoke::mf_const, 218, 14},	//2149 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {87, 640, 355, 2, Smoke::mf_const, 218, 15},	//2150 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {87, 640, 358, 2, Smoke::mf_const, 218, 16},	//2151 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {87, 640, 361, 4, Smoke::mf_const, 218, 17},	//2152 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {87, 640, 366, 3, Smoke::mf_const, 218, 18},	//2153 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {87, 640, 370, 2, Smoke::mf_const, 218, 19},	//2154 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {87, 640, 373, 6, Smoke::mf_const, 218, 20},	//2155 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {87, 640, 380, 3, Smoke::mf_const, 218, 21},	//2156 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {87, 640, 384, 3, Smoke::mf_const, 218, 22},	//2157 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    {87, 648, 388, 1, Smoke::mf_const, 221, 23},	//2158 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {87, 868, 390, 2, Smoke::mf_static, 215, 24},	//2159 QsciScintillaBase::commandKey(int, int&)
    {87, 454, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2160 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {87, 567, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2161 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {87, 568, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2162 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {87, 569, 393, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2163 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {87, 566, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2164 QsciScintillaBase::SCEN_CHANGE()
    {87, 571, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//2165 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {87, 573, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2166 QsciScintillaBase::SCN_CHARADDED(int)
    {87, 575, 396, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2167 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {87, 577, 396, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//2168 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {87, 579, 396, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//2169 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {87, 581, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//2170 QsciScintillaBase::SCN_FOCUSIN()
    {87, 582, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//2171 QsciScintillaBase::SCN_FOCUSOUT()
    {87, 583, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//2172 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {87, 585, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//2173 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {87, 587, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//2174 QsciScintillaBase::SCN_HOTSPOTRELEASECLICK(int, int)
    {87, 589, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2175 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {87, 591, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2176 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {87, 593, 340, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//2177 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {87, 595, 396, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//2178 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {87, 597, 400, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//2179 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {87, 599, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2180 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {87, 600, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2181 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {87, 602, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2182 QsciScintillaBase::SCN_PAINTED()
    {87, 603, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//2183 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {87, 604, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//2184 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {87, 605, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//2185 QsciScintillaBase::SCN_STYLENEEDED(int)
    {87, 607, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//2186 QsciScintillaBase::SCN_UPDATEUI(int)
    {87, 609, 393, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//2187 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {87, 611, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//2188 QsciScintillaBase::SCN_ZOOM()
    {87, 841, 411, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 189, 54},	//2189 QsciScintillaBase::canInsertFromMimeData(const QMimeData*) const
    {87, 983, 413, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 3, 55},	//2190 QsciScintillaBase::fromMimeData(const QMimeData*, bool&) const
    {87, 1538, 416, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 24, 56},	//2191 QsciScintillaBase::toMimeData(const QByteArray&, bool) const
    {87, 872, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//2192 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {87, 903, 419, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//2193 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {87, 905, 421, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//2194 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {87, 907, 423, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//2195 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {87, 909, 425, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//2196 QsciScintillaBase::dropEvent(QDropEvent*)
    {87, 952, 427, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//2197 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {87, 956, 427, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2198 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {87, 954, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 189, 64},	//2199 QsciScintillaBase::focusNextPrevChild(bool)
    {87, 1039, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//2200 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {87, 1018, 429, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//2201 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {87, 1020, 431, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 47, 67},	//2202 QsciScintillaBase::inputMethodQuery(Qt::InputMethodQuery) const
    {87, 1106, 433, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//2203 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {87, 1108, 433, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//2204 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {87, 1110, 433, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//2205 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {87, 1112, 433, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 71},	//2206 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {87, 1120, 435, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 72},	//2207 QsciScintillaBase::paintEvent(QPaintEvent*)
    {87, 1175, 437, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 73},	//2208 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {87, 1181, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 74},	//2209 QsciScintillaBase::scrollContentsBy(int, int)
    {87, 1446, 0, 0, Smoke::mf_protected, 0, 75},	//2210 QsciScintillaBase::setScrollBars()
    {87, 1531, 55, 1, Smoke::mf_const|Smoke::mf_protected, 3, 76},	//2211 QsciScintillaBase::textAsBytes(const QString&) const
    {87, 833, 12, 1, Smoke::mf_const|Smoke::mf_protected, 40, 77},	//2212 QsciScintillaBase::bytesAsText(const char*) const
    {87, 1541, 12, 1, Smoke::mf_static, 40, 78},	//2213 QsciScintillaBase::tr(const char*)
    {87, 1545, 12, 1, Smoke::mf_static, 40, 79},	//2214 QsciScintillaBase::trUtf8(const char*)
    {87, 532, 0, 0, Smoke::mf_ctor, 110, 80},	//2215 QsciScintillaBase::QsciScintillaBase()
    {87, 640, 388, 1, Smoke::mf_const, 218, 81},	//2216 QsciScintillaBase::SendScintilla(unsigned int) const
    {87, 640, 439, 2, Smoke::mf_const, 218, 82},	//2217 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {87, 1518, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 83},	//2218 QsciScintillaBase::staticMetaObject() const
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 84},	//2219 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 85},	//2220 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 86},	//2221 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 87},	//2222 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 88},	//2223 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 89},	//2224 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 90},	//2225 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 91},	//2226 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 92},	//2227 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 93},	//2228 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 94},	//2229 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 95},	//2230 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 96},	//2231 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 97},	//2232 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 98},	//2233 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 99},	//2234 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 100},	//2235 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 101},	//2236 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 102},	//2237 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 103},	//2238 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 104},	//2239 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 105},	//2240 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 106},	//2241 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 107},	//2242 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 108},	//2243 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 109},	//2244 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 110},	//2245 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 111},	//2246 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 112},	//2247 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 113},	//2248 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 114},	//2249 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 115},	//2250 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 116},	//2251 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 117},	//2252 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 118},	//2253 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 119},	//2254 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 120},	//2255 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 121},	//2256 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 122},	//2257 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 123},	//2258 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 124},	//2259 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 125},	//2260 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 126},	//2261 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 127},	//2262 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 128},	//2263 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 129},	//2264 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 130},	//2265 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 131},	//2266 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 132},	//2267 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 133},	//2268 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 134},	//2269 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 135},	//2270 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 136},	//2271 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 137},	//2272 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 138},	//2273 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 139},	//2274 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 140},	//2275 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 141},	//2276 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 142},	//2277 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 143},	//2278 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 144},	//2279 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 145},	//2280 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 146},	//2281 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 147},	//2282 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 148},	//2283 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 149},	//2284 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 150},	//2285 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 151},	//2286 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 152},	//2287 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 153},	//2288 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 154},	//2289 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 155},	//2290 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 156},	//2291 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 157},	//2292 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 158},	//2293 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 159},	//2294 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 160},	//2295 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 161},	//2296 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 162},	//2297 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 163},	//2298 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 164},	//2299 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 165},	//2300 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 166},	//2301 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 167},	//2302 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 168},	//2303 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 169},	//2304 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 170},	//2305 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 171},	//2306 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 172},	//2307 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 173},	//2308 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 174},	//2309 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 175},	//2310 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 176},	//2311 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 177},	//2312 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 178},	//2313 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 179},	//2314 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 180},	//2315 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 181},	//2316 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 182},	//2317 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 183},	//2318 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 184},	//2319 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 185},	//2320 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 186},	//2321 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 187},	//2322 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 188},	//2323 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 189},	//2324 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 190},	//2325 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 191},	//2326 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 192},	//2327 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 193},	//2328 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 194},	//2329 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 195},	//2330 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 196},	//2331 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 197},	//2332 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 198},	//2333 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 199},	//2334 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 200},	//2335 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 201},	//2336 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 202},	//2337 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 203},	//2338 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 204},	//2339 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 205},	//2340 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 206},	//2341 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 207},	//2342 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 208},	//2343 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 209},	//2344 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 210},	//2345 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 211},	//2346 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 212},	//2347 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 213},	//2348 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 214},	//2349 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 215},	//2350 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 216},	//2351 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 217},	//2352 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 218},	//2353 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 219},	//2354 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 220},	//2355 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 221},	//2356 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 222},	//2357 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 223},	//2358 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 224},	//2359 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 225},	//2360 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 226},	//2361 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 227},	//2362 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 228},	//2363 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 229},	//2364 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 230},	//2365 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 231},	//2366 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 232},	//2367 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 233},	//2368 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 234},	//2369 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 235},	//2370 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 236},	//2371 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 237},	//2372 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 238},	//2373 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 239},	//2374 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 240},	//2375 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 241},	//2376 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 242},	//2377 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 243},	//2378 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {87, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 244},	//2379 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {87, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 245},	//2380 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {87, 1627, 0, 0, Smoke::mf_dtor, 0, 246 },	//2381 QsciScintillaBase::~QsciScintillaBase()
    {88, 534, 18, 1, Smoke::mf_ctor, 111, 1},	//2382 QsciStyle::QsciStyle(int)
    {88, 534, 442, 6, Smoke::mf_ctor, 111, 2},	//2383 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {88, 801, 123, 1, Smoke::mf_const, 0, 3},	//2384 QsciStyle::apply(QsciScintillaBase*) const
    {88, 1520, 0, 0, Smoke::mf_const, 215, 4},	//2385 QsciStyle::style() const
    {88, 1260, 55, 1, 0, 0, 5},	//2386 QsciStyle::setDescription(const QString&)
    {88, 895, 0, 0, Smoke::mf_const, 40, 6},	//2387 QsciStyle::description() const
    {88, 1247, 80, 1, 0, 0, 7},	//2388 QsciStyle::setColor(const QColor&)
    {88, 863, 0, 0, Smoke::mf_const, 6, 8},	//2389 QsciStyle::color() const
    {88, 1431, 80, 1, 0, 0, 9},	//2390 QsciStyle::setPaper(const QColor&)
    {88, 1123, 0, 0, Smoke::mf_const, 6, 10},	//2391 QsciStyle::paper() const
    {88, 1322, 40, 1, 0, 0, 11},	//2392 QsciStyle::setFont(const QFont&)
    {88, 976, 0, 0, Smoke::mf_const, 14, 12},	//2393 QsciStyle::font() const
    {88, 1278, 16, 1, 0, 0, 13},	//2394 QsciStyle::setEolFill(bool)
    {88, 922, 0, 0, Smoke::mf_const, 189, 14},	//2395 QsciStyle::eolFill() const
    {88, 1470, 449, 1, 0, 0, 15},	//2396 QsciStyle::setTextCase(QsciStyle::TextCase)
    {88, 1533, 0, 0, Smoke::mf_const, 112, 16},	//2397 QsciStyle::textCase() const
    {88, 1490, 16, 1, 0, 0, 17},	//2398 QsciStyle::setVisible(bool)
    {88, 1563, 0, 0, Smoke::mf_const, 189, 18},	//2399 QsciStyle::visible() const
    {88, 1245, 16, 1, 0, 0, 19},	//2400 QsciStyle::setChangeable(bool)
    {88, 849, 0, 0, Smoke::mf_const, 189, 20},	//2401 QsciStyle::changeable() const
    {88, 1339, 16, 1, 0, 0, 21},	//2402 QsciStyle::setHotspot(bool)
    {88, 998, 0, 0, Smoke::mf_const, 189, 22},	//2403 QsciStyle::hotspot() const
    {88, 1157, 0, 0, 0, 0, 23},	//2404 QsciStyle::refresh()
    {88, 534, 451, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 111, 24},	//2405 QsciStyle::QsciStyle(const QsciStyle&)
    {88, 534, 0, 0, Smoke::mf_ctor, 111, 25},	//2406 QsciStyle::QsciStyle()
    {88, 534, 453, 5, Smoke::mf_ctor, 111, 26},	//2407 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {88, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 27},	//2408 QsciStyle::OriginalCase (enum)
    {88, 728, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 28},	//2409 QsciStyle::UpperCase (enum)
    {88, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 29},	//2410 QsciStyle::LowerCase (enum)
    {88, 1628, 0, 0, Smoke::mf_dtor, 0, 30 },	//2411 QsciStyle::~QsciStyle()
    {89, 539, 459, 2, Smoke::mf_ctor, 114, 1},	//2412 QsciStyledText::QsciStyledText(const QString&, int)
    {89, 539, 462, 2, Smoke::mf_ctor, 114, 2},	//2413 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {89, 801, 123, 1, Smoke::mf_const, 0, 3},	//2414 QsciStyledText::apply(QsciScintillaBase*) const
    {89, 1529, 0, 0, Smoke::mf_const, 207, 4},	//2415 QsciStyledText::text() const
    {89, 1520, 0, 0, Smoke::mf_const, 215, 5},	//2416 QsciStyledText::style() const
    {89, 539, 465, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 114, 6},	//2417 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {89, 1629, 0, 0, Smoke::mf_dtor, 0, 7 },	//2418 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    2084,  // QsciScintilla::MoNone
    2084,  // QsciScintilla::MoNone
    0,
    2085,  // QsciScintilla::MoSublineSelect
    2085,  // QsciScintilla::MoSublineSelect
    0,
    2011,  // QsciScintilla::markerDefine(const QPixmap&)
    2012,  // QsciScintilla::markerDefine(const QImage&)
    0,
    1816,  // QsciScintilla::markerDefine(const QPixmap&, int)
    1817,  // QsciScintilla::markerDefine(const QImage&, int)
    0,
    2009,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    2010,  // QsciScintilla::markerDefine(char)
    0,
    1814,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1815,  // QsciScintilla::markerDefine(char, int)
    0,
    1831,  // QsciScintilla::registerImage(int, const QPixmap&)
    1832,  // QsciScintilla::registerImage(int, const QImage&)
    0,
    1961,  // QsciScintilla::setMarginWidth(int, int)
    1962,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2380,  // QsciScintillaBase::SC_ORDER_CUSTOM
    0,
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2379,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    0,
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2378,  // QsciScintillaBase::SC_ORDER_PRESORTED
    0,
    2148,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    2150,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    2151,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    2217,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    2153,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    2156,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    2157,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    0,
    2145,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    2146,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    2147,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    2149,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {48, 457, 48},	// QsciAPIs::QsciAPIs#
    {48, 783, 49},	// QsciAPIs::add$
    {48, 795, 64},	// QsciAPIs::apiPreparationCancelled
    {48, 796, 66},	// QsciAPIs::apiPreparationFinished
    {48, 797, 65},	// QsciAPIs::apiPreparationStarted
    {48, 811, 60},	// QsciAPIs::autoCompletionSelected$
    {48, 837, 61},	// QsciAPIs::callTips?$$?
    {48, 844, 54},	// QsciAPIs::cancelPreparation
    {48, 851, 50},	// QsciAPIs::clear
    {48, 893, 55},	// QsciAPIs::defaultPreparedName
    {48, 929, 62},	// QsciAPIs::event#
    {48, 1026, 63},	// QsciAPIs::installedAPIFiles
    {48, 1030, 69},	// QsciAPIs::isPrepared
    {48, 1031, 56},	// QsciAPIs::isPrepared$
    {48, 1060, 51},	// QsciAPIs::load$
    {48, 1061, 70},	// QsciAPIs::loadPrepared
    {48, 1062, 57},	// QsciAPIs::loadPrepared$
    {48, 1100, 41},	// QsciAPIs::metaObject
    {48, 1132, 53},	// QsciAPIs::prepare
    {48, 1142, 47},	// QsciAPIs::qt_metacall$$?
    {48, 1144, 42},	// QsciAPIs::qt_metacast$
    {48, 1162, 52},	// QsciAPIs::remove$
    {48, 1178, 71},	// QsciAPIs::savePrepared
    {48, 1179, 58},	// QsciAPIs::savePrepared$
    {48, 1518, 72},	// QsciAPIs::staticMetaObject
    {48, 1542, 67},	// QsciAPIs::tr$
    {48, 1543, 43},	// QsciAPIs::tr$$
    {48, 1544, 45},	// QsciAPIs::tr$$$
    {48, 1546, 68},	// QsciAPIs::trUtf8$
    {48, 1547, 44},	// QsciAPIs::trUtf8$$
    {48, 1548, 46},	// QsciAPIs::trUtf8$$$
    {48, 1553, 59},	// QsciAPIs::updateAutoCompletionList??
    {48, 1589, 73},	// QsciAPIs::~QsciAPIs
    {49, 459, 81},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {49, 811, 84},	// QsciAbstractAPIs::autoCompletionSelected$
    {49, 837, 85},	// QsciAbstractAPIs::callTips?$$?
    {49, 1049, 82},	// QsciAbstractAPIs::lexer
    {49, 1100, 74},	// QsciAbstractAPIs::metaObject
    {49, 1142, 80},	// QsciAbstractAPIs::qt_metacall$$?
    {49, 1144, 75},	// QsciAbstractAPIs::qt_metacast$
    {49, 1518, 88},	// QsciAbstractAPIs::staticMetaObject
    {49, 1542, 86},	// QsciAbstractAPIs::tr$
    {49, 1543, 76},	// QsciAbstractAPIs::tr$$
    {49, 1544, 78},	// QsciAbstractAPIs::tr$$$
    {49, 1546, 87},	// QsciAbstractAPIs::trUtf8$
    {49, 1547, 77},	// QsciAbstractAPIs::trUtf8$$
    {49, 1548, 79},	// QsciAbstractAPIs::trUtf8$$$
    {49, 1553, 83},	// QsciAbstractAPIs::updateAutoCompletionList??
    {49, 1590, 89},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {50, 82, 190},	// QsciCommand::Backtab
    {50, 116, 191},	// QsciCommand::Cancel
    {50, 118, 113},	// QsciCommand::CharLeft
    {50, 119, 114},	// QsciCommand::CharLeftExtend
    {50, 120, 115},	// QsciCommand::CharLeftRectExtend
    {50, 121, 116},	// QsciCommand::CharRight
    {50, 122, 117},	// QsciCommand::CharRightExtend
    {50, 123, 118},	// QsciCommand::CharRightRectExtend
    {50, 162, 164},	// QsciCommand::Delete
    {50, 163, 165},	// QsciCommand::DeleteBack
    {50, 164, 166},	// QsciCommand::DeleteBackNotLine
    {50, 165, 170},	// QsciCommand::DeleteLineLeft
    {50, 166, 171},	// QsciCommand::DeleteLineRight
    {50, 167, 167},	// QsciCommand::DeleteWordLeft
    {50, 168, 168},	// QsciCommand::DeleteWordRight
    {50, 169, 169},	// QsciCommand::DeleteWordRightEnd
    {50, 177, 152},	// QsciCommand::DocumentEnd
    {50, 178, 153},	// QsciCommand::DocumentEndExtend
    {50, 179, 150},	// QsciCommand::DocumentStart
    {50, 180, 151},	// QsciCommand::DocumentStartExtend
    {50, 198, 186},	// QsciCommand::EditToggleOvertype
    {50, 219, 188},	// QsciCommand::Formfeed
    {50, 246, 131},	// QsciCommand::Home
    {50, 247, 134},	// QsciCommand::HomeDisplay
    {50, 248, 135},	// QsciCommand::HomeDisplayExtend
    {50, 249, 132},	// QsciCommand::HomeExtend
    {50, 250, 133},	// QsciCommand::HomeRectExtend
    {50, 251, 136},	// QsciCommand::HomeWrap
    {50, 252, 137},	// QsciCommand::HomeWrapExtend
    {50, 332, 174},	// QsciCommand::LineCopy
    {50, 333, 173},	// QsciCommand::LineCut
    {50, 334, 172},	// QsciCommand::LineDelete
    {50, 335, 98},	// QsciCommand::LineDown
    {50, 336, 99},	// QsciCommand::LineDownExtend
    {50, 337, 100},	// QsciCommand::LineDownRectExtend
    {50, 338, 176},	// QsciCommand::LineDuplicate
    {50, 339, 143},	// QsciCommand::LineEnd
    {50, 340, 146},	// QsciCommand::LineEndDisplay
    {50, 341, 147},	// QsciCommand::LineEndDisplayExtend
    {50, 342, 144},	// QsciCommand::LineEndExtend
    {50, 343, 145},	// QsciCommand::LineEndRectExtend
    {50, 344, 148},	// QsciCommand::LineEndWrap
    {50, 345, 149},	// QsciCommand::LineEndWrapExtend
    {50, 347, 101},	// QsciCommand::LineScrollDown
    {50, 348, 105},	// QsciCommand::LineScrollUp
    {50, 349, 175},	// QsciCommand::LineTranspose
    {50, 350, 102},	// QsciCommand::LineUp
    {50, 351, 103},	// QsciCommand::LineUpExtend
    {50, 352, 104},	// QsciCommand::LineUpRectExtend
    {50, 367, 179},	// QsciCommand::MoveSelectedLinesDown
    {50, 368, 178},	// QsciCommand::MoveSelectedLinesUp
    {50, 373, 187},	// QsciCommand::Newline
    {50, 398, 157},	// QsciCommand::PageDown
    {50, 399, 158},	// QsciCommand::PageDownExtend
    {50, 400, 159},	// QsciCommand::PageDownRectExtend
    {50, 402, 154},	// QsciCommand::PageUp
    {50, 403, 155},	// QsciCommand::PageUpExtend
    {50, 404, 156},	// QsciCommand::PageUpRectExtend
    {50, 406, 109},	// QsciCommand::ParaDown
    {50, 407, 110},	// QsciCommand::ParaDownExtend
    {50, 408, 111},	// QsciCommand::ParaUp
    {50, 409, 112},	// QsciCommand::ParaUpExtend
    {50, 411, 185},	// QsciCommand::Paste
    {50, 558, 193},	// QsciCommand::Redo
    {50, 630, 107},	// QsciCommand::ScrollToEnd
    {50, 631, 106},	// QsciCommand::ScrollToStart
    {50, 633, 177},	// QsciCommand::SelectAll
    {50, 635, 184},	// QsciCommand::SelectionCopy
    {50, 636, 183},	// QsciCommand::SelectionCut
    {50, 637, 180},	// QsciCommand::SelectionDuplicate
    {50, 638, 181},	// QsciCommand::SelectionLowerCase
    {50, 639, 182},	// QsciCommand::SelectionUpperCase
    {50, 677, 162},	// QsciCommand::StutteredPageDown
    {50, 678, 163},	// QsciCommand::StutteredPageDownExtend
    {50, 679, 160},	// QsciCommand::StutteredPageUp
    {50, 680, 161},	// QsciCommand::StutteredPageUpExtend
    {50, 695, 189},	// QsciCommand::Tab
    {50, 723, 192},	// QsciCommand::Undo
    {50, 738, 138},	// QsciCommand::VCHome
    {50, 739, 139},	// QsciCommand::VCHomeExtend
    {50, 740, 140},	// QsciCommand::VCHomeRectExtend
    {50, 741, 141},	// QsciCommand::VCHomeWrap
    {50, 742, 142},	// QsciCommand::VCHomeWrapExtend
    {50, 747, 108},	// QsciCommand::VerticalCentreCaret
    {50, 750, 119},	// QsciCommand::WordLeft
    {50, 751, 123},	// QsciCommand::WordLeftEnd
    {50, 752, 124},	// QsciCommand::WordLeftEndExtend
    {50, 753, 120},	// QsciCommand::WordLeftExtend
    {50, 754, 127},	// QsciCommand::WordPartLeft
    {50, 755, 128},	// QsciCommand::WordPartLeftExtend
    {50, 756, 129},	// QsciCommand::WordPartRight
    {50, 757, 130},	// QsciCommand::WordPartRightExtend
    {50, 758, 121},	// QsciCommand::WordRight
    {50, 759, 125},	// QsciCommand::WordRightEnd
    {50, 760, 126},	// QsciCommand::WordRightEndExtend
    {50, 761, 122},	// QsciCommand::WordRightExtend
    {50, 779, 194},	// QsciCommand::ZoomIn
    {50, 780, 195},	// QsciCommand::ZoomOut
    {50, 784, 95},	// QsciCommand::alternateKey
    {50, 867, 90},	// QsciCommand::command
    {50, 895, 97},	// QsciCommand::description
    {50, 931, 91},	// QsciCommand::execute
    {50, 1038, 94},	// QsciCommand::key
    {50, 1192, 93},	// QsciCommand::setAlternateKey$
    {50, 1381, 92},	// QsciCommand::setKey$
    {50, 1560, 96},	// QsciCommand::validKey$
    {50, 1591, 196},	// QsciCommand::~QsciCommand
    {51, 830, 202},	// QsciCommandSet::boundTo$
    {51, 852, 201},	// QsciCommandSet::clearAlternateKeys
    {51, 858, 200},	// QsciCommandSet::clearKeys
    {51, 870, 199},	// QsciCommandSet::commands
    {51, 937, 203},	// QsciCommandSet::find$
    {51, 1151, 204},	// QsciCommandSet::readSettings#
    {51, 1152, 197},	// QsciCommandSet::readSettings#$
    {51, 1580, 205},	// QsciCommandSet::writeSettings#
    {51, 1581, 198},	// QsciCommandSet::writeSettings#$
    {52, 460, 206},	// QsciDocument::QsciDocument
    {52, 461, 207},	// QsciDocument::QsciDocument#
    {52, 1117, 208},	// QsciDocument::operator=#
    {52, 1592, 209},	// QsciDocument::~QsciDocument
    {53, 462, 271},	// QsciLexer::QsciLexer
    {53, 463, 217},	// QsciLexer::QsciLexer#
    {53, 798, 221},	// QsciLexer::apis
    {53, 807, 222},	// QsciLexer::autoCompletionFillups
    {53, 816, 223},	// QsciLexer::autoCompletionWordSeparators
    {53, 818, 224},	// QsciLexer::autoIndentStyle
    {53, 822, 272},	// QsciLexer::blockEnd
    {53, 823, 225},	// QsciLexer::blockEnd$
    {53, 824, 226},	// QsciLexer::blockLookback
    {53, 825, 273},	// QsciLexer::blockStart
    {53, 826, 227},	// QsciLexer::blockStart$
    {53, 827, 274},	// QsciLexer::blockStartKeyword
    {53, 828, 228},	// QsciLexer::blockStartKeyword$
    {53, 832, 229},	// QsciLexer::braceStyle
    {53, 845, 230},	// QsciLexer::caseSensitive
    {53, 864, 231},	// QsciLexer::color$
    {53, 866, 262},	// QsciLexer::colorChanged#$
    {53, 885, 239},	// QsciLexer::defaultColor
    {53, 886, 240},	// QsciLexer::defaultColor$
    {53, 888, 241},	// QsciLexer::defaultEolFill$
    {53, 889, 242},	// QsciLexer::defaultFont
    {53, 890, 243},	// QsciLexer::defaultFont$
    {53, 891, 244},	// QsciLexer::defaultPaper
    {53, 892, 245},	// QsciLexer::defaultPaper$
    {53, 894, 236},	// QsciLexer::defaultStyle
    {53, 896, 237},	// QsciLexer::description$
    {53, 914, 246},	// QsciLexer::editor
    {53, 923, 232},	// QsciLexer::eolFill$
    {53, 925, 263},	// QsciLexer::eolFillChanged$$
    {53, 977, 233},	// QsciLexer::font$
    {53, 980, 264},	// QsciLexer::fontChanged#$
    {53, 1003, 234},	// QsciLexer::indentationGuideView
    {53, 1043, 235},	// QsciLexer::keywords$
    {53, 1044, 218},	// QsciLexer::language
    {53, 1049, 219},	// QsciLexer::lexer
    {53, 1050, 220},	// QsciLexer::lexerId
    {53, 1100, 210},	// QsciLexer::metaObject
    {53, 1124, 238},	// QsciLexer::paper$
    {53, 1126, 265},	// QsciLexer::paperChanged#$
    {53, 1140, 266},	// QsciLexer::propertyChanged$$
    {53, 1142, 216},	// QsciLexer::qt_metacall$$?
    {53, 1144, 211},	// QsciLexer::qt_metacast$
    {53, 1149, 267},	// QsciLexer::readProperties#$
    {53, 1151, 275},	// QsciLexer::readSettings#
    {53, 1152, 252},	// QsciLexer::readSettings#$
    {53, 1158, 253},	// QsciLexer::refreshProperties
    {53, 1190, 247},	// QsciLexer::setAPIs#
    {53, 1216, 257},	// QsciLexer::setAutoIndentStyle$
    {53, 1248, 277},	// QsciLexer::setColor#
    {53, 1249, 258},	// QsciLexer::setColor#$
    {53, 1255, 248},	// QsciLexer::setDefaultColor#
    {53, 1257, 249},	// QsciLexer::setDefaultFont#
    {53, 1259, 250},	// QsciLexer::setDefaultPaper#
    {53, 1277, 251},	// QsciLexer::setEditor#
    {53, 1279, 278},	// QsciLexer::setEolFill$
    {53, 1280, 259},	// QsciLexer::setEolFill$$
    {53, 1323, 279},	// QsciLexer::setFont#
    {53, 1324, 260},	// QsciLexer::setFont#$
    {53, 1432, 280},	// QsciLexer::setPaper#
    {53, 1433, 261},	// QsciLexer::setPaper#$
    {53, 1518, 281},	// QsciLexer::staticMetaObject
    {53, 1521, 254},	// QsciLexer::styleBitsNeeded
    {53, 1542, 269},	// QsciLexer::tr$
    {53, 1543, 212},	// QsciLexer::tr$$
    {53, 1544, 214},	// QsciLexer::tr$$$
    {53, 1546, 270},	// QsciLexer::trUtf8$
    {53, 1547, 213},	// QsciLexer::trUtf8$$
    {53, 1548, 215},	// QsciLexer::trUtf8$$$
    {53, 1572, 255},	// QsciLexer::wordCharacters
    {53, 1578, 268},	// QsciLexer::writeProperties#$
    {53, 1580, 276},	// QsciLexer::writeSettings#
    {53, 1581, 256},	// QsciLexer::writeSettings#$
    {53, 1593, 282},	// QsciLexer::~QsciLexer
    {54, 85, 323},	// QsciLexerBash::Backticks
    {54, 139, 314},	// QsciLexerBash::Comment
    {54, 160, 312},	// QsciLexerBash::Default
    {54, 186, 317},	// QsciLexerBash::DoubleQuotedString
    {54, 205, 313},	// QsciLexerBash::Error
    {54, 239, 324},	// QsciLexerBash::HereDocumentDelimiter
    {54, 255, 320},	// QsciLexerBash::Identifier
    {54, 307, 316},	// QsciLexerBash::Keyword
    {54, 378, 315},	// QsciLexerBash::Number
    {54, 382, 319},	// QsciLexerBash::Operator
    {54, 410, 322},	// QsciLexerBash::ParameterExpansion
    {54, 464, 310},	// QsciLexerBash::QsciLexerBash
    {54, 465, 290},	// QsciLexerBash::QsciLexerBash#
    {54, 627, 321},	// QsciLexerBash::Scalar
    {54, 652, 325},	// QsciLexerBash::SingleQuotedHereDocument
    {54, 653, 318},	// QsciLexerBash::SingleQuotedString
    {54, 832, 293},	// QsciLexerBash::braceStyle
    {54, 886, 295},	// QsciLexerBash::defaultColor$
    {54, 888, 296},	// QsciLexerBash::defaultEolFill$
    {54, 890, 297},	// QsciLexerBash::defaultFont$
    {54, 892, 298},	// QsciLexerBash::defaultPaper$
    {54, 896, 300},	// QsciLexerBash::description$
    {54, 963, 302},	// QsciLexerBash::foldComments
    {54, 964, 303},	// QsciLexerBash::foldCompact
    {54, 1043, 299},	// QsciLexerBash::keywords$
    {54, 1044, 291},	// QsciLexerBash::language
    {54, 1049, 292},	// QsciLexerBash::lexer
    {54, 1100, 283},	// QsciLexerBash::metaObject
    {54, 1142, 289},	// QsciLexerBash::qt_metacall$$?
    {54, 1144, 284},	// QsciLexerBash::qt_metacast$
    {54, 1149, 306},	// QsciLexerBash::readProperties#$
    {54, 1158, 301},	// QsciLexerBash::refreshProperties
    {54, 1298, 304},	// QsciLexerBash::setFoldComments$
    {54, 1300, 305},	// QsciLexerBash::setFoldCompact$
    {54, 1518, 311},	// QsciLexerBash::staticMetaObject
    {54, 1542, 308},	// QsciLexerBash::tr$
    {54, 1543, 285},	// QsciLexerBash::tr$$
    {54, 1544, 287},	// QsciLexerBash::tr$$$
    {54, 1546, 309},	// QsciLexerBash::trUtf8$
    {54, 1547, 286},	// QsciLexerBash::trUtf8$$
    {54, 1548, 288},	// QsciLexerBash::trUtf8$$$
    {54, 1572, 294},	// QsciLexerBash::wordCharacters
    {54, 1578, 307},	// QsciLexerBash::writeProperties#$
    {54, 1594, 326},	// QsciLexerBash::~QsciLexerBash
    {55, 139, 350},	// QsciLexerBatch::Comment
    {55, 160, 349},	// QsciLexerBatch::Default
    {55, 213, 354},	// QsciLexerBatch::ExternalCommand
    {55, 243, 353},	// QsciLexerBatch::HideCommandChar
    {55, 307, 351},	// QsciLexerBatch::Keyword
    {55, 317, 352},	// QsciLexerBatch::Label
    {55, 382, 356},	// QsciLexerBatch::Operator
    {55, 466, 347},	// QsciLexerBatch::QsciLexerBatch
    {55, 467, 334},	// QsciLexerBatch::QsciLexerBatch#
    {55, 745, 355},	// QsciLexerBatch::Variable
    {55, 845, 338},	// QsciLexerBatch::caseSensitive
    {55, 886, 339},	// QsciLexerBatch::defaultColor$
    {55, 888, 340},	// QsciLexerBatch::defaultEolFill$
    {55, 890, 341},	// QsciLexerBatch::defaultFont$
    {55, 892, 342},	// QsciLexerBatch::defaultPaper$
    {55, 896, 344},	// QsciLexerBatch::description$
    {55, 1043, 343},	// QsciLexerBatch::keywords$
    {55, 1044, 335},	// QsciLexerBatch::language
    {55, 1049, 336},	// QsciLexerBatch::lexer
    {55, 1100, 327},	// QsciLexerBatch::metaObject
    {55, 1142, 333},	// QsciLexerBatch::qt_metacall$$?
    {55, 1144, 328},	// QsciLexerBatch::qt_metacast$
    {55, 1518, 348},	// QsciLexerBatch::staticMetaObject
    {55, 1542, 345},	// QsciLexerBatch::tr$
    {55, 1543, 329},	// QsciLexerBatch::tr$$
    {55, 1544, 331},	// QsciLexerBatch::tr$$$
    {55, 1546, 346},	// QsciLexerBatch::trUtf8$
    {55, 1547, 330},	// QsciLexerBatch::trUtf8$$
    {55, 1548, 332},	// QsciLexerBatch::trUtf8$$$
    {55, 1572, 337},	// QsciLexerBatch::wordCharacters
    {55, 1595, 357},	// QsciLexerBatch::~QsciLexerBatch
    {56, 91, 392},	// QsciLexerCMake::BlockForeach
    {56, 92, 393},	// QsciLexerCMake::BlockIf
    {56, 93, 394},	// QsciLexerCMake::BlockMacro
    {56, 94, 391},	// QsciLexerCMake::BlockWhile
    {56, 139, 383},	// QsciLexerCMake::Comment
    {56, 160, 382},	// QsciLexerCMake::Default
    {56, 222, 387},	// QsciLexerCMake::Function
    {56, 311, 390},	// QsciLexerCMake::KeywordSet3
    {56, 317, 389},	// QsciLexerCMake::Label
    {56, 378, 396},	// QsciLexerCMake::Number
    {56, 468, 380},	// QsciLexerCMake::QsciLexerCMake
    {56, 469, 365},	// QsciLexerCMake::QsciLexerCMake#
    {56, 672, 384},	// QsciLexerCMake::String
    {56, 673, 385},	// QsciLexerCMake::StringLeftQuote
    {56, 674, 386},	// QsciLexerCMake::StringRightQuote
    {56, 676, 395},	// QsciLexerCMake::StringVariable
    {56, 745, 388},	// QsciLexerCMake::Variable
    {56, 886, 368},	// QsciLexerCMake::defaultColor$
    {56, 890, 369},	// QsciLexerCMake::defaultFont$
    {56, 892, 370},	// QsciLexerCMake::defaultPaper$
    {56, 896, 372},	// QsciLexerCMake::description$
    {56, 961, 374},	// QsciLexerCMake::foldAtElse
    {56, 1043, 371},	// QsciLexerCMake::keywords$
    {56, 1044, 366},	// QsciLexerCMake::language
    {56, 1049, 367},	// QsciLexerCMake::lexer
    {56, 1100, 358},	// QsciLexerCMake::metaObject
    {56, 1142, 364},	// QsciLexerCMake::qt_metacall$$?
    {56, 1144, 359},	// QsciLexerCMake::qt_metacast$
    {56, 1149, 376},	// QsciLexerCMake::readProperties#$
    {56, 1158, 373},	// QsciLexerCMake::refreshProperties
    {56, 1294, 375},	// QsciLexerCMake::setFoldAtElse$
    {56, 1518, 381},	// QsciLexerCMake::staticMetaObject
    {56, 1542, 378},	// QsciLexerCMake::tr$
    {56, 1543, 360},	// QsciLexerCMake::tr$$
    {56, 1544, 362},	// QsciLexerCMake::tr$$$
    {56, 1546, 379},	// QsciLexerCMake::trUtf8$
    {56, 1547, 361},	// QsciLexerCMake::trUtf8$$
    {56, 1548, 363},	// QsciLexerCMake::trUtf8$$$
    {56, 1578, 377},	// QsciLexerCMake::writeProperties#$
    {56, 1596, 397},	// QsciLexerCMake::~QsciLexerCMake
    {57, 139, 455},	// QsciLexerCPP::Comment
    {57, 142, 459},	// QsciLexerCPP::CommentDoc
    {57, 143, 487},	// QsciLexerCPP::CommentDocKeyword
    {57, 144, 489},	// QsciLexerCPP::CommentDocKeywordError
    {57, 145, 457},	// QsciLexerCPP::CommentLine
    {57, 146, 483},	// QsciLexerCPP::CommentLineDoc
    {57, 160, 453},	// QsciLexerCPP::Default
    {57, 186, 465},	// QsciLexerCPP::DoubleQuotedString
    {57, 206, 507},	// QsciLexerCPP::EscapeSequence
    {57, 225, 491},	// QsciLexerCPP::GlobalClass
    {57, 236, 497},	// QsciLexerCPP::HashQuotedString
    {57, 255, 475},	// QsciLexerCPP::Identifier
    {57, 260, 456},	// QsciLexerCPP::InactiveComment
    {57, 261, 460},	// QsciLexerCPP::InactiveCommentDoc
    {57, 262, 488},	// QsciLexerCPP::InactiveCommentDocKeyword
    {57, 263, 490},	// QsciLexerCPP::InactiveCommentDocKeywordError
    {57, 264, 458},	// QsciLexerCPP::InactiveCommentLine
    {57, 265, 484},	// QsciLexerCPP::InactiveCommentLineDoc
    {57, 266, 454},	// QsciLexerCPP::InactiveDefault
    {57, 267, 466},	// QsciLexerCPP::InactiveDoubleQuotedString
    {57, 268, 508},	// QsciLexerCPP::InactiveEscapeSequence
    {57, 269, 492},	// QsciLexerCPP::InactiveGlobalClass
    {57, 270, 498},	// QsciLexerCPP::InactiveHashQuotedString
    {57, 271, 476},	// QsciLexerCPP::InactiveIdentifier
    {57, 272, 464},	// QsciLexerCPP::InactiveKeyword
    {57, 273, 486},	// QsciLexerCPP::InactiveKeywordSet2
    {57, 274, 462},	// QsciLexerCPP::InactiveNumber
    {57, 275, 474},	// QsciLexerCPP::InactiveOperator
    {57, 276, 472},	// QsciLexerCPP::InactivePreProcessor
    {57, 277, 500},	// QsciLexerCPP::InactivePreProcessorComment
    {57, 278, 502},	// QsciLexerCPP::InactivePreProcessorCommentLineDoc
    {57, 279, 494},	// QsciLexerCPP::InactiveRawString
    {57, 280, 482},	// QsciLexerCPP::InactiveRegex
    {57, 281, 468},	// QsciLexerCPP::InactiveSingleQuotedString
    {57, 282, 506},	// QsciLexerCPP::InactiveTaskMarker
    {57, 283, 496},	// QsciLexerCPP::InactiveTripleQuotedVerbatimString
    {57, 284, 470},	// QsciLexerCPP::InactiveUUID
    {57, 285, 478},	// QsciLexerCPP::InactiveUnclosedString
    {57, 286, 504},	// QsciLexerCPP::InactiveUserLiteral
    {57, 287, 480},	// QsciLexerCPP::InactiveVerbatimString
    {57, 307, 463},	// QsciLexerCPP::Keyword
    {57, 310, 485},	// QsciLexerCPP::KeywordSet2
    {57, 378, 461},	// QsciLexerCPP::Number
    {57, 382, 473},	// QsciLexerCPP::Operator
    {57, 430, 471},	// QsciLexerCPP::PreProcessor
    {57, 431, 499},	// QsciLexerCPP::PreProcessorComment
    {57, 432, 501},	// QsciLexerCPP::PreProcessorCommentLineDoc
    {57, 470, 447},	// QsciLexerCPP::QsciLexerCPP
    {57, 471, 448},	// QsciLexerCPP::QsciLexerCPP#
    {57, 472, 405},	// QsciLexerCPP::QsciLexerCPP#$
    {57, 556, 493},	// QsciLexerCPP::RawString
    {57, 560, 481},	// QsciLexerCPP::Regex
    {57, 653, 467},	// QsciLexerCPP::SingleQuotedString
    {57, 701, 505},	// QsciLexerCPP::TaskMarker
    {57, 716, 495},	// QsciLexerCPP::TripleQuotedVerbatimString
    {57, 720, 469},	// QsciLexerCPP::UUID
    {57, 721, 477},	// QsciLexerCPP::UnclosedString
    {57, 729, 503},	// QsciLexerCPP::UserLiteral
    {57, 746, 479},	// QsciLexerCPP::VerbatimString
    {57, 816, 408},	// QsciLexerCPP::autoCompletionWordSeparators
    {57, 822, 449},	// QsciLexerCPP::blockEnd
    {57, 823, 409},	// QsciLexerCPP::blockEnd$
    {57, 825, 450},	// QsciLexerCPP::blockStart
    {57, 826, 410},	// QsciLexerCPP::blockStart$
    {57, 827, 451},	// QsciLexerCPP::blockStartKeyword
    {57, 828, 411},	// QsciLexerCPP::blockStartKeyword$
    {57, 832, 412},	// QsciLexerCPP::braceStyle
    {57, 886, 414},	// QsciLexerCPP::defaultColor$
    {57, 888, 415},	// QsciLexerCPP::defaultEolFill$
    {57, 890, 416},	// QsciLexerCPP::defaultFont$
    {57, 892, 417},	// QsciLexerCPP::defaultPaper$
    {57, 896, 419},	// QsciLexerCPP::description$
    {57, 901, 427},	// QsciLexerCPP::dollarsAllowed
    {57, 961, 421},	// QsciLexerCPP::foldAtElse
    {57, 963, 422},	// QsciLexerCPP::foldComments
    {57, 964, 423},	// QsciLexerCPP::foldCompact
    {57, 971, 424},	// QsciLexerCPP::foldPreprocessor
    {57, 993, 433},	// QsciLexerCPP::highlightBackQuotedStrings
    {57, 994, 435},	// QsciLexerCPP::highlightEscapeSequences
    {57, 995, 431},	// QsciLexerCPP::highlightHashQuotedStrings
    {57, 997, 429},	// QsciLexerCPP::highlightTripleQuotedStrings
    {57, 1043, 418},	// QsciLexerCPP::keywords$
    {57, 1044, 406},	// QsciLexerCPP::language
    {57, 1049, 407},	// QsciLexerCPP::lexer
    {57, 1100, 398},	// QsciLexerCPP::metaObject
    {57, 1142, 404},	// QsciLexerCPP::qt_metacall$$?
    {57, 1144, 399},	// QsciLexerCPP::qt_metacast$
    {57, 1149, 443},	// QsciLexerCPP::readProperties#$
    {57, 1158, 420},	// QsciLexerCPP::refreshProperties
    {57, 1267, 426},	// QsciLexerCPP::setDollarsAllowed$
    {57, 1294, 438},	// QsciLexerCPP::setFoldAtElse$
    {57, 1298, 439},	// QsciLexerCPP::setFoldComments$
    {57, 1300, 440},	// QsciLexerCPP::setFoldCompact$
    {57, 1312, 441},	// QsciLexerCPP::setFoldPreprocessor$
    {57, 1330, 432},	// QsciLexerCPP::setHighlightBackQuotedStrings$
    {57, 1332, 434},	// QsciLexerCPP::setHighlightEscapeSequences$
    {57, 1334, 430},	// QsciLexerCPP::setHighlightHashQuotedStrings$
    {57, 1338, 428},	// QsciLexerCPP::setHighlightTripleQuotedStrings$
    {57, 1460, 442},	// QsciLexerCPP::setStylePreprocessor$
    {57, 1489, 436},	// QsciLexerCPP::setVerbatimStringEscapeSequencesAllowed$
    {57, 1518, 452},	// QsciLexerCPP::staticMetaObject
    {57, 1523, 425},	// QsciLexerCPP::stylePreprocessor
    {57, 1542, 445},	// QsciLexerCPP::tr$
    {57, 1543, 400},	// QsciLexerCPP::tr$$
    {57, 1544, 402},	// QsciLexerCPP::tr$$$
    {57, 1546, 446},	// QsciLexerCPP::trUtf8$
    {57, 1547, 401},	// QsciLexerCPP::trUtf8$$
    {57, 1548, 403},	// QsciLexerCPP::trUtf8$$$
    {57, 1561, 437},	// QsciLexerCPP::verbatimStringEscapeSequencesAllowed
    {57, 1572, 413},	// QsciLexerCPP::wordCharacters
    {57, 1578, 444},	// QsciLexerCPP::writeProperties#$
    {57, 1597, 509},	// QsciLexerCPP::~QsciLexerCPP
    {58, 66, 558},	// QsciLexerCSS::AtRule
    {58, 67, 562},	// QsciLexerCSS::Attribute
    {58, 107, 552},	// QsciLexerCSS::CSS1Property
    {58, 108, 561},	// QsciLexerCSS::CSS2Property
    {58, 109, 563},	// QsciLexerCSS::CSS3Property
    {58, 134, 548},	// QsciLexerCSS::ClassSelector
    {58, 139, 555},	// QsciLexerCSS::Comment
    {58, 160, 546},	// QsciLexerCSS::Default
    {58, 186, 559},	// QsciLexerCSS::DoubleQuotedString
    {58, 209, 565},	// QsciLexerCSS::ExtendedCSSProperty
    {58, 211, 566},	// QsciLexerCSS::ExtendedPseudoClass
    {58, 212, 567},	// QsciLexerCSS::ExtendedPseudoElement
    {58, 229, 531},	// QsciLexerCSS::HSSLanguage
    {58, 253, 556},	// QsciLexerCSS::IDSelector
    {58, 259, 557},	// QsciLexerCSS::Important
    {58, 327, 533},	// QsciLexerCSS::LessLanguage
    {58, 359, 568},	// QsciLexerCSS::MediaRule
    {58, 382, 551},	// QsciLexerCSS::Operator
    {58, 439, 549},	// QsciLexerCSS::PseudoClass
    {58, 440, 564},	// QsciLexerCSS::PseudoElement
    {58, 473, 542},	// QsciLexerCSS::QsciLexerCSS
    {58, 474, 517},	// QsciLexerCSS::QsciLexerCSS#
    {58, 612, 535},	// QsciLexerCSS::SCSSLanguage
    {58, 653, 560},	// QsciLexerCSS::SingleQuotedString
    {58, 699, 547},	// QsciLexerCSS::Tag
    {58, 725, 553},	// QsciLexerCSS::UnknownProperty
    {58, 726, 550},	// QsciLexerCSS::UnknownPseudoClass
    {58, 744, 554},	// QsciLexerCSS::Value
    {58, 745, 569},	// QsciLexerCSS::Variable
    {58, 822, 543},	// QsciLexerCSS::blockEnd
    {58, 823, 520},	// QsciLexerCSS::blockEnd$
    {58, 825, 544},	// QsciLexerCSS::blockStart
    {58, 826, 521},	// QsciLexerCSS::blockStart$
    {58, 886, 523},	// QsciLexerCSS::defaultColor$
    {58, 890, 524},	// QsciLexerCSS::defaultFont$
    {58, 896, 526},	// QsciLexerCSS::description$
    {58, 963, 528},	// QsciLexerCSS::foldComments
    {58, 964, 529},	// QsciLexerCSS::foldCompact
    {58, 1043, 525},	// QsciLexerCSS::keywords$
    {58, 1044, 518},	// QsciLexerCSS::language
    {58, 1049, 519},	// QsciLexerCSS::lexer
    {58, 1100, 510},	// QsciLexerCSS::metaObject
    {58, 1142, 516},	// QsciLexerCSS::qt_metacall$$?
    {58, 1144, 511},	// QsciLexerCSS::qt_metacast$
    {58, 1149, 538},	// QsciLexerCSS::readProperties#$
    {58, 1158, 527},	// QsciLexerCSS::refreshProperties
    {58, 1298, 536},	// QsciLexerCSS::setFoldComments$
    {58, 1300, 537},	// QsciLexerCSS::setFoldCompact$
    {58, 1326, 530},	// QsciLexerCSS::setHSSLanguage$
    {58, 1383, 532},	// QsciLexerCSS::setLessLanguage$
    {58, 1443, 534},	// QsciLexerCSS::setSCSSLanguage$
    {58, 1518, 545},	// QsciLexerCSS::staticMetaObject
    {58, 1542, 540},	// QsciLexerCSS::tr$
    {58, 1543, 512},	// QsciLexerCSS::tr$$
    {58, 1544, 514},	// QsciLexerCSS::tr$$$
    {58, 1546, 541},	// QsciLexerCSS::trUtf8$
    {58, 1547, 513},	// QsciLexerCSS::trUtf8$$
    {58, 1548, 515},	// QsciLexerCSS::trUtf8$$$
    {58, 1572, 522},	// QsciLexerCSS::wordCharacters
    {58, 1578, 539},	// QsciLexerCSS::writeProperties#$
    {58, 1598, 570},	// QsciLexerCSS::~QsciLexerCSS
    {59, 475, 588},	// QsciLexerCSharp::QsciLexerCSharp
    {59, 476, 578},	// QsciLexerCSharp::QsciLexerCSharp#
    {59, 886, 580},	// QsciLexerCSharp::defaultColor$
    {59, 888, 581},	// QsciLexerCSharp::defaultEolFill$
    {59, 890, 582},	// QsciLexerCSharp::defaultFont$
    {59, 892, 583},	// QsciLexerCSharp::defaultPaper$
    {59, 896, 585},	// QsciLexerCSharp::description$
    {59, 1043, 584},	// QsciLexerCSharp::keywords$
    {59, 1044, 579},	// QsciLexerCSharp::language
    {59, 1100, 571},	// QsciLexerCSharp::metaObject
    {59, 1142, 577},	// QsciLexerCSharp::qt_metacall$$?
    {59, 1144, 572},	// QsciLexerCSharp::qt_metacast$
    {59, 1518, 589},	// QsciLexerCSharp::staticMetaObject
    {59, 1542, 586},	// QsciLexerCSharp::tr$
    {59, 1543, 573},	// QsciLexerCSharp::tr$$
    {59, 1544, 575},	// QsciLexerCSharp::tr$$$
    {59, 1546, 587},	// QsciLexerCSharp::trUtf8$
    {59, 1547, 574},	// QsciLexerCSharp::trUtf8$$
    {59, 1548, 576},	// QsciLexerCSharp::trUtf8$$$
    {59, 1599, 590},	// QsciLexerCSharp::~QsciLexerCSharp
    {60, 477, 607},	// QsciLexerCustom::QsciLexerCustom
    {60, 478, 598},	// QsciLexerCustom::QsciLexerCustom#
    {60, 1100, 591},	// QsciLexerCustom::metaObject
    {60, 1142, 597},	// QsciLexerCustom::qt_metacall$$?
    {60, 1144, 592},	// QsciLexerCustom::qt_metacast$
    {60, 1277, 603},	// QsciLexerCustom::setEditor#
    {60, 1462, 600},	// QsciLexerCustom::setStyling$#
    {60, 1463, 599},	// QsciLexerCustom::setStyling$$
    {60, 1516, 608},	// QsciLexerCustom::startStyling$
    {60, 1517, 601},	// QsciLexerCustom::startStyling$$
    {60, 1518, 609},	// QsciLexerCustom::staticMetaObject
    {60, 1521, 604},	// QsciLexerCustom::styleBitsNeeded
    {60, 1525, 602},	// QsciLexerCustom::styleText$$
    {60, 1542, 605},	// QsciLexerCustom::tr$
    {60, 1543, 593},	// QsciLexerCustom::tr$$
    {60, 1544, 595},	// QsciLexerCustom::tr$$$
    {60, 1546, 606},	// QsciLexerCustom::trUtf8$
    {60, 1547, 594},	// QsciLexerCustom::trUtf8$$
    {60, 1548, 596},	// QsciLexerCustom::trUtf8$$$
    {60, 1600, 610},	// QsciLexerCustom::~QsciLexerCustom
    {61, 81, 667},	// QsciLexerD::BackquoteString
    {61, 124, 661},	// QsciLexerD::Character
    {61, 139, 650},	// QsciLexerD::Comment
    {61, 142, 652},	// QsciLexerD::CommentDoc
    {61, 143, 665},	// QsciLexerD::CommentDocKeyword
    {61, 144, 666},	// QsciLexerD::CommentDocKeywordError
    {61, 145, 651},	// QsciLexerD::CommentLine
    {61, 146, 664},	// QsciLexerD::CommentLineDoc
    {61, 148, 653},	// QsciLexerD::CommentNested
    {61, 160, 649},	// QsciLexerD::Default
    {61, 255, 663},	// QsciLexerD::Identifier
    {61, 307, 655},	// QsciLexerD::Keyword
    {61, 308, 657},	// QsciLexerD::KeywordDoc
    {61, 309, 656},	// QsciLexerD::KeywordSecondary
    {61, 312, 669},	// QsciLexerD::KeywordSet5
    {61, 313, 670},	// QsciLexerD::KeywordSet6
    {61, 314, 671},	// QsciLexerD::KeywordSet7
    {61, 378, 654},	// QsciLexerD::Number
    {61, 382, 662},	// QsciLexerD::Operator
    {61, 479, 644},	// QsciLexerD::QsciLexerD
    {61, 480, 618},	// QsciLexerD::QsciLexerD#
    {61, 556, 668},	// QsciLexerD::RawString
    {61, 672, 659},	// QsciLexerD::String
    {61, 718, 658},	// QsciLexerD::Typedefs
    {61, 721, 660},	// QsciLexerD::UnclosedString
    {61, 816, 621},	// QsciLexerD::autoCompletionWordSeparators
    {61, 822, 645},	// QsciLexerD::blockEnd
    {61, 823, 622},	// QsciLexerD::blockEnd$
    {61, 825, 646},	// QsciLexerD::blockStart
    {61, 826, 623},	// QsciLexerD::blockStart$
    {61, 827, 647},	// QsciLexerD::blockStartKeyword
    {61, 828, 624},	// QsciLexerD::blockStartKeyword$
    {61, 832, 625},	// QsciLexerD::braceStyle
    {61, 886, 627},	// QsciLexerD::defaultColor$
    {61, 888, 628},	// QsciLexerD::defaultEolFill$
    {61, 890, 629},	// QsciLexerD::defaultFont$
    {61, 892, 630},	// QsciLexerD::defaultPaper$
    {61, 896, 632},	// QsciLexerD::description$
    {61, 961, 634},	// QsciLexerD::foldAtElse
    {61, 963, 635},	// QsciLexerD::foldComments
    {61, 964, 636},	// QsciLexerD::foldCompact
    {61, 1043, 631},	// QsciLexerD::keywords$
    {61, 1044, 619},	// QsciLexerD::language
    {61, 1049, 620},	// QsciLexerD::lexer
    {61, 1100, 611},	// QsciLexerD::metaObject
    {61, 1142, 617},	// QsciLexerD::qt_metacall$$?
    {61, 1144, 612},	// QsciLexerD::qt_metacast$
    {61, 1149, 640},	// QsciLexerD::readProperties#$
    {61, 1158, 633},	// QsciLexerD::refreshProperties
    {61, 1294, 637},	// QsciLexerD::setFoldAtElse$
    {61, 1298, 638},	// QsciLexerD::setFoldComments$
    {61, 1300, 639},	// QsciLexerD::setFoldCompact$
    {61, 1518, 648},	// QsciLexerD::staticMetaObject
    {61, 1542, 642},	// QsciLexerD::tr$
    {61, 1543, 613},	// QsciLexerD::tr$$
    {61, 1544, 615},	// QsciLexerD::tr$$$
    {61, 1546, 643},	// QsciLexerD::trUtf8$
    {61, 1547, 614},	// QsciLexerD::trUtf8$$
    {61, 1548, 616},	// QsciLexerD::trUtf8$$$
    {61, 1572, 626},	// QsciLexerD::wordCharacters
    {61, 1578, 641},	// QsciLexerD::writeProperties#$
    {61, 1601, 672},	// QsciLexerD::~QsciLexerD
    {62, 138, 692},	// QsciLexerDiff::Command
    {62, 139, 691},	// QsciLexerDiff::Comment
    {62, 160, 690},	// QsciLexerDiff::Default
    {62, 237, 693},	// QsciLexerDiff::Header
    {62, 329, 696},	// QsciLexerDiff::LineAdded
    {62, 330, 697},	// QsciLexerDiff::LineChanged
    {62, 346, 695},	// QsciLexerDiff::LineRemoved
    {62, 428, 694},	// QsciLexerDiff::Position
    {62, 481, 688},	// QsciLexerDiff::QsciLexerDiff
    {62, 482, 680},	// QsciLexerDiff::QsciLexerDiff#
    {62, 886, 684},	// QsciLexerDiff::defaultColor$
    {62, 896, 685},	// QsciLexerDiff::description$
    {62, 1044, 681},	// QsciLexerDiff::language
    {62, 1049, 682},	// QsciLexerDiff::lexer
    {62, 1100, 673},	// QsciLexerDiff::metaObject
    {62, 1142, 679},	// QsciLexerDiff::qt_metacall$$?
    {62, 1144, 674},	// QsciLexerDiff::qt_metacast$
    {62, 1518, 689},	// QsciLexerDiff::staticMetaObject
    {62, 1542, 686},	// QsciLexerDiff::tr$
    {62, 1543, 675},	// QsciLexerDiff::tr$$
    {62, 1544, 677},	// QsciLexerDiff::tr$$$
    {62, 1546, 687},	// QsciLexerDiff::trUtf8$
    {62, 1547, 676},	// QsciLexerDiff::trUtf8$$
    {62, 1548, 678},	// QsciLexerDiff::trUtf8$$$
    {62, 1572, 683},	// QsciLexerDiff::wordCharacters
    {62, 1602, 698},	// QsciLexerDiff::~QsciLexerDiff
    {63, 483, 712},	// QsciLexerFortran::QsciLexerFortran
    {63, 484, 706},	// QsciLexerFortran::QsciLexerFortran#
    {63, 1043, 709},	// QsciLexerFortran::keywords$
    {63, 1044, 707},	// QsciLexerFortran::language
    {63, 1049, 708},	// QsciLexerFortran::lexer
    {63, 1100, 699},	// QsciLexerFortran::metaObject
    {63, 1142, 705},	// QsciLexerFortran::qt_metacall$$?
    {63, 1144, 700},	// QsciLexerFortran::qt_metacast$
    {63, 1518, 713},	// QsciLexerFortran::staticMetaObject
    {63, 1542, 710},	// QsciLexerFortran::tr$
    {63, 1543, 701},	// QsciLexerFortran::tr$$
    {63, 1544, 703},	// QsciLexerFortran::tr$$$
    {63, 1546, 711},	// QsciLexerFortran::trUtf8$
    {63, 1547, 702},	// QsciLexerFortran::trUtf8$$
    {63, 1548, 704},	// QsciLexerFortran::trUtf8$$$
    {63, 1603, 714},	// QsciLexerFortran::~QsciLexerFortran
    {64, 139, 742},	// QsciLexerFortran77::Comment
    {64, 150, 755},	// QsciLexerFortran77::Continuation
    {64, 160, 741},	// QsciLexerFortran77::Default
    {64, 183, 753},	// QsciLexerFortran77::DottedOperator
    {64, 186, 745},	// QsciLexerFortran77::DoubleQuotedString
    {64, 210, 751},	// QsciLexerFortran77::ExtendedFunction
    {64, 255, 748},	// QsciLexerFortran77::Identifier
    {64, 291, 750},	// QsciLexerFortran77::IntrinsicFunction
    {64, 307, 749},	// QsciLexerFortran77::Keyword
    {64, 317, 754},	// QsciLexerFortran77::Label
    {64, 378, 743},	// QsciLexerFortran77::Number
    {64, 382, 747},	// QsciLexerFortran77::Operator
    {64, 430, 752},	// QsciLexerFortran77::PreProcessor
    {64, 485, 739},	// QsciLexerFortran77::QsciLexerFortran77
    {64, 486, 722},	// QsciLexerFortran77::QsciLexerFortran77#
    {64, 653, 744},	// QsciLexerFortran77::SingleQuotedString
    {64, 721, 746},	// QsciLexerFortran77::UnclosedString
    {64, 832, 725},	// QsciLexerFortran77::braceStyle
    {64, 886, 726},	// QsciLexerFortran77::defaultColor$
    {64, 888, 727},	// QsciLexerFortran77::defaultEolFill$
    {64, 890, 728},	// QsciLexerFortran77::defaultFont$
    {64, 892, 729},	// QsciLexerFortran77::defaultPaper$
    {64, 896, 731},	// QsciLexerFortran77::description$
    {64, 964, 733},	// QsciLexerFortran77::foldCompact
    {64, 1043, 730},	// QsciLexerFortran77::keywords$
    {64, 1044, 723},	// QsciLexerFortran77::language
    {64, 1049, 724},	// QsciLexerFortran77::lexer
    {64, 1100, 715},	// QsciLexerFortran77::metaObject
    {64, 1142, 721},	// QsciLexerFortran77::qt_metacall$$?
    {64, 1144, 716},	// QsciLexerFortran77::qt_metacast$
    {64, 1149, 735},	// QsciLexerFortran77::readProperties#$
    {64, 1158, 732},	// QsciLexerFortran77::refreshProperties
    {64, 1300, 734},	// QsciLexerFortran77::setFoldCompact$
    {64, 1518, 740},	// QsciLexerFortran77::staticMetaObject
    {64, 1542, 737},	// QsciLexerFortran77::tr$
    {64, 1543, 717},	// QsciLexerFortran77::tr$$
    {64, 1544, 719},	// QsciLexerFortran77::tr$$$
    {64, 1546, 738},	// QsciLexerFortran77::trUtf8$
    {64, 1547, 718},	// QsciLexerFortran77::trUtf8$$
    {64, 1548, 720},	// QsciLexerFortran77::trUtf8$$$
    {64, 1578, 736},	// QsciLexerFortran77::writeProperties#$
    {64, 1604, 756},	// QsciLexerFortran77::~QsciLexerFortran77
    {65, 11, 811},	// QsciLexerHTML::ASPAtStart
    {65, 12, 843},	// QsciLexerHTML::ASPJavaScriptComment
    {65, 13, 845},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {65, 14, 844},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {65, 15, 842},	// QsciLexerHTML::ASPJavaScriptDefault
    {65, 16, 849},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {65, 17, 848},	// QsciLexerHTML::ASPJavaScriptKeyword
    {65, 18, 846},	// QsciLexerHTML::ASPJavaScriptNumber
    {65, 19, 853},	// QsciLexerHTML::ASPJavaScriptRegex
    {65, 20, 850},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {65, 21, 841},	// QsciLexerHTML::ASPJavaScriptStart
    {65, 22, 851},	// QsciLexerHTML::ASPJavaScriptSymbol
    {65, 23, 852},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {65, 24, 847},	// QsciLexerHTML::ASPJavaScriptWord
    {65, 25, 892},	// QsciLexerHTML::ASPPythonClassName
    {65, 26, 885},	// QsciLexerHTML::ASPPythonComment
    {65, 27, 884},	// QsciLexerHTML::ASPPythonDefault
    {65, 28, 887},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {65, 29, 893},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {65, 30, 895},	// QsciLexerHTML::ASPPythonIdentifier
    {65, 31, 889},	// QsciLexerHTML::ASPPythonKeyword
    {65, 32, 886},	// QsciLexerHTML::ASPPythonNumber
    {65, 33, 894},	// QsciLexerHTML::ASPPythonOperator
    {65, 34, 888},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {65, 35, 883},	// QsciLexerHTML::ASPPythonStart
    {65, 36, 891},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {65, 37, 890},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {65, 38, 812},	// QsciLexerHTML::ASPStart
    {65, 39, 864},	// QsciLexerHTML::ASPVBScriptComment
    {65, 40, 863},	// QsciLexerHTML::ASPVBScriptDefault
    {65, 41, 868},	// QsciLexerHTML::ASPVBScriptIdentifier
    {65, 42, 866},	// QsciLexerHTML::ASPVBScriptKeyword
    {65, 43, 865},	// QsciLexerHTML::ASPVBScriptNumber
    {65, 44, 862},	// QsciLexerHTML::ASPVBScriptStart
    {65, 45, 867},	// QsciLexerHTML::ASPVBScriptString
    {65, 46, 869},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {65, 47, 816},	// QsciLexerHTML::ASPXCComment
    {65, 67, 799},	// QsciLexerHTML::Attribute
    {65, 106, 813},	// QsciLexerHTML::CDATA
    {65, 160, 796},	// QsciLexerHTML::Default
    {65, 199, 806},	// QsciLexerHTML::Entity
    {65, 230, 805},	// QsciLexerHTML::HTMLComment
    {65, 231, 802},	// QsciLexerHTML::HTMLDoubleQuotedString
    {65, 232, 801},	// QsciLexerHTML::HTMLNumber
    {65, 233, 803},	// QsciLexerHTML::HTMLSingleQuotedString
    {65, 234, 815},	// QsciLexerHTML::HTMLValue
    {65, 293, 830},	// QsciLexerHTML::JavaScriptComment
    {65, 294, 832},	// QsciLexerHTML::JavaScriptCommentDoc
    {65, 295, 831},	// QsciLexerHTML::JavaScriptCommentLine
    {65, 296, 829},	// QsciLexerHTML::JavaScriptDefault
    {65, 297, 836},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {65, 298, 835},	// QsciLexerHTML::JavaScriptKeyword
    {65, 299, 833},	// QsciLexerHTML::JavaScriptNumber
    {65, 300, 840},	// QsciLexerHTML::JavaScriptRegex
    {65, 301, 837},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {65, 302, 828},	// QsciLexerHTML::JavaScriptStart
    {65, 303, 838},	// QsciLexerHTML::JavaScriptSymbol
    {65, 304, 839},	// QsciLexerHTML::JavaScriptUnclosedString
    {65, 305, 834},	// QsciLexerHTML::JavaScriptWord
    {65, 384, 804},	// QsciLexerHTML::OtherInTag
    {65, 385, 902},	// QsciLexerHTML::PHPComment
    {65, 386, 903},	// QsciLexerHTML::PHPCommentLine
    {65, 387, 896},	// QsciLexerHTML::PHPDefault
    {65, 388, 897},	// QsciLexerHTML::PHPDoubleQuotedString
    {65, 389, 904},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {65, 390, 899},	// QsciLexerHTML::PHPKeyword
    {65, 391, 900},	// QsciLexerHTML::PHPNumber
    {65, 392, 905},	// QsciLexerHTML::PHPOperator
    {65, 393, 898},	// QsciLexerHTML::PHPSingleQuotedString
    {65, 394, 814},	// QsciLexerHTML::PHPStart
    {65, 395, 901},	// QsciLexerHTML::PHPVariable
    {65, 441, 879},	// QsciLexerHTML::PythonClassName
    {65, 442, 872},	// QsciLexerHTML::PythonComment
    {65, 443, 871},	// QsciLexerHTML::PythonDefault
    {65, 444, 874},	// QsciLexerHTML::PythonDoubleQuotedString
    {65, 445, 880},	// QsciLexerHTML::PythonFunctionMethodName
    {65, 446, 882},	// QsciLexerHTML::PythonIdentifier
    {65, 447, 876},	// QsciLexerHTML::PythonKeyword
    {65, 448, 873},	// QsciLexerHTML::PythonNumber
    {65, 449, 881},	// QsciLexerHTML::PythonOperator
    {65, 450, 875},	// QsciLexerHTML::PythonSingleQuotedString
    {65, 451, 870},	// QsciLexerHTML::PythonStart
    {65, 452, 878},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {65, 453, 877},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {65, 487, 794},	// QsciLexerHTML::QsciLexerHTML
    {65, 488, 764},	// QsciLexerHTML::QsciLexerHTML#
    {65, 616, 827},	// QsciLexerHTML::SGMLBlockDefault
    {65, 617, 818},	// QsciLexerHTML::SGMLCommand
    {65, 618, 825},	// QsciLexerHTML::SGMLComment
    {65, 619, 817},	// QsciLexerHTML::SGMLDefault
    {65, 620, 820},	// QsciLexerHTML::SGMLDoubleQuotedString
    {65, 621, 824},	// QsciLexerHTML::SGMLEntity
    {65, 622, 822},	// QsciLexerHTML::SGMLError
    {65, 623, 819},	// QsciLexerHTML::SGMLParameter
    {65, 624, 826},	// QsciLexerHTML::SGMLParameterComment
    {65, 625, 821},	// QsciLexerHTML::SGMLSingleQuotedString
    {65, 626, 823},	// QsciLexerHTML::SGMLSpecial
    {65, 629, 810},	// QsciLexerHTML::Script
    {65, 699, 797},	// QsciLexerHTML::Tag
    {65, 724, 800},	// QsciLexerHTML::UnknownAttribute
    {65, 727, 798},	// QsciLexerHTML::UnknownTag
    {65, 730, 856},	// QsciLexerHTML::VBScriptComment
    {65, 731, 855},	// QsciLexerHTML::VBScriptDefault
    {65, 732, 860},	// QsciLexerHTML::VBScriptIdentifier
    {65, 733, 858},	// QsciLexerHTML::VBScriptKeyword
    {65, 734, 857},	// QsciLexerHTML::VBScriptNumber
    {65, 735, 854},	// QsciLexerHTML::VBScriptStart
    {65, 736, 859},	// QsciLexerHTML::VBScriptString
    {65, 737, 861},	// QsciLexerHTML::VBScriptUnclosedString
    {65, 776, 809},	// QsciLexerHTML::XMLEnd
    {65, 777, 808},	// QsciLexerHTML::XMLStart
    {65, 778, 807},	// QsciLexerHTML::XMLTagEnd
    {65, 807, 767},	// QsciLexerHTML::autoCompletionFillups
    {65, 846, 776},	// QsciLexerHTML::caseSensitiveTags
    {65, 886, 769},	// QsciLexerHTML::defaultColor$
    {65, 888, 770},	// QsciLexerHTML::defaultEolFill$
    {65, 890, 771},	// QsciLexerHTML::defaultFont$
    {65, 892, 772},	// QsciLexerHTML::defaultPaper$
    {65, 896, 774},	// QsciLexerHTML::description$
    {65, 899, 778},	// QsciLexerHTML::djangoTemplates
    {65, 964, 779},	// QsciLexerHTML::foldCompact
    {65, 971, 780},	// QsciLexerHTML::foldPreprocessor
    {65, 973, 782},	// QsciLexerHTML::foldScriptComments
    {65, 974, 784},	// QsciLexerHTML::foldScriptHeredocs
    {65, 1043, 773},	// QsciLexerHTML::keywords$
    {65, 1044, 765},	// QsciLexerHTML::language
    {65, 1049, 766},	// QsciLexerHTML::lexer
    {65, 1064, 786},	// QsciLexerHTML::makoTemplates
    {65, 1100, 757},	// QsciLexerHTML::metaObject
    {65, 1142, 763},	// QsciLexerHTML::qt_metacall$$?
    {65, 1144, 758},	// QsciLexerHTML::qt_metacast$
    {65, 1149, 790},	// QsciLexerHTML::readProperties#$
    {65, 1158, 775},	// QsciLexerHTML::refreshProperties
    {65, 1244, 789},	// QsciLexerHTML::setCaseSensitiveTags$
    {65, 1263, 777},	// QsciLexerHTML::setDjangoTemplates$
    {65, 1300, 787},	// QsciLexerHTML::setFoldCompact$
    {65, 1312, 788},	// QsciLexerHTML::setFoldPreprocessor$
    {65, 1316, 781},	// QsciLexerHTML::setFoldScriptComments$
    {65, 1318, 783},	// QsciLexerHTML::setFoldScriptHeredocs$
    {65, 1391, 785},	// QsciLexerHTML::setMakoTemplates$
    {65, 1518, 795},	// QsciLexerHTML::staticMetaObject
    {65, 1542, 792},	// QsciLexerHTML::tr$
    {65, 1543, 759},	// QsciLexerHTML::tr$$
    {65, 1544, 761},	// QsciLexerHTML::tr$$$
    {65, 1546, 793},	// QsciLexerHTML::trUtf8$
    {65, 1547, 760},	// QsciLexerHTML::trUtf8$$
    {65, 1548, 762},	// QsciLexerHTML::trUtf8$$$
    {65, 1572, 768},	// QsciLexerHTML::wordCharacters
    {65, 1578, 791},	// QsciLexerHTML::writeProperties#$
    {65, 1605, 906},	// QsciLexerHTML::~QsciLexerHTML
    {66, 489, 921},	// QsciLexerIDL::QsciLexerIDL
    {66, 490, 914},	// QsciLexerIDL::QsciLexerIDL#
    {66, 886, 916},	// QsciLexerIDL::defaultColor$
    {66, 896, 918},	// QsciLexerIDL::description$
    {66, 1043, 917},	// QsciLexerIDL::keywords$
    {66, 1044, 915},	// QsciLexerIDL::language
    {66, 1100, 907},	// QsciLexerIDL::metaObject
    {66, 1142, 913},	// QsciLexerIDL::qt_metacall$$?
    {66, 1144, 908},	// QsciLexerIDL::qt_metacast$
    {66, 1518, 922},	// QsciLexerIDL::staticMetaObject
    {66, 1542, 919},	// QsciLexerIDL::tr$
    {66, 1543, 909},	// QsciLexerIDL::tr$$
    {66, 1544, 911},	// QsciLexerIDL::tr$$$
    {66, 1546, 920},	// QsciLexerIDL::trUtf8$
    {66, 1547, 910},	// QsciLexerIDL::trUtf8$$
    {66, 1548, 912},	// QsciLexerIDL::trUtf8$$$
    {66, 1606, 923},	// QsciLexerIDL::~QsciLexerIDL
    {67, 491, 936},	// QsciLexerJava::QsciLexerJava
    {67, 492, 931},	// QsciLexerJava::QsciLexerJava#
    {67, 1043, 933},	// QsciLexerJava::keywords$
    {67, 1044, 932},	// QsciLexerJava::language
    {67, 1100, 924},	// QsciLexerJava::metaObject
    {67, 1142, 930},	// QsciLexerJava::qt_metacall$$?
    {67, 1144, 925},	// QsciLexerJava::qt_metacast$
    {67, 1518, 937},	// QsciLexerJava::staticMetaObject
    {67, 1542, 934},	// QsciLexerJava::tr$
    {67, 1543, 926},	// QsciLexerJava::tr$$
    {67, 1544, 928},	// QsciLexerJava::tr$$$
    {67, 1546, 935},	// QsciLexerJava::trUtf8$
    {67, 1547, 927},	// QsciLexerJava::trUtf8$$
    {67, 1548, 929},	// QsciLexerJava::trUtf8$$$
    {67, 1607, 938},	// QsciLexerJava::~QsciLexerJava
    {68, 493, 956},	// QsciLexerJavaScript::QsciLexerJavaScript
    {68, 494, 946},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {68, 886, 948},	// QsciLexerJavaScript::defaultColor$
    {68, 888, 949},	// QsciLexerJavaScript::defaultEolFill$
    {68, 890, 950},	// QsciLexerJavaScript::defaultFont$
    {68, 892, 951},	// QsciLexerJavaScript::defaultPaper$
    {68, 896, 953},	// QsciLexerJavaScript::description$
    {68, 1043, 952},	// QsciLexerJavaScript::keywords$
    {68, 1044, 947},	// QsciLexerJavaScript::language
    {68, 1100, 939},	// QsciLexerJavaScript::metaObject
    {68, 1142, 945},	// QsciLexerJavaScript::qt_metacall$$?
    {68, 1144, 940},	// QsciLexerJavaScript::qt_metacast$
    {68, 1518, 957},	// QsciLexerJavaScript::staticMetaObject
    {68, 1542, 954},	// QsciLexerJavaScript::tr$
    {68, 1543, 941},	// QsciLexerJavaScript::tr$$
    {68, 1544, 943},	// QsciLexerJavaScript::tr$$$
    {68, 1546, 955},	// QsciLexerJavaScript::trUtf8$
    {68, 1547, 942},	// QsciLexerJavaScript::trUtf8$$
    {68, 1548, 944},	// QsciLexerJavaScript::trUtf8$$$
    {68, 1608, 958},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {69, 90, 1000},	// QsciLexerLua::BasicFunctions
    {69, 124, 994},	// QsciLexerLua::Character
    {69, 139, 989},	// QsciLexerLua::Comment
    {69, 151, 1002},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {69, 160, 988},	// QsciLexerLua::Default
    {69, 255, 998},	// QsciLexerLua::Identifier
    {69, 307, 992},	// QsciLexerLua::Keyword
    {69, 312, 1003},	// QsciLexerLua::KeywordSet5
    {69, 313, 1004},	// QsciLexerLua::KeywordSet6
    {69, 314, 1005},	// QsciLexerLua::KeywordSet7
    {69, 315, 1006},	// QsciLexerLua::KeywordSet8
    {69, 317, 1007},	// QsciLexerLua::Label
    {69, 331, 990},	// QsciLexerLua::LineComment
    {69, 354, 995},	// QsciLexerLua::LiteralString
    {69, 378, 991},	// QsciLexerLua::Number
    {69, 382, 997},	// QsciLexerLua::Operator
    {69, 436, 996},	// QsciLexerLua::Preprocessor
    {69, 495, 985},	// QsciLexerLua::QsciLexerLua
    {69, 496, 966},	// QsciLexerLua::QsciLexerLua#
    {69, 672, 993},	// QsciLexerLua::String
    {69, 675, 1001},	// QsciLexerLua::StringTableMathsFunctions
    {69, 721, 999},	// QsciLexerLua::UnclosedString
    {69, 816, 969},	// QsciLexerLua::autoCompletionWordSeparators
    {69, 825, 986},	// QsciLexerLua::blockStart
    {69, 826, 970},	// QsciLexerLua::blockStart$
    {69, 832, 971},	// QsciLexerLua::braceStyle
    {69, 886, 972},	// QsciLexerLua::defaultColor$
    {69, 888, 973},	// QsciLexerLua::defaultEolFill$
    {69, 890, 974},	// QsciLexerLua::defaultFont$
    {69, 892, 975},	// QsciLexerLua::defaultPaper$
    {69, 896, 977},	// QsciLexerLua::description$
    {69, 964, 979},	// QsciLexerLua::foldCompact
    {69, 1043, 976},	// QsciLexerLua::keywords$
    {69, 1044, 967},	// QsciLexerLua::language
    {69, 1049, 968},	// QsciLexerLua::lexer
    {69, 1100, 959},	// QsciLexerLua::metaObject
    {69, 1142, 965},	// QsciLexerLua::qt_metacall$$?
    {69, 1144, 960},	// QsciLexerLua::qt_metacast$
    {69, 1149, 981},	// QsciLexerLua::readProperties#$
    {69, 1158, 978},	// QsciLexerLua::refreshProperties
    {69, 1300, 980},	// QsciLexerLua::setFoldCompact$
    {69, 1518, 987},	// QsciLexerLua::staticMetaObject
    {69, 1542, 983},	// QsciLexerLua::tr$
    {69, 1543, 961},	// QsciLexerLua::tr$$
    {69, 1544, 963},	// QsciLexerLua::tr$$$
    {69, 1546, 984},	// QsciLexerLua::trUtf8$
    {69, 1547, 962},	// QsciLexerLua::trUtf8$$
    {69, 1548, 964},	// QsciLexerLua::trUtf8$$$
    {69, 1578, 982},	// QsciLexerLua::writeProperties#$
    {69, 1609, 1008},	// QsciLexerLua::~QsciLexerLua
    {70, 139, 1030},	// QsciLexerMakefile::Comment
    {70, 160, 1029},	// QsciLexerMakefile::Default
    {70, 205, 1035},	// QsciLexerMakefile::Error
    {70, 382, 1033},	// QsciLexerMakefile::Operator
    {70, 436, 1031},	// QsciLexerMakefile::Preprocessor
    {70, 497, 1027},	// QsciLexerMakefile::QsciLexerMakefile
    {70, 498, 1016},	// QsciLexerMakefile::QsciLexerMakefile#
    {70, 700, 1034},	// QsciLexerMakefile::Target
    {70, 745, 1032},	// QsciLexerMakefile::Variable
    {70, 886, 1020},	// QsciLexerMakefile::defaultColor$
    {70, 888, 1021},	// QsciLexerMakefile::defaultEolFill$
    {70, 890, 1022},	// QsciLexerMakefile::defaultFont$
    {70, 892, 1023},	// QsciLexerMakefile::defaultPaper$
    {70, 896, 1024},	// QsciLexerMakefile::description$
    {70, 1044, 1017},	// QsciLexerMakefile::language
    {70, 1049, 1018},	// QsciLexerMakefile::lexer
    {70, 1100, 1009},	// QsciLexerMakefile::metaObject
    {70, 1142, 1015},	// QsciLexerMakefile::qt_metacall$$?
    {70, 1144, 1010},	// QsciLexerMakefile::qt_metacast$
    {70, 1518, 1028},	// QsciLexerMakefile::staticMetaObject
    {70, 1542, 1025},	// QsciLexerMakefile::tr$
    {70, 1543, 1011},	// QsciLexerMakefile::tr$$
    {70, 1544, 1013},	// QsciLexerMakefile::tr$$$
    {70, 1546, 1026},	// QsciLexerMakefile::trUtf8$
    {70, 1547, 1012},	// QsciLexerMakefile::trUtf8$$
    {70, 1548, 1014},	// QsciLexerMakefile::trUtf8$$$
    {70, 1572, 1019},	// QsciLexerMakefile::wordCharacters
    {70, 1610, 1036},	// QsciLexerMakefile::~QsciLexerMakefile
    {71, 87, 1077},	// QsciLexerPOV::BadDirective
    {71, 139, 1069},	// QsciLexerPOV::Comment
    {71, 145, 1070},	// QsciLexerPOV::CommentLine
    {71, 160, 1068},	// QsciLexerPOV::Default
    {71, 175, 1076},	// QsciLexerPOV::Directive
    {71, 255, 1073},	// QsciLexerPOV::Identifier
    {71, 313, 1082},	// QsciLexerPOV::KeywordSet6
    {71, 314, 1083},	// QsciLexerPOV::KeywordSet7
    {71, 315, 1084},	// QsciLexerPOV::KeywordSet8
    {71, 378, 1071},	// QsciLexerPOV::Number
    {71, 380, 1078},	// QsciLexerPOV::ObjectsCSGAppearance
    {71, 382, 1072},	// QsciLexerPOV::Operator
    {71, 434, 1081},	// QsciLexerPOV::PredefinedFunctions
    {71, 435, 1080},	// QsciLexerPOV::PredefinedIdentifiers
    {71, 499, 1066},	// QsciLexerPOV::QsciLexerPOV
    {71, 500, 1044},	// QsciLexerPOV::QsciLexerPOV#
    {71, 672, 1074},	// QsciLexerPOV::String
    {71, 719, 1079},	// QsciLexerPOV::TypesModifiersItems
    {71, 721, 1075},	// QsciLexerPOV::UnclosedString
    {71, 832, 1047},	// QsciLexerPOV::braceStyle
    {71, 886, 1049},	// QsciLexerPOV::defaultColor$
    {71, 888, 1050},	// QsciLexerPOV::defaultEolFill$
    {71, 890, 1051},	// QsciLexerPOV::defaultFont$
    {71, 892, 1052},	// QsciLexerPOV::defaultPaper$
    {71, 896, 1054},	// QsciLexerPOV::description$
    {71, 963, 1056},	// QsciLexerPOV::foldComments
    {71, 964, 1057},	// QsciLexerPOV::foldCompact
    {71, 965, 1058},	// QsciLexerPOV::foldDirectives
    {71, 1043, 1053},	// QsciLexerPOV::keywords$
    {71, 1044, 1045},	// QsciLexerPOV::language
    {71, 1049, 1046},	// QsciLexerPOV::lexer
    {71, 1100, 1037},	// QsciLexerPOV::metaObject
    {71, 1142, 1043},	// QsciLexerPOV::qt_metacall$$?
    {71, 1144, 1038},	// QsciLexerPOV::qt_metacast$
    {71, 1149, 1062},	// QsciLexerPOV::readProperties#$
    {71, 1158, 1055},	// QsciLexerPOV::refreshProperties
    {71, 1298, 1059},	// QsciLexerPOV::setFoldComments$
    {71, 1300, 1060},	// QsciLexerPOV::setFoldCompact$
    {71, 1302, 1061},	// QsciLexerPOV::setFoldDirectives$
    {71, 1518, 1067},	// QsciLexerPOV::staticMetaObject
    {71, 1542, 1064},	// QsciLexerPOV::tr$
    {71, 1543, 1039},	// QsciLexerPOV::tr$$
    {71, 1544, 1041},	// QsciLexerPOV::tr$$$
    {71, 1546, 1065},	// QsciLexerPOV::trUtf8$
    {71, 1547, 1040},	// QsciLexerPOV::trUtf8$$
    {71, 1548, 1042},	// QsciLexerPOV::trUtf8$$$
    {71, 1572, 1048},	// QsciLexerPOV::wordCharacters
    {71, 1578, 1063},	// QsciLexerPOV::writeProperties#$
    {71, 1611, 1085},	// QsciLexerPOV::~QsciLexerPOV
    {72, 64, 1139},	// QsciLexerPascal::Asm
    {72, 124, 1137},	// QsciLexerPascal::Character
    {72, 139, 1127},	// QsciLexerPascal::Comment
    {72, 145, 1129},	// QsciLexerPascal::CommentLine
    {72, 149, 1128},	// QsciLexerPascal::CommentParenthesis
    {72, 160, 1125},	// QsciLexerPascal::Default
    {72, 240, 1133},	// QsciLexerPascal::HexNumber
    {72, 255, 1126},	// QsciLexerPascal::Identifier
    {72, 307, 1134},	// QsciLexerPascal::Keyword
    {72, 378, 1132},	// QsciLexerPascal::Number
    {72, 382, 1138},	// QsciLexerPascal::Operator
    {72, 430, 1130},	// QsciLexerPascal::PreProcessor
    {72, 433, 1131},	// QsciLexerPascal::PreProcessorParenthesis
    {72, 501, 1120},	// QsciLexerPascal::QsciLexerPascal
    {72, 502, 1093},	// QsciLexerPascal::QsciLexerPascal#
    {72, 653, 1135},	// QsciLexerPascal::SingleQuotedString
    {72, 721, 1136},	// QsciLexerPascal::UnclosedString
    {72, 816, 1096},	// QsciLexerPascal::autoCompletionWordSeparators
    {72, 822, 1121},	// QsciLexerPascal::blockEnd
    {72, 823, 1097},	// QsciLexerPascal::blockEnd$
    {72, 825, 1122},	// QsciLexerPascal::blockStart
    {72, 826, 1098},	// QsciLexerPascal::blockStart$
    {72, 827, 1123},	// QsciLexerPascal::blockStartKeyword
    {72, 828, 1099},	// QsciLexerPascal::blockStartKeyword$
    {72, 832, 1100},	// QsciLexerPascal::braceStyle
    {72, 886, 1101},	// QsciLexerPascal::defaultColor$
    {72, 888, 1102},	// QsciLexerPascal::defaultEolFill$
    {72, 890, 1103},	// QsciLexerPascal::defaultFont$
    {72, 892, 1104},	// QsciLexerPascal::defaultPaper$
    {72, 896, 1106},	// QsciLexerPascal::description$
    {72, 963, 1108},	// QsciLexerPascal::foldComments
    {72, 964, 1109},	// QsciLexerPascal::foldCompact
    {72, 971, 1110},	// QsciLexerPascal::foldPreprocessor
    {72, 1043, 1105},	// QsciLexerPascal::keywords$
    {72, 1044, 1094},	// QsciLexerPascal::language
    {72, 1049, 1095},	// QsciLexerPascal::lexer
    {72, 1100, 1086},	// QsciLexerPascal::metaObject
    {72, 1142, 1092},	// QsciLexerPascal::qt_metacall$$?
    {72, 1144, 1087},	// QsciLexerPascal::qt_metacast$
    {72, 1149, 1116},	// QsciLexerPascal::readProperties#$
    {72, 1158, 1107},	// QsciLexerPascal::refreshProperties
    {72, 1298, 1113},	// QsciLexerPascal::setFoldComments$
    {72, 1300, 1114},	// QsciLexerPascal::setFoldCompact$
    {72, 1312, 1115},	// QsciLexerPascal::setFoldPreprocessor$
    {72, 1456, 1111},	// QsciLexerPascal::setSmartHighlighting$
    {72, 1512, 1112},	// QsciLexerPascal::smartHighlighting
    {72, 1518, 1124},	// QsciLexerPascal::staticMetaObject
    {72, 1542, 1118},	// QsciLexerPascal::tr$
    {72, 1543, 1088},	// QsciLexerPascal::tr$$
    {72, 1544, 1090},	// QsciLexerPascal::tr$$$
    {72, 1546, 1119},	// QsciLexerPascal::trUtf8$
    {72, 1547, 1089},	// QsciLexerPascal::trUtf8$$
    {72, 1548, 1091},	// QsciLexerPascal::trUtf8$$$
    {72, 1578, 1117},	// QsciLexerPascal::writeProperties#$
    {72, 1612, 1140},	// QsciLexerPascal::~QsciLexerPascal
    {73, 62, 1192},	// QsciLexerPerl::Array
    {73, 83, 1202},	// QsciLexerPerl::BacktickHereDocument
    {73, 84, 1218},	// QsciLexerPerl::BacktickHereDocumentVar
    {73, 85, 1197},	// QsciLexerPerl::Backticks
    {73, 86, 1216},	// QsciLexerPerl::BackticksVar
    {73, 139, 1183},	// QsciLexerPerl::Comment
    {73, 158, 1198},	// QsciLexerPerl::DataSection
    {73, 160, 1181},	// QsciLexerPerl::Default
    {73, 184, 1201},	// QsciLexerPerl::DoubleQuotedHereDocument
    {73, 185, 1217},	// QsciLexerPerl::DoubleQuotedHereDocumentVar
    {73, 186, 1187},	// QsciLexerPerl::DoubleQuotedString
    {73, 187, 1212},	// QsciLexerPerl::DoubleQuotedStringVar
    {73, 205, 1182},	// QsciLexerPerl::Error
    {73, 217, 1211},	// QsciLexerPerl::FormatBody
    {73, 218, 1210},	// QsciLexerPerl::FormatIdentifier
    {73, 235, 1193},	// QsciLexerPerl::Hash
    {73, 239, 1199},	// QsciLexerPerl::HereDocumentDelimiter
    {73, 255, 1190},	// QsciLexerPerl::Identifier
    {73, 307, 1186},	// QsciLexerPerl::Keyword
    {73, 378, 1185},	// QsciLexerPerl::Number
    {73, 382, 1189},	// QsciLexerPerl::Operator
    {73, 396, 1184},	// QsciLexerPerl::POD
    {73, 397, 1208},	// QsciLexerPerl::PODVerbatim
    {73, 503, 1177},	// QsciLexerPerl::QsciLexerPerl
    {73, 504, 1148},	// QsciLexerPerl::QsciLexerPerl#
    {73, 547, 1203},	// QsciLexerPerl::QuotedStringQ
    {73, 548, 1204},	// QsciLexerPerl::QuotedStringQQ
    {73, 549, 1219},	// QsciLexerPerl::QuotedStringQQVar
    {73, 550, 1206},	// QsciLexerPerl::QuotedStringQR
    {73, 551, 1221},	// QsciLexerPerl::QuotedStringQRVar
    {73, 552, 1207},	// QsciLexerPerl::QuotedStringQW
    {73, 553, 1205},	// QsciLexerPerl::QuotedStringQX
    {73, 554, 1220},	// QsciLexerPerl::QuotedStringQXVar
    {73, 560, 1195},	// QsciLexerPerl::Regex
    {73, 561, 1214},	// QsciLexerPerl::RegexVar
    {73, 627, 1191},	// QsciLexerPerl::Scalar
    {73, 652, 1200},	// QsciLexerPerl::SingleQuotedHereDocument
    {73, 653, 1188},	// QsciLexerPerl::SingleQuotedString
    {73, 682, 1209},	// QsciLexerPerl::SubroutinePrototype
    {73, 683, 1196},	// QsciLexerPerl::Substitution
    {73, 685, 1215},	// QsciLexerPerl::SubstitutionVar
    {73, 691, 1194},	// QsciLexerPerl::SymbolTable
    {73, 714, 1213},	// QsciLexerPerl::Translation
    {73, 816, 1151},	// QsciLexerPerl::autoCompletionWordSeparators
    {73, 822, 1178},	// QsciLexerPerl::blockEnd
    {73, 823, 1152},	// QsciLexerPerl::blockEnd$
    {73, 825, 1179},	// QsciLexerPerl::blockStart
    {73, 826, 1153},	// QsciLexerPerl::blockStart$
    {73, 832, 1154},	// QsciLexerPerl::braceStyle
    {73, 886, 1156},	// QsciLexerPerl::defaultColor$
    {73, 888, 1157},	// QsciLexerPerl::defaultEolFill$
    {73, 890, 1158},	// QsciLexerPerl::defaultFont$
    {73, 892, 1159},	// QsciLexerPerl::defaultPaper$
    {73, 896, 1161},	// QsciLexerPerl::description$
    {73, 961, 1164},	// QsciLexerPerl::foldAtElse
    {73, 963, 1165},	// QsciLexerPerl::foldComments
    {73, 964, 1166},	// QsciLexerPerl::foldCompact
    {73, 969, 1170},	// QsciLexerPerl::foldPODBlocks
    {73, 970, 1168},	// QsciLexerPerl::foldPackages
    {73, 1043, 1160},	// QsciLexerPerl::keywords$
    {73, 1044, 1149},	// QsciLexerPerl::language
    {73, 1049, 1150},	// QsciLexerPerl::lexer
    {73, 1100, 1141},	// QsciLexerPerl::metaObject
    {73, 1142, 1147},	// QsciLexerPerl::qt_metacall$$?
    {73, 1144, 1142},	// QsciLexerPerl::qt_metacast$
    {73, 1149, 1173},	// QsciLexerPerl::readProperties#$
    {73, 1158, 1162},	// QsciLexerPerl::refreshProperties
    {73, 1294, 1163},	// QsciLexerPerl::setFoldAtElse$
    {73, 1298, 1171},	// QsciLexerPerl::setFoldComments$
    {73, 1300, 1172},	// QsciLexerPerl::setFoldCompact$
    {73, 1308, 1169},	// QsciLexerPerl::setFoldPODBlocks$
    {73, 1310, 1167},	// QsciLexerPerl::setFoldPackages$
    {73, 1518, 1180},	// QsciLexerPerl::staticMetaObject
    {73, 1542, 1175},	// QsciLexerPerl::tr$
    {73, 1543, 1143},	// QsciLexerPerl::tr$$
    {73, 1544, 1145},	// QsciLexerPerl::tr$$$
    {73, 1546, 1176},	// QsciLexerPerl::trUtf8$
    {73, 1547, 1144},	// QsciLexerPerl::trUtf8$$
    {73, 1548, 1146},	// QsciLexerPerl::trUtf8$$$
    {73, 1572, 1155},	// QsciLexerPerl::wordCharacters
    {73, 1578, 1174},	// QsciLexerPerl::writeProperties#$
    {73, 1613, 1222},	// QsciLexerPerl::~QsciLexerPerl
    {74, 63, 1263},	// QsciLexerPostScript::ArrayParenthesis
    {74, 88, 1269},	// QsciLexerPostScript::BadStringCharacter
    {74, 89, 1268},	// QsciLexerPostScript::Base85String
    {74, 139, 1255},	// QsciLexerPostScript::Comment
    {74, 155, 1256},	// QsciLexerPostScript::DSCComment
    {74, 156, 1257},	// QsciLexerPostScript::DSCCommentValue
    {74, 160, 1254},	// QsciLexerPostScript::Default
    {74, 173, 1264},	// QsciLexerPostScript::DictionaryParenthesis
    {74, 241, 1267},	// QsciLexerPostScript::HexString
    {74, 258, 1262},	// QsciLexerPostScript::ImmediateEvalLiteral
    {74, 307, 1260},	// QsciLexerPostScript::Keyword
    {74, 353, 1261},	// QsciLexerPostScript::Literal
    {74, 371, 1259},	// QsciLexerPostScript::Name
    {74, 378, 1258},	// QsciLexerPostScript::Number
    {74, 438, 1265},	// QsciLexerPostScript::ProcedureParenthesis
    {74, 505, 1252},	// QsciLexerPostScript::QsciLexerPostScript
    {74, 506, 1230},	// QsciLexerPostScript::QsciLexerPostScript#
    {74, 702, 1266},	// QsciLexerPostScript::Text
    {74, 832, 1233},	// QsciLexerPostScript::braceStyle
    {74, 886, 1234},	// QsciLexerPostScript::defaultColor$
    {74, 890, 1235},	// QsciLexerPostScript::defaultFont$
    {74, 892, 1236},	// QsciLexerPostScript::defaultPaper$
    {74, 896, 1238},	// QsciLexerPostScript::description$
    {74, 961, 1243},	// QsciLexerPostScript::foldAtElse
    {74, 964, 1242},	// QsciLexerPostScript::foldCompact
    {74, 1043, 1237},	// QsciLexerPostScript::keywords$
    {74, 1044, 1231},	// QsciLexerPostScript::language
    {74, 1048, 1241},	// QsciLexerPostScript::level
    {74, 1049, 1232},	// QsciLexerPostScript::lexer
    {74, 1100, 1223},	// QsciLexerPostScript::metaObject
    {74, 1142, 1229},	// QsciLexerPostScript::qt_metacall$$?
    {74, 1144, 1224},	// QsciLexerPostScript::qt_metacast$
    {74, 1149, 1248},	// QsciLexerPostScript::readProperties#$
    {74, 1158, 1239},	// QsciLexerPostScript::refreshProperties
    {74, 1294, 1247},	// QsciLexerPostScript::setFoldAtElse$
    {74, 1300, 1246},	// QsciLexerPostScript::setFoldCompact$
    {74, 1385, 1245},	// QsciLexerPostScript::setLevel$
    {74, 1473, 1244},	// QsciLexerPostScript::setTokenize$
    {74, 1518, 1253},	// QsciLexerPostScript::staticMetaObject
    {74, 1540, 1240},	// QsciLexerPostScript::tokenize
    {74, 1542, 1250},	// QsciLexerPostScript::tr$
    {74, 1543, 1225},	// QsciLexerPostScript::tr$$
    {74, 1544, 1227},	// QsciLexerPostScript::tr$$$
    {74, 1546, 1251},	// QsciLexerPostScript::trUtf8$
    {74, 1547, 1226},	// QsciLexerPostScript::trUtf8$$
    {74, 1548, 1228},	// QsciLexerPostScript::trUtf8$$$
    {74, 1578, 1249},	// QsciLexerPostScript::writeProperties#$
    {74, 1614, 1270},	// QsciLexerPostScript::~QsciLexerPostScript
    {75, 65, 1301},	// QsciLexerProperties::Assignment
    {75, 139, 1299},	// QsciLexerProperties::Comment
    {75, 160, 1298},	// QsciLexerProperties::Default
    {75, 161, 1302},	// QsciLexerProperties::DefaultValue
    {75, 306, 1303},	// QsciLexerProperties::Key
    {75, 507, 1296},	// QsciLexerProperties::QsciLexerProperties
    {75, 508, 1278},	// QsciLexerProperties::QsciLexerProperties#
    {75, 632, 1300},	// QsciLexerProperties::Section
    {75, 886, 1282},	// QsciLexerProperties::defaultColor$
    {75, 888, 1283},	// QsciLexerProperties::defaultEolFill$
    {75, 890, 1284},	// QsciLexerProperties::defaultFont$
    {75, 892, 1285},	// QsciLexerProperties::defaultPaper$
    {75, 896, 1286},	// QsciLexerProperties::description$
    {75, 964, 1288},	// QsciLexerProperties::foldCompact
    {75, 1017, 1290},	// QsciLexerProperties::initialSpaces
    {75, 1044, 1279},	// QsciLexerProperties::language
    {75, 1049, 1280},	// QsciLexerProperties::lexer
    {75, 1100, 1271},	// QsciLexerProperties::metaObject
    {75, 1142, 1277},	// QsciLexerProperties::qt_metacall$$?
    {75, 1144, 1272},	// QsciLexerProperties::qt_metacast$
    {75, 1149, 1292},	// QsciLexerProperties::readProperties#$
    {75, 1158, 1287},	// QsciLexerProperties::refreshProperties
    {75, 1300, 1291},	// QsciLexerProperties::setFoldCompact$
    {75, 1379, 1289},	// QsciLexerProperties::setInitialSpaces$
    {75, 1518, 1297},	// QsciLexerProperties::staticMetaObject
    {75, 1542, 1294},	// QsciLexerProperties::tr$
    {75, 1543, 1273},	// QsciLexerProperties::tr$$
    {75, 1544, 1275},	// QsciLexerProperties::tr$$$
    {75, 1546, 1295},	// QsciLexerProperties::trUtf8$
    {75, 1547, 1274},	// QsciLexerProperties::trUtf8$$
    {75, 1548, 1276},	// QsciLexerProperties::trUtf8$$$
    {75, 1572, 1281},	// QsciLexerProperties::wordCharacters
    {75, 1578, 1293},	// QsciLexerProperties::writeProperties#$
    {75, 1615, 1304},	// QsciLexerProperties::~QsciLexerProperties
    {76, 133, 1360},	// QsciLexerPython::ClassName
    {76, 139, 1353},	// QsciLexerPython::Comment
    {76, 140, 1364},	// QsciLexerPython::CommentBlock
    {76, 159, 1367},	// QsciLexerPython::Decorator
    {76, 160, 1352},	// QsciLexerPython::Default
    {76, 186, 1355},	// QsciLexerPython::DoubleQuotedString
    {76, 223, 1361},	// QsciLexerPython::FunctionMethodName
    {76, 245, 1366},	// QsciLexerPython::HighlightedIdentifier
    {76, 255, 1363},	// QsciLexerPython::Identifier
    {76, 289, 1369},	// QsciLexerPython::Inconsistent
    {76, 307, 1357},	// QsciLexerPython::Keyword
    {76, 377, 1368},	// QsciLexerPython::NoWarning
    {76, 378, 1354},	// QsciLexerPython::Number
    {76, 382, 1362},	// QsciLexerPython::Operator
    {76, 509, 1349},	// QsciLexerPython::QsciLexerPython
    {76, 510, 1312},	// QsciLexerPython::QsciLexerPython#
    {76, 653, 1356},	// QsciLexerPython::SingleQuotedString
    {76, 657, 1371},	// QsciLexerPython::Spaces
    {76, 697, 1372},	// QsciLexerPython::Tabs
    {76, 698, 1370},	// QsciLexerPython::TabsAfterSpaces
    {76, 715, 1359},	// QsciLexerPython::TripleDoubleQuotedString
    {76, 717, 1358},	// QsciLexerPython::TripleSingleQuotedString
    {76, 721, 1365},	// QsciLexerPython::UnclosedString
    {76, 816, 1315},	// QsciLexerPython::autoCompletionWordSeparators
    {76, 824, 1316},	// QsciLexerPython::blockLookback
    {76, 825, 1350},	// QsciLexerPython::blockStart
    {76, 826, 1317},	// QsciLexerPython::blockStart$
    {76, 832, 1318},	// QsciLexerPython::braceStyle
    {76, 886, 1319},	// QsciLexerPython::defaultColor$
    {76, 888, 1320},	// QsciLexerPython::defaultEolFill$
    {76, 890, 1321},	// QsciLexerPython::defaultFont$
    {76, 892, 1322},	// QsciLexerPython::defaultPaper$
    {76, 896, 1325},	// QsciLexerPython::description$
    {76, 963, 1327},	// QsciLexerPython::foldComments
    {76, 964, 1329},	// QsciLexerPython::foldCompact
    {76, 972, 1330},	// QsciLexerPython::foldQuotes
    {76, 996, 1333},	// QsciLexerPython::highlightSubidentifiers
    {76, 1003, 1323},	// QsciLexerPython::indentationGuideView
    {76, 1005, 1331},	// QsciLexerPython::indentationWarning
    {76, 1043, 1324},	// QsciLexerPython::keywords$
    {76, 1044, 1313},	// QsciLexerPython::language
    {76, 1049, 1314},	// QsciLexerPython::lexer
    {76, 1100, 1305},	// QsciLexerPython::metaObject
    {76, 1142, 1311},	// QsciLexerPython::qt_metacall$$?
    {76, 1144, 1306},	// QsciLexerPython::qt_metacast$
    {76, 1149, 1345},	// QsciLexerPython::readProperties#$
    {76, 1158, 1326},	// QsciLexerPython::refreshProperties
    {76, 1298, 1342},	// QsciLexerPython::setFoldComments$
    {76, 1300, 1328},	// QsciLexerPython::setFoldCompact$
    {76, 1314, 1343},	// QsciLexerPython::setFoldQuotes$
    {76, 1336, 1332},	// QsciLexerPython::setHighlightSubidentifiers$
    {76, 1358, 1344},	// QsciLexerPython::setIndentationWarning$
    {76, 1458, 1334},	// QsciLexerPython::setStringsOverNewlineAllowed$
    {76, 1483, 1336},	// QsciLexerPython::setV2UnicodeAllowed$
    {76, 1485, 1338},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {76, 1487, 1340},	// QsciLexerPython::setV3BytesAllowed$
    {76, 1518, 1351},	// QsciLexerPython::staticMetaObject
    {76, 1519, 1335},	// QsciLexerPython::stringsOverNewlineAllowed
    {76, 1542, 1347},	// QsciLexerPython::tr$
    {76, 1543, 1307},	// QsciLexerPython::tr$$
    {76, 1544, 1309},	// QsciLexerPython::tr$$$
    {76, 1546, 1348},	// QsciLexerPython::trUtf8$
    {76, 1547, 1308},	// QsciLexerPython::trUtf8$$
    {76, 1548, 1310},	// QsciLexerPython::trUtf8$$$
    {76, 1556, 1337},	// QsciLexerPython::v2UnicodeAllowed
    {76, 1557, 1339},	// QsciLexerPython::v3BinaryOctalAllowed
    {76, 1558, 1341},	// QsciLexerPython::v3BytesAllowed
    {76, 1578, 1346},	// QsciLexerPython::writeProperties#$
    {76, 1616, 1373},	// QsciLexerPython::~QsciLexerPython
    {77, 85, 1426},	// QsciLexerRuby::Backticks
    {77, 133, 1416},	// QsciLexerRuby::ClassName
    {77, 135, 1425},	// QsciLexerRuby::ClassVariable
    {77, 139, 1410},	// QsciLexerRuby::Comment
    {77, 158, 1427},	// QsciLexerRuby::DataSection
    {77, 160, 1408},	// QsciLexerRuby::Default
    {77, 170, 1435},	// QsciLexerRuby::DemotedKeyword
    {77, 186, 1414},	// QsciLexerRuby::DoubleQuotedString
    {77, 205, 1409},	// QsciLexerRuby::Error
    {77, 223, 1417},	// QsciLexerRuby::FunctionMethodName
    {77, 224, 1421},	// QsciLexerRuby::Global
    {77, 238, 1429},	// QsciLexerRuby::HereDocument
    {77, 239, 1428},	// QsciLexerRuby::HereDocumentDelimiter
    {77, 255, 1419},	// QsciLexerRuby::Identifier
    {77, 290, 1424},	// QsciLexerRuby::InstanceVariable
    {77, 307, 1413},	// QsciLexerRuby::Keyword
    {77, 366, 1423},	// QsciLexerRuby::ModuleName
    {77, 378, 1412},	// QsciLexerRuby::Number
    {77, 382, 1418},	// QsciLexerRuby::Operator
    {77, 396, 1411},	// QsciLexerRuby::POD
    {77, 413, 1431},	// QsciLexerRuby::PercentStringQ
    {77, 414, 1430},	// QsciLexerRuby::PercentStringq
    {77, 415, 1433},	// QsciLexerRuby::PercentStringr
    {77, 416, 1434},	// QsciLexerRuby::PercentStringw
    {77, 417, 1432},	// QsciLexerRuby::PercentStringx
    {77, 511, 1403},	// QsciLexerRuby::QsciLexerRuby
    {77, 512, 1381},	// QsciLexerRuby::QsciLexerRuby#
    {77, 560, 1420},	// QsciLexerRuby::Regex
    {77, 653, 1415},	// QsciLexerRuby::SingleQuotedString
    {77, 666, 1438},	// QsciLexerRuby::Stderr
    {77, 667, 1436},	// QsciLexerRuby::Stdin
    {77, 668, 1437},	// QsciLexerRuby::Stdout
    {77, 687, 1422},	// QsciLexerRuby::Symbol
    {77, 822, 1404},	// QsciLexerRuby::blockEnd
    {77, 823, 1384},	// QsciLexerRuby::blockEnd$
    {77, 825, 1405},	// QsciLexerRuby::blockStart
    {77, 826, 1385},	// QsciLexerRuby::blockStart$
    {77, 827, 1406},	// QsciLexerRuby::blockStartKeyword
    {77, 828, 1386},	// QsciLexerRuby::blockStartKeyword$
    {77, 832, 1387},	// QsciLexerRuby::braceStyle
    {77, 886, 1388},	// QsciLexerRuby::defaultColor$
    {77, 888, 1389},	// QsciLexerRuby::defaultEolFill$
    {77, 890, 1390},	// QsciLexerRuby::defaultFont$
    {77, 892, 1391},	// QsciLexerRuby::defaultPaper$
    {77, 896, 1393},	// QsciLexerRuby::description$
    {77, 963, 1396},	// QsciLexerRuby::foldComments
    {77, 964, 1398},	// QsciLexerRuby::foldCompact
    {77, 1043, 1392},	// QsciLexerRuby::keywords$
    {77, 1044, 1382},	// QsciLexerRuby::language
    {77, 1049, 1383},	// QsciLexerRuby::lexer
    {77, 1100, 1374},	// QsciLexerRuby::metaObject
    {77, 1142, 1380},	// QsciLexerRuby::qt_metacall$$?
    {77, 1144, 1375},	// QsciLexerRuby::qt_metacast$
    {77, 1149, 1399},	// QsciLexerRuby::readProperties#$
    {77, 1158, 1394},	// QsciLexerRuby::refreshProperties
    {77, 1298, 1395},	// QsciLexerRuby::setFoldComments$
    {77, 1300, 1397},	// QsciLexerRuby::setFoldCompact$
    {77, 1518, 1407},	// QsciLexerRuby::staticMetaObject
    {77, 1542, 1401},	// QsciLexerRuby::tr$
    {77, 1543, 1376},	// QsciLexerRuby::tr$$
    {77, 1544, 1378},	// QsciLexerRuby::tr$$$
    {77, 1546, 1402},	// QsciLexerRuby::trUtf8$
    {77, 1547, 1377},	// QsciLexerRuby::trUtf8$$
    {77, 1548, 1379},	// QsciLexerRuby::trUtf8$$$
    {77, 1578, 1400},	// QsciLexerRuby::writeProperties#$
    {77, 1617, 1439},	// QsciLexerRuby::~QsciLexerRuby
    {78, 139, 1481},	// QsciLexerSQL::Comment
    {78, 142, 1483},	// QsciLexerSQL::CommentDoc
    {78, 143, 1494},	// QsciLexerSQL::CommentDocKeyword
    {78, 144, 1495},	// QsciLexerSQL::CommentDocKeywordError
    {78, 145, 1482},	// QsciLexerSQL::CommentLine
    {78, 147, 1493},	// QsciLexerSQL::CommentLineHash
    {78, 160, 1480},	// QsciLexerSQL::Default
    {78, 186, 1486},	// QsciLexerSQL::DoubleQuotedString
    {78, 255, 1491},	// QsciLexerSQL::Identifier
    {78, 307, 1485},	// QsciLexerSQL::Keyword
    {78, 312, 1496},	// QsciLexerSQL::KeywordSet5
    {78, 313, 1497},	// QsciLexerSQL::KeywordSet6
    {78, 314, 1498},	// QsciLexerSQL::KeywordSet7
    {78, 315, 1499},	// QsciLexerSQL::KeywordSet8
    {78, 378, 1484},	// QsciLexerSQL::Number
    {78, 382, 1490},	// QsciLexerSQL::Operator
    {78, 423, 1492},	// QsciLexerSQL::PlusComment
    {78, 424, 1488},	// QsciLexerSQL::PlusKeyword
    {78, 425, 1489},	// QsciLexerSQL::PlusPrompt
    {78, 513, 1478},	// QsciLexerSQL::QsciLexerSQL
    {78, 514, 1447},	// QsciLexerSQL::QsciLexerSQL#
    {78, 543, 1500},	// QsciLexerSQL::QuotedIdentifier
    {78, 545, 1501},	// QsciLexerSQL::QuotedOperator
    {78, 653, 1487},	// QsciLexerSQL::SingleQuotedString
    {78, 819, 1458},	// QsciLexerSQL::backslashEscapes
    {78, 832, 1450},	// QsciLexerSQL::braceStyle
    {78, 886, 1451},	// QsciLexerSQL::defaultColor$
    {78, 888, 1452},	// QsciLexerSQL::defaultEolFill$
    {78, 890, 1453},	// QsciLexerSQL::defaultFont$
    {78, 892, 1454},	// QsciLexerSQL::defaultPaper$
    {78, 896, 1456},	// QsciLexerSQL::description$
    {78, 902, 1460},	// QsciLexerSQL::dottedWords
    {78, 961, 1462},	// QsciLexerSQL::foldAtElse
    {78, 963, 1463},	// QsciLexerSQL::foldComments
    {78, 964, 1464},	// QsciLexerSQL::foldCompact
    {78, 968, 1466},	// QsciLexerSQL::foldOnlyBegin
    {78, 990, 1468},	// QsciLexerSQL::hashComments
    {78, 1043, 1455},	// QsciLexerSQL::keywords$
    {78, 1044, 1448},	// QsciLexerSQL::language
    {78, 1049, 1449},	// QsciLexerSQL::lexer
    {78, 1100, 1440},	// QsciLexerSQL::metaObject
    {78, 1142, 1446},	// QsciLexerSQL::qt_metacall$$?
    {78, 1144, 1441},	// QsciLexerSQL::qt_metacast$
    {78, 1145, 1470},	// QsciLexerSQL::quotedIdentifiers
    {78, 1149, 1474},	// QsciLexerSQL::readProperties#$
    {78, 1158, 1457},	// QsciLexerSQL::refreshProperties
    {78, 1218, 1471},	// QsciLexerSQL::setBackslashEscapes$
    {78, 1269, 1459},	// QsciLexerSQL::setDottedWords$
    {78, 1294, 1461},	// QsciLexerSQL::setFoldAtElse$
    {78, 1298, 1472},	// QsciLexerSQL::setFoldComments$
    {78, 1300, 1473},	// QsciLexerSQL::setFoldCompact$
    {78, 1306, 1465},	// QsciLexerSQL::setFoldOnlyBegin$
    {78, 1328, 1467},	// QsciLexerSQL::setHashComments$
    {78, 1439, 1469},	// QsciLexerSQL::setQuotedIdentifiers$
    {78, 1518, 1479},	// QsciLexerSQL::staticMetaObject
    {78, 1542, 1476},	// QsciLexerSQL::tr$
    {78, 1543, 1442},	// QsciLexerSQL::tr$$
    {78, 1544, 1444},	// QsciLexerSQL::tr$$$
    {78, 1546, 1477},	// QsciLexerSQL::trUtf8$
    {78, 1547, 1443},	// QsciLexerSQL::trUtf8$$
    {78, 1548, 1445},	// QsciLexerSQL::trUtf8$$$
    {78, 1578, 1475},	// QsciLexerSQL::writeProperties#$
    {78, 1618, 1502},	// QsciLexerSQL::~QsciLexerSQL
    {79, 139, 1530},	// QsciLexerTCL::Comment
    {79, 140, 1550},	// QsciLexerTCL::CommentBlock
    {79, 141, 1549},	// QsciLexerTCL::CommentBox
    {79, 145, 1531},	// QsciLexerTCL::CommentLine
    {79, 160, 1529},	// QsciLexerTCL::Default
    {79, 208, 1540},	// QsciLexerTCL::ExpandKeyword
    {79, 254, 1543},	// QsciLexerTCL::ITCLKeyword
    {79, 255, 1536},	// QsciLexerTCL::Identifier
    {79, 313, 1545},	// QsciLexerTCL::KeywordSet6
    {79, 314, 1546},	// QsciLexerTCL::KeywordSet7
    {79, 315, 1547},	// QsciLexerTCL::KeywordSet8
    {79, 316, 1548},	// QsciLexerTCL::KeywordSet9
    {79, 365, 1539},	// QsciLexerTCL::Modifier
    {79, 378, 1532},	// QsciLexerTCL::Number
    {79, 382, 1535},	// QsciLexerTCL::Operator
    {79, 515, 1527},	// QsciLexerTCL::QsciLexerTCL
    {79, 516, 1510},	// QsciLexerTCL::QsciLexerTCL#
    {79, 544, 1533},	// QsciLexerTCL::QuotedKeyword
    {79, 546, 1534},	// QsciLexerTCL::QuotedString
    {79, 683, 1537},	// QsciLexerTCL::Substitution
    {79, 684, 1538},	// QsciLexerTCL::SubstitutionBrace
    {79, 693, 1541},	// QsciLexerTCL::TCLKeyword
    {79, 711, 1544},	// QsciLexerTCL::TkCommand
    {79, 712, 1542},	// QsciLexerTCL::TkKeyword
    {79, 832, 1513},	// QsciLexerTCL::braceStyle
    {79, 886, 1514},	// QsciLexerTCL::defaultColor$
    {79, 888, 1515},	// QsciLexerTCL::defaultEolFill$
    {79, 890, 1516},	// QsciLexerTCL::defaultFont$
    {79, 892, 1517},	// QsciLexerTCL::defaultPaper$
    {79, 896, 1519},	// QsciLexerTCL::description$
    {79, 963, 1522},	// QsciLexerTCL::foldComments
    {79, 1043, 1518},	// QsciLexerTCL::keywords$
    {79, 1044, 1511},	// QsciLexerTCL::language
    {79, 1049, 1512},	// QsciLexerTCL::lexer
    {79, 1100, 1503},	// QsciLexerTCL::metaObject
    {79, 1142, 1509},	// QsciLexerTCL::qt_metacall$$?
    {79, 1144, 1504},	// QsciLexerTCL::qt_metacast$
    {79, 1149, 1523},	// QsciLexerTCL::readProperties#$
    {79, 1158, 1520},	// QsciLexerTCL::refreshProperties
    {79, 1298, 1521},	// QsciLexerTCL::setFoldComments$
    {79, 1518, 1528},	// QsciLexerTCL::staticMetaObject
    {79, 1542, 1525},	// QsciLexerTCL::tr$
    {79, 1543, 1505},	// QsciLexerTCL::tr$$
    {79, 1544, 1507},	// QsciLexerTCL::tr$$$
    {79, 1546, 1526},	// QsciLexerTCL::trUtf8$
    {79, 1547, 1506},	// QsciLexerTCL::trUtf8$$
    {79, 1548, 1508},	// QsciLexerTCL::trUtf8$$$
    {79, 1578, 1524},	// QsciLexerTCL::writeProperties#$
    {79, 1619, 1551},	// QsciLexerTCL::~QsciLexerTCL
    {80, 138, 1585},	// QsciLexerTeX::Command
    {80, 160, 1581},	// QsciLexerTeX::Default
    {80, 227, 1583},	// QsciLexerTeX::Group
    {80, 517, 1579},	// QsciLexerTeX::QsciLexerTeX
    {80, 518, 1559},	// QsciLexerTeX::QsciLexerTeX#
    {80, 658, 1582},	// QsciLexerTeX::Special
    {80, 687, 1584},	// QsciLexerTeX::Symbol
    {80, 702, 1586},	// QsciLexerTeX::Text
    {80, 886, 1563},	// QsciLexerTeX::defaultColor$
    {80, 896, 1565},	// QsciLexerTeX::description$
    {80, 963, 1568},	// QsciLexerTeX::foldComments
    {80, 964, 1570},	// QsciLexerTeX::foldCompact
    {80, 1043, 1564},	// QsciLexerTeX::keywords$
    {80, 1044, 1560},	// QsciLexerTeX::language
    {80, 1049, 1561},	// QsciLexerTeX::lexer
    {80, 1100, 1552},	// QsciLexerTeX::metaObject
    {80, 1137, 1572},	// QsciLexerTeX::processComments
    {80, 1138, 1574},	// QsciLexerTeX::processIf
    {80, 1142, 1558},	// QsciLexerTeX::qt_metacall$$?
    {80, 1144, 1553},	// QsciLexerTeX::qt_metacast$
    {80, 1149, 1575},	// QsciLexerTeX::readProperties#$
    {80, 1158, 1566},	// QsciLexerTeX::refreshProperties
    {80, 1298, 1567},	// QsciLexerTeX::setFoldComments$
    {80, 1300, 1569},	// QsciLexerTeX::setFoldCompact$
    {80, 1435, 1571},	// QsciLexerTeX::setProcessComments$
    {80, 1437, 1573},	// QsciLexerTeX::setProcessIf$
    {80, 1518, 1580},	// QsciLexerTeX::staticMetaObject
    {80, 1542, 1577},	// QsciLexerTeX::tr$
    {80, 1543, 1554},	// QsciLexerTeX::tr$$
    {80, 1544, 1556},	// QsciLexerTeX::tr$$$
    {80, 1546, 1578},	// QsciLexerTeX::trUtf8$
    {80, 1547, 1555},	// QsciLexerTeX::trUtf8$$
    {80, 1548, 1557},	// QsciLexerTeX::trUtf8$$$
    {80, 1572, 1562},	// QsciLexerTeX::wordCharacters
    {80, 1578, 1576},	// QsciLexerTeX::writeProperties#$
    {80, 1620, 1587},	// QsciLexerTeX::~QsciLexerTeX
    {81, 67, 1632},	// QsciLexerVHDL::Attribute
    {81, 139, 1623},	// QsciLexerVHDL::Comment
    {81, 140, 1637},	// QsciLexerVHDL::CommentBlock
    {81, 145, 1624},	// QsciLexerVHDL::CommentLine
    {81, 160, 1622},	// QsciLexerVHDL::Default
    {81, 255, 1628},	// QsciLexerVHDL::Identifier
    {81, 307, 1630},	// QsciLexerVHDL::Keyword
    {81, 314, 1636},	// QsciLexerVHDL::KeywordSet7
    {81, 378, 1625},	// QsciLexerVHDL::Number
    {81, 382, 1627},	// QsciLexerVHDL::Operator
    {81, 519, 1620},	// QsciLexerVHDL::QsciLexerVHDL
    {81, 520, 1595},	// QsciLexerVHDL::QsciLexerVHDL#
    {81, 662, 1633},	// QsciLexerVHDL::StandardFunction
    {81, 663, 1631},	// QsciLexerVHDL::StandardOperator
    {81, 664, 1634},	// QsciLexerVHDL::StandardPackage
    {81, 665, 1635},	// QsciLexerVHDL::StandardType
    {81, 672, 1626},	// QsciLexerVHDL::String
    {81, 721, 1629},	// QsciLexerVHDL::UnclosedString
    {81, 832, 1598},	// QsciLexerVHDL::braceStyle
    {81, 886, 1599},	// QsciLexerVHDL::defaultColor$
    {81, 888, 1600},	// QsciLexerVHDL::defaultEolFill$
    {81, 890, 1601},	// QsciLexerVHDL::defaultFont$
    {81, 892, 1602},	// QsciLexerVHDL::defaultPaper$
    {81, 896, 1604},	// QsciLexerVHDL::description$
    {81, 960, 1609},	// QsciLexerVHDL::foldAtBegin
    {81, 961, 1608},	// QsciLexerVHDL::foldAtElse
    {81, 962, 1610},	// QsciLexerVHDL::foldAtParenthesis
    {81, 963, 1606},	// QsciLexerVHDL::foldComments
    {81, 964, 1607},	// QsciLexerVHDL::foldCompact
    {81, 1043, 1603},	// QsciLexerVHDL::keywords$
    {81, 1044, 1596},	// QsciLexerVHDL::language
    {81, 1049, 1597},	// QsciLexerVHDL::lexer
    {81, 1100, 1588},	// QsciLexerVHDL::metaObject
    {81, 1142, 1594},	// QsciLexerVHDL::qt_metacall$$?
    {81, 1144, 1589},	// QsciLexerVHDL::qt_metacast$
    {81, 1149, 1616},	// QsciLexerVHDL::readProperties#$
    {81, 1158, 1605},	// QsciLexerVHDL::refreshProperties
    {81, 1292, 1614},	// QsciLexerVHDL::setFoldAtBegin$
    {81, 1294, 1613},	// QsciLexerVHDL::setFoldAtElse$
    {81, 1296, 1615},	// QsciLexerVHDL::setFoldAtParenthesis$
    {81, 1298, 1611},	// QsciLexerVHDL::setFoldComments$
    {81, 1300, 1612},	// QsciLexerVHDL::setFoldCompact$
    {81, 1518, 1621},	// QsciLexerVHDL::staticMetaObject
    {81, 1542, 1618},	// QsciLexerVHDL::tr$
    {81, 1543, 1590},	// QsciLexerVHDL::tr$$
    {81, 1544, 1592},	// QsciLexerVHDL::tr$$$
    {81, 1546, 1619},	// QsciLexerVHDL::trUtf8$
    {81, 1547, 1591},	// QsciLexerVHDL::trUtf8$$
    {81, 1548, 1593},	// QsciLexerVHDL::trUtf8$$$
    {81, 1578, 1617},	// QsciLexerVHDL::writeProperties#$
    {81, 1621, 1638},	// QsciLexerVHDL::~QsciLexerVHDL
    {82, 521, 1661},	// QsciLexerXML::QsciLexerXML
    {82, 522, 1646},	// QsciLexerXML::QsciLexerXML#
    {82, 886, 1649},	// QsciLexerXML::defaultColor$
    {82, 888, 1650},	// QsciLexerXML::defaultEolFill$
    {82, 890, 1651},	// QsciLexerXML::defaultFont$
    {82, 892, 1652},	// QsciLexerXML::defaultPaper$
    {82, 1043, 1653},	// QsciLexerXML::keywords$
    {82, 1044, 1647},	// QsciLexerXML::language
    {82, 1049, 1648},	// QsciLexerXML::lexer
    {82, 1100, 1639},	// QsciLexerXML::metaObject
    {82, 1142, 1645},	// QsciLexerXML::qt_metacall$$?
    {82, 1144, 1640},	// QsciLexerXML::qt_metacast$
    {82, 1149, 1657},	// QsciLexerXML::readProperties#$
    {82, 1158, 1654},	// QsciLexerXML::refreshProperties
    {82, 1180, 1656},	// QsciLexerXML::scriptsStyled
    {82, 1445, 1655},	// QsciLexerXML::setScriptsStyled$
    {82, 1518, 1662},	// QsciLexerXML::staticMetaObject
    {82, 1542, 1659},	// QsciLexerXML::tr$
    {82, 1543, 1641},	// QsciLexerXML::tr$$
    {82, 1544, 1643},	// QsciLexerXML::tr$$$
    {82, 1546, 1660},	// QsciLexerXML::trUtf8$
    {82, 1547, 1642},	// QsciLexerXML::trUtf8$$
    {82, 1548, 1644},	// QsciLexerXML::trUtf8$$$
    {82, 1578, 1658},	// QsciLexerXML::writeProperties#$
    {82, 1622, 1663},	// QsciLexerXML::~QsciLexerXML
    {83, 139, 1690},	// QsciLexerYAML::Comment
    {83, 160, 1689},	// QsciLexerYAML::Default
    {83, 176, 1695},	// QsciLexerYAML::DocumentDelimiter
    {83, 255, 1691},	// QsciLexerYAML::Identifier
    {83, 307, 1692},	// QsciLexerYAML::Keyword
    {83, 378, 1693},	// QsciLexerYAML::Number
    {83, 382, 1698},	// QsciLexerYAML::Operator
    {83, 523, 1687},	// QsciLexerYAML::QsciLexerYAML
    {83, 524, 1671},	// QsciLexerYAML::QsciLexerYAML#
    {83, 559, 1694},	// QsciLexerYAML::Reference
    {83, 692, 1697},	// QsciLexerYAML::SyntaxErrorMarker
    {83, 703, 1696},	// QsciLexerYAML::TextBlockMarker
    {83, 886, 1674},	// QsciLexerYAML::defaultColor$
    {83, 888, 1675},	// QsciLexerYAML::defaultEolFill$
    {83, 890, 1676},	// QsciLexerYAML::defaultFont$
    {83, 892, 1677},	// QsciLexerYAML::defaultPaper$
    {83, 896, 1679},	// QsciLexerYAML::description$
    {83, 963, 1681},	// QsciLexerYAML::foldComments
    {83, 1043, 1678},	// QsciLexerYAML::keywords$
    {83, 1044, 1672},	// QsciLexerYAML::language
    {83, 1049, 1673},	// QsciLexerYAML::lexer
    {83, 1100, 1664},	// QsciLexerYAML::metaObject
    {83, 1142, 1670},	// QsciLexerYAML::qt_metacall$$?
    {83, 1144, 1665},	// QsciLexerYAML::qt_metacast$
    {83, 1149, 1683},	// QsciLexerYAML::readProperties#$
    {83, 1158, 1680},	// QsciLexerYAML::refreshProperties
    {83, 1298, 1682},	// QsciLexerYAML::setFoldComments$
    {83, 1518, 1688},	// QsciLexerYAML::staticMetaObject
    {83, 1542, 1685},	// QsciLexerYAML::tr$
    {83, 1543, 1666},	// QsciLexerYAML::tr$$
    {83, 1544, 1668},	// QsciLexerYAML::tr$$$
    {83, 1546, 1686},	// QsciLexerYAML::trUtf8$
    {83, 1547, 1667},	// QsciLexerYAML::trUtf8$$
    {83, 1548, 1669},	// QsciLexerYAML::trUtf8$$$
    {83, 1578, 1684},	// QsciLexerYAML::writeProperties#$
    {83, 1623, 1699},	// QsciLexerYAML::~QsciLexerYAML
    {84, 526, 1707},	// QsciMacro::QsciMacro#
    {84, 527, 1708},	// QsciMacro::QsciMacro$#
    {84, 851, 1709},	// QsciMacro::clear
    {84, 916, 1714},	// QsciMacro::endRecording
    {84, 1060, 1710},	// QsciMacro::load$
    {84, 1100, 1700},	// QsciMacro::metaObject
    {84, 1128, 1712},	// QsciMacro::play
    {84, 1142, 1706},	// QsciMacro::qt_metacall$$?
    {84, 1144, 1701},	// QsciMacro::qt_metacast$
    {84, 1177, 1711},	// QsciMacro::save
    {84, 1514, 1713},	// QsciMacro::startRecording
    {84, 1518, 1717},	// QsciMacro::staticMetaObject
    {84, 1542, 1715},	// QsciMacro::tr$
    {84, 1543, 1702},	// QsciMacro::tr$$
    {84, 1544, 1704},	// QsciMacro::tr$$$
    {84, 1546, 1716},	// QsciMacro::trUtf8$
    {84, 1547, 1703},	// QsciMacro::trUtf8$$
    {84, 1548, 1705},	// QsciMacro::trUtf8$$$
    {84, 1624, 1718},	// QsciMacro::~QsciMacro
    {85, 528, 1726},	// QsciPrinter::QsciPrinter
    {85, 529, 1719},	// QsciPrinter::QsciPrinter$
    {85, 982, 1720},	// QsciPrinter::formatPage#$#$
    {85, 1063, 1721},	// QsciPrinter::magnification
    {85, 1134, 1727},	// QsciPrinter::printRange#
    {85, 1135, 1728},	// QsciPrinter::printRange#$
    {85, 1136, 1723},	// QsciPrinter::printRange#$$
    {85, 1389, 1722},	// QsciPrinter::setMagnification$
    {85, 1503, 1725},	// QsciPrinter::setWrapMode$
    {85, 1574, 1724},	// QsciPrinter::wrapMode
    {85, 1625, 1729},	// QsciPrinter::~QsciPrinter
    {86, 49, 2044},	// QsciScintilla::AcsAPIs
    {86, 50, 2042},	// QsciScintilla::AcsAll
    {86, 51, 2043},	// QsciScintilla::AcsDocument
    {86, 52, 2041},	// QsciScintilla::AcsNone
    {86, 54, 2040},	// QsciScintilla::AcusAlways
    {86, 55, 2039},	// QsciScintilla::AcusExplicit
    {86, 56, 2038},	// QsciScintilla::AcusNever
    {86, 58, 2036},	// QsciScintilla::AnnotationBoxed
    {86, 59, 2034},	// QsciScintilla::AnnotationHidden
    {86, 60, 2037},	// QsciScintilla::AnnotationIndented
    {86, 61, 2035},	// QsciScintilla::AnnotationStandard
    {86, 80, 2114},	// QsciScintilla::Background
    {86, 95, 2120},	// QsciScintilla::Bookmark
    {86, 96, 2102},	// QsciScintilla::BottomLeftCorner
    {86, 98, 2072},	// QsciScintilla::BoxIndicator
    {86, 99, 2063},	// QsciScintilla::BoxedFoldStyle
    {86, 100, 2106},	// QsciScintilla::BoxedMinus
    {86, 101, 2107},	// QsciScintilla::BoxedMinusConnected
    {86, 102, 2104},	// QsciScintilla::BoxedPlus
    {86, 103, 2105},	// QsciScintilla::BoxedPlusConnected
    {86, 104, 2065},	// QsciScintilla::BoxedTreeFoldStyle
    {86, 110, 2049},	// QsciScintilla::CallTipsAboveText
    {86, 111, 2048},	// QsciScintilla::CallTipsBelowText
    {86, 112, 2053},	// QsciScintilla::CallTipsContext
    {86, 113, 2052},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {86, 114, 2051},	// QsciScintilla::CallTipsNoContext
    {86, 115, 2050},	// QsciScintilla::CallTipsNone
    {86, 126, 2092},	// QsciScintilla::Circle
    {86, 127, 2062},	// QsciScintilla::CircledFoldStyle
    {86, 128, 2112},	// QsciScintilla::CircledMinus
    {86, 129, 2113},	// QsciScintilla::CircledMinusConnected
    {86, 130, 2110},	// QsciScintilla::CircledPlus
    {86, 131, 2111},	// QsciScintilla::CircledPlusConnected
    {86, 132, 2064},	// QsciScintilla::CircledTreeFoldStyle
    {86, 157, 2076},	// QsciScintilla::DashesIndicator
    {86, 172, 2069},	// QsciScintilla::DiagonalIndicator
    {86, 181, 2079},	// QsciScintilla::DotBoxIndicator
    {86, 182, 2077},	// QsciScintilla::DotsIndicator
    {86, 188, 2098},	// QsciScintilla::DownTriangle
    {86, 195, 2056},	// QsciScintilla::EdgeBackground
    {86, 196, 2055},	// QsciScintilla::EdgeLine
    {86, 197, 2054},	// QsciScintilla::EdgeNone
    {86, 202, 2059},	// QsciScintilla::EolMac
    {86, 203, 2058},	// QsciScintilla::EolUnix
    {86, 204, 2057},	// QsciScintilla::EolWindows
    {86, 220, 2075},	// QsciScintilla::FullBoxIndicator
    {86, 221, 2117},	// QsciScintilla::FullRectangle
    {86, 242, 2071},	// QsciScintilla::HiddenIndicator
    {86, 292, 2097},	// QsciScintilla::Invisible
    {86, 323, 2118},	// QsciScintilla::LeftRectangle
    {86, 324, 2109},	// QsciScintilla::LeftSideRoundedSplitter
    {86, 325, 2103},	// QsciScintilla::LeftSideSplitter
    {86, 362, 2099},	// QsciScintilla::Minus
    {86, 363, -1},	// QsciScintilla::MoNone
    {86, 364, -4},	// QsciScintilla::MoSublineSelect
    {86, 374, 2045},	// QsciScintilla::NoBraceMatch
    {86, 375, 2060},	// QsciScintilla::NoFoldStyle
    {86, 379, 2089},	// QsciScintilla::NumberMargin
    {86, 420, 2061},	// QsciScintilla::PlainFoldStyle
    {86, 421, 2066},	// QsciScintilla::PlainIndicator
    {86, 422, 2100},	// QsciScintilla::Plus
    {86, 530, 1998},	// QsciScintilla::QsciScintilla
    {86, 531, 1737},	// QsciScintilla::QsciScintilla#
    {86, 557, 2093},	// QsciScintilla::Rectangle
    {86, 562, 2096},	// QsciScintilla::RightArrow
    {86, 563, 2094},	// QsciScintilla::RightTriangle
    {86, 564, 2073},	// QsciScintilla::RoundBoxIndicator
    {86, 565, 2108},	// QsciScintilla::RoundedBottomLeftCorner
    {86, 654, 2047},	// QsciScintilla::SloppyBraceMatch
    {86, 656, 2095},	// QsciScintilla::SmallRectangle
    {86, 659, 2067},	// QsciScintilla::SquiggleIndicator
    {86, 660, 2078},	// QsciScintilla::SquiggleLowIndicator
    {86, 661, 2080},	// QsciScintilla::SquigglePixmapIndicator
    {86, 669, 2074},	// QsciScintilla::StraightBoxIndicator
    {86, 670, 2046},	// QsciScintilla::StrictBraceMatch
    {86, 671, 2070},	// QsciScintilla::StrikeIndicator
    {86, 688, 2086},	// QsciScintilla::SymbolMargin
    {86, 689, 2088},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {86, 690, 2087},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {86, 694, 2068},	// QsciScintilla::TTIndicator
    {86, 704, 2083},	// QsciScintilla::TextColorIndicator
    {86, 705, 2090},	// QsciScintilla::TextMargin
    {86, 706, 2091},	// QsciScintilla::TextMarginRightJustified
    {86, 707, 2081},	// QsciScintilla::ThickCompositionIndicator
    {86, 708, 2082},	// QsciScintilla::ThinCompositionIndicator
    {86, 709, 2115},	// QsciScintilla::ThreeDots
    {86, 710, 2116},	// QsciScintilla::ThreeRightArrows
    {86, 722, 2119},	// QsciScintilla::Underline
    {86, 748, 2101},	// QsciScintilla::VerticalLine
    {86, 762, 2126},	// QsciScintilla::WrapCharacter
    {86, 763, 2130},	// QsciScintilla::WrapFlagByBorder
    {86, 764, 2129},	// QsciScintilla::WrapFlagByText
    {86, 765, 2131},	// QsciScintilla::WrapFlagInMargin
    {86, 766, 2128},	// QsciScintilla::WrapFlagNone
    {86, 767, 2132},	// QsciScintilla::WrapIndentFixed
    {86, 768, 2134},	// QsciScintilla::WrapIndentIndented
    {86, 769, 2133},	// QsciScintilla::WrapIndentSame
    {86, 770, 2124},	// QsciScintilla::WrapNone
    {86, 771, 2127},	// QsciScintilla::WrapWhitespace
    {86, 772, 2125},	// QsciScintilla::WrapWord
    {86, 773, 2121},	// QsciScintilla::WsInvisible
    {86, 774, 2122},	// QsciScintilla::WsVisible
    {86, 775, 2123},	// QsciScintilla::WsVisibleAfterIndent
    {86, 786, 1741},	// QsciScintilla::annotate$#
    {86, 787, 1740},	// QsciScintilla::annotate$$#
    {86, 788, 1739},	// QsciScintilla::annotate$$$
    {86, 789, 1742},	// QsciScintilla::annotate$?
    {86, 791, 1743},	// QsciScintilla::annotation$
    {86, 792, 1744},	// QsciScintilla::annotationDisplay
    {86, 794, 1738},	// QsciScintilla::apiContext$$$
    {86, 800, 1906},	// QsciScintilla::append$
    {86, 803, 1908},	// QsciScintilla::autoCompleteFromAPIs
    {86, 804, 1907},	// QsciScintilla::autoCompleteFromAll
    {86, 805, 1909},	// QsciScintilla::autoCompleteFromDocument
    {86, 806, 1746},	// QsciScintilla::autoCompletionCaseSensitivity
    {86, 808, 1747},	// QsciScintilla::autoCompletionFillupsEnabled
    {86, 809, 1748},	// QsciScintilla::autoCompletionReplaceWord
    {86, 812, 1749},	// QsciScintilla::autoCompletionShowSingle
    {86, 813, 1750},	// QsciScintilla::autoCompletionSource
    {86, 814, 1751},	// QsciScintilla::autoCompletionThreshold
    {86, 815, 1752},	// QsciScintilla::autoCompletionUseSingle
    {86, 817, 1753},	// QsciScintilla::autoIndent
    {86, 820, 1754},	// QsciScintilla::backspaceUnindents
    {86, 821, 1755},	// QsciScintilla::beginUndoAction
    {86, 831, 1756},	// QsciScintilla::braceMatching
    {86, 835, 1910},	// QsciScintilla::callTip
    {86, 838, 1757},	// QsciScintilla::callTipsPosition
    {86, 839, 1758},	// QsciScintilla::callTipsStyle
    {86, 840, 1759},	// QsciScintilla::callTipsVisible
    {86, 843, 1760},	// QsciScintilla::cancelList
    {86, 845, 1761},	// QsciScintilla::caseSensitive
    {86, 848, 1994},	// QsciScintilla::changeEvent#
    {86, 851, 1911},	// QsciScintilla::clear
    {86, 853, 1999},	// QsciScintilla::clearAnnotations
    {86, 854, 1745},	// QsciScintilla::clearAnnotations$
    {86, 855, 1762},	// QsciScintilla::clearFolds
    {86, 857, 1763},	// QsciScintilla::clearIndicatorRange$$$$$
    {86, 859, 2022},	// QsciScintilla::clearMarginText
    {86, 860, 1865},	// QsciScintilla::clearMarginText$
    {86, 861, 1764},	// QsciScintilla::clearRegisteredImages
    {86, 863, 1765},	// QsciScintilla::color
    {86, 873, 1995},	// QsciScintilla::contextMenuEvent#
    {86, 874, 1766},	// QsciScintilla::contractedFolds
    {86, 876, 1767},	// QsciScintilla::convertEols$
    {86, 877, 1912},	// QsciScintilla::copy
    {86, 879, 1983},	// QsciScintilla::copyAvailable$
    {86, 880, 1768},	// QsciScintilla::createStandardContextMenu
    {86, 882, 1982},	// QsciScintilla::cursorPositionChanged$$
    {86, 884, 1913},	// QsciScintilla::cut
    {86, 900, 1769},	// QsciScintilla::document
    {86, 911, 1771},	// QsciScintilla::edgeColor
    {86, 912, 1772},	// QsciScintilla::edgeColumn
    {86, 913, 1773},	// QsciScintilla::edgeMode
    {86, 917, 1770},	// QsciScintilla::endUndoAction
    {86, 918, 1914},	// QsciScintilla::ensureCursorVisible
    {86, 920, 1915},	// QsciScintilla::ensureLineVisible$
    {86, 926, 1775},	// QsciScintilla::eolMode
    {86, 927, 1776},	// QsciScintilla::eolVisibility
    {86, 929, 1993},	// QsciScintilla::event#
    {86, 932, 1777},	// QsciScintilla::extraAscent
    {86, 933, 1778},	// QsciScintilla::extraDescent
    {86, 935, 1779},	// QsciScintilla::fillIndicatorRange$$$$$
    {86, 939, 2000},	// QsciScintilla::findFirst$$$$$
    {86, 940, 2001},	// QsciScintilla::findFirst$$$$$$
    {86, 941, 2002},	// QsciScintilla::findFirst$$$$$$$
    {86, 942, 2003},	// QsciScintilla::findFirst$$$$$$$$
    {86, 943, 2004},	// QsciScintilla::findFirst$$$$$$$$$
    {86, 944, 1780},	// QsciScintilla::findFirst$$$$$$$$$$
    {86, 946, 2005},	// QsciScintilla::findFirstInSelection$$$$
    {86, 947, 2006},	// QsciScintilla::findFirstInSelection$$$$$
    {86, 948, 2007},	// QsciScintilla::findFirstInSelection$$$$$$
    {86, 949, 1781},	// QsciScintilla::findFirstInSelection$$$$$$$
    {86, 950, 1782},	// QsciScintilla::findNext
    {86, 951, 1783},	// QsciScintilla::firstVisibleLine
    {86, 958, 2027},	// QsciScintilla::foldAll
    {86, 959, 1916},	// QsciScintilla::foldAll$
    {86, 967, 1917},	// QsciScintilla::foldLine$
    {86, 975, 1784},	// QsciScintilla::folding
    {86, 986, 1785},	// QsciScintilla::getCursorPosition$$
    {86, 988, 1786},	// QsciScintilla::getSelection$$$$
    {86, 989, 1787},	// QsciScintilla::hasSelectedText
    {86, 1000, 1918},	// QsciScintilla::indent$
    {86, 1002, 1788},	// QsciScintilla::indentation$
    {86, 1004, 1789},	// QsciScintilla::indentationGuides
    {86, 1006, 1791},	// QsciScintilla::indentationWidth
    {86, 1007, 1790},	// QsciScintilla::indentationsUseTabs
    {86, 1009, 1984},	// QsciScintilla::indicatorClicked$$$
    {86, 1011, 2008},	// QsciScintilla::indicatorDefine$
    {86, 1012, 1792},	// QsciScintilla::indicatorDefine$$
    {86, 1014, 1793},	// QsciScintilla::indicatorDrawUnder$
    {86, 1016, 1985},	// QsciScintilla::indicatorReleased$$$
    {86, 1023, 1919},	// QsciScintilla::insert$
    {86, 1025, 1920},	// QsciScintilla::insertAt$$$
    {86, 1027, 1794},	// QsciScintilla::isCallTipActive
    {86, 1028, 1795},	// QsciScintilla::isListActive
    {86, 1029, 1796},	// QsciScintilla::isModified
    {86, 1032, 1797},	// QsciScintilla::isReadOnly
    {86, 1033, 1798},	// QsciScintilla::isRedoAvailable
    {86, 1034, 1799},	// QsciScintilla::isUndoAvailable
    {86, 1035, 1800},	// QsciScintilla::isUtf8
    {86, 1037, 1801},	// QsciScintilla::isWordCharacter$
    {86, 1047, 1806},	// QsciScintilla::length
    {86, 1049, 1807},	// QsciScintilla::lexer
    {86, 1052, 1802},	// QsciScintilla::lineAt#
    {86, 1054, 1803},	// QsciScintilla::lineIndexFromPosition$$$
    {86, 1056, 1804},	// QsciScintilla::lineLength$
    {86, 1057, 1805},	// QsciScintilla::lines
    {86, 1058, 1986},	// QsciScintilla::linesChanged
    {86, 1066, 1987},	// QsciScintilla::marginClicked$$$
    {86, 1068, 1808},	// QsciScintilla::marginLineNumbers$
    {86, 1070, 1809},	// QsciScintilla::marginMarkerMask$
    {86, 1071, 1810},	// QsciScintilla::marginOptions
    {86, 1073, 1811},	// QsciScintilla::marginSensitivity$
    {86, 1075, 1812},	// QsciScintilla::marginType$
    {86, 1077, 1813},	// QsciScintilla::marginWidth$
    {86, 1079, 1818},	// QsciScintilla::markerAdd$$
    {86, 1081, -7},	// QsciScintilla::markerDefine#
    {86, 1082, -10},	// QsciScintilla::markerDefine#$
    {86, 1083, -13},	// QsciScintilla::markerDefine$
    {86, 1084, -16},	// QsciScintilla::markerDefine$$
    {86, 1086, 2013},	// QsciScintilla::markerDelete$
    {86, 1087, 1820},	// QsciScintilla::markerDelete$$
    {86, 1088, 2014},	// QsciScintilla::markerDeleteAll
    {86, 1089, 1821},	// QsciScintilla::markerDeleteAll$
    {86, 1091, 1822},	// QsciScintilla::markerDeleteHandle$
    {86, 1093, 1824},	// QsciScintilla::markerFindNext$$
    {86, 1095, 1825},	// QsciScintilla::markerFindPrevious$$
    {86, 1097, 1823},	// QsciScintilla::markerLine$
    {86, 1099, 1819},	// QsciScintilla::markersAtLine$
    {86, 1100, 1730},	// QsciScintilla::metaObject
    {86, 1103, 1988},	// QsciScintilla::modificationAttempted
    {86, 1105, 1989},	// QsciScintilla::modificationChanged$
    {86, 1115, 1921},	// QsciScintilla::moveToMatchingBrace
    {86, 1118, 1826},	// QsciScintilla::overwriteMode
    {86, 1123, 1827},	// QsciScintilla::paper
    {86, 1127, 1922},	// QsciScintilla::paste
    {86, 1131, 1828},	// QsciScintilla::positionFromLineIndex$$
    {86, 1142, 1736},	// QsciScintilla::qt_metacall$$?
    {86, 1144, 1731},	// QsciScintilla::qt_metacast$
    {86, 1147, 1829},	// QsciScintilla::read#
    {86, 1153, 2015},	// QsciScintilla::recolor
    {86, 1154, 2016},	// QsciScintilla::recolor$
    {86, 1155, 1830},	// QsciScintilla::recolor$$
    {86, 1156, 1923},	// QsciScintilla::redo
    {86, 1160, -19},	// QsciScintilla::registerImage$#
    {86, 1163, 1924},	// QsciScintilla::removeSelectedText
    {86, 1165, 1833},	// QsciScintilla::replace$
    {86, 1167, 1925},	// QsciScintilla::replaceSelectedText$
    {86, 1168, 1834},	// QsciScintilla::resetFoldMarginColors
    {86, 1169, 1835},	// QsciScintilla::resetHotspotBackgroundColor
    {86, 1170, 1836},	// QsciScintilla::resetHotspotForegroundColor
    {86, 1171, 1871},	// QsciScintilla::resetMatchedBraceIndicator
    {86, 1172, 1926},	// QsciScintilla::resetSelectionBackgroundColor
    {86, 1173, 1927},	// QsciScintilla::resetSelectionForegroundColor
    {86, 1174, 1875},	// QsciScintilla::resetUnmatchedBraceIndicator
    {86, 1183, 2028},	// QsciScintilla::selectAll
    {86, 1184, 1928},	// QsciScintilla::selectAll$
    {86, 1185, 1929},	// QsciScintilla::selectToMatchingBrace
    {86, 1186, 1877},	// QsciScintilla::selectedText
    {86, 1187, 1990},	// QsciScintilla::selectionChanged
    {86, 1188, 1878},	// QsciScintilla::selectionToEol
    {86, 1194, 1838},	// QsciScintilla::setAnnotationDisplay$
    {86, 1196, 1930},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {86, 1198, 1840},	// QsciScintilla::setAutoCompletionFillups$
    {86, 1200, 1839},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {86, 1202, 1931},	// QsciScintilla::setAutoCompletionReplaceWord$
    {86, 1204, 1932},	// QsciScintilla::setAutoCompletionShowSingle$
    {86, 1206, 1933},	// QsciScintilla::setAutoCompletionSource$
    {86, 1208, 1934},	// QsciScintilla::setAutoCompletionThreshold$
    {86, 1210, 1935},	// QsciScintilla::setAutoCompletionUseSingle$
    {86, 1212, 1841},	// QsciScintilla::setAutoCompletionWordSeparators?
    {86, 1214, 1936},	// QsciScintilla::setAutoIndent$
    {86, 1220, 1938},	// QsciScintilla::setBackspaceUnindents$
    {86, 1222, 1937},	// QsciScintilla::setBraceMatching$
    {86, 1224, 1842},	// QsciScintilla::setCallTipsBackgroundColor#
    {86, 1226, 1843},	// QsciScintilla::setCallTipsForegroundColor#
    {86, 1228, 1844},	// QsciScintilla::setCallTipsHighlightColor#
    {86, 1230, 1845},	// QsciScintilla::setCallTipsPosition$
    {86, 1232, 1846},	// QsciScintilla::setCallTipsStyle$
    {86, 1234, 1847},	// QsciScintilla::setCallTipsVisible$
    {86, 1236, 1939},	// QsciScintilla::setCaretForegroundColor#
    {86, 1238, 1940},	// QsciScintilla::setCaretLineBackgroundColor#
    {86, 1240, 1941},	// QsciScintilla::setCaretLineVisible$
    {86, 1242, 1942},	// QsciScintilla::setCaretWidth$
    {86, 1248, 1943},	// QsciScintilla::setColor#
    {86, 1251, 1848},	// QsciScintilla::setContractedFolds?
    {86, 1253, 1944},	// QsciScintilla::setCursorPosition$$
    {86, 1265, 1849},	// QsciScintilla::setDocument#
    {86, 1271, 1850},	// QsciScintilla::setEdgeColor#
    {86, 1273, 1851},	// QsciScintilla::setEdgeColumn$
    {86, 1275, 1852},	// QsciScintilla::setEdgeMode$
    {86, 1282, 1945},	// QsciScintilla::setEolMode$
    {86, 1284, 1946},	// QsciScintilla::setEolVisibility$
    {86, 1286, 1884},	// QsciScintilla::setExtraAscent$
    {86, 1288, 1885},	// QsciScintilla::setExtraDescent$
    {86, 1290, 1853},	// QsciScintilla::setFirstVisibleLine$
    {86, 1304, 1837},	// QsciScintilla::setFoldMarginColors##
    {86, 1320, 2029},	// QsciScintilla::setFolding$
    {86, 1321, 1947},	// QsciScintilla::setFolding$$
    {86, 1323, 1774},	// QsciScintilla::setFont#
    {86, 1342, 1879},	// QsciScintilla::setHotspotBackgroundColor#
    {86, 1344, 1880},	// QsciScintilla::setHotspotForegroundColor#
    {86, 1346, 1881},	// QsciScintilla::setHotspotUnderline$
    {86, 1348, 1882},	// QsciScintilla::setHotspotWrap$
    {86, 1350, 1948},	// QsciScintilla::setIndentation$$
    {86, 1352, 1949},	// QsciScintilla::setIndentationGuides$
    {86, 1354, 1950},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {86, 1356, 1951},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {86, 1360, 1953},	// QsciScintilla::setIndentationWidth$
    {86, 1362, 1952},	// QsciScintilla::setIndentationsUseTabs$
    {86, 1364, 2017},	// QsciScintilla::setIndicatorDrawUnder$
    {86, 1365, 1854},	// QsciScintilla::setIndicatorDrawUnder$$
    {86, 1367, 2018},	// QsciScintilla::setIndicatorForegroundColor#
    {86, 1368, 1855},	// QsciScintilla::setIndicatorForegroundColor#$
    {86, 1370, 2019},	// QsciScintilla::setIndicatorHoverForegroundColor#
    {86, 1371, 1856},	// QsciScintilla::setIndicatorHoverForegroundColor#$
    {86, 1373, 2020},	// QsciScintilla::setIndicatorHoverStyle$
    {86, 1374, 1857},	// QsciScintilla::setIndicatorHoverStyle$$
    {86, 1376, 2021},	// QsciScintilla::setIndicatorOutlineColor#
    {86, 1377, 1858},	// QsciScintilla::setIndicatorOutlineColor#$
    {86, 1386, 2030},	// QsciScintilla::setLexer
    {86, 1387, 1954},	// QsciScintilla::setLexer#
    {86, 1393, 1958},	// QsciScintilla::setMarginLineNumbers$$
    {86, 1395, 1959},	// QsciScintilla::setMarginMarkerMask$$
    {86, 1397, 1859},	// QsciScintilla::setMarginOptions$
    {86, 1399, 1960},	// QsciScintilla::setMarginSensitivity$$
    {86, 1401, 1862},	// QsciScintilla::setMarginText$#
    {86, 1402, 1861},	// QsciScintilla::setMarginText$$#
    {86, 1403, 1860},	// QsciScintilla::setMarginText$$$
    {86, 1404, 1863},	// QsciScintilla::setMarginText$?
    {86, 1406, 1864},	// QsciScintilla::setMarginType$$
    {86, 1408, -22},	// QsciScintilla::setMarginWidth$$
    {86, 1410, 1955},	// QsciScintilla::setMarginsBackgroundColor#
    {86, 1412, 1956},	// QsciScintilla::setMarginsFont#
    {86, 1414, 1957},	// QsciScintilla::setMarginsForegroundColor#
    {86, 1416, 2023},	// QsciScintilla::setMarkerBackgroundColor#
    {86, 1417, 1866},	// QsciScintilla::setMarkerBackgroundColor#$
    {86, 1419, 2024},	// QsciScintilla::setMarkerForegroundColor#
    {86, 1420, 1867},	// QsciScintilla::setMarkerForegroundColor#$
    {86, 1422, 1868},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {86, 1424, 1869},	// QsciScintilla::setMatchedBraceForegroundColor#
    {86, 1426, 1870},	// QsciScintilla::setMatchedBraceIndicator$
    {86, 1428, 1963},	// QsciScintilla::setModified$
    {86, 1430, 1886},	// QsciScintilla::setOverwriteMode$
    {86, 1432, 1964},	// QsciScintilla::setPaper#
    {86, 1441, 1965},	// QsciScintilla::setReadOnly$
    {86, 1448, 1966},	// QsciScintilla::setSelection$$$$
    {86, 1450, 1967},	// QsciScintilla::setSelectionBackgroundColor#
    {86, 1452, 1968},	// QsciScintilla::setSelectionForegroundColor#
    {86, 1454, 1883},	// QsciScintilla::setSelectionToEol$
    {86, 1465, 1969},	// QsciScintilla::setTabIndents$
    {86, 1467, 1970},	// QsciScintilla::setTabWidth$
    {86, 1469, 1971},	// QsciScintilla::setText$
    {86, 1475, 1872},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {86, 1477, 1873},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {86, 1479, 1874},	// QsciScintilla::setUnmatchedBraceIndicator$
    {86, 1481, 1972},	// QsciScintilla::setUtf8$
    {86, 1493, 1887},	// QsciScintilla::setWhitespaceBackgroundColor#
    {86, 1495, 1888},	// QsciScintilla::setWhitespaceForegroundColor#
    {86, 1497, 1889},	// QsciScintilla::setWhitespaceSize$
    {86, 1499, 1973},	// QsciScintilla::setWhitespaceVisibility$
    {86, 1501, 1890},	// QsciScintilla::setWrapIndentMode$
    {86, 1503, 1974},	// QsciScintilla::setWrapMode$
    {86, 1505, 2025},	// QsciScintilla::setWrapVisualFlags$
    {86, 1506, 2026},	// QsciScintilla::setWrapVisualFlags$$
    {86, 1507, 1876},	// QsciScintilla::setWrapVisualFlags$$$
    {86, 1510, 1891},	// QsciScintilla::showUserList$?
    {86, 1513, 1892},	// QsciScintilla::standardCommands
    {86, 1518, 2031},	// QsciScintilla::staticMetaObject
    {86, 1526, 1893},	// QsciScintilla::tabIndents
    {86, 1527, 1894},	// QsciScintilla::tabWidth
    {86, 1529, 1895},	// QsciScintilla::text
    {86, 1530, 1896},	// QsciScintilla::text$
    {86, 1534, 1991},	// QsciScintilla::textChanged
    {86, 1536, 1897},	// QsciScintilla::textHeight$
    {86, 1542, 1996},	// QsciScintilla::tr$
    {86, 1543, 1732},	// QsciScintilla::tr$$
    {86, 1544, 1734},	// QsciScintilla::tr$$$
    {86, 1546, 1997},	// QsciScintilla::trUtf8$
    {86, 1547, 1733},	// QsciScintilla::trUtf8$$
    {86, 1548, 1735},	// QsciScintilla::trUtf8$$$
    {86, 1549, 1975},	// QsciScintilla::undo
    {86, 1551, 1976},	// QsciScintilla::unindent$
    {86, 1555, 1992},	// QsciScintilla::userListActivated$$
    {86, 1565, 1898},	// QsciScintilla::whitespaceSize
    {86, 1566, 1899},	// QsciScintilla::whitespaceVisibility
    {86, 1569, 1900},	// QsciScintilla::wordAtLineIndex$$
    {86, 1571, 1901},	// QsciScintilla::wordAtPoint#
    {86, 1572, 1902},	// QsciScintilla::wordCharacters
    {86, 1573, 1904},	// QsciScintilla::wrapIndentMode
    {86, 1574, 1903},	// QsciScintilla::wrapMode
    {86, 1576, 1905},	// QsciScintilla::write#
    {86, 1583, 1978},	// QsciScintilla::zoomIn
    {86, 1584, 1977},	// QsciScintilla::zoomIn$
    {86, 1585, 1980},	// QsciScintilla::zoomOut
    {86, 1586, 1979},	// QsciScintilla::zoomOut$
    {86, 1588, 1981},	// QsciScintilla::zoomTo$
    {86, 1626, 2135},	// QsciScintilla::~QsciScintilla
    {87, 455, 2160},	// QsciScintillaBase::QSCN_SELCHANGED$
    {87, 532, 2215},	// QsciScintillaBase::QsciScintillaBase
    {87, 533, 2143},	// QsciScintillaBase::QsciScintillaBase#
    {87, 566, 2164},	// QsciScintillaBase::SCEN_CHANGE
    {87, 567, 2161},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {87, 568, 2162},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {87, 570, 2163},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {87, 572, 2165},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {87, 574, 2166},	// QsciScintillaBase::SCN_CHARADDED$
    {87, 576, 2167},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {87, 578, 2168},	// QsciScintillaBase::SCN_DWELLEND$$$
    {87, 580, 2169},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {87, 581, 2170},	// QsciScintillaBase::SCN_FOCUSIN
    {87, 582, 2171},	// QsciScintillaBase::SCN_FOCUSOUT
    {87, 584, 2172},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {87, 586, 2173},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {87, 588, 2174},	// QsciScintillaBase::SCN_HOTSPOTRELEASECLICK$$
    {87, 590, 2175},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {87, 592, 2176},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {87, 594, 2177},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {87, 596, 2178},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {87, 598, 2179},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {87, 599, 2180},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {87, 601, 2181},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {87, 602, 2182},	// QsciScintillaBase::SCN_PAINTED
    {87, 603, 2183},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {87, 604, 2184},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {87, 606, 2185},	// QsciScintillaBase::SCN_STYLENEEDED$
    {87, 608, 2186},	// QsciScintillaBase::SCN_UPDATEUI$
    {87, 610, 2187},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {87, 611, 2188},	// QsciScintillaBase::SCN_ZOOM
    {87, 613, -25},	// QsciScintillaBase::SC_ORDER_CUSTOM
    {87, 614, -80},	// QsciScintillaBase::SC_ORDER_PERFORMSORT
    {87, 615, -135},	// QsciScintillaBase::SC_ORDER_PRESORTED
    {87, 641, 2216},	// QsciScintillaBase::SendScintilla$
    {87, 642, 2154},	// QsciScintillaBase::SendScintilla$#
    {87, 643, -190},	// QsciScintillaBase::SendScintilla$$
    {87, 644, -195},	// QsciScintillaBase::SendScintilla$$#
    {87, 645, 2155},	// QsciScintillaBase::SendScintilla$$##$$
    {87, 646, -199},	// QsciScintillaBase::SendScintilla$$$
    {87, 647, 2152},	// QsciScintillaBase::SendScintilla$$$$
    {87, 649, 2158},	// QsciScintillaBase::SendScintillaPtrResult$
    {87, 834, 2212},	// QsciScintillaBase::bytesAsText$
    {87, 842, 2189},	// QsciScintillaBase::canInsertFromMimeData#
    {87, 869, 2159},	// QsciScintillaBase::commandKey$$
    {87, 873, 2192},	// QsciScintillaBase::contextMenuEvent#
    {87, 904, 2193},	// QsciScintillaBase::dragEnterEvent#
    {87, 906, 2194},	// QsciScintillaBase::dragLeaveEvent#
    {87, 908, 2195},	// QsciScintillaBase::dragMoveEvent#
    {87, 910, 2196},	// QsciScintillaBase::dropEvent#
    {87, 953, 2197},	// QsciScintillaBase::focusInEvent#
    {87, 955, 2199},	// QsciScintillaBase::focusNextPrevChild$
    {87, 957, 2198},	// QsciScintillaBase::focusOutEvent#
    {87, 984, 2190},	// QsciScintillaBase::fromMimeData#$
    {87, 1019, 2201},	// QsciScintillaBase::inputMethodEvent#
    {87, 1021, 2202},	// QsciScintillaBase::inputMethodQuery$
    {87, 1040, 2200},	// QsciScintillaBase::keyPressEvent#
    {87, 1100, 2136},	// QsciScintillaBase::metaObject
    {87, 1107, 2203},	// QsciScintillaBase::mouseDoubleClickEvent#
    {87, 1109, 2204},	// QsciScintillaBase::mouseMoveEvent#
    {87, 1111, 2205},	// QsciScintillaBase::mousePressEvent#
    {87, 1113, 2206},	// QsciScintillaBase::mouseReleaseEvent#
    {87, 1121, 2207},	// QsciScintillaBase::paintEvent#
    {87, 1129, 2144},	// QsciScintillaBase::pool
    {87, 1142, 2142},	// QsciScintillaBase::qt_metacall$$?
    {87, 1144, 2137},	// QsciScintillaBase::qt_metacast$
    {87, 1176, 2208},	// QsciScintillaBase::resizeEvent#
    {87, 1182, 2209},	// QsciScintillaBase::scrollContentsBy$$
    {87, 1446, 2210},	// QsciScintillaBase::setScrollBars
    {87, 1518, 2218},	// QsciScintillaBase::staticMetaObject
    {87, 1532, 2211},	// QsciScintillaBase::textAsBytes$
    {87, 1539, 2191},	// QsciScintillaBase::toMimeData#$
    {87, 1542, 2213},	// QsciScintillaBase::tr$
    {87, 1543, 2138},	// QsciScintillaBase::tr$$
    {87, 1544, 2140},	// QsciScintillaBase::tr$$$
    {87, 1546, 2214},	// QsciScintillaBase::trUtf8$
    {87, 1547, 2139},	// QsciScintillaBase::trUtf8$$
    {87, 1548, 2141},	// QsciScintillaBase::trUtf8$$$
    {87, 1627, 2381},	// QsciScintillaBase::~QsciScintillaBase
    {88, 356, 2410},	// QsciStyle::LowerCase
    {88, 383, 2408},	// QsciStyle::OriginalCase
    {88, 534, 2406},	// QsciStyle::QsciStyle
    {88, 535, 2405},	// QsciStyle::QsciStyle#
    {88, 536, 2382},	// QsciStyle::QsciStyle$
    {88, 537, 2407},	// QsciStyle::QsciStyle$$###
    {88, 538, 2383},	// QsciStyle::QsciStyle$$###$
    {88, 728, 2409},	// QsciStyle::UpperCase
    {88, 802, 2384},	// QsciStyle::apply#
    {88, 849, 2401},	// QsciStyle::changeable
    {88, 863, 2389},	// QsciStyle::color
    {88, 895, 2387},	// QsciStyle::description
    {88, 922, 2395},	// QsciStyle::eolFill
    {88, 976, 2393},	// QsciStyle::font
    {88, 998, 2403},	// QsciStyle::hotspot
    {88, 1123, 2391},	// QsciStyle::paper
    {88, 1157, 2404},	// QsciStyle::refresh
    {88, 1246, 2400},	// QsciStyle::setChangeable$
    {88, 1248, 2388},	// QsciStyle::setColor#
    {88, 1261, 2386},	// QsciStyle::setDescription$
    {88, 1279, 2394},	// QsciStyle::setEolFill$
    {88, 1323, 2392},	// QsciStyle::setFont#
    {88, 1340, 2402},	// QsciStyle::setHotspot$
    {88, 1432, 2390},	// QsciStyle::setPaper#
    {88, 1471, 2396},	// QsciStyle::setTextCase$
    {88, 1491, 2398},	// QsciStyle::setVisible$
    {88, 1520, 2385},	// QsciStyle::style
    {88, 1533, 2397},	// QsciStyle::textCase
    {88, 1563, 2399},	// QsciStyle::visible
    {88, 1628, 2411},	// QsciStyle::~QsciStyle
    {89, 540, 2417},	// QsciStyledText::QsciStyledText#
    {89, 541, 2413},	// QsciStyledText::QsciStyledText$#
    {89, 542, 2412},	// QsciStyledText::QsciStyledText$$
    {89, 802, 2414},	// QsciStyledText::apply#
    {89, 1520, 2416},	// QsciStyledText::style
    {89, 1529, 2415},	// QsciStyledText::text
    {89, 1629, 2418},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 89,
        __smokeqsci::methods, 2419,
        __smokeqsci::methodMaps, 2204,
        __smokeqsci::methodNames, 1629,
        __smokeqsci::types, 223,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
